import { V as VueEditor } from "./vendor/vendor-vue2-editor.69d69d87.js";
import { a as uploadImage } from "./uploader.39656730.js";
import { n as normalizeComponent } from "./_plugin-vue2_normalizer.7b9a2fe2.js";
const EditorWrapper_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  name: "editor-wrapper",
  components: {
    VueEditor
  },
  props: {
    disabled: {
      type: Boolean,
      default: false,
      description: "Whether input is required (adds an asterix *)"
    },
    required: {
      type: Boolean,
      default: false,
      description: "Whether input is required (adds an asterix *)"
    },
    config: {
      type: [String, Object]
    },
    autogrow: {
      type: Boolean,
      default: false
    },
    height: {
      type: String,
      default: ""
    },
    label: {
      type: String,
      default: "Enter content"
    },
    value: {
      type: String,
      description: "Selected value"
    },
    placeholder: {
      type: String,
      default: ""
    },
    error: {
      type: String,
      description: "Select error (below select)"
    },
    uploadUrl: {
      type: String,
      default: "/uploads/image"
    }
  },
  data() {
    return {
      configObj: {
        customModules: [],
        editorOptions: {
          modules: {}
        },
        editorToolbar: [
          [{ "font": [] }],
          [{ "header": [1, 2, 3, 4, 5, 6, false] }],
          [{ "size": ["small", false, "large", "huge"] }],
          ["bold", "italic", "underline", "strike"],
          [{ "script": "sub" }, { "script": "super" }],
          [{ "color": [] }, { "background": [] }],
          [{ "align": [] }, { "list": "ordered" }, { "list": "bullet" }],
          ["link", "image"],
          ["blockquote", "code-block"],
          ["clean"]
        ]
      },
      minConfigObj: {
        customModules: [],
        editorOptions: {},
        editorToolbar: [
          [{ "font": [] }],
          [{ "header": [1, 2, 3, 4, 5, 6, false] }],
          ["bold", "italic", "underline", "strike"],
          [{ "script": "sub" }, { "script": "super" }],
          [{ "color": [] }, { "background": [] }],
          [{ "align": [] }, { "list": "ordered" }, { "list": "bullet" }],
          ["link", "image"],
          ["clean"]
        ]
      },
      leastConfigObj: {
        customModules: [],
        editorOptions: {},
        editorToolbar: [
          [{ "font": [] }],
          [{ "header": [1, 2, 3, 4, 5, 6, false] }],
          ["bold", "italic", "underline", "strike"],
          [{ "script": "sub" }, { "script": "super" }],
          [{ "color": [] }, { "background": [] }],
          [{ "align": [] }],
          ["clean"]
        ]
      }
    };
  },
  computed: {
    content: {
      get() {
        return this.value;
      },
      set(value) {
        value = value.replace(/<[^>]+/gmi, (match) => match.replace(/ on\w+="[^"]*"/gmi, ""));
        this.$emit("input", value);
        this.$emit("update:error", "");
      }
    },
    computedConfig() {
      if (this.config) {
        if (this.config === "minimal") {
          return this.minConfigObj;
        } else if (this.config === "least") {
          return this.leastConfigObj;
        }
      }
      return this.configObj;
    }
  },
  methods: {
    handleImageAdded(file, Editor, cursorLocation, resetUploader) {
      let formData = new FormData();
      formData.append("image", file);
      uploadImage({
        url: this.uploadUrl,
        data: formData
      }).then((response) => {
        Editor.insertEmbed(cursorLocation, "image", response.url);
        resetUploader();
      }).catch((error) => {
        console.error(err);
      });
    }
  },
  mounted() {
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { class: ["editor-wrapper", { "not-empty": !!_vm.value }, { "required": _vm.required }, _vm.height ? `height-${_vm.height}` : ""] }, [_vm.label || _vm.label === " " ? _c("label", { staticClass: "input-group-material-label" }, [_vm._v(_vm._s(_vm.label) + " "), _vm.required ? _c("span", { staticClass: "required-asterix" }, [_vm._v("*")]) : _vm._e()]) : _vm._e(), _c("div", {}, [_vm._t("default", function() {
    return [_c("vue-editor", { attrs: { "id": "editor", "name": "content", "placeholder": _vm.placeholder, "customModules": _vm.computedConfig.customModules, "editorOptions": _vm.computedConfig.editorOptions, "editorToolbar": _vm.computedConfig.editorToolbar, "useCustomImageHandler": "" }, on: { "image-added": _vm.handleImageAdded }, model: { value: _vm.content, callback: function($$v) {
      _vm.content = $$v;
    }, expression: "content" } })];
  })], 2), _vm._t("errorBlock", function() {
    return [_vm.error ? _c("div", { staticClass: "text-danger invalid-feedback error-block" }, [_vm._v(" " + _vm._s(_vm.error) + " ")]) : _vm._e()];
  })], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const EditorWrapper = __component__.exports;
export {
  EditorWrapper as E
};
//# sourceMappingURL=EditorWrapper.6dc46fdc.js.map
