import { m as mapGetters, i as mapActions } from "../vendor/vendor-core.2a9962eb.js";
import { c as clearStore } from "../index.b6800d1c.js";
import { E as EventBus } from "../event-bus.0afcd682.js";
import { n as normalizeComponent } from "../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../vendor/vendor-essential.31dae676.js";
import "../vendor/vendor-others.d4f8aae2.js";
import "../app.9a8150b2.js";
import "../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../vendor/vendor-vue-gtag.137cb49d.js";
import "../vendor/vendor-laravel-echo.c401b1a2.js";
import "../vendor/vendor-pusher-js.2a02459b.js";
const AppSearch_vue_vue_type_style_index_0_scoped_44c51ed6_lang = "";
const _sfc_main = {
  components: {},
  data() {
    return {
      shown: false,
      searchTerm: "",
      foundHotTerm: null,
      searchResults: null,
      isLoading: false,
      meetingIcons: {
        "scheduled": "far fa-calendar-alt",
        "live": "fas fa-video",
        "ended": "far fa-calendar-check",
        "cancelled": "far fa-calendar-times"
      },
      meetingIconColors: {
        "scheduled": "bg-primary text-white no-border",
        "live": "bg-warning text-white no-border",
        "ended": "bg-success text-white no-border",
        "cancelled": "bg-danger text-white no-border"
      }
    };
  },
  computed: {
    ...mapGetters("config", [
      "uiConfigs",
      "vars"
    ]),
    ...mapGetters("search", [
      "hotTerms",
      "results",
      "suggestions"
    ]),
    searchScreenShow() {
      return this.uiConfigs.searchScreenShow;
    },
    gotResults() {
      return this.results && (this.results.contacts && this.results.contacts.length || this.results.users && this.results.users.length || this.results.meetings && this.results.meetings.length);
    }
  },
  updated() {
    if (this.$refs.searchTermElement) {
      this.$refs.searchTermElement.focus();
    }
  },
  watch: {
    searchScreenShow(newVal, oldVal) {
      if (newVal !== oldVal) {
        if (newVal) {
          EventBus.$off("KEY_PRESSED", this.handleKeyPressed);
          EventBus.$on("ESCAPE_PRESSED", this.close);
          this.resetVueScroll();
          this.ResetResults();
          this.ResetSuggestions();
          this.searchTermChanged();
          this.shown = true;
          document.removeEventListener("keyup", this.keyPressed, true);
          document.addEventListener("keyup", this.keyPressed, true);
        } else {
          document.removeEventListener("keyup", this.keyPressed, true);
          this.searchTerm = "";
          EventBus.$off("ESCAPE_PRESSED", this.close);
          EventBus.$off("KEY_PRESSED", this.handleKeyPressed);
          EventBus.$on("KEY_PRESSED", this.handleKeyPressed);
          this.shown = false;
        }
      }
    },
    $route(val) {
      this.close();
    }
  },
  methods: {
    ...mapActions("config", [
      "SetUiConfig"
    ]),
    ...mapActions("search", [
      "SearchRoutes",
      "Search",
      "ResetResults",
      "ResetSuggestions"
    ]),
    ...mapActions("user", [
      "Lock",
      "Logout"
    ]),
    ...mapActions("navigation", [
      "Generate"
    ]),
    searchTermChanged: _.debounce(function() {
      if (this.searchTerm === "") {
        this.searchResults = null;
        this.ResetResults();
        this.ResetSuggestions();
      }
      this.findHotTerm();
    }, 500),
    findHotTerm() {
      this.foundHotTerm = null;
      this.hotTerms.forEach((command) => {
        if (!this.foundHotTerm) {
          const pattern = new RegExp(command.code, "i");
          if (pattern.test(this.searchTerm)) {
            this.foundHotTerm = _.cloneDeep(command);
            this.foundHotTerm.term = this.searchTerm.replace(pattern, "");
          }
        }
      });
      this.processSubmit();
    },
    submit: _.debounce(function() {
      this.isLoading = true;
      this.resetVueScroll();
      this.findHotTerm();
      this.processSubmit();
    }, 500),
    processSubmit: _.debounce(function() {
      this.isLoading = true;
      this.resetVueScroll();
      const foundHotTerm = this.foundHotTerm;
      if (foundHotTerm) {
        if (foundHotTerm.type === "command") {
          if (RegExp("logout", "i").test(foundHotTerm.term)) {
            this.logout();
          } else if (RegExp("lock", "i").test(foundHotTerm.term)) {
            this.lock();
          } else if (RegExp("menu", "i").test(foundHotTerm.term)) {
            this.regenerateNavigation();
          } else if (RegExp("clear", "i").test(foundHotTerm.term)) {
            this.clearStoreAndReload();
          } else if (RegExp("reload", "i").test(foundHotTerm.term)) {
            window.location.reload();
          } else if (RegExp("freload", "i").test(foundHotTerm.term)) {
            window.location.reload(true);
          }
          this.isLoading = false;
        } else if (foundHotTerm.type === "redirect") {
          this.ResetResults();
          this.ResetSuggestions();
          if (foundHotTerm.term) {
            this.SearchRoutes(foundHotTerm.term).then((response) => {
              this.isLoading = false;
            });
          } else {
            this.isLoading = false;
          }
        } else {
          this.search();
        }
      } else {
        this.search();
      }
    }, 500),
    resetVueScroll() {
      setTimeout(() => {
        if (this.$refs["vuescrollSearch"]) {
          this.$refs["vuescrollSearch"].scrollTo({
            x: 0,
            y: 0
          }, true);
        }
      }, 100);
    },
    search() {
      this.ResetResults();
      this.ResetSuggestions();
      if (this.searchTerm.length < 3) {
        this.isLoading = false;
      } else {
        this.Search(this.searchTerm).then((response) => {
          this.searchResults = response;
          this.isLoading = false;
        }).catch((error) => {
          this.isLoading = false;
          formUtil.handleErrors(error);
        });
      }
    },
    logout() {
      this.Logout().then((response) => {
        this.$toasted.success(response.message, this.$toastConfig);
        this.$router.push({ name: "login", query: { logout: "true" } });
      });
    },
    lock() {
      this.Lock();
    },
    close() {
      this.SetUiConfig({ searchScreenShow: false });
    },
    handleKeyPressed(event) {
      let char = event.which || event.keyCode;
      let character = event.key || String.fromCharCode(char);
      if (!this.searchScreenShow) {
        this.SetUiConfig({ searchScreenShow: true });
      }
      this.searchTerm = character;
    },
    regenerateNavigation() {
      this.Generate().then(() => {
        this.isLoading = false;
        this.searchTerm = "";
        this.close();
      });
    },
    clearStoreAndReload() {
      this.isLoading = true;
      if ("serviceWorker" in navigator) {
        caches.keys().then((cacheNames) => {
          this.isLoading = true;
          cacheNames.forEach((cacheName) => {
            caches.delete(cacheName);
          });
          clearStore(true);
        });
      } else {
        clearStore(true);
      }
    },
    keyPressed(event) {
      const key = event.which || event.keyCode;
      if (key === 37 || key === 38 || key === 39 || key === 40) {
        const focusableElements = document.getElementsByClassName("focusable");
        const activeElement = document.activeElement;
        let nextElement = 0;
        if (focusableElements && focusableElements.length) {
          focusableElements.forEach((ele, index) => {
            if (activeElement === ele) {
              nextElement = index;
            }
          });
          if (nextElement == -1) {
            nextElement = 0;
          } else {
            if (key === 37 || key === 38) {
              nextElement -= 1;
            } else {
              nextElement += 1;
            }
            if (nextElement < 0 && nextElement >= focusableElements.length) {
              nextElement = 0;
            }
          }
          focusableElements[nextElement].focus();
        }
      }
      return false;
    }
  },
  created: function() {
    this.close();
    EventBus.$off("ESCAPE_PRESSED", this.close);
    EventBus.$off("KEY_PRESSED", this.handleKeyPressed);
    EventBus.$on("ESCAPE_PRESSED", this.close);
    EventBus.$on("KEY_PRESSED", this.handleKeyPressed);
  },
  beforeDestroy() {
    document.removeEventListener("keyup", this.keyPressed, true);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _vm.searchScreenShow ? _c("transition", { attrs: { "name": "fade", "mode": "out-in" } }, [_c("div", { staticClass: "app-search-screen" }, [_c("close-button", { attrs: { "title": _vm.$t("general.close"), "parent-class": "" }, on: { "click": _vm.close } }), _c("div", { staticClass: "app-search-wrapper" }, [_c("div", { staticClass: "search-input-wrapper" }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("div", { staticClass: "search-input" }, [_c("input", { directives: [{ name: "model", rawName: "v-model", value: _vm.searchTerm, expression: "searchTerm" }], ref: "searchTermElement", staticClass: "form-control pause-keyuplistener focusable", attrs: { "type": "text", "placeholder": "Search...", "spellcheck": "false", "autocomplete": "false" }, domProps: { "value": _vm.searchTerm }, on: { "input": [function($event) {
    if ($event.target.composing)
      return;
    _vm.searchTerm = $event.target.value;
  }, _vm.searchTermChanged] } })]), _c("button", { staticClass: "d-none", attrs: { "type": "submit" } }, [_vm._v("Search")])]), _c("div", { staticClass: "helper-message text-muted" }, [!_vm.foundHotTerm ? _c("span", [_vm._v(_vm._s(_vm.$t("general.search_helper_default_text")))]) : _c("span", [_vm._v(_vm._s(_vm.foundHotTerm.message) + " " + _vm._s(_vm.foundHotTerm.term))])])]), _vm.searchTerm && _vm.suggestions.length ? _c("div", { staticClass: "search-suggestions" }, [_c("span", { staticClass: "font-weight-700 title" }, [_vm._v("suggestions: ")]), _c("ul", { staticClass: "suggestions-list list-inline" }, _vm._l(_vm.suggestions, function(suggestion) {
    return _c("li", { key: suggestion }, [_vm._v(_vm._s(suggestion))]);
  }), 0)]) : _vm._e(), _c("div", { directives: [{ name: "scroll-lock", rawName: "v-scroll-lock", value: _vm.searchScreenShow, expression: "searchScreenShow" }], staticClass: "search-results-wrapper" }, [_c("vue-scroll", { ref: "vuescrollSearch", attrs: { "id": "vuescrollSearch" } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "overlay-color": "transparent" } }), _c("div", { staticClass: "search-results-sections" }, [_vm.foundHotTerm && _vm.results.routes.length ? _c("div", { staticClass: "search-results-section" }, [_c("h4", { staticClass: "section-title text-muted font-weight-600 text-center border-bottom mb-0 pb-2" }, [_vm._v("Navigate to")]), _c("ul", { staticClass: "search-results-list" }, _vm._l(_vm.results.routes, function(route, index) {
    return _c("li", { key: route.name, staticClass: "search-result-item" }, [_c("router-link", { attrs: { "to": { name: route.name } } }, [_vm._v(" " + _vm._s(route.meta.trans ? _vm.$t(route.meta.trans, { "attribute": _vm.$t(route.meta.midTitle) + " " + _vm.$t(route.meta.title) }) : _vm.$t(route.meta.midTitle) + " " + _vm.$t(route.meta.title)) + " ")])], 1);
  }), 0)]) : _vm.gotResults ? [_vm.results.users && _vm.results.users.length ? _c("div", { staticClass: "search-results-section" }, [_c("h4", { staticClass: "section-title text-muted font-weight-600 text-center border-bottom mb-2 pb-2" }, [_vm._v(_vm._s(_vm.$t("user.users")))]), _c("ul", { staticClass: "search-results-list" }, _vm._l(_vm.results.users, function(user, index) {
    return _c("li", { key: user.uuid, staticClass: "search-result-item" }, [_c("view-user", { staticClass: "m-0", attrs: { "value": user, "focusable": "", "hide-popover": "", "show-buttons": "", "data-classes": "m-0" } })], 1);
  }), 0)]) : _vm._e(), _vm.results.meetings && _vm.results.meetings.length ? _c("div", { staticClass: "search-results-section" }, [_c("h4", { staticClass: "section-title text-muted font-weight-600 text-center border-bottom mb-2 pb-2" }, [_vm._v(_vm._s(_vm.$t("meeting.meetings")))]), _c("ul", { staticClass: "search-results-list" }, _vm._l(_vm.results.meetings, function(meeting, index) {
    return _c("li", { key: meeting.uuid, staticClass: "search-result-item" }, [_c("view-single", { staticClass: "m-0", attrs: { "value": meeting, "show-if-exists": "title", "description": _vm._f("moment")([meeting.startedAt ? meeting.startedAt : meeting.startDateTime, _vm.vars.serverDateTimeFormat], "calendar", null, { sameElse: _vm.vars.defaultDateTimeFormat }), "show-icon": "", "icon": _vm.meetingIcons[meeting.status], "icon-classes": _vm.meetingIconColors[meeting.status], "focusable": "", "is-entity": "", "link": { name: "appMeetingView", params: { uuid: meeting.uuid } }, "data-classes": "m-0" } })], 1);
  }), 0)]) : _vm._e(), _vm.results.contacts && _vm.results.contacts.length ? _c("div", { staticClass: "search-results-section" }, [_c("h4", { staticClass: "section-title text-muted font-weight-600 text-center border-bottom mb-2 pb-2" }, [_vm._v(_vm._s(_vm.$t("contact.contacts")))]), _c("ul", { staticClass: "search-results-list" }, _vm._l(_vm.results.contacts, function(contact, index) {
    return _c("li", { key: contact.uuid, staticClass: "search-result-item" }, [_c("view-single", { staticClass: "m-0", attrs: { "value": contact, "show-if-exists": "name", "show-icon": "", "icon": "fas fa-user", "focusable": "", "is-entity": "", "data-classes": "m-0" } })], 1);
  }), 0)]) : _vm._e()] : [_vm.searchTerm && _vm.searchResults && !_vm.isLoading ? _c("div", { staticClass: "search-results-section" }, [_c("h2", { staticClass: "text-muted", domProps: { "textContent": _vm._s(_vm.$t("general.no_search_result_found")) } })]) : _vm._e()]], 2)], 1)], 1)])], 1)]) : _vm._e();
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  "44c51ed6",
  null,
  null
);
const AppSearch = __component__.exports;
export {
  AppSearch as default
};
//# sourceMappingURL=AppSearch.040aa600.js.map
