import { m as mapGetters } from "../../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const BackToTop_vue_vue_type_style_index_0_scoped_878e3c9e_lang = "";
const _sfc_main = {
  name: "back-to-top",
  props: {
    visibilityHeight: {
      type: Number,
      default: 400
    },
    backPosition: {
      type: Number,
      default: 0
    },
    customStyle: {
      type: Object,
      default: function() {
        return {
          right: "10px",
          bottom: "10px",
          width: "40px",
          height: "40px",
          "border-radius": "4px",
          "line-height": "45px",
          background: "#313541"
        };
      }
    },
    transitionName: {
      type: String,
      default: "fade"
    }
  },
  computed: {
    ...mapGetters("config", [
      "uiConfigs",
      "vars"
    ]),
    buttonStyle() {
      return Object.assign({}, this.customStyle, {
        background: this.vars.colors[this.uiConfigs.topNavbarColor]
      });
    }
  },
  data() {
    return {
      visible: false,
      interval: null
    };
  },
  mounted() {
    window.addEventListener("scroll", this.handleScroll);
  },
  beforeDestroy() {
    window.removeEventListener("scroll", this.handleScroll);
    if (this.interval) {
      clearInterval(this.interval);
    }
  },
  methods: {
    handleScroll() {
      this.visible = window.pageYOffset > this.visibilityHeight;
    },
    backToTop() {
      const start = window.pageYOffset;
      let i = 0;
      this.interval = setInterval(() => {
        const next = Math.floor(this.easeInOutQuad(10 * i, start, -start, 500));
        if (next <= this.backPosition) {
          window.scrollTo(0, this.backPosition);
          clearInterval(this.interval);
        } else {
          window.scrollTo(0, next);
        }
        i++;
      }, 16.7);
    },
    easeInOutQuad(t, b, c, d) {
      if ((t /= d / 2) < 1)
        return c / 2 * t * t + b;
      return -c / 2 * (--t * (t - 2) - 1) + b;
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("transition", { attrs: { "name": _vm.transitionName } }, [_c("div", { directives: [{ name: "show", rawName: "v-show", value: _vm.visible, expression: "visible" }], staticClass: "back-to-ceiling", style: _vm.customStyle, on: { "click": _vm.backToTop } }, [_c("svg", { staticClass: "Icon Icon--backToTopArrow", attrs: { "width": "16", "height": "16", "viewBox": "0 0 17 17", "xmlns": "http://www.w3.org/2000/svg", "aria-hidden": "true" } }, [_c("title", [_vm._v("TOP")]), _c("g", [_c("path", { attrs: { "d": "M12.036 15.59c0 .55-.453.995-.997.995H5.032c-.55 0-.997-.445-.997-.996V8.584H1.03c-1.1 0-1.36-.633-.578-1.416L7.33.29c.39-.39 1.026-.385 1.412 0l6.878 6.88c.782.78.523 1.415-.58 1.415h-3.004v7.004z", "fill-rule": "evenodd" } })])])])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  "878e3c9e",
  null,
  null
);
const BackToTop = __component__.exports;
export {
  BackToTop as default
};
//# sourceMappingURL=BackToTop.1c3ca81c.js.map
