import { _ as __vitePreload } from "../../app.9a8150b2.js";
import { m as mapGetters, i as mapActions } from "../../vendor/vendor-core.2a9962eb.js";
import { M as Multiselect } from "../../vendor/vendor-vue-multiselect.de0a1589.js";
import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../vendor/vendor-others.d4f8aae2.js";
import "../../vendor/vendor-essential.31dae676.js";
import "../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  name: "base-select",
  components: {
    Multiselect,
    "AppSidebarModal": () => __vitePreload(() => import("../../components/AppSidebarModal.31292b73.js"), true ? ["assets/js/components/AppSidebarModal.31292b73.js","assets/js/AppSidebar.43e19366.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/css/AppSidebar.c496c7a4.css","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/event-bus.0afcd682.js","assets/css/components/AppSidebarModal.css"] : void 0)
  },
  props: {
    value: {
      type: [Object, Array, String, Number, Boolean]
    },
    label: {
      type: String,
      default: "Enter a tag"
    },
    trackBy: {
      type: String,
      default: "uuid"
    },
    showBy: {
      type: String,
      default: "name"
    },
    customShowBy: {
      type: Function
    },
    options: {
      type: Array,
      default() {
        return [];
      }
    },
    error: {
      type: String,
      default: null
    },
    searchable: {
      type: Boolean,
      default: true
    },
    allowEmpty: {
      type: Boolean,
      default: true
    },
    disabled: {
      type: Boolean,
      default: false
    },
    required: {
      type: Boolean,
      default: false
    },
    multiple: {
      type: Boolean,
      default: false
    },
    closeOnSelect: {
      type: Boolean,
      default: true
    },
    loading: {
      type: Boolean,
      default: false
    },
    wrapperClasses: {
      type: String
    },
    inputClasses: {
      type: String,
      default: ""
    },
    groupValues: {
      type: String,
      default: null
    },
    groupLabel: {
      type: String,
      default: null
    },
    groupSelect: {
      type: Boolean,
      default: false
    },
    preselectFirst: {
      type: Boolean,
      default: false
    },
    simple: {
      type: Boolean,
      default: false
    },
    commaSeparatedMultiple: {
      type: Boolean,
      default: false
    },
    addNew: {
      type: String
    },
    addNewModal: {
      type: Boolean,
      default: false
    },
    neededPermission: {
      type: String
    },
    pageRoute: {
      type: String
    },
    autoFocus: {
      type: Boolean,
      default: false
    },
    alwaysAutoFocus: {
      type: Boolean,
      default: false
    },
    limit: {
      type: Number,
      default: 99999
    },
    max: {
      type: Number,
      default: 99999
    }
  },
  data() {
    return {
      cbId: "",
      showNewModel: false
    };
  },
  watch: {
    computedModalSidebarShow(val, oldVal) {
      if (val === false) {
        setTimeout(() => {
          this.showNewModel = false;
        }, 1e3);
      }
    },
    options(val, oldVal) {
      if (this.preselectFirst && !this.bsValue && val && val.length) {
        this.bsValue = val[0];
      }
    }
  },
  computed: {
    ...mapGetters("config", [
      "uiConfigs"
    ]),
    ...mapGetters("user", [
      "hasPermission"
    ]),
    computedModalSidebarShow() {
      return this.uiConfigs.modalSidebarShow;
    },
    allOptions() {
      if (this.groupValues) {
        let toReturn = [];
        this.options.forEach((o) => {
          toReturn = toReturn.concat(o[this.groupValues]);
        });
        return toReturn;
      }
      return this.options;
    },
    bsValue: {
      get() {
        if (this.value && this.simple) {
          if (this.multiple) {
            if (this.commaSeparatedMultiple) {
              const toSelect = this.value.split(",");
              return this.allOptions.filter((o) => toSelect.indexOf(o[this.trackBy]) !== -1);
            }
            return this.allOptions.filter((o) => this.value.indexOf(o[this.trackBy]) !== -1);
          } else {
            return this.allOptions.find((o) => o[this.trackBy] === this.value);
          }
        } else {
          return this.value;
        }
      },
      set(newValue) {
        let toReturn = null;
        if (newValue && this.simple) {
          if (this.multiple) {
            if (this.commaSeparatedMultiple) {
              toReturn = newValue.map((v) => v[this.trackBy]).join(",");
            } else {
              toReturn = newValue.map((v) => v[this.trackBy]);
            }
          } else {
            toReturn = newValue[this.trackBy];
          }
        } else {
          toReturn = newValue;
        }
        this.$emit("input", toReturn);
        if (toReturn) {
          this.$emit("update:error", "");
        }
      }
    }
  },
  methods: {
    ...mapActions("config", [
      "SetUiConfig"
    ]),
    callCustomShowBy(obj) {
      if (this.customShowBy) {
        this.customShowBy(obj);
      } else {
        return obj ? obj[this.showBy ? this.showBy : "name"] : "";
      }
    },
    toggleNewModal: _.debounce(function(closeIt) {
      if (closeIt && closeIt.target) {
        closeIt.preventDefault();
        closeIt.stopPropagation();
      }
      this.showNewModel = closeIt === true ? false : true;
      this.$nextTick(() => {
        this.SetUiConfig({ modalSidebarShow: this.showNewModel });
      });
    }, 300),
    focus() {
      setTimeout(() => {
        this.$refs[`multiselect${this.cbId}`].activate();
      }, 300);
    }
  },
  mounted() {
    if (this.preselectFirst && !this.bsValue && this.options && this.options.length) {
      this.bsValue = this.options[0];
    }
    if (this.autoFocus && (this.alwaysAutoFocus || this.alwaysAutoFocus && !this.bsValue)) {
      const vm = this;
      this.$nextTick(() => {
        setTimeout(() => {
          vm.$refs[`multiselect${vm.cbId}`].activate();
        }, 500);
      });
    }
  },
  created() {
    this.cbId = Math.random().toString(16).slice(2);
  },
  destroyed() {
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { class: ["multiselect-wrapper", { "not-empty": !!_vm.bsValue }, _vm.required ? "required" : "", _vm.wrapperClasses] }, [_c("label", { staticClass: "input-group-material-label" }, [_vm._v(_vm._s(_vm.label) + " "), _vm.required ? _c("span", { staticClass: "required-asterix" }, [_vm._v("*")]) : _vm._e()]), _vm._t("addNew", function() {
    return [_vm.addNew && _vm.hasPermission(_vm.neededPermission) ? _c("div", { staticClass: "add-new-link" }, [_c("base-button", { attrs: { "type": "button", "design": "link", "size": "sm" }, on: { "click": function($event) {
      return _vm.$router.push({ name: _vm.addNew });
    } } }, [_vm._v(_vm._s(_vm.$t("general.add_new")))])], 1) : _vm._e()];
  }), _vm.hasPermission(_vm.neededPermission) ? [_c("div", { staticClass: "helper-links" }, [_vm.pageRoute ? _c("router-link", { staticClass: "btn btn-sm btn-link", attrs: { "to": { name: _vm.pageRoute } } }, [_vm._v(" " + _vm._s(_vm.$t("general.view_more")) + " ")]) : _vm._e(), _vm.addNewModal ? _c("base-button", { staticClass: "ml-2", attrs: { "type": "button", "design": "link", "size": "sm", "disabled": _vm.showNewModel }, on: { "click": _vm.toggleNewModal } }, [_vm._v(_vm._s(_vm.$t("general.add_new")))]) : _vm._e()], 1), _vm.addNewModal && _vm.showNewModel ? _c("app-sidebar-modal", { on: { "close": function($event) {
    return _vm.toggleNewModal(true);
  } } }, [_vm._t("addNewModal")], 2) : _vm._e()] : _vm._e(), _vm.$scopedSlots.selectedOption && _vm.$scopedSlots.listOption ? [_c("multiselect", { ref: `multiselect${_vm.cbId}`, class: ["input-group-material", _vm.inputClasses], attrs: { "options": _vm.options, "placeholder": _vm.label, "track-by": _vm.trackBy, "label": _vm.showBy, "custom-label": _vm.customShowBy, "searchable": _vm.searchable, "show-labels": false, "allow-empty": _vm.allowEmpty, "group-values": _vm.groupValues, "group-label": _vm.groupLabel, "group-select": _vm.groupSelect, "multiple": _vm.multiple, "close-on-select": _vm.closeOnSelect, "disabled": _vm.disabled, "loading": _vm.loading, "limit": _vm.limit, "max": _vm.multiple ? _vm.max : false }, scopedSlots: _vm._u([{ key: "singleLabel", fn: function({ option }) {
    return [_vm._t("selectedOption", null, { "option": option })];
  } }, { key: "option", fn: function({ option }) {
    return [_vm._t("listOption", null, { "option": option })];
  } }], null, true), model: { value: _vm.bsValue, callback: function($$v) {
    _vm.bsValue = $$v;
  }, expression: "bsValue" } })] : [_c("multiselect", { ref: `multiselect${_vm.cbId}`, class: ["input-group-material", _vm.inputClasses], attrs: { "options": _vm.options, "placeholder": _vm.label, "track-by": _vm.trackBy, "label": _vm.showBy, "custom-label": _vm.callCustomShowBy, "searchable": _vm.searchable, "show-labels": false, "allow-empty": _vm.allowEmpty, "group-values": _vm.groupValues, "group-label": _vm.groupLabel, "group-select": _vm.groupSelect, "multiple": _vm.multiple, "close-on-select": _vm.closeOnSelect, "disabled": _vm.disabled, "loading": _vm.loading, "limit": _vm.limit, "max": _vm.multiple ? _vm.max : false }, model: { value: _vm.bsValue, callback: function($$v) {
    _vm.bsValue = $$v;
  }, expression: "bsValue" } })], _vm._t("errorBlock", function() {
    return [_vm.error ? _c("div", { staticClass: "text-danger invalid-feedback error-block" }, [_vm._v(" " + _vm._s(_vm.error) + " ")]) : _vm._e()];
  })], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const BaseSelect = __component__.exports;
export {
  BaseSelect as default
};
//# sourceMappingURL=BaseSelect.42f6c504.js.map
