import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import { e as BFormTextarea } from "../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../vendor/vendor-others.d4f8aae2.js";
import "../../vendor/vendor-core.2a9962eb.js";
const BaseTextarea_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  inheritAttrs: false,
  name: "base-textarea",
  components: {
    BFormTextarea
  },
  props: {
    required: {
      type: Boolean,
      description: "Whether input is required (adds an asterix *)"
    },
    valid: {
      type: Boolean,
      description: "Whether is valid",
      default: void 0
    },
    alternative: {
      type: Boolean,
      description: "Whether input is of alternative layout"
    },
    native: {
      type: Boolean,
      description: "Whether input is of material layout"
    },
    label: {
      type: String,
      description: "Input label (text before input)"
    },
    placeholder: {
      type: String,
      description: "Input placeholder (text on input)"
    },
    error: {
      type: String,
      description: "Input error (below input)"
    },
    wrapperClasses: {
      type: String,
      description: "Input label css classes"
    },
    labelClasses: {
      type: String,
      description: "Input label css classes"
    },
    inputClasses: {
      type: String,
      description: "Input css classes"
    },
    value: {
      type: [String, Number],
      description: "Input value"
    },
    autoFocus: {
      type: Boolean,
      description: "if autofocus is on",
      default: void 0
    },
    charCount: {
      type: Boolean,
      default: false
    },
    charCountLabel: {
      type: String,
      default: "Characters"
    },
    lineCount: {
      type: Boolean,
      default: false
    },
    lineCountLabel: {
      type: String
    }
  },
  data() {
    return {
      cbId: "",
      focused: false,
      taValue: ""
    };
  },
  computed: {
    slotData() {
      return {
        taValue: this.value,
        focused: this.focused
      };
    },
    charsCounted() {
      return this.value ? this.value.length : 0;
    },
    linesCounted() {
      return this.value ? this.value.lineCount() : 0;
    }
  },
  methods: {
    updateValue(value) {
      this.$emit("update:error", "");
      this.$emit("input", value);
    },
    onFocus(value) {
      this.focused = true;
      this.$emit("focus", value);
    },
    onBlur(value) {
      this.focused = false;
      this.$emit("blur", value);
    }
  },
  mounted() {
    if (this.autoFocus) {
      this.$refs[`base-textarea-${this.$attrs.name ? this.$attrs.name : this.cbId}`].focus();
    }
  },
  created() {
    this.cbId = Math.random().toString(16).slice(2);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "base-textarea" }, [_c("div", { staticClass: "form-group", class: [
    { "focused": _vm.focused },
    { "input-group-alternative": _vm.alternative && !_vm.native },
    { "input-group-material": !(_vm.native || _vm.alternative) },
    { "has-label": _vm.label || _vm.$slots.label },
    { "has-placeholder": _vm.placeholder },
    { "has-success": _vm.valid === true },
    { "has-danger": _vm.error || _vm.valid === false },
    { "not-empty": _vm.slotData.taValue && _vm.slotData.taValue.length },
    { "required": _vm.required },
    _vm.wrapperClasses
  ] }, [_vm._t("label", function() {
    return [_vm.label ? _c("label", { class: _vm.labelClasses, attrs: { "for": `base-textarea-${_vm.$attrs.name ? _vm.$attrs.name : _vm.cbId}` } }, [_vm._v(" " + _vm._s(_vm.label) + " "), _vm.required ? _c("span", { staticClass: "required-asterix" }, [_vm._v("*")]) : _vm._e(), _vm.charCount ? _c("span", { staticClass: "bracketed" }, [_vm._v(_vm._s(_vm.charsCounted) + " " + _vm._s(_vm.charCountLabel))]) : _vm._e(), _vm.lineCount ? _c("span", { staticClass: "bracketed" }, [_vm._v(_vm._s(_vm.linesCounted) + " " + _vm._s(_vm.lineCountLabel))]) : _vm._e()]) : _vm._e()];
  }), _vm._t("default", function() {
    return [_c("b-form-textarea", _vm._b({ directives: [{ name: "auto-focus", rawName: "v-auto-focus", value: _vm.autoFocus, expression: "autoFocus" }], ref: `base-textarea-${_vm.$attrs.name ? _vm.$attrs.name : _vm.cbId}`, staticClass: "form-control", class: [{ "is-valid": _vm.valid === true }, { "is-invalid": _vm.valid === false }, _vm.inputClasses], attrs: { "id": `base-textarea-${_vm.$attrs.name ? _vm.$attrs.name : _vm.cbId}`, "autofocus": _vm.autoFocus, "placeholder": _vm.placeholder }, on: { "input": _vm.updateValue }, nativeOn: { "focus": function($event) {
      return _vm.onFocus.apply(null, arguments);
    }, "blur": function($event) {
      return _vm.onBlur.apply(null, arguments);
    } }, model: { value: _vm.slotData.taValue, callback: function($$v) {
      _vm.$set(_vm.slotData, "taValue", $$v);
    }, expression: "slotData.taValue" } }, "b-form-textarea", _vm.$attrs, false))];
  }, null, _vm.slotData)], 2), _vm._t("infoBlock"), _vm._t("errorBlock", function() {
    return [_vm.error ? _c("div", { staticClass: "text-danger invalid-feedback error-block" }, [_vm._v(" " + _vm._s(_vm.error) + " ")]) : _vm._e()];
  })], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const BaseTextarea = __component__.exports;
export {
  BaseTextarea as default
};
//# sourceMappingURL=BaseTextarea.a9d73767.js.map
