import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const Progress_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  name: "ProgressRing",
  props: {
    strokeWidth: {
      type: Number,
      default: 4
    },
    radius: {
      type: Number,
      default: 38
    },
    percentSize: {
      type: String,
      default: "fz"
    },
    transitionDuration: {
      type: Number,
      default: 1e3
    },
    strokeColor: {
      type: String,
      default: "#aaff00"
    },
    value: {
      validator: function(value) {
        return !Number.isNaN(Number(value)) && Number(value) <= 100;
      },
      default: "0.0"
    }
  },
  data() {
    return {
      offset: "",
      int: 0,
      dec: "00"
    };
  },
  computed: {
    circumference() {
      return this.radius * Math.PI * 2;
    },
    fileStyl() {
      return {
        strokeDashoffset: this.offset,
        "--initialStroke": this.circumference,
        "--transitionDuration": `${this.transitionDuration}ms`,
        "stroke-width": this.strokeWidth,
        stroke: this.strokeColor
      };
    },
    circleSize() {
      return (this.radius + this.strokeWidth) * 2;
    },
    centralP() {
      return this.circleSize / 2;
    }
  },
  methods: {
    countNumber: _.debounce(function(v) {
      this.offset = parseInt(this.circumference * (100 - v) / 100);
    }, 100)
  },
  watch: {
    value: {
      handler: function(v) {
        const n = Number(v);
        if (Number.isNaN(n) || n == 0) {
          return;
        }
        this.countNumber(v);
      },
      immediate: true
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { class: ["vue-circular-progress", `percent-size-${_vm.percentSize}`] }, [_c("div", { staticClass: "circle" }, [_c("svg", { staticClass: "circle__svg", attrs: { "width": _vm.circleSize, "height": _vm.circleSize } }, [_c("circle", { staticClass: "circle__progress circle__progress--path", style: { "stroke-width": _vm.strokeWidth, stroke: _vm.strokeColor }, attrs: { "cx": _vm.centralP, "cy": _vm.centralP, "r": _vm.radius } }), _c("circle", { staticClass: "circle__progress circle__progress--fill", style: _vm.fileStyl, attrs: { "cx": _vm.centralP, "cy": _vm.centralP, "r": _vm.radius } })]), _c("div", { staticClass: "percent" }, [_vm._t("default", function() {
    return [_c("span", { staticClass: "percent__int" }, [_vm._v(_vm._s(_vm.value))]), _c("span", { staticClass: "percent_sign" }, [_vm._v("%")])];
  })], 2)]), _vm._t("footer")], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const Progress = __component__.exports;
export {
  Progress as default
};
//# sourceMappingURL=Progress.c5af7170.js.map
