import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const ViewUploads_vue_vue_type_style_index_0_scoped_aea5493c_lang = "";
const _sfc_main = {
  name: "view-uploads",
  props: {
    valid: {
      type: Boolean,
      description: "Whether is valid",
      default: void 0
    },
    label: {
      type: String,
      description: "Upload label (text before input)"
    },
    nameLabel: {
      type: String,
      default: "upload.file"
    },
    namesLabel: {
      type: String,
      default: "upload.files"
    },
    error: {
      type: String,
      description: "Upload error (below input)"
    },
    labelClasses: {
      type: [String, Array],
      description: "Upload label css classes"
    },
    dataClasses: {
      type: [String, Array],
      description: "Upload css classes"
    },
    downloadButtonClasses: {
      type: [String, Array],
      default: "text-primary"
    },
    value: {
      type: Array,
      description: "Upload value"
    },
    urlPrefix: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      icons: {
        "application/json": "fa-file-code",
        "application/msword": "fa-file-word",
        "application/vnd.openxmlformats-officedocument.presentationml.presentation": "fa-file-powerpoint",
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": "fa-file-excel",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.document": "fa-file-word",
        "application/vnd.ms-excel": "fa-file-excel",
        "application/vnd.ms-powerpoint": "fa-file-powerpoint",
        "application/xml": "fa-file-code",
        "application/&": "fa-file-pdf",
        "application/pdf": "fa-file-pdf",
        "image/jpeg": "fa-file-image",
        "image/svg+xml": "fa-file-image",
        "image/vnd.adobe.photoshop": "fa-file-image",
        "image/vnd.microsoft.icon": "fa-file-image",
        "image/png": "fa-file-image",
        "image/&": "fa-file-image",
        "text/plain": "fa-file-alt",
        "video/mp4": "fa-file-video",
        "video/ogg": "fa-file-video",
        "video/quicktime": "fa-file-video",
        "video/&": "fa-file-video",
        "video/x-&": "fa-file-video"
      },
      mimeTypes: {
        "application/json": "json",
        "application/msword": "doc / dot",
        "application/vnd.openxmlformats-officedocument.presentationml.presentation": "pptx",
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": "xlsx",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.document": "docx",
        "application/vnd.ms-excel": "xla / xls / xlt",
        "application/vnd.ms-powerpoint": "pot / ppa / pps / ppt",
        "application/x-shockwave-flash": "swf",
        "application/xml": "atom / rdf / rss / xml",
        "application/&": "pdf / rtf / zip",
        "application/pdf": "pdf",
        "image/jpeg": "jpe / jpeg / jpg",
        "image/svg+xml": "svg / svgz",
        "image/vnd.adobe.photoshop": "psd",
        "image/vnd.microsoft.icon": "ico",
        "image/png": "png",
        "image/&": "bmp / ief / gif / png / tif / tiff / webp",
        "text/cache-manifest": "appcache / manifest",
        "text/plain": "txt",
        "text/x-component": "htc",
        "text/x-vcard": "vcf",
        "text/&": "css / html / php / vtt",
        "text/x-&": "markdown / md",
        "video/mp4": "mp4 / m4v / f4v / f4p",
        "video/ogg": "ogv",
        "video/quicktime": "mov / qt",
        "video/&": "avi / mpg / vdo / viv / vivo / webm",
        "video/x-&": "flv"
      }
    };
  },
  methods: {
    getFileIcon(type) {
      return this.icons[type] || "fa-file-alt";
    },
    getFileNameIcon(type) {
      return this.icons[type] || "fa-file-alt";
    }
  },
  filters: {
    decimal(value, num = 2) {
      return Number(value).toFixed(num);
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _vm.value.length ? _c("div", { staticClass: "base-view view-uploads" }, [_c("div", { staticClass: "view-group", class: [
    { "has-label": _vm.label || _vm.$slots.label },
    { "has-success": _vm.valid === true },
    { "has-danger": _vm.error || _vm.valid === false },
    { "not-empty": _vm.value || _vm.value === 0 }
  ] }, [_vm._t("label", function() {
    return [_vm.label ? _c("label", { class: _vm.labelClasses }, [_vm._v(" " + _vm._s(_vm.label) + " ")]) : _vm._e()];
  }), _vm._t("default", function() {
    return [_c("div", { staticClass: "files-list-wrapper" }, [_c("ul", { staticClass: "files-list" }, _vm._l(_vm.value, function(fileObj, index) {
      return _c("li", { staticClass: "file-details-row" }, [_c("div", { staticClass: "file-icon" }, [_c("span", [_c("i", { class: ["far", _vm.getFileIcon(fileObj.mime)] })])]), _c("div", { staticClass: "file-details" }, [_c("h6", [_vm._v(_vm._s(fileObj.filename))]), fileObj.error ? _c("p", { staticClass: "text-danger" }, [_vm._v(" " + _vm._s(fileObj.error) + " ")]) : _c("p", [_c("span", [_c("span", { staticClass: "font-weight-700" }, [_vm._v(_vm._s(_vm.$t("upload.type")))]), _vm._v(": " + _vm._s(_vm.mimeTypes[fileObj.mime] || "Unknown"))]), _c("span", { staticClass: "ml-1" }, [_c("span", { staticClass: "font-weight-700" }, [_vm._v(_vm._s(_vm.$t("upload.size")))]), _vm._v(": " + _vm._s(_vm._f("decimal")(fileObj.size / 1024, 0)) + " KB")])])]), _c("div", { class: ["actions-wrapper"] }, [_c("div", { staticClass: "actions-buttons" }, [_c("a", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], class: ["action-btn download-btn", _vm.downloadButtonClasses], attrs: { "href": `${_vm.urlPrefix}/${fileObj.uuid}?file=${fileObj.filename}`, "target": "_blank", "title": _vm.$t("global.download", { attribute: _vm.nameLabel }) } }, [_c("i", { staticClass: "fas fa-download" })])])])]);
    }), 0)])];
  })], 2), _vm._t("infoBlock"), _vm._t("errorBlock", function() {
    return [_vm.error ? _c("div", { staticClass: "text-danger invalid-feedback error-block" }, [_vm._v(" " + _vm._s(_vm.error) + " ")]) : _vm._e()];
  })], 2) : _vm._e();
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  "aea5493c",
  null,
  null
);
const ViewUploads = __component__.exports;
export {
  ViewUploads as default
};
//# sourceMappingURL=ViewUploads.cf0ccac5.js.map
