import { f as form } from "./form.ff4ac955.js";
import { n as normalizeComponent } from "./_plugin-vue2_normalizer.7b9a2fe2.js";
const _sfc_main = {
  extends: form,
  data() {
    return {
      formData: {
        uuid: null,
        username: "",
        email: "",
        profile: {
          name: "",
          gender: null,
          birthDate: null
        },
        password: "",
        passwordConfirmation: "",
        forcePassword: false,
        isAdmin: false,
        role: null
      },
      preRequisite: {
        genders: [],
        roles: []
      },
      formLabels: {
        name: $t("user.props.name"),
        email: $t("user.props.email"),
        gender: $t("user.props.gender"),
        role: $t("config.role.role"),
        birthDate: $t("user.props.birth_date"),
        username: $t("user.props.username"),
        password: $t("user.props.password"),
        passwordConfirmation: $t("user.props.password_confirmation")
      },
      initUrl: "users"
    };
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading || _vm.isFetching, "loader-color": _vm.vars.loaderColor } }), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "auto-focus": "", "label": _vm.formLabels.name, "type": "text", "error": _vm.formErrors.profileName, "required": "", "format": "startCase" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "profileName", $event);
  } }, model: { value: _vm.formData.profile.name, callback: function($$v) {
    _vm.$set(_vm.formData.profile, "name", $$v);
  }, expression: "formData.profile.name" } })], 1), !_vm.formData.isAdmin ? _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.roles, "label": _vm.formLabels.role, "error": _vm.formErrors.role, "required": "", "preselect-first": "" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "role", $event);
  } }, model: { value: _vm.formData.role, callback: function($$v) {
    _vm.$set(_vm.formData, "role", $$v);
  }, expression: "formData.role" } })], 1) : _vm._e(), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.formLabels.email, "type": "text", "error": _vm.formErrors.email, "required": "", "format": "lowercase" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "email", $event);
  } }, model: { value: _vm.formData.email, callback: function($$v) {
    _vm.$set(_vm.formData, "email", $$v);
  }, expression: "formData.email" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.formLabels.username, "type": "text", "error": _vm.formErrors.username, "required": "" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "username", $event);
  } }, model: { value: _vm.formData.username, callback: function($$v) {
    _vm.$set(_vm.formData, "username", $$v);
  }, expression: "formData.username" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.genders, "label": _vm.formLabels.gender, "error": _vm.formErrors.profileGender }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "profileGender", $event);
  } }, model: { value: _vm.formData.profile.gender, callback: function($$v) {
    _vm.$set(_vm.formData.profile, "gender", $$v);
  }, expression: "formData.profile.gender" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.formLabels.birthDate, "addon-right-icon": "far fa-calendar-alt", "type": "text", "error": _vm.formErrors.profileBirthDate, "is-wrapper": true }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "profileBirthDate", $event);
  } }, model: { value: _vm.formData.profile.birthDate, callback: function($$v) {
    _vm.$set(_vm.formData.profile, "birthDate", $$v);
  }, expression: "formData.profile.birthDate" } }, [_c("date-picker", { staticClass: "form-control datepicker", attrs: { "config": _vm.vars.datepickerConfig }, model: { value: _vm.formData.profile.birthDate, callback: function($$v) {
    _vm.$set(_vm.formData.profile, "birthDate", $$v);
  }, expression: "formData.profile.birthDate" } })], 1)], 1), _vm.editData ? [_c("div", { staticClass: "col-12 mt-4 mb-3" }, [_c("base-checkbox", { staticClass: "ml-3 mt-2", model: { value: _vm.formData.forcePassword, callback: function($$v) {
    _vm.$set(_vm.formData, "forcePassword", $$v);
  }, expression: "formData.forcePassword" } }, [_vm._v(" " + _vm._s(_vm.$t("user.force_password")) + " ")])], 1)] : _vm._e(), !_vm.editData || _vm.formData.forcePassword ? [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.formLabels.password, "type": "password", "error": _vm.formErrors.password, "required": "", "autocomplete": "new-password" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "password", $event);
  } }, model: { value: _vm.formData.password, callback: function($$v) {
    _vm.$set(_vm.formData, "password", $$v);
  }, expression: "formData.password" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.formLabels.passwordConfirmation, "type": "password", "error": _vm.formErrors.passwordConfirmation, "required": "", "autocomplete": "new-password" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "passwordConfirmation", $event);
  } }, model: { value: _vm.formData.passwordConfirmation, callback: function($$v) {
    _vm.$set(_vm.formData, "passwordConfirmation", $$v);
  }, expression: "formData.passwordConfirmation" } })], 1)] : _vm._e()], 2), _vm.formHasErrors ? _c("div", { staticClass: "alert alert-danger my-3", attrs: { "role": "alert" } }, [_c("h6", { staticClass: "m-0" }, [_vm._v(_vm._s(_vm.$t("general.form_has_errors")))])]) : _vm._e(), _c("div", { staticClass: "form-footer mt-3" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
    return _vm.$router.back();
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))]), _vm.showKeepAdding ? _c("base-checkbox", { staticClass: "ml-3 mt-2", model: { value: _vm.keepAdding, callback: function($$v) {
    _vm.keepAdding = $$v;
  }, expression: "keepAdding" } }, [_vm._v(" " + _vm._s(_vm.$t("general.keep_adding")) + " ")]) : _vm._e()], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_c("i", { staticClass: "fas fa-save" }), _vm._v(" " + _vm._s(_vm.$t("global.save", { attribute: _vm.$t("user.user") })))])], 1)]), _vm.showKeepAdding && _vm.keepAdding ? [_c("keep-adding-form", { attrs: { "keep-adding-fields": _vm.keepAddingFields, "keep-adding-option": _vm.keepAddingOption, "keep-adding-selected-fields": _vm.keepAddingSelectedFields, "is-loading": _vm.isLoading }, on: { "optionUpdated": function($event) {
    _vm.keepAddingOption = $event;
  }, "fieldsUpdated": function($event) {
    _vm.keepAddingSelectedFields = $event;
  } } })] : _vm._e()], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const CommonForm = __component__.exports;
export {
  CommonForm as C
};
//# sourceMappingURL=form.0c08e4d1.js.map
