import { f as form } from "./form.ff4ac955.js";
import { n as normalizeComponent } from "./_plugin-vue2_normalizer.7b9a2fe2.js";
const _sfc_main = {
  extends: form,
  data() {
    return {
      formData: {
        uuid: null,
        name: "",
        slug: "",
        description: "",
        parent: null,
        type: null
      },
      hasSlug: false,
      hasParent: false,
      preRequisite: {
        options: []
      },
      formLabels: {
        name: $t("option.props.name"),
        slug: $t("option.props.slug"),
        description: $t("option.props.description"),
        parent: $t("option.props.parent"),
        type: $t("option.props.type")
      },
      initUrl: "options",
      entityTitle: "option.option"
    };
  },
  computed: {
    computedClass() {
      return this.hasSlug && this.hasParent ? "col-md-4" : this.hasSlug || this.hasParent ? "col-md-6" : "";
    }
  },
  methods: {
    createSlug() {
      if (this.showKeepAdding && this.formData.name != this.initialFormData.name) {
        this.formData.slug = this.formData.name.kebabCase();
      } else {
        this.formData.slug = this.formData.slug ? this.formData.slug : this.formData.name.kebabCase();
      }
    },
    preSubmit() {
      this.createSlug();
      if (this.hasParent && !this.formData.parent) {
        this.$toasted.error($t("global.invalid", { attribute: $t("option.props.parent") }), this.$toastConfig.error);
        return;
      }
      this.submit();
    }
  },
  mounted() {
    this.getInitialData();
  },
  beforeMount() {
    const meta = this.$route.meta;
    this.customFilters.type = meta.optionType;
    this.formData.type = meta.optionType;
    this.entityTitle = meta.entityTitle;
    this.hasSlug = meta.hasSlug;
    this.hasParent = meta.hasParent;
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.preSubmit.apply(null, arguments);
  } } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading || _vm.isFetching, "loader-color": _vm.vars.loaderColor } }), _c("div", { staticClass: "row" }, [_c("div", { class: ["col-12 mb-4", _vm.computedClass] }, [_c("base-input", { attrs: { "auto-focus": "", "label": _vm.formLabels.name, "type": "text", "error": _vm.formErrors.name, "required": "" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "name", $event);
  }, "blur": _vm.createSlug }, model: { value: _vm.formData.name, callback: function($$v) {
    _vm.$set(_vm.formData, "name", $$v);
  }, expression: "formData.name" } })], 1), _vm.hasSlug ? _c("div", { class: ["col-12 mb-4", _vm.computedClass] }, [_c("base-input", { attrs: { "label": _vm.formLabels.slug, "type": "text", "error": _vm.formErrors.slug, "format": "kebabCase", "required": "" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "slug", $event);
  }, "focus": _vm.createSlug, "blur": _vm.createSlug }, model: { value: _vm.formData.slug, callback: function($$v) {
    _vm.$set(_vm.formData, "slug", $$v);
  }, expression: "formData.slug" } })], 1) : _vm._e(), _vm.hasParent ? _c("div", { class: ["col-12 mb-4", _vm.computedClass] }, [_c("base-select", { attrs: { "options": _vm.preRequisite.options, "label": _vm.formLabels.parent, "error": _vm.formErrors.parent, "allow-empty": true, "disabled": _vm.isLoading, "track-by": "uuid", "show-by": "nameWithParents" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "parent", $event);
  } }, model: { value: _vm.formData.parent, callback: function($$v) {
    _vm.$set(_vm.formData, "parent", $$v);
  }, expression: "formData.parent" } })], 1) : _vm._e(), _c("div", { staticClass: "col-12 mb-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.description, "type": "text", "error": _vm.formErrors.description }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "description", $event);
  } }, model: { value: _vm.formData.description, callback: function($$v) {
    _vm.$set(_vm.formData, "description", $$v);
  }, expression: "formData.description" } })], 1)]), _vm.formHasErrors ? _c("div", { staticClass: "alert alert-danger my-3", attrs: { "role": "alert" } }, [_c("h6", { staticClass: "m-0" }, [_vm._v(_vm._s(_vm.$t("general.form_has_errors")))])]) : _vm._e(), _c("div", { staticClass: "form-footer mt-5" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
    return _vm.$router.back();
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))]), _vm.showKeepAdding ? _c("base-checkbox", { staticClass: "ml-3 mt-2", model: { value: _vm.keepAdding, callback: function($$v) {
    _vm.keepAdding = $$v;
  }, expression: "keepAdding" } }, [_vm._v(" " + _vm._s(_vm.$t("general.keep_adding")) + " ")]) : _vm._e()], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_c("i", { staticClass: "fas fa-save" }), _vm._v(" " + _vm._s(_vm.$t("global.save", { attribute: _vm.$t(_vm.entityTitle) })))])], 1)]), _vm.showKeepAdding && _vm.keepAdding ? [_c("keep-adding-form", { attrs: { "keep-adding-fields": _vm.keepAddingFields, "keep-adding-option": _vm.keepAddingOption, "keep-adding-selected-fields": _vm.keepAddingSelectedFields, "is-loading": _vm.isLoading }, on: { "optionUpdated": function($event) {
    _vm.keepAddingOption = $event;
  }, "fieldsUpdated": function($event) {
    _vm.keepAddingSelectedFields = $event;
  } } })] : _vm._e()], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const CommonForm = __component__.exports;
export {
  CommonForm as C
};
//# sourceMappingURL=form.fa8806c1.js.map
