import { s as store, C as formatCurrency } from "../app.9a8150b2.js";
import "../vendor/vendor-core.2a9962eb.js";
import "../vendor/vendor-others.d4f8aae2.js";
import "../vendor/vendor-essential.31dae676.js";
import "../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../vendor/vendor-vue-gtag.137cb49d.js";
const vars = store.getters["config/vars"];
function arrayOfObjects(value, opts) {
  let toReturn = "";
  if (value && value.length && opts) {
    value.forEach((detail) => {
      if (toReturn) {
        toReturn += ", ";
      }
      toReturn += `${detail[opts.firstAttr][opts.firstAttr2]} (${formatCurrency.to(detail[opts.secondAttr], vars.defaultCurrency, true, false, true, false)})`;
    });
  }
  return toReturn;
}
function uppercase(val) {
  return val.toUpperCase();
}
function capitalize(val) {
  return val.capitalize();
}
function lowercase(val) {
  return val.toLowerCase();
}
function objectWithName({ name }) {
  return name;
}
function contact({ name }) {
  return name;
}
function contactWithAlias({ name, alias }) {
  return `${name} (${alias})`;
}
function contactWithAssociation({ name, designation }) {
  return `${name} (${designation})`;
}
function user(user2) {
  return user2.profile ? user2.profile.name || user2.username : user2.username;
}
function employee({ name }) {
  return name;
}
function employeeWithAlias({ name, alias }) {
  return `${name} (${alias})`;
}
function getRegion(value, item = {}) {
  let region = item ? item.city : "";
  region = region ? item.zipcode ? `${region} - ${item.zipcode}` : region : "";
  region = item.state ? region ? `${region}, ${item.state}` : item.state : region;
  region = item.country ? region ? `${region}, ${item.country.name}` : item.country.name : region;
  return region;
}
function percent(content) {
  return `${content} %`;
}
function date(content) {
  return moment(content, vars.serverDateFormat).format(vars.defaultDateFormat);
}
function datetime(content) {
  return moment(content, vars.serverDateTimeFormat).format(vars.defaultDateTimeFormat);
}
function truncateString(content, opts) {
  const max = opts.max || 30;
  const suffix = content.length > max ? opts.suffix || "..." : "";
  return content.slice(0, max) + suffix;
}
function limitWords(content, opts) {
  const contentArr = content.split(" ");
  const max = opts.max || 3;
  const suffix = contentArr.length > max ? opts.suffix || "..." : "";
  return contentArr.slice(0, max).join(" ") + suffix;
}
function badgeStatus(status) {
  return status ? "true" : "false";
}
function badgeStatusYesNo(status) {
  return status ? $t("general.yes") : $t("general.no");
}
function badgeStatusLabel(status, opts) {
  return status ? $t("general.yes") : $t("general.no");
}
function badgeStatusCompleted(status) {
  return status ? $t("utility.todo.completed") : $t("utility.todo.incomplete");
}
function currency(value, opts) {
  const currency2 = opts && opts.currency ? opts.currency : vars.defaultCurrency;
  return formatCurrency.to(value, currency2, true);
}
function getCurrencyDescription(value, item = {}) {
  return `${item.currency.name} - ${item.currency.description} (${item.currency.symbol})`;
}
export {
  arrayOfObjects,
  badgeStatus,
  badgeStatusCompleted,
  badgeStatusLabel,
  badgeStatusYesNo,
  capitalize,
  contact,
  contactWithAlias,
  contactWithAssociation,
  currency,
  date,
  datetime,
  employee,
  employeeWithAlias,
  getCurrencyDescription,
  getRegion,
  limitWords,
  lowercase,
  objectWithName,
  percent,
  truncateString,
  uppercase,
  user
};
//# sourceMappingURL=transformers.f12abdae.js.map
