import { t as table } from "../../../table.f559165b.js";
import { f as filterForm } from "../../../filter-form.416a20d1.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import { u as uaParser } from "../../../vendor/vendor-ua-parser-js.82e93656.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-core.2a9962eb.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../header.a91390e7.js";
import "../../../event-bus.0afcd682.js";
const _sfc_main$1 = {
  extends: filterForm
};
var _sfc_render$1 = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("filter-wrapper", { attrs: { "boxed": _vm.boxed, "is-loading": _vm.isLoading }, on: { "close": function($event) {
    return _vm.$emit("close");
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 mb-3" }, [_c("date-between", { attrs: { "label": _vm.$t("global.between", { attribute: _vm.$t("activity.activities") }), "start": _vm.filters.startDate, "end": _vm.filters.endDate, "disabled": _vm.isLoading }, on: { "update:start": function($event) {
    return _vm.$set(_vm.filters, "startDate", $event);
  }, "update:end": function($event) {
    return _vm.$set(_vm.filters, "endDate", $event);
  } } })], 1)])]);
};
var _sfc_staticRenderFns$1 = [];
var __component__$1 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$1,
  _sfc_render$1,
  _sfc_staticRenderFns$1,
  false,
  null,
  null,
  null,
  null
);
const FilterForm = __component__$1.exports;
const _sfc_main = {
  components: {
    FilterForm
  },
  extends: table,
  data() {
    return {
      fields: [
        {
          key: "createdAt",
          label: $t("activity.props.created_at"),
          sort: "created_at"
        },
        {
          key: "causer",
          label: $t("user.user")
        },
        {
          key: "description",
          label: $t("activity.props.description")
        },
        {
          key: "ip",
          label: $t("activity.props.ip")
        },
        {
          key: "browser",
          label: $t("activity.props.browser")
        },
        {
          key: "os",
          label: $t("activity.props.os")
        }
      ],
      filtersOptions: {
        startDate: "",
        endDate: ""
      },
      sortOptions: {
        hasScroll: true
      },
      columnsOptions: {
        hasScroll: true
      },
      exportOptions: {
        orientation: "l"
      },
      initUrl: "activities",
      dataType: "activity"
    };
  },
  methods: {
    getAgent(agentString, key, asString = false) {
      let parserObj = new uaParser.exports.UAParser(agentString);
      parserObj = parserObj.getResult();
      return asString ? `${parserObj[key]["name"]} (${parserObj[key]["version"]})` : parserObj[key];
    }
  },
  mounted() {
    this.updatePageMeta();
  }
};
var _sfc_render = function render2() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "entity-list-container" }, [_c("collapse-transition", { attrs: { "group": true, "duration": 300, "tag": "div" } }, [_vm.showFilters ? _c("filter-form", { key: "filters", attrs: { "boxed": true }, on: { "close": _vm.toggleFilter } }) : _vm._e(), _c("base-container", { key: "list", staticClass: "p-0", attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_vm.isInitialized ? _c("table-wrapper", { attrs: { "meta": _vm.entities.meta, "filtered": _vm.isFiltered, "entity-title": "activity.activity", "entities-title": "activity.activities", "entity-description": "activity.module_description" } }, [_c("b-table", { directives: [{ name: "show", rawName: "v-show", value: _vm.entities.meta.total, expression: "entities.meta.total" }], ref: "btable", attrs: { "items": _vm.itemsProvider, "fields": _vm.fields, "busy": _vm.isLoading, "hover": "", "striped": "", "stacked": "sm", "per-page": _vm.entities.meta.perPage, "current-page": _vm.entities.meta.currentPage, "filters": null }, on: { "update:busy": function($event) {
    _vm.isLoading = $event;
  } }, scopedSlots: _vm._u([{ key: "cell(createdAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.createdAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(causer)", fn: function(row) {
    return [row.item.causer ? _c("view-user", { staticClass: "m-0", attrs: { "value": row.item.causer, "show-sub": false, "inline-sub": "", "show-image": false, "data-classes": "m-0" } }) : _c("span", { staticClass: "text-muted" }, [_vm._v("-")])];
  } }, { key: "cell(ip)", fn: function(row) {
    return [row.item.properties && row.item.properties.ip ? _c("span", [_vm._v(_vm._s(row.item.properties.ip))]) : _c("span", { staticClass: "text-muted" }, [_vm._v("-")])];
  } }, { key: "cell(browser)", fn: function(row) {
    return [row.item.properties && row.item.properties.userAgent ? _c("span", [_vm._v(_vm._s(_vm.getAgent(row.item.properties.userAgent, "browser", true)))]) : _c("span", { staticClass: "text-muted" }, [_vm._v("-")])];
  } }, { key: "cell(os)", fn: function(row) {
    return [row.item.properties && row.item.properties.userAgent ? _c("span", [_vm._v(_vm._s(_vm.getAgent(row.item.properties.userAgent, "os", true)))]) : _c("span", { staticClass: "text-muted" }, [_vm._v("-")])];
  } }], null, false, 2465401647) })], 1) : _vm._e()], 1)], 1)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=activity-index.407b3ddd.js.map
