import { f as form } from "../../../../config-form.7cab216a.js";
import { C as CollapseTransition } from "../../../../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  extends: form,
  components: {
    CollapseTransition
  },
  data() {
    return {
      formData: {
        driver: "",
        fromName: "",
        fromAddress: "",
        smtpHost: "",
        smtpPort: "",
        smtpUsername: "",
        smtpPassword: "",
        smtpEncryption: "",
        mailgunDomain: "",
        mailgunSecret: "",
        mailgunEndpoint: "",
        type: "mail"
      },
      preRequisite: {
        mailDrivers: [],
        mailEncryptions: []
      }
    };
  },
  computed: {
    selectedDriver: {
      get() {
        return this.findActualValue(this.formData.driver, this.preRequisite.mailDrivers);
      },
      set(v) {
        this.formData.driver = v.name;
      }
    },
    selectedMailgunEncryption: {
      get() {
        return this.findActualValue(this.formData.mailgunEncryption, this.preRequisite.mailEncryptions);
      },
      set(v) {
        this.formData.mailgunEncryption = v.name;
      }
    },
    selectedSmtpEncryption: {
      get() {
        return this.findActualValue(this.formData.smtpEncryption, this.preRequisite.mailEncryptions);
      },
      set(v) {
        this.formData.smtpEncryption = v.name;
      }
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.mailDrivers, "label": _vm.$t("config.mail.driver"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading, "required": "" }, model: { value: _vm.formData.driver, callback: function($$v) {
    _vm.$set(_vm.formData, "driver", $$v);
  }, expression: "formData.driver" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.from_name"), "type": "text", "error": _vm.formErrors.fromName }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "fromName", $event);
  } }, model: { value: _vm.formData.fromName, callback: function($$v) {
    _vm.$set(_vm.formData, "fromName", $$v);
  }, expression: "formData.fromName" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.from_address"), "type": "text", "error": _vm.formErrors.fromAddress }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "fromAddress", $event);
  } }, model: { value: _vm.formData.fromAddress, callback: function($$v) {
    _vm.$set(_vm.formData, "fromAddress", $$v);
  }, expression: "formData.fromAddress" } })], 1)]), _c("collapse-transition", [_vm.formData.driver === "mailgun" ? _c("div", { staticClass: "row mt-5" }, [_c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.mailgun_domain"), "type": "text", "error": _vm.formErrors.mailgunDomain }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "mailgunDomain", $event);
  } }, model: { value: _vm.formData.mailgunDomain, callback: function($$v) {
    _vm.$set(_vm.formData, "mailgunDomain", $$v);
  }, expression: "formData.mailgunDomain" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.mailgun_secret"), "type": "text", "error": _vm.formErrors.mailgunSecret }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "mailgunSecret", $event);
  } }, model: { value: _vm.formData.mailgunSecret, callback: function($$v) {
    _vm.$set(_vm.formData, "mailgunSecret", $$v);
  }, expression: "formData.mailgunSecret" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.mailgun_endpoint"), "type": "text", "error": _vm.formErrors.mailgunEndpoint }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "mailgunEndpoint", $event);
  } }, model: { value: _vm.formData.mailgunEndpoint, callback: function($$v) {
    _vm.$set(_vm.formData, "mailgunEndpoint", $$v);
  }, expression: "formData.mailgunEndpoint" } })], 1)]) : _vm._e(), _vm.formData.driver === "smtp" ? _c("div", { staticClass: "row mt-5" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_host"), "type": "text", "error": _vm.formErrors.smtpHost }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpHost", $event);
  } }, model: { value: _vm.formData.smtpHost, callback: function($$v) {
    _vm.$set(_vm.formData, "smtpHost", $$v);
  }, expression: "formData.smtpHost" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_port"), "type": "text", "error": _vm.formErrors.smtpPort }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpPort", $event);
  } }, model: { value: _vm.formData.smtpPort, callback: function($$v) {
    _vm.$set(_vm.formData, "smtpPort", $$v);
  }, expression: "formData.smtpPort" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.mailEncryptions, "label": _vm.$t("config.mail.smtp_encryption"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading, "required": "" }, model: { value: _vm.formData.smtpEncryption, callback: function($$v) {
    _vm.$set(_vm.formData, "smtpEncryption", $$v);
  }, expression: "formData.smtpEncryption" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_username"), "type": "text", "error": _vm.formErrors.smtpUsername }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpUsername", $event);
  } }, model: { value: _vm.formData.smtpUsername, callback: function($$v) {
    _vm.$set(_vm.formData, "smtpUsername", $$v);
  }, expression: "formData.smtpUsername" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_password"), "type": "text", "error": _vm.formErrors.smtpPassword }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpPassword", $event);
  } }, model: { value: _vm.formData.smtpPassword, callback: function($$v) {
    _vm.$set(_vm.formData, "smtpPassword", $$v);
  }, expression: "formData.smtpPassword" } })], 1)]) : _vm._e()]), _c("div", { staticClass: "text-right mt-5" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_vm._v(_vm._s(_vm.$t("general.save")))])], 1)], 1)]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=mail-index.7bed2d4c.js.map
