import { m as mapGetters, i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import { E as EventBus } from "../../../event-bus.0afcd682.js";
import { F as FileUploader } from "../../../FileUploader.a3ada0d1.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../uploader.39656730.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  components: {
    FileUploader
  },
  data() {
    return {
      formData: {
        uuid: null,
        columns: [],
        updated: false,
        uploaded: false
      },
      formErrors: {},
      preRequisite: {
        items: [],
        options: []
      },
      uploaderConfig: {
        allowedExtensions: ["csv"],
        maxNoOfFiles: 1
      },
      initialFormData: null,
      isLoading: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ])
  },
  methods: {
    ...mapActions("common", [
      "Store",
      "Init"
    ]),
    submit() {
      if (formUtil.isUnchanged(this.initialFormData, this.formData)) {
        this.$toasted.info(this.$t("general.nothing_changed"), this.$toastConfig.info);
        return false;
      }
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          this.isLoading = true;
          this.Store(this.formData).then((response) => {
            this.$toasted.success(response.message, this.$toastConfig);
            this.clear();
            this.isLoading = false;
          }).catch((error) => {
            this.isLoading = false;
            this.formErrors = formUtil.handleErrors(error);
          });
        }
      });
    },
    unsavedCheck(next) {
      formUtil.unsavedCheckAlert(this.initialFormData, this.formData, next);
    },
    clear() {
      this.formData.uuid = null;
      this.preRequisite.items = [];
      this.preRequisite.options = [];
      this.formData.columns = [];
      this.formData.uploaded = false;
      this.formData.updated = false;
    },
    handleFileUpload(response) {
      if (response.uuid) {
        this.formData.uuid = response.uuid;
        this.preRequisite.items = response.items;
        this.preRequisite.options = response.options;
        const itemsObj = response.items[0];
        const items = Array.from(Object.keys(itemsObj), (k) => itemsObj[k]);
        this.formData.columns = items.map((val, index) => {
          return {
            selected: response.options[index]
          };
        });
        this.formData.uploaded = true;
        this.formData.updated = true;
      }
    }
  },
  mounted() {
    EventBus.$off("ROUTE_LEAVING", this.unsavedCheck);
    EventBus.$on("ROUTE_LEAVING", this.unsavedCheck);
    this.Init({ url: "contacts/import/finish" });
  },
  destroyed() {
    EventBus.$off("ROUTE_LEAVING", this.unsavedCheck);
  },
  beforeRouteLeave(to, from, next) {
    EventBus.$emit("ROUTE_LEAVING", next);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [!_vm.formData.uploaded ? _c("div", { staticClass: "py-5" }, [_c("file-uploader", { attrs: { "name-label": "upload.file", "options": _vm.uploaderConfig, "multiple": false, "url": "/contacts/import/start", "button-classes": "justify-content-center" }, on: { "updated": _vm.handleFileUpload } })], 1) : _c("div", { staticClass: "mt-3" }, [_c("h5", { staticClass: "pb-4" }, [_vm._v(_vm._s(_vm.$t("general.choose_columns")))]), _c("div", { staticClass: "row" }, _vm._l(_vm.formData.columns, function(column, index) {
    return _c("div", { staticClass: "col-12 col-md-3 mb-5" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.options, "label": _vm.$t("general.column", { number: index + 1 }), "error": _vm.formErrors["column" + index], "allow-empty": false, "disabled": _vm.isLoading }, on: { "update:error": function($event) {
      return _vm.$set(_vm.formErrors, "column" + index, $event);
    } }, model: { value: column.selected, callback: function($$v) {
      _vm.$set(column, "selected", $$v);
    }, expression: "column.selected" } }), _c("h6", { staticClass: "small text-muted px-2 font-weight-bold" }, [_vm._v(" " + _vm._s(_vm.$t("general.sample")) + ": "), _c("span", { staticClass: "text-muted px-2 comma-list" }, [_vm._l(_vm.preRequisite.items, function(item) {
      return [item[index] ? _c("span", [_vm._v(_vm._s(item[index]))]) : _vm._e()];
    })], 2)])], 1);
  }), 0), _c("div", { staticClass: "form-footer" }, [_c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_vm._v(_vm._s(_vm.$t("global.import", { attribute: _vm.$t("contact.contacts") })))])], 1)])])])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const _import = __component__.exports;
export {
  _import as default
};
//# sourceMappingURL=import.c4aa0762.js.map
