import { f as form } from "../../../../config-form.7cab216a.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../vendor/vendor-core.2a9962eb.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  extends: form,
  data() {
    return {
      formData: {
        allowDeletingEndedMeetings: false,
        allowDeletingCancelledMeetings: false,
        cardLayout: false,
        cardLayoutDesign: "default",
        enablePaidMeeting: false,
        instantMeetingAutoEnded: 180,
        debugMode: false,
        forceTurn: false,
        rtcLibrary: "rtcmc",
        canShareFiles: true,
        canShareScreen: true,
        canShareLink: true,
        canUseWhiteboard: true,
        canUseHandGesture: true,
        canToggleLayout: true,
        canToggleInfo: true,
        enableChat: true,
        autoCreateChatRoom: true,
        autoOpenChat: true,
        muteParticipantsOnStart: false,
        askHostBeforeJoining: false,
        speechDetection: true,
        layout: "grid",
        maxParticipantCount: 1e3,
        enablePoll: false,
        type: "meeting"
      },
      cardLayoutDesigns: [
        { uuid: "default", label: $t("meeting.config.card_layout_design_default") },
        { uuid: "design1", label: $t("meeting.config.card_layout_design_design1") }
      ],
      rtcLibraries: [
        { uuid: "rtcmc", label: "RTCMC" }
      ]
    };
  },
  methods: {
    regenerateNavigation() {
      this.Generate().then(() => {
        this.isLoading = false;
      });
    },
    afterSubmit() {
      this.regenerateNavigation();
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.allow_deleting_ended_meetings") } }, [_c("base-switch", { model: { value: _vm.formData.allowDeletingEndedMeetings, callback: function($$v) {
    _vm.$set(_vm.formData, "allowDeletingEndedMeetings", $$v);
  }, expression: "formData.allowDeletingEndedMeetings" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.allow_deleting_cancelled_meetings") } }, [_c("base-switch", { model: { value: _vm.formData.allowDeletingCancelledMeetings, callback: function($$v) {
    _vm.$set(_vm.formData, "allowDeletingCancelledMeetings", $$v);
  }, expression: "formData.allowDeletingCancelledMeetings" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("global.need_reload", { attribute: _vm.$t("general.card_layout") }) } }, [_c("base-switch", { model: { value: _vm.formData.cardLayout, callback: function($$v) {
    _vm.$set(_vm.formData, "cardLayout", $$v);
  }, expression: "formData.cardLayout" } })], 1)], 1), _vm.allowExtraInput ? _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.enable_paid_meeting") } }, [_c("base-switch", { model: { value: _vm.formData.enablePaidMeeting, callback: function($$v) {
    _vm.$set(_vm.formData, "enablePaidMeeting", $$v);
  }, expression: "formData.enablePaidMeeting" } })], 1)], 1) : _vm._e(), _c("div", { staticClass: "col-12" }), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("meeting.config.instant_meeting_auto_ended"), "type": "number", "error": _vm.formErrors.instantMeetingAutoEnded, "select-on-focus": "", "addon-right-text": _vm.$t("list.general.durations.minutes") }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "instantMeetingAutoEnded", $event);
  }, "wheel": function($event) {
    $event.stopPropagation();
    $event.preventDefault();
  } }, model: { value: _vm.formData.instantMeetingAutoEnded, callback: function($$v) {
    _vm.$set(_vm.formData, "instantMeetingAutoEnded", $$v);
  }, expression: "formData.instantMeetingAutoEnded" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("meeting.config.max_participant_count"), "type": "number", "error": _vm.formErrors.maxParticipantCount, "select-on-focus": "" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "maxParticipantCount", $event);
  }, "wheel": function($event) {
    $event.stopPropagation();
    $event.preventDefault();
  } }, model: { value: _vm.formData.maxParticipantCount, callback: function($$v) {
    _vm.$set(_vm.formData, "maxParticipantCount", $$v);
  }, expression: "formData.maxParticipantCount" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-select", { attrs: { "options": _vm.rtcLibraries, "label": _vm.$t("meeting.config.rtc_library"), "allow-empty": false, "preselect-first": "", "simple": "", "track-by": "uuid", "show-by": "label" }, model: { value: _vm.formData.rtcLibrary, callback: function($$v) {
    _vm.$set(_vm.formData, "rtcLibrary", $$v);
  }, expression: "formData.rtcLibrary" } })], 1), _vm.formData.cardLayout ? _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-select", { attrs: { "options": _vm.cardLayoutDesigns, "label": _vm.$t("meeting.config.card_layout_design"), "allow-empty": false, "preselect-first": "", "simple": "", "track-by": "uuid", "show-by": "label" }, model: { value: _vm.formData.cardLayoutDesign, callback: function($$v) {
    _vm.$set(_vm.formData, "cardLayoutDesign", $$v);
  }, expression: "formData.cardLayoutDesign" } })], 1) : _vm._e()]), _c("h5", { staticClass: "mb-4 mt-5 pb-2 border-bottom" }, [_vm._v(_vm._s(_vm.$t("meeting.config.miscellaneous")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_share_files") } }, [_c("base-switch", { model: { value: _vm.formData.canShareFiles, callback: function($$v) {
    _vm.$set(_vm.formData, "canShareFiles", $$v);
  }, expression: "formData.canShareFiles" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_share_screen") } }, [_c("base-switch", { model: { value: _vm.formData.canShareScreen, callback: function($$v) {
    _vm.$set(_vm.formData, "canShareScreen", $$v);
  }, expression: "formData.canShareScreen" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_share_link") } }, [_c("base-switch", { model: { value: _vm.formData.canShareLink, callback: function($$v) {
    _vm.$set(_vm.formData, "canShareLink", $$v);
  }, expression: "formData.canShareLink" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_use_whiteboard") } }, [_c("base-switch", { model: { value: _vm.formData.canUseWhiteboard, callback: function($$v) {
    _vm.$set(_vm.formData, "canUseWhiteboard", $$v);
  }, expression: "formData.canUseWhiteboard" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_use_hand_gesture") } }, [_c("base-switch", { model: { value: _vm.formData.canUseHandGesture, callback: function($$v) {
    _vm.$set(_vm.formData, "canUseHandGesture", $$v);
  }, expression: "formData.canUseHandGesture" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_toggle_layout") } }, [_c("base-switch", { model: { value: _vm.formData.canToggleLayout, callback: function($$v) {
    _vm.$set(_vm.formData, "canToggleLayout", $$v);
  }, expression: "formData.canToggleLayout" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_toggle_info") } }, [_c("base-switch", { model: { value: _vm.formData.canToggleInfo, callback: function($$v) {
    _vm.$set(_vm.formData, "canToggleInfo", $$v);
  }, expression: "formData.canToggleInfo" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.enable_chat") } }, [_c("base-switch", { model: { value: _vm.formData.enableChat, callback: function($$v) {
    _vm.$set(_vm.formData, "enableChat", $$v);
  }, expression: "formData.enableChat" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.auto_open_chat") } }, [_c("base-switch", { model: { value: _vm.formData.autoOpenChat, callback: function($$v) {
    _vm.$set(_vm.formData, "autoOpenChat", $$v);
  }, expression: "formData.autoOpenChat" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.auto_create_chat_room") } }, [_c("base-switch", { model: { value: _vm.formData.autoCreateChatRoom, callback: function($$v) {
    _vm.$set(_vm.formData, "autoCreateChatRoom", $$v);
  }, expression: "formData.autoCreateChatRoom" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.mute_participants_on_start") } }, [_c("base-switch", { model: { value: _vm.formData.muteParticipantsOnStart, callback: function($$v) {
    _vm.$set(_vm.formData, "muteParticipantsOnStart", $$v);
  }, expression: "formData.muteParticipantsOnStart" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.ask_host_before_joining") } }, [_c("base-switch", { model: { value: _vm.formData.askHostBeforeJoining, callback: function($$v) {
    _vm.$set(_vm.formData, "askHostBeforeJoining", $$v);
  }, expression: "formData.askHostBeforeJoining" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.speech_detection") } }, [_c("base-switch", { model: { value: _vm.formData.speechDetection, callback: function($$v) {
    _vm.$set(_vm.formData, "speechDetection", $$v);
  }, expression: "formData.speechDetection" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.enable_poll") } }, [_c("base-switch", { model: { value: _vm.formData.enablePoll, callback: function($$v) {
    _vm.$set(_vm.formData, "enablePoll", $$v);
  }, expression: "formData.enablePoll" } })], 1)], 1)]), _c("h5", { staticClass: "mb-4 mt-5 pb-2 border-bottom" }, [_vm._v(_vm._s(_vm.$t("meeting.config.for_debugging")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.debug_mode") } }, [_c("base-switch", { model: { value: _vm.formData.debugMode, callback: function($$v) {
    _vm.$set(_vm.formData, "debugMode", $$v);
  }, expression: "formData.debugMode" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.force_turn") } }, [_c("base-switch", { model: { value: _vm.formData.forceTurn, callback: function($$v) {
    _vm.$set(_vm.formData, "forceTurn", $$v);
  }, expression: "formData.forceTurn" } })], 1)], 1)]), _c("div", { staticClass: "form-footer mt-5" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
    return _vm.$router.back();
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))])], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_c("i", { staticClass: "fas fa-save" }), _vm._v(" " + _vm._s(_vm.$t("general.save")))])], 1)])])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const general = __component__.exports;
export {
  general as default
};
//# sourceMappingURL=general.91107070.js.map
