import { f as form } from "../../../../config-form.7cab216a.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../vendor/vendor-core.2a9962eb.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  extends: form,
  data() {
    return {
      formData: {
        canRecord: true,
        enableAutoRecording: false,
        autoUploadRecording: false,
        autoUploadRecorded: false,
        canStopAutoRecording: false,
        recordingFormatAudio: "audio/webm",
        recordingFormatVideo: "video/webm",
        rtcLibrary: "rtcmc",
        type: "meeting"
      },
      mimeTypesAudio: [
        { uuid: "audio/webm", label: "audio/webm" },
        { uuid: "audio/wav", label: "audio/wav" },
        { uuid: "audio/webm;codecs=pcm", label: "audio/webm;codecs=pcm" }
      ],
      mimeTypesVideo: [
        { uuid: "video/mp4", label: "video/mp4" },
        { uuid: "video/webm", label: "video/webm" },
        { uuid: "video/webm;codecs=vp9", label: "video/webm;codecs=vp9" },
        { uuid: "video/webm;codecs=vp8", label: "video/webm;codecs=vp8" },
        { uuid: "video/webm;codecs=h264", label: "video/webm;codecs=h264" },
        { uuid: "video/x-matroska;codecs=avc1", label: "video/x-matroska;codecs=avc1" }
      ]
    };
  },
  methods: {
    autoUploadRecordedChanged() {
      this.formData.autoUploadRecording = this.formData.autoUploadRecorded ? false : this.formData.autoUploadRecording;
    },
    autoUploadRecordingChanged() {
      this.formData.autoUploadRecorded = this.formData.autoUploadRecording ? false : this.formData.autoUploadRecorded;
    },
    beforeSubmit() {
      this.formData.autoUploadRecorded = this.formData.autoUploadRecording ? false : this.formData.autoUploadRecorded;
      return true;
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("h5", { staticClass: "mb-4 pb-3 border-bottom" }, [_vm._v(_vm._s(_vm.$t("meeting.config.recording")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_record") } }, [_c("base-switch", { model: { value: _vm.formData.canRecord, callback: function($$v) {
    _vm.$set(_vm.formData, "canRecord", $$v);
  }, expression: "formData.canRecord" } })], 1)], 1)]), _vm.formData.canRecord && _vm.formData.rtcLibrary === "rtcmc" ? [_c("h5", { staticClass: "mb-4 pb-3 border-bottom" }, [_vm._v(_vm._s(_vm.$t("meeting.config.for_rtc_library", { attribute: "RTCMC" })))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.enable_auto_recording") } }, [_c("base-switch", { model: { value: _vm.formData.enableAutoRecording, callback: function($$v) {
    _vm.$set(_vm.formData, "enableAutoRecording", $$v);
  }, expression: "formData.enableAutoRecording" } })], 1)], 1), _vm.formData.enableAutoRecording ? _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.can_stop_auto_recording") } }, [_c("base-switch", { model: { value: _vm.formData.canStopAutoRecording, callback: function($$v) {
    _vm.$set(_vm.formData, "canStopAutoRecording", $$v);
  }, expression: "formData.canStopAutoRecording" } })], 1)], 1) : _vm._e(), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.auto_upload_recording") } }, [_c("base-switch", { on: { "input": _vm.autoUploadRecordingChanged }, model: { value: _vm.formData.autoUploadRecording, callback: function($$v) {
    _vm.$set(_vm.formData, "autoUploadRecording", $$v);
  }, expression: "formData.autoUploadRecording" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("meeting.config.auto_upload_recorded") } }, [_c("base-switch", { on: { "input": _vm.autoUploadRecordedChanged }, model: { value: _vm.formData.autoUploadRecorded, callback: function($$v) {
    _vm.$set(_vm.formData, "autoUploadRecorded", $$v);
  }, expression: "formData.autoUploadRecorded" } })], 1)], 1)])] : _vm._e(), _c("div", { staticClass: "form-footer mt-5" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
    return _vm.$router.back();
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))])], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_c("i", { staticClass: "fas fa-save" }), _vm._v(" " + _vm._s(_vm.$t("general.save")))])], 1)])], 2)]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const recording = __component__.exports;
export {
  recording as default
};
//# sourceMappingURL=recording.8d837a49.js.map
