import { t as table } from "../../../table.f559165b.js";
import { F as FilterForm } from "../../../filter.22cda2b6.js";
import { s as share } from "../../../media.10b7361f.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-core.2a9962eb.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../header.a91390e7.js";
import "../../../event-bus.0afcd682.js";
import "../../../filter-form.416a20d1.js";
const _sfc_main = {
  components: {
    FilterForm
  },
  extends: table,
  data() {
    return {
      fields: [
        {
          key: "user",
          label: $t("meeting.host")
        },
        {
          key: "type",
          label: $t("meeting.props.type"),
          transformer: "objectWithName"
        },
        {
          key: "identifier",
          label: $t("meeting.props.identifier")
        },
        {
          key: "accessibleViaLink",
          label: "",
          headerTitle: $t("meeting.meeting_attributes"),
          tdClass: "text-center"
        },
        {
          key: "status",
          label: $t("meeting.props.status")
        },
        {
          key: "startDateTime",
          label: $t("meeting.started_at"),
          sort: "start_date_time",
          transformer: "datetime"
        },
        {
          key: "endedAt",
          label: $t("meeting.ended_at"),
          transformer: "datetime"
        },
        {
          key: "createdAt",
          label: $t("general.created_at"),
          sort: "created_at",
          transformer: "datetime",
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "updatedAt",
          label: $t("general.updated_at"),
          sort: "updated_at",
          transformer: "datetime",
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "actions",
          label: "",
          cantHide: true,
          tdClass: "actions-dropdown-wrapper"
        }
      ],
      preRequisite: {
        types: [],
        statuses: []
      },
      filtersOptions: {
        type: "",
        status: "",
        startDate: "",
        endDate: ""
      },
      sortOptions: {
        hasScroll: true
      },
      columnsOptions: {
        hasScroll: true
      },
      exportOptions: {
        orientation: "l"
      },
      permissionsRequired: {
        config: "access-meeting-config"
      },
      routesRequired: {
        config: "appMeetingConfigGeneral"
      },
      initUrl: "meetings",
      appendToQuery: {
        instant: true
      },
      dataType: "meeting"
    };
  },
  methods: {
    sameDate({ startDateTime, endDateTime }) {
      return moment(startDateTime, this.vars.serverDateTimeFormat).format(this.vars.defaultDateFormat) === moment(endDateTime, this.vars.serverDateTimeFormat).format(this.vars.defaultDateFormat);
    },
    shareURL(item) {
      let url = window.location.protocol + "//" + window.location.hostname + (window.location.port ? ":" + window.location.port : "");
      url = url + (item.identifier ? `/m/${item.identifier}` : `/app/live/meetings/${item.uuid}`);
      const alertTitle = item.identifier ? `<span class="text-nowrap">${$t("meeting.meeting_code")}:</span> <strong class="ml-2 text-wrap-pre-line text-word-break-all"> ${item.identifier}</strong>` : null;
      share({
        title: $t("meeting.user_inviting_msg", { attribute: this.profile ? this.profile.name : "User" }),
        alertTitle,
        alertHtml: `${$t("misc.share_alert.text")}<br><small class='text-muted'>${url}</small><br>`,
        url
      }, () => {
        this.$toasted.success($t("meeting.url_has_been_copied"), this.$toastConfig);
      });
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "entity-list-container" }, [_c("collapse-transition", { attrs: { "group": true, "duration": 300, "tag": "div" } }, [_vm.showFilters ? _c("filter-form", { key: "filters", attrs: { "boxed": true, "pre-requisite": _vm.preRequisite, "is-loading": _vm.isLoading }, on: { "close": _vm.toggleFilter } }) : _vm._e(), _c("base-container", { key: "list", staticClass: "p-0 zoom-print-85", attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_vm.isInitialized ? _c("table-wrapper", { attrs: { "meta": _vm.entities.meta, "filtered": _vm.isFiltered, "add-button-route": "appMeetingAdd", "add-button-permissions": ["create-meeting"], "entity-title": "meeting.meeting", "entities-title": "meeting.meetings", "entity-description": "meeting.module_description" } }, [_c("b-table", { directives: [{ name: "show", rawName: "v-show", value: _vm.entities.meta.total, expression: "entities.meta.total" }], ref: "btable", attrs: { "items": _vm.itemsProvider, "fields": _vm.fields, "busy": _vm.isLoading, "hover": "", "striped": "", "stacked": "sm", "per-page": _vm.entities.meta.perPage, "current-page": _vm.entities.meta.currentPage, "filters": null }, on: { "update:busy": function($event) {
    _vm.isLoading = $event;
  } }, scopedSlots: _vm._u([{ key: "cell(user)", fn: function(row) {
    return [_c("view-user", { staticClass: "m-0", attrs: { "value": row.item.user, "inline-sub": "", "show-image": false, "data-classes": "m-0" } })];
  } }, { key: "cell(createdAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.createdAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(updatedAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.updatedAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(startDateTime)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.startDateTime, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(endedAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.endedAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(type)", fn: function(row) {
    return [row.item.type ? _c("badge", { staticClass: "mb-0", attrs: { "type": "default" } }, [_vm._v(_vm._s(row.item.type.name))]) : _vm._e()];
  } }, { key: "cell(status)", fn: function(row) {
    return [row.item.status ? _c("badge", { attrs: { "rounded": "", "type": _vm.vars.colorsForStatus["meeting-" + row.item.status] } }, [_vm._v(_vm._s(row.item.status))]) : _vm._e()];
  } }, { key: "cell(accessibleViaLink)", fn: function(row) {
    return [row.item.accessibleViaLink ? _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "text-success", attrs: { "title": _vm.$t("meeting.props.accessible_via_link") } }, [_c("i", { staticClass: "fas fa-link" })]) : _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "text-light", attrs: { "title": _vm.$t("meeting.props.not_accessible_via_link") } }, [_c("i", { staticClass: "fas fa-link" })]), row.item.isPam ? _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "ml-3 text-success", attrs: { "title": _vm.$t("meeting.props.is_pam") } }, [_c("i", { staticClass: "fas fa-users" })]) : _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "ml-3 text-light", attrs: { "title": _vm.$t("meeting.props.not_is_pam") } }, [_c("i", { staticClass: "fas fa-users" })]), _vm.allowExtraInput && _vm.configs.meeting.enablePaidMeeting ? [row.item.isPaid ? _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "ml-3 text-success", attrs: { "title": _vm.$t("meeting.props.is_paid") } }, [_c("i", { staticClass: "fas fa-dollar-sign" })]) : _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "ml-3 text-light", attrs: { "title": _vm.$t("meeting.props.not_is_paid") } }, [_c("i", { staticClass: "fas fa-dollar-sign" })])] : _vm._e(), _vm.allowExtraInput && _vm.configs.membership.enabled ? [row.item.accessibleToMembers ? _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "ml-3 text-success", attrs: { "title": _vm.$t("meeting.props.only_accessible_to_members") } }, [_c("i", { staticClass: "far fa-id-badge" })]) : _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "ml-3 text-light", attrs: { "title": _vm.$t("meeting.props.not_only_accessible_to_members") } }, [_c("i", { staticClass: "far fa-id-badge" })])] : _vm._e()];
  } }, { key: "cell(actions)", fn: function(row) {
    return [_c("table-row-actions", [row.item.hasSnapshots && _vm.configs.meeting && _vm.configs.meeting.canTakeSnapshot ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingSnapshots", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-image" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.snapshots") })))]) : _vm._e(), (row.item.hasChunkRecordings || row.item.hasRecordings) && _vm.configs.meeting && _vm.configs.meeting.canRecord ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingRecordings", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-photo-video" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.recordings") })))]) : _vm._e(), row.item.status === "live" ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "liveMeeting", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-sign-in-alt" }), _vm._v(" " + _vm._s(_vm.$t("meeting.join_meeting")))]) : _vm._e(), row.item.status === "live" ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
      $event.stopPropagation();
      return _vm.shareURL(row.item);
    } } }, [_c("i", { staticClass: "fas fa-share-alt" }), _vm._v(" " + _vm._s(_vm.$t("general.share_url")))]) : _vm._e(), row.item.status === "live" && _vm.hasPermission("list-meeting") && row.item.canModerate ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingSingleConfig", params: { subUuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-cog" }), _vm._v(" " + _vm._s(_vm.$t("global.config", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), _vm.hasPermission("delete-meeting") && (row.item.status === "cancelled" && _vm.configs.meeting && _vm.configs.meeting.allowDeletingCancelledMeetings || row.item.status === "ended" && _vm.configs.meeting && _vm.configs.meeting.allowDeletingEndedMeetings) ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
      $event.stopPropagation();
      return _vm.deleteEntity(row.item);
    } } }, [_c("i", { staticClass: "fas fa-trash" }), _vm._v(" " + _vm._s(_vm.$t("global.delete", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e()], 1)];
  } }], null, false, 3068187375) })], 1) : _vm._e()], 1)], 1)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const history = __component__.exports;
export {
  history as default
};
//# sourceMappingURL=history.2a500c4c.js.map
