import { v as view } from "../../../../view.65eb82b1.js";
import { i as mapActions } from "../../../../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../header.a91390e7.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../../helpers/transformers.f12abdae.js";
import "../../../../event-bus.0afcd682.js";
const _sfc_main = {
  extends: view,
  data() {
    return {
      initUrl: "meetings",
      fallBackRoute: "appMeetingList",
      hideFilterButton: true
    };
  },
  watch: {
    $route() {
      if (this.$route.query.hasOwnProperty("reload")) {
        this.isLoading = true;
        this.ResetEntity();
        this.getInitialData();
      }
    }
  },
  methods: {
    ...mapActions("common", [
      "ResetEntity",
      "SetEntity"
    ]),
    afterGetInitialData(res) {
      if (res.status === "cancelled") {
        this.$toasted.error(this.$t("meeting.meeting_cancelled"), this.$toastConfig.error);
      } else if (res.status === "ended") {
        this.$toasted.error(this.$t("meeting.meeting_ended"), this.$toastConfig.error);
      }
      if (!(res && (res.status === "scheduled" || res.status === "live") && res.isPaid && !res.hasPaid)) {
        this.$router.push({ name: "appMeetingView", params: { uuid: res.uuid } });
      }
      this.SetEntity(res);
    }
  },
  mounted() {
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4" }, [_c("base-container", { attrs: { "boxed": "", "with-loader": "", "min-height": "full", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "id": "printable" } }, [_vm.entity ? _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("meeting.props.title"), "value": _vm.entity.title, "tag": "h5", "data-classes": "font-weight-600" } })], 1), _c("div", { staticClass: "col-12 col-lg-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("meeting.props.type") }, scopedSlots: _vm._u([{ key: "main", fn: function() {
    return [_vm.entity.type ? _c("badge", { staticClass: "mb-0", attrs: { "type": "default" } }, [_vm._v(_vm._s(_vm.entity.type.name))]) : _vm._e()];
  }, proxy: true }], null, false, 380638162) })], 1), _c("div", { staticClass: "col-12 col-lg-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("meeting.meeting_category.category") }, scopedSlots: _vm._u([{ key: "main", fn: function() {
    return [_vm.entity.category ? _c("badge", { staticClass: "mb-0", attrs: { "type": "dark" } }, [_vm._v(_vm._s(_vm.entity.category.name))]) : _vm._e()];
  }, proxy: true }], null, false, 52913093) })], 1), _c("div", { staticClass: "col-12 col-lg-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("meeting.props.status") }, scopedSlots: _vm._u([{ key: "main", fn: function() {
    return [_c("badge", { attrs: { "rounded": "", "type": _vm.vars.colorsForStatus["meeting-" + _vm.entity.status] } }, [_vm._v(_vm._s(_vm.entity.status))])];
  }, proxy: true }], null, false, 582220808) })], 1), _c("div", { staticClass: "col-12 col-lg-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("meeting.props.is_paid") }, scopedSlots: _vm._u([{ key: "main", fn: function() {
    return [_vm.entity.isPaid ? _c("badge", { attrs: { "rounded": "", "type": "success" } }, [_c("i", { staticClass: "far fa-check-circle" }), _vm._v(" " + _vm._s(_vm.$t("general.yes")))]) : _c("badge", { attrs: { "rounded": "", "type": "dark" } }, [_c("i", { staticClass: "far fa-circle" }), _vm._v(" " + _vm._s(_vm.$t("general.no")))])];
  }, proxy: true }], null, false, 139926035) })], 1), _c("div", { staticClass: "col-12 col-lg-6 mb-3" }, [_c("view-currency", { attrs: { "label": _vm.$t("meeting.props.fee"), "value": _vm.entity.fee } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("meeting.props.identifier"), "value": _vm.entity.identifier } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("meeting.props.estimated_period"), "value": _vm.entity.period, "suffix": _vm.$t("list.general.durations.minutes") } })], 1), _c("div", { staticClass: "col-12 mb-3" }, [_c("view-date", { attrs: { "label": _vm.$t("meeting.props.start_date_time"), "value": _vm.entity.startDateTime, "with-tz": "" } })], 1)]) : _vm._e()])], 1), _c("div", { staticClass: "col-12 col-md-8" }, [_c("transition-page", [_c("router-view", { attrs: { "name": "form" } })], 1)], 1)])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=payment-index.eb70f621.js.map
