import { i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import { f as form } from "../../../form.ff4ac955.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../header.a91390e7.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../FileUploader.a3ada0d1.js";
import "../../../uploader.39656730.js";
import "../../../event-bus.0afcd682.js";
import "../../../momentz.3304bf92.js";
const start_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  extends: form,
  data() {
    return {
      type: null,
      identifier: "",
      maxParticipantCount: 1e3,
      keepAlive: false,
      isPam: false,
      accessibleToMembers: false,
      isPaid: false,
      fee: 0,
      showAdvance: false,
      preRequisite: {
        types: []
      },
      initUrl: "meetings"
    };
  },
  computed: {
    demoImage() {
      if (!this.configs.assets) {
        return "/images/demo-screenshot.jpg";
      }
      let demoImage = this.configs.assets.meetingDemoImage ? this.configs.assets.meetingDemoImage : "/images/demo-screenshot.jpg";
      return demoImage;
    },
    maxParticipantAllowed() {
      return this.configs.meeting.maxParticipantCount ? this.configs.meeting.maxParticipantCount : 999999;
    }
  },
  methods: {
    ...mapActions("config", [
      "SetUiConfig"
    ]),
    startInstantMeeting(type = null) {
      this.isLoading = true;
      if (type) {
        this.type = type;
      }
      let meetingType = this.preRequisite.types[0];
      if (this.type) {
        meetingType = this.preRequisite.types.find((t) => t.uuid === this.type);
      }
      this.Store({
        instant: true,
        type: meetingType,
        maxParticipantCount: this.maxParticipantCount,
        accessibleToMembers: this.accessibleToMembers,
        identifier: this.identifier,
        keepAlive: this.keepAlive,
        isPam: this.isPam,
        isPaid: this.isPaid,
        fee: this.fee
      }).then((response) => {
        if (response.meeting) {
          this.$router.replace({ name: "liveMeeting", params: { uuid: response.meeting.uuid } });
        }
      }).catch((error) => {
        this.formErrors = formUtil.handleErrors(error);
        this.isLoading = false;
      });
    },
    isPamChanged() {
      if (this.isPam) {
        this.accessibleToMembers = false;
        this.isPaid = false;
        this.fee = 0;
      }
    },
    accessibleToMembersChanged() {
      if (this.accessibleToMembers) {
        this.isPam = false;
        this.isPaid = false;
        this.fee = 0;
      }
    },
    isPaidChanged() {
      if (this.isPaid) {
        this.isPam = false;
        this.accessibleToMembers = false;
      }
    }
  },
  mounted() {
    if (this.$route.params.type) {
      this.type = this.$route.params.type;
    }
    this.getInitialData(() => {
      if (this.preRequisite.types.includes(this.type)) {
        this.startInstantMeeting();
      }
    });
    this.$nextTick(() => {
      this.SetUiConfig({ pageHeaderShow: false });
    });
  },
  destroyed() {
    this.SetUiConfig({ pageHeaderShow: true });
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { staticClass: "mt-element", attrs: { "boxed": "" } }, [_vm.type && _vm.isLoading ? [_c("div", { staticClass: "pt-150 pb-150 text-center" }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "size": "inline", "with-overlay": false } }), _c("br"), _c("br"), _c("h5", [_vm._v(_vm._s(_vm.$t("meeting.creating_a_meeting")))])], 1)] : [_c("div", { staticClass: "d-flex" }, [_c("div", {}, [_c("fieldset", { staticClass: "fieldset mb-5" }, [_c("legend", [_c("div", { staticClass: "d-inline-flex align-items-center" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.optional_advance_configurations")) + " ")])]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("meeting.enter_meeting_code"), "type": "text", "error": _vm.formErrors.identifier }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "identifier", $event);
  } }, model: { value: _vm.identifier, callback: function($$v) {
    _vm.identifier = $$v;
  }, expression: "identifier" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("meeting.config.max_participant_count"), "type": "number", "error": _vm.formErrors.maxParticipantCount, "min": 2, "max": _vm.maxParticipantAllowed, "step": 1 }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "maxParticipantCount", $event);
  } }, model: { value: _vm.maxParticipantCount, callback: function($$v) {
    _vm.maxParticipantCount = $$v;
  }, expression: "maxParticipantCount" } })], 1), _c("div", { staticClass: "col-12 col-md-6" }, [_c("base-checkbox", { staticClass: "ml-3 mb-4", model: { value: _vm.keepAlive, callback: function($$v) {
    _vm.keepAlive = $$v;
  }, expression: "keepAlive" } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.keep_meeting_live")) + " ")])], 1), _vm.configs.meeting && _vm.configs.meeting.enablePam && !_vm.accessibleToMembers && !_vm.isPaid ? _c("div", { staticClass: "col-12 col-md-6" }, [_c("base-checkbox", { staticClass: "ml-3 mb-4", on: { "change": _vm.isPamChanged }, model: { value: _vm.isPam, callback: function($$v) {
    _vm.isPam = $$v;
  }, expression: "isPam" } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.props.is_pam")) + " ")])], 1) : _vm._e(), _vm.allowExtraInput && !_vm.isPam ? [!_vm.isPaid ? _c("div", { staticClass: "col-12 col-md-6" }, [_c("base-checkbox", { staticClass: "ml-3 mb-4", on: { "change": _vm.accessibleToMembersChanged }, model: { value: _vm.accessibleToMembers, callback: function($$v) {
    _vm.accessibleToMembers = $$v;
  }, expression: "accessibleToMembers" } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.props.only_accessible_to_members")) + " ")])], 1) : _vm._e(), _vm.configs.meeting.enablePaidMeeting && !_vm.accessibleToMembers ? [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-checkbox", { staticClass: "ml-3 mb-4", on: { "change": _vm.isPaidChanged }, model: { value: _vm.isPaid, callback: function($$v) {
    _vm.isPaid = $$v;
  }, expression: "isPaid" } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.props.is_paid")) + " ")])], 1), _vm.isPaid ? _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("meeting.props.fee"), "type": "number", "error": _vm.formErrors.fee, "min": 0.01, "step": 0.01, "format": "currency" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "fee", $event);
  } }, model: { value: _vm.fee, callback: function($$v) {
    _vm.fee = $$v;
  }, expression: "fee" } })], 1) : _vm._e()] : _vm._e()] : _vm._e()], 2)]), _c("h4", { staticClass: "mb-4 font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("meeting.select_meeting_type")))]), _c("div", { staticClass: "btn-group btn-group-vertical btn-group-lg", attrs: { "role": "group" } }, _vm._l(_vm.preRequisite.types, function(type) {
    return _c("button", { key: type.uuid, staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": function($event) {
      return _vm.startInstantMeeting(type.uuid);
    } } }, [_vm._v(_vm._s(type.name))]);
  }), 0)]), _c("div", { staticClass: "d-flex flex-direction-column align-items-center ml-4" }, [_c("img", { directives: [{ name: "lazy", rawName: "v-lazy", value: _vm.demoImage, expression: "demoImage" }], staticClass: "img-fluid img-thumbnail d-none d-lg-block" })])])]], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const start = __component__.exports;
export {
  start as default
};
//# sourceMappingURL=start.89328290.js.map
