import { t as table } from "../../../table.f559165b.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-core.2a9962eb.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../header.a91390e7.js";
import "../../../event-bus.0afcd682.js";
const _sfc_main = {
  extends: table,
  data() {
    return {
      fields: [
        {
          key: "number",
          label: $t("membership.props.invoice_number"),
          sort: "number"
        },
        {
          key: "createdAt",
          label: $t("membership.props.subscribed_at"),
          sort: "created_at",
          transformer: "date"
        },
        {
          key: "amount",
          label: $t("membership.props.amount")
        },
        {
          key: "paymentGateway",
          label: $t("membership.props.method")
        },
        {
          key: "expiryDate",
          label: $t("membership.props.expiry_date"),
          sort: "expiry_date",
          transformer: "date"
        },
        {
          key: "updatedAt",
          label: $t("general.updated_at"),
          sort: "updated_at",
          transformer: "date",
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "actions",
          label: "",
          cantHide: true,
          tdClass: "actions-dropdown-wrapper"
        }
      ],
      sortOptions: {
        hasScroll: true
      },
      columnsOptions: {
        hasScroll: true
      },
      initUrl: "membership",
      hideFilterButton: true
    };
  },
  mounted() {
    this.updatePageMeta();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "entity-list-container" }, [_c("base-container", { key: "list", staticClass: "p-0", attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_vm.isInitialized ? _c("table-wrapper", { attrs: { "meta": _vm.entities.meta, "filtered": _vm.isFiltered, "entity-title": "membership.membership", "entities-title": "membership.membership_history", "entity-description": "membership.module_description" } }, [_c("b-table", { directives: [{ name: "show", rawName: "v-show", value: _vm.entities.meta.total, expression: "entities.meta.total" }], ref: "btable", attrs: { "items": _vm.itemsProvider, "fields": _vm.fields, "busy": _vm.isLoading, "hover": "", "striped": "", "stacked": "sm", "per-page": _vm.entities.meta.perPage, "current-page": _vm.entities.meta.currentPage, "filters": null }, on: { "update:busy": function($event) {
    _vm.isLoading = $event;
  } }, scopedSlots: _vm._u([{ key: "cell(createdAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.createdAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(updatedAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.updatedAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(number)", fn: function(row) {
    return [_vm.hasRole("admin") ? _c("span", [_vm._v(_vm._s(row.item.user.profile.name) + " "), _c("span", { staticClass: "text-muted text-sm" }, [_vm._v("(" + _vm._s(row.item.user.username) + ")")]), _vm._v(" - "), _c("span", {}, [_vm._v(_vm._s(row.item.number))])]) : _c("span", [_vm._v(_vm._s(row.item.number))])];
  } }, { key: "cell(expiryDate)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.expiryDate, "tag": "span" } })];
  } }, { key: "cell(paymentGateway)", fn: function(row) {
    return [row.item.paymentGateway ? _c("badge", { attrs: { "rounded": "", "type": _vm.vars.colorsForStatus[row.item.paymentGateway.source] } }, [_vm._v(_vm._s(row.item.paymentGateway.source))]) : _vm._e()];
  } }, { key: "cell(amount)", fn: function(row) {
    return [_c("view-currency", { staticClass: "mb-0", attrs: { "value": row.item.amount, "currency": row.item.currency, "tag": "span", "data-classes": "text-success" } })];
  } }, { key: "cell(actions)", fn: function(row) {
    return [_c("table-row-actions", [_c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMembershipPrint", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-print" }), _vm._v(" " + _vm._s(_vm.$t("global.print", { attribute: _vm.$t("membership.membership") })))])], 1)];
  } }], null, false, 1468549418) })], 1) : _vm._e()], 1)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const list = __component__.exports;
export {
  list as default
};
//# sourceMappingURL=list.9b840822.js.map
