import { m as mapGetters, i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import "../../../app.9a8150b2.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  data() {
    return {
      isLoading: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "vars"
    ]),
    ...mapGetters("product", [
      "product",
      "isSupportValid"
    ]),
    hideUpdateLink() {
      return this.$route.name === "appProductUpdate";
    }
  },
  mounted() {
    this.getInitialData();
  },
  methods: {
    ...mapActions("product", {
      getProductDetails: "Get"
    }),
    getInitialData() {
      this.isLoading = true;
      this.getProductDetails().then(() => {
        this.isLoading = false;
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6" }, [_c("base-container", { attrs: { "boxed": "", "with-loader": "", "min-height": "full", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Product Name")]), _c("h4", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.product.name))])]), _c("hr", { staticClass: "my-2" }), _c("div", { staticClass: "row mt-4" }, [_c("div", { staticClass: "col-12 col-md-4" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Current Version")]), _c("p", [_vm._v(_vm._s(_vm.product.currentVersion))])])]), _c("div", { staticClass: "col-12 col-md-4 text-md-center" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Latest Version")]), _c("p", [_vm._v(" " + _vm._s(_vm.product.latestVersion) + " "), _vm.product.currentVersion != _vm.product.latestVersion && !_vm.hideUpdateLink ? _c("router-link", { staticClass: "badge badge-info badge-sm", attrs: { "to": { name: "appProductUpdate" } } }, [_vm._v("Update Available")]) : _vm._e(), _vm.product.currentVersion === _vm.product.latestVersion ? _c("span", { staticClass: "badge badge-sm badge-success" }, [_vm._v("Up-to-date")]) : _vm._e()], 1)])]), _c("div", { staticClass: "col-12 col-md-4 text-md-right" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Latest Version Release")]), _c("p", [_vm._v(_vm._s(_vm._f("moment")(_vm.product.latestVersionRelease, _vm.vars.defaultDateFormat)))])])])]), _c("hr", { staticClass: "my-2" }), _c("div", { staticClass: "row mt-4" }, [_c("div", { staticClass: "col-12 col-md-6" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Date of Purchase")]), _c("p", [_vm._v(_vm._s(_vm._f("moment")(_vm.product.dateOfPurchase, _vm.vars.defaultDateFormat)))])])]), _c("div", { staticClass: "col-12 col-md-6 text-md-right" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Support Validity")]), _c("p", [_vm._v(" " + _vm._s(_vm._f("moment")(_vm.product.dateOfSupportExpiry, _vm.vars.defaultDateFormat)) + " "), _vm.isSupportValid ? _c("span", { staticClass: "badge badge-sm badge-success" }, [_vm._v("Supported")]) : _c("span", { staticClass: "badge badge-sm badge-danger" }, [_vm._v("Expired")])])])])]), _c("hr", { staticClass: "my-2" }), _c("div", { staticClass: "row mt-4" }, [_c("div", { staticClass: "col-12 col-md-6" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("License Type")]), _c("p", [_vm._v(_vm._s(_vm.product.licenseType))])])]), _c("div", { staticClass: "col-12 col-md-6 text-md-right" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Registered Email ID")]), _c("p", [_vm._v(_vm._s(_vm.product.email))])])])]), _c("hr", { staticClass: "my-2" }), _c("div", { staticClass: "row mt-4" }, [_c("div", { staticClass: "col-12 col-md-4" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Purchase Code")]), _c("p", [_vm._v(_vm._s(_vm.product.purchaseCode))])])]), _c("div", { staticClass: "col-12 col-md-4 text-md-center" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Access Code")]), _c("p", [_vm._v(_vm._s(_vm.product.accessCode))])])]), _c("div", { staticClass: "col-12 col-md-4 text-md-right" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Checksum")]), _c("p", [_vm._v(_vm._s(_vm.product.checksum))])])])])])], 1), _c("div", { staticClass: "col-12 col-md-6" }, [_c("router-view")], 1)]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=product-index.f28d288a.js.map
