import { P as ProfilePage, a as ProfilePageSidebox } from "../../../../ProfilePage.f0895252.js";
import "../../../../app.9a8150b2.js";
import { m as mapGetters, i as mapActions } from "../../../../vendor/vendor-core.2a9962eb.js";
import { E as EventBus } from "../../../../event-bus.0afcd682.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  components: {
    ProfilePage,
    ProfilePageSidebox
  },
  data() {
    return {
      entity: null,
      isLoading: false,
      initUrl: "users",
      dataTitle: $t("user.user"),
      fallBackRoute: "appUserList",
      formData: {
        name: "",
        gender: null,
        birthDate: null
      },
      formErrors: {},
      formLabels: {
        name: $t("user.props.name"),
        gender: $t("user.props.gender"),
        birthDate: $t("user.props.birth_date")
      },
      initianLength: 0,
      initialFormData: null,
      emptyFormData: null,
      preRequisite: {
        genders: []
      }
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ]),
    ...mapGetters("user", [
      "uuid",
      "liveUsers"
    ]),
    liveUser() {
      return this.value && this.liveUsers.find((u) => u.uuid === this.value.uuid);
    },
    isOnline() {
      return !!this.liveUser;
    }
  },
  methods: {
    ...mapActions("common", [
      "Init",
      "Get",
      "Custom",
      "GetPreRequisite"
    ]),
    ...mapActions("user", [
      "GetUser"
    ]),
    submit() {
      if (formUtil.isUnchanged(this.initialFormData, this.formData)) {
        this.$toasted.info(this.$t("general.nothing_changed"), this.$toastConfig.info);
        return false;
      }
      this.isLoading = true;
      this.Custom({
        method: "post",
        url: "/profile",
        data: this.formData
      }).then((response) => {
        this.$toasted.success(response.message, this.$toastConfig);
        this.GetUser();
        this.initialFormData = _.cloneDeep(this.formData);
        this.$router.back();
        this.isLoading = false;
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    },
    reset() {
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          this.formData = Object.assign({}, this.formData, _.cloneDeep(this.initialFormData));
        }
      });
    },
    unsavedCheck(next) {
      formUtil.unsavedCheckAlert(this.initialFormData, this.formData, next);
    },
    fillPreRequisite(response) {
      this.preRequisite.objForEach((value, key) => {
        this.preRequisite[key] = response.hasOwnProperty(key) ? response[key] : value;
      });
    },
    setEntityData(response) {
      this.entity = response;
      this.formData.objForEach((value, key) => {
        this.formData[key] = response.profile.hasOwnProperty(key) ? response.profile[key] : value;
      });
    },
    async getInitialData() {
      this.isLoading = true;
      try {
        const response = await this.Get({ uuid: this.uuid });
        this.setEntityData(response);
        const response2 = await this.GetPreRequisite();
        this.fillPreRequisite(response2);
        this.isLoading = false;
        return response;
      } catch (error) {
        this.isLoading = false;
        formUtil.handleErrors(error);
        this.$router.push({ name: this.fallBackRoute });
      }
    },
    doInit() {
      this.Init({ url: this.initUrl });
      this.getInitialData();
    }
  },
  mounted() {
    EventBus.$off("ROUTE_LEAVING", this.unsavedCheck);
    EventBus.$on("ROUTE_LEAVING", this.unsavedCheck);
    this.doInit();
  },
  beforeDestroy() {
    delete this.formData;
    delete this.formErrors;
    delete this.formLabels;
    delete this.preRequisite;
    delete this.keepAddingFields;
  },
  destroyed() {
    EventBus.$off("ROUTE_LEAVING", this.unsavedCheck);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("profile-page", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor }, scopedSlots: _vm._u([{ key: "sidebarMainContent", fn: function() {
    return [_vm.entity ? _c("profile-card", { attrs: { "name": _vm.entity.profile.name, "sub-heading": _vm.entity.username || "-", "gender": _vm.entity.profile.gender, "image": _vm.entity.profile.avatar, "age": _vm.entity.profile.age, "data-card-color": "whitish", "user-status": _vm.isOnline, "user": _vm.entity, "horizontal": false } }) : _vm._e()];
  }, proxy: true }, { key: "mainContent", fn: function() {
    return [_c("base-container", { attrs: { "boxed": "", "with-loader": "", "has-footer": "", "min-height": "full", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("form", { on: { "submit": function($event) {
      $event.preventDefault();
      return _vm.submit.apply(null, arguments);
    } } }, [_vm.entity ? [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 mb-3" }, [_c("base-input", { attrs: { "auto-focus": "", "label": _vm.formLabels.name, "type": "text", "error": _vm.formErrors.name, "required": "", "format": "startCase" }, on: { "update:error": function($event) {
      return _vm.$set(_vm.formErrors, "name", $event);
    } }, model: { value: _vm.formData.name, callback: function($$v) {
      _vm.$set(_vm.formData, "name", $$v);
    }, expression: "formData.name" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.genders, "label": _vm.formLabels.gender, "error": _vm.formErrors.gender, "required": "" }, on: { "update:error": function($event) {
      return _vm.$set(_vm.formErrors, "gender", $event);
    } }, model: { value: _vm.formData.gender, callback: function($$v) {
      _vm.$set(_vm.formData, "gender", $$v);
    }, expression: "formData.gender" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-input", { attrs: { "label": _vm.formLabels.birthDate, "addon-right-icon": "far fa-calendar-alt", "type": "text", "error": _vm.formErrors.birthDate, "is-wrapper": true }, on: { "update:error": function($event) {
      return _vm.$set(_vm.formErrors, "birthDate", $event);
    } }, model: { value: _vm.formData.birthDate, callback: function($$v) {
      _vm.$set(_vm.formData, "birthDate", $$v);
    }, expression: "formData.birthDate" } }, [_c("date-picker", { staticClass: "form-control datepicker", attrs: { "config": _vm.vars.datepickerConfig }, model: { value: _vm.formData.birthDate, callback: function($$v) {
      _vm.$set(_vm.formData, "birthDate", $$v);
    }, expression: "formData.birthDate" } })], 1)], 1)])] : _vm._e(), _c("div", { staticClass: "form-footer mt-5" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
      return _vm.$router.back();
    } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.back")))])], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_c("i", { staticClass: "fas fa-save" }), _vm._v(" " + _vm._s(_vm.$t("global.save", { attribute: _vm.$t("user.profile") })))])], 1)])], 2)])];
  }, proxy: true }]) });
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const edit = __component__.exports;
export {
  edit as default
};
//# sourceMappingURL=edit.8c84f012.js.map
