import { v as view$1 } from "../../../view.65eb82b1.js";
import { P as ProfilePage, a as ProfilePageSidebox } from "../../../ProfilePage.f0895252.js";
import "../../../app.9a8150b2.js";
import { m as mapGetters } from "../../../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../header.a91390e7.js";
import "../../../helpers/transformers.f12abdae.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../event-bus.0afcd682.js";
const _sfc_main = {
  extends: view$1,
  components: {
    ProfilePage,
    ProfilePageSidebox
  },
  data() {
    return {
      initUrl: "users",
      dataTitle: $t("user.user"),
      fallBackRoute: "appUserList",
      permissionsRequired: {
        add: "create-user",
        edit: "edit-user"
      },
      routesRequired: {
        add: "appUserAdd",
        edit: "appUserEdit"
      }
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ]),
    ...mapGetters("user", [
      "hasPermission",
      "liveUsers"
    ]),
    liveUser() {
      return this.value && this.liveUsers.find((u) => u.uuid === this.uuid);
    },
    isOnline() {
      return !!this.liveUser;
    }
  },
  methods: {
    changeStatus(status) {
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          this.isLoading = true;
          let data = {
            status
          };
          this.Custom({
            url: `/${this.initUrl}/${this.uuid}/status`,
            method: "post",
            data
          }).then((response) => {
            this.isLoading = false;
            this.getInitialData();
          }).catch((error) => {
            this.isLoading = false;
            formUtil.handleErrors(error);
          });
        } else {
          result.dismiss === Swal.DismissReason.cancel;
        }
      });
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("profile-page", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "inner-sidebar-box-classes": "h-100" }, scopedSlots: _vm._u([{ key: "sidebarMainContent", fn: function() {
    return [_vm.entity ? _c("profile-card", { attrs: { "name": _vm.entity.profile.name, "sub-heading": _vm.entity.username || "-", "gender": _vm.entity.profile.gender, "image": _vm.entity.profile.avatar, "cover-image": _vm.entity.profile.cover, "age": _vm.entity.profile.age, "data-card-color": "whitish", "user-status": _vm.isOnline, "user": _vm.entity, "horizontal": false } }) : _vm._e()];
  }, proxy: true }, { key: "mainContent", fn: function() {
    return [_c("base-container", { attrs: { "boxed": "", "with-loader": "", "has-footer": "", "min-height": "full", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_vm.entity ? [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("user.props.name"), "value": _vm.entity.profile.name } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("user.props.gender"), "value": _vm.entity.profile.gender, "showIfExists": "name" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("user.props.email"), "value": _vm.entity.email } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("view-date", { attrs: { "label": _vm.$t("user.props.birth_date"), "value": _vm.entity.profile.birthDate } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("view-single", { attrs: { "label": _vm.$t("config.role.role"), "value": _vm.entity.role, "show-if-exists": "name" } })], 1)])] : _vm._e(), _c("div", { staticClass: "form-footer mt-5" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
      return _vm.$router.back();
    } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.back")))])], 1), _vm.hasPermission("edit-user") ? _c("div", { staticClass: "right-side" }, [_vm.entity ? [_vm.entity.status === "activated" ? _c("base-button", { attrs: { "type": "button", "design": "danger" }, on: { "click": function($event) {
      return _vm.changeStatus("banned");
    } } }, [_vm._v(_vm._s(_vm.$t("user.user_action_ban")))]) : _vm._e(), _vm.entity.status === "banned" ? _c("base-button", { attrs: { "type": "button", "design": "success" }, on: { "click": function($event) {
      return _vm.changeStatus("activated");
    } } }, [_vm._v(_vm._s(_vm.$t("user.user_action_activate")))]) : _vm._e(), _vm.entity.status === "pending_activation" ? _c("base-button", { attrs: { "type": "button", "design": "success" }, on: { "click": function($event) {
      return _vm.changeStatus("activated");
    } } }, [_vm._v(_vm._s(_vm.$t("user.user_action_approve")))]) : _vm._e(), _vm.entity.status === "pending_approval" ? _c("base-button", { attrs: { "type": "button", "design": "success" }, on: { "click": function($event) {
      return _vm.changeStatus("activated");
    } } }, [_vm._v(_vm._s(_vm.$t("user.user_action_approve")))]) : _vm._e(), _vm.entity.status === "pending_approval" ? _c("base-button", { attrs: { "type": "button", "design": "warning" }, on: { "click": function($event) {
      return _vm.changeStatus("disapproved");
    } } }, [_vm._v(_vm._s(_vm.$t("user.user_action_disapprove")))]) : _vm._e()] : _vm._e()], 2) : _vm._e()])], 2)];
  }, proxy: true }]) });
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const view = __component__.exports;
export {
  view as default
};
//# sourceMappingURL=view.43ed2392.js.map
