import { f as form } from "../../auth-form.568162a3.js";
import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../vendor/vendor-core.2a9962eb.js";
import "../../guest-footer.8ab217ed.js";
import "../../AppLogo.c559b5f2.js";
const _sfc_main = {
  extends: form,
  data() {
    return {
      formData: {
        email: "",
        otp: "",
        ref: null
      },
      otpRequested: false
    };
  },
  methods: {
    submit() {
      this.isLoading = true;
      let routeQuery = this.$route.query;
      this.$gaEvent("engagement", "login", "EmailOTP");
      const formData = this.otpRequested ? { ...this.formData } : { email: this.formData.email, ref: this.formData.ref };
      this.LoginUsingOtp(formData).then((response) => {
        this.$toasted.success(response.message, this.$toastConfig);
        if (this.otpRequested) {
          this.$gaEvent("activity", "loggedin", "EmailOTP");
          let routeTo = response.reload ? { name: "appDashboard", query: { reload: 1 } } : { name: "appDashboard" };
          if (routeQuery && routeQuery.ref && this.$router.resolve(routeQuery.ref)) {
            routeTo = this.$router.resolve(routeQuery.ref).route;
          }
          if (this.hasRole("admin") && this.configs.system && this.configs.system.setupWizard) {
            routeTo = this.withQuery({ name: "setup" });
          }
          this.ResetTwoFactorSet().then(() => {
            this.$router.push(routeTo);
          }).catch((error) => {
            this.isLoading = false;
            this.formErrors = formUtil.handleErrors(error);
          });
        } else {
          this.$gaEvent("activity", "loginOtpRequested", "EmailOTP");
          this.otpRequested = true;
          this.isLoading = false;
        }
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    }
  },
  mounted() {
    let routeQuery = this.$route.query;
    if (routeQuery && routeQuery.ref) {
      this.formData.ref = routeQuery.ref;
    }
    this.SetCSRF();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "guest-page" }, [_c("box", [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }), _c("guest-header", [_c("h5", [_vm._v(_vm._s(_vm.$t("auth.login.login_using_email_otp")))])]), _c("section", { attrs: { "role": "main" } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("base-input", { staticClass: "mb-3", attrs: { "auto-focus": !_vm.otpRequested, "label": _vm.$t("auth.login.props.email"), "type": "text", "addon-left-icon": "fas fa-envelope", "error": _vm.formErrors.email, "disabled": _vm.otpRequested }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "email", $event);
  } }, model: { value: _vm.formData.email, callback: function($$v) {
    _vm.$set(_vm.formData, "email", $$v);
  }, expression: "formData.email" } }), _vm.otpRequested ? _c("base-input", { staticClass: "mb-3", attrs: { "auto-focus": _vm.otpRequested, "label": _vm.$t("auth.login.props.otp"), "type": "text", "addon-left-icon": "fas fa-key", "error": _vm.formErrors.otp }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "otp", $event);
  } }, model: { value: _vm.formData.otp, callback: function($$v) {
    _vm.$set(_vm.formData, "otp", $$v);
  }, expression: "formData.otp" } }) : _vm._e(), _c("div", { staticClass: "text-center" }, [_c("base-button", { staticClass: "my-4 text-lg", attrs: { "type": "submit", "design": "primary", "block": "" } }, [!_vm.otpRequested ? _c("span", [_vm._v(_vm._s(_vm.$t("auth.login.request_otp")))]) : _c("span", [_vm._v(_vm._s(_vm.$t("auth.login.login")))])])], 1), _c("div", { staticClass: "form-group m-b-0" }, [_c("div", { staticClass: "col-sm-12 text-center" }, [_vm.configs.meeting && _vm.configs.meeting.enablePam ? [_vm.$route.query && (_vm.$route.query.identifier || _vm.$route.query.uuid) && _vm.$route.query.pam ? _c("p", [_c("router-link", { staticClass: "text-primary m-l-5", attrs: { "to": _vm.withQuery({ name: "liveMeetingForGuest", params: { uuid: _vm.$route.query.uuid }, query: { identifier: _vm.$route.query.identifier } }, false, { removeRef: true }) } }, [_c("span", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("meeting.join_meeting_as_guest")))])])], 1) : _vm._e()] : _vm._e(), _c("p", [_c("router-link", { staticClass: "text-primary m-l-5", attrs: { "to": _vm.withQuery({ name: "login" }) } }, [_c("span", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("auth.login.login_using_password")))])])], 1)], 2)])], 1)])], 1), _vm.configs.system ? _c("guest-footer", { attrs: { "footer-credit": _vm.configs.system.footerCredit, "version": _vm.configs.system.version } }) : _vm._e()], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const loginEmailOtp = __component__.exports;
export {
  loginEmailOtp as default
};
//# sourceMappingURL=login-email-otp.7d874605.js.map
