import { m as mapGetters, i as mapActions } from "../../vendor/vendor-core.2a9962eb.js";
import "../../app-components.07883b5a.js";
import { s as store, r as router, a as saveToStorage, f as formatKeysToCamelCase, g as getFromStorage, _ as __vitePreload } from "../../app.9a8150b2.js";
import { l as live } from "../../live.c106eece.js";
import "../../media.10b7361f.js";
import { E as EventBus } from "../../event-bus.0afcd682.js";
import { V as VueTour } from "../../vendor/vendor-vue-tour.1363256b.js";
import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import { B as BModal } from "../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../momentz.3304bf92.js";
import "../../vendor/vendor-others.d4f8aae2.js";
import "../../vendor/vendor-essential.31dae676.js";
import "../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../index.b6800d1c.js";
import "../../vendor/vendor-laravel-echo.c401b1a2.js";
import "../../vendor/vendor-pusher-js.2a02459b.js";
import "../../index.facdc432.js";
import "../../FileUploader.a3ada0d1.js";
import "../../uploader.39656730.js";
import "../../vendor/vendor-vue-emoji-picker.359f6e78.js";
import "../../config-form.7cab216a.js";
let hotkeyArray = store.getters["config/config"]("hotKey") || ["ctrlKey", "shiftKey"];
let secondaryHotkeyArray = store.getters["config/config"]("secondaryHotKey") || ["altKey", "shiftKey"];
let goBackHotKey = secondaryHotkeyArray || ["altKey"];
const hotkeyClicked = function(event, combination) {
  let needCtrl = combination.indexOf("ctrlKey") !== -1;
  let needAlt = combination.indexOf("altKey") !== -1;
  let needShift = combination.indexOf("shiftKey") !== -1;
  if (needCtrl && !event.ctrlKey && event.key && event.key.toLowerCase() !== "control" && event.key.toLowerCase() !== "ctrl") {
    return false;
  }
  if (needAlt && !event.altKey && event.key && event.key.toLowerCase() !== "alt" && event.key.toLowerCase() !== "option") {
    return false;
  }
  if (needShift && !event.shiftKey && event.key && event.key.toLowerCase() !== "shift") {
    return false;
  }
  return true;
};
const keyupListener = function(event) {
  const key = event.which || event.keyCode;
  const target = event.target;
  const shouldExit = event.target.classList.contains("pause-keyuplistener");
  if ((key === 27 || key === "Escape" || key === 66 || key === 8 || key === 46 || key === "Backspace") && hotkeyClicked(event, goBackHotKey)) {
    router.go(-1);
  } else if (hotkeyClicked(event, hotkeyArray)) {
    EventBus.$emit("HOTKEY_PRESSED", key);
  } else if (hotkeyClicked(event, secondaryHotkeyArray)) {
    EventBus.$emit("SECONDARY_HOTKEY_PRESSED", key);
    const moduleKeyBindings = store.getters["config/config"]("keyBindings") || {};
    const char = "key_" + String.fromCharCode(key).toLowerCase();
    if (moduleKeyBindings.hasOwnProperty(char)) {
      if (typeof moduleKeyBindings[char] === "object" && moduleKeyBindings[char] !== null) {
        if (moduleKeyBindings[char].type === "event") {
          let payload = moduleKeyBindings[char].payload || null;
          EventBus.$emit(moduleKeyBindings[char].emit, payload);
        }
      } else {
        router.push({ name: moduleKeyBindings[char] });
      }
    }
  } else if (event.ctrlKey || event.altKey || event.shiftKey)
    ;
  else if ((target.localName === "body" || target.localName === "document") && (key >= 48 && key <= 90 || key >= 96 && key <= 105)) {
    if (shouldExit)
      return;
    EventBus.$emit("KEY_PRESSED", event);
  } else if (key === 27) {
    EventBus.$emit("ESCAPE_PRESSED", event);
  }
};
const keyBindings = {
  keyupListener
};
const nRoutes = {
  "todo": {
    "new": "appUtilityTodoList"
  }
};
const nActions = {
  "logout": (router2) => {
    return store.dispatch("user/Logout").then((response) => {
      router2.push({ name: "login", query: { logout: "true" } });
    });
  },
  "lock": (router2) => {
    const configs = store.getters["config/configs"];
    if (configs.auth.lockScreen) {
      store.dispatch("user/Lock");
    }
  }
};
const appContainer_vue_vue_type_style_index_0_lang = "";
const AppNavbar = () => __vitePreload(() => import("./partials/app-navbar.08eb17e6.js"), true ? ["assets/js/views/layouts/partials/app-navbar.08eb17e6.js","assets/js/AppLogo.c559b5f2.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/js/event-bus.0afcd682.js","assets/js/momentz.3304bf92.js","assets/js/app.9a8150b2.js","assets/js/vendor/vendor-others.d4f8aae2.js","assets/js/vendor/vendor-essential.31dae676.js","assets/js/vendor/vendor-bootstrap-vue.397f83c5.js","assets/js/vendor/vendor-vue-gtag.137cb49d.js","assets/css/app.css","assets/js/vendor/vendor-screenfull.9a79c0ca.js","assets/js/user-dropdown.094e4969.js","assets/js/vendor/vendor-vue-avatar.9d39aec0.js","assets/css/views/layouts/partials/app-navbar.css"] : void 0);
const AppNavbarRestricted = () => __vitePreload(() => import("./partials/app-navbar-restricted.fdb8b058.js"), true ? ["assets/js/views/layouts/partials/app-navbar-restricted.fdb8b058.js","assets/js/AppLogo.c559b5f2.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/js/vendor/vendor-screenfull.9a79c0ca.js","assets/js/user-dropdown.094e4969.js","assets/js/vendor/vendor-vue-avatar.9d39aec0.js","assets/js/app.9a8150b2.js","assets/js/vendor/vendor-others.d4f8aae2.js","assets/js/vendor/vendor-essential.31dae676.js","assets/js/vendor/vendor-bootstrap-vue.397f83c5.js","assets/js/vendor/vendor-vue-gtag.137cb49d.js","assets/css/app.css","assets/css/views/layouts/partials/app-navbar-restricted.css"] : void 0);
const AppSidebarConfig = () => __vitePreload(() => import("./partials/app-sidebar-config.8e6fa6d0.js"), true ? ["assets/js/views/layouts/partials/app-sidebar-config.8e6fa6d0.js","assets/js/AppSidebar.43e19366.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/css/AppSidebar.c496c7a4.css","assets/js/vendor/vendor-bootstrap-vue.397f83c5.js","assets/js/vendor/vendor-others.d4f8aae2.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/css/views/layouts/partials/app-sidebar-config.css"] : void 0);
const AppSidebarSpecial = () => __vitePreload(() => import("./partials/app-sidebar-special.3bbc4a42.js"), true ? ["assets/js/views/layouts/partials/app-sidebar-special.3bbc4a42.js","assets/js/AppSidebar.43e19366.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/css/AppSidebar.c496c7a4.css","assets/css/views/layouts/partials/app-sidebar-special.css"] : void 0);
const AppSidebarLeft = () => __vitePreload(() => import("./partials/app-sidebar-left.2cf48c7d.js"), true ? ["assets/js/views/layouts/partials/app-sidebar-left.2cf48c7d.js","assets/js/AppSidebar.43e19366.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/css/AppSidebar.c496c7a4.css","assets/js/AppLogo.c559b5f2.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/vendor/vendor-bootstrap-vue.397f83c5.js","assets/js/vendor/vendor-others.d4f8aae2.js","assets/css/views/layouts/partials/app-sidebar-left.css"] : void 0);
const AppSidebarRight = () => __vitePreload(() => import("./partials/app-sidebar-right.53560753.js"), true ? ["assets/js/views/layouts/partials/app-sidebar-right.53560753.js","assets/js/AppSidebar.43e19366.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/css/AppSidebar.c496c7a4.css","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/event-bus.0afcd682.js","assets/css/views/layouts/partials/app-sidebar-right.css"] : void 0);
const AppFooter = () => __vitePreload(() => import("./partials/app-footer.af9f79c2.js"), true ? ["assets/js/views/layouts/partials/app-footer.af9f79c2.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js"] : void 0);
const AppSidebarMenu = () => __vitePreload(() => import("./partials/sidebar-menu/app-sidebar-menu.0def6835.js"), true ? ["assets/js/views/layouts/partials/sidebar-menu/app-sidebar-menu.0def6835.js","assets/js/app-sidebar-menu-item.5cd92f35.js","assets/js/app.9a8150b2.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/vendor/vendor-others.d4f8aae2.js","assets/js/vendor/vendor-essential.31dae676.js","assets/js/vendor/vendor-bootstrap-vue.397f83c5.js","assets/js/vendor/vendor-vue-gtag.137cb49d.js","assets/css/app.css","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js"] : void 0);
const AppSidebarWidgets = () => __vitePreload(() => import("./partials/sidebar-menu/app-sidebar-widgets.055d2f72.js"), true ? ["assets/js/views/layouts/partials/sidebar-menu/app-sidebar-widgets.055d2f72.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js"] : void 0);
const AppBackdrop = () => __vitePreload(() => import("../../components/AppBackdrop.401f91d9.js"), true ? ["assets/js/components/AppBackdrop.401f91d9.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/css/components/AppBackdrop.css"] : void 0);
const AppSearch = () => __vitePreload(() => import("../../components/AppSearch.040aa600.js"), true ? ["assets/js/components/AppSearch.040aa600.js","assets/js/vendor/vendor-core.2a9962eb.js","assets/js/index.b6800d1c.js","assets/js/vendor/vendor-essential.31dae676.js","assets/js/vendor/vendor-others.d4f8aae2.js","assets/js/app.9a8150b2.js","assets/js/vendor/vendor-bootstrap-vue.397f83c5.js","assets/js/vendor/vendor-vue-gtag.137cb49d.js","assets/css/app.css","assets/js/vendor/vendor-laravel-echo.c401b1a2.js","assets/js/vendor/vendor-pusher-js.2a02459b.js","assets/js/event-bus.0afcd682.js","assets/js/_plugin-vue2_normalizer.7b9a2fe2.js","assets/css/components/AppSearch.css"] : void 0);
const _sfc_main$1 = {
  extends: live,
  components: {
    AppBackdrop,
    AppSearch,
    AppNavbar,
    AppNavbarRestricted,
    AppSidebarConfig,
    AppSidebarSpecial,
    AppSidebarLeft,
    AppSidebarRight,
    AppSidebarMenu,
    AppSidebarWidgets,
    AppFooter,
    VueTour,
    BModal
  },
  data() {
    return {
      lockinMessage: null,
      lockinTime: null,
      showingLockinModal: false,
      shortcuts: {
        routes: {},
        methods: {
          key190: "toggleSecureContent"
        }
      },
      tourOptions: {
        debug: false,
        highlight: true,
        labels: {
          buttonSkip: $t("misc.tour.skip"),
          buttonPrevious: $t("misc.tour.previous"),
          buttonNext: $t("misc.tour.next"),
          buttonStop: $t("misc.tour.stop")
        }
      },
      tourCallbacks: {
        onSkip: this.disableTour,
        onFinish: this.disableTour
      },
      tourSteps: []
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "uiConfigs",
      "vars",
      "appIsLoading",
      "isLicensed",
      "setupCompleted",
      "sidebarEnabled"
    ]),
    ...mapGetters("user", [
      "locked",
      "lockin",
      "uuid",
      "loggedInUser",
      "liveUsers",
      "hasPermission"
    ])
  },
  watch: {
    locked(newVal, oldVal) {
      if (newVal) {
        this.$refs.lockinModal.hide();
        this.lockinTime = null;
        this.lockinMessage = null;
        const toPath = this.$route.fullPath;
        this.$router.push({ name: "authLock", query: { ref: toPath } });
      }
    },
    lockin(newVal, oldVal) {
      if (newVal) {
        this.lockinTime = newVal.time;
        this.lockinMessage = newVal.unit;
        this.lockinMessage = newVal.time + " " + newVal.unit;
        this.showLockinModal(newVal);
      }
    }
  },
  methods: {
    ...mapActions("config", [
      "SetUiConfig",
      "SetAppIsLoading"
    ]),
    doShortcutMethod(method) {
      switch (method) {
        case "toggleSecureContent":
          this.SetUiConfig({ hideSecureContent: !this.uiConfigs.hideSecureContent });
          saveToStorage(`${this.vars.localStorageKey}_show_sc`, !this.uiConfigs.hideSecureContent);
          break;
      }
    },
    handleNotificationClick(linkTo) {
      if (linkTo) {
        this.$notify({
          group: "app",
          clean: true
        });
        this.$router.push(linkTo);
      }
    },
    showSearchScreen() {
      this.SetUiConfig({ searchScreenShow: !this.uiConfigs.searchScreenShow });
    },
    handleHotKeyPressed(key) {
      const actionName = "key" + key;
      if (this.shortcuts.routes.hasOwnProperty(actionName)) {
        this.$router.push({ name: this.shortcuts.routes[actionName] });
      } else if (this.shortcuts.methods.hasOwnProperty(actionName)) {
        this.doShortcutMethod(this.shortcuts.methods[actionName]);
      }
    },
    showLockinModal(lockin) {
      let timer;
      const vm = this;
      vm.lockinTime = lockin.time;
      timer = setInterval(() => {
        vm.lockinTime--;
        if (vm.lockinTime < 1 && timer) {
          clearInterval(timer);
        }
        vm.lockinMessage = vm ? vm.lockinTime + " " + lockin.unit : "";
      }, 1e3);
      vm.showingLockinModal = true;
      this.$gaEvent("activity", "lockingScreen", "Timer");
    },
    onLockinModalCancel(e) {
      this.SetLastActivity();
      this.showingLockinModal = false;
      this.$gaEvent("engagement", "lockingScreen", "Cancelled");
    },
    onLockinModalHidden() {
      this.SetLastActivity();
      this.showingLockinModal = false;
      this.$gaEvent("engagement", "lockingScreen", "Cancelled");
    },
    socketSubscriptionCallback(notification) {
      notification = formatKeysToCamelCase(notification);
      let toastObj = { ...this.$toastConfig.info };
      let onActionClick = (toastObject) => {
        this.$toasted.clear();
      };
      if (notification.action === "navigate") {
        const routeName = nRoutes[notification.module][notification.event] ? nRoutes[notification.module][notification.event] : "appDashboard";
        onActionClick = (toastObject) => {
          this.$toasted.clear();
          this.$router.push({ name: routeName }).catch((err) => {
          });
        };
      } else {
        if (nActions[notification.command]) {
          onActionClick = (toastObject) => {
            this.$toasted.clear();
            nActions[notification.command](this.$router);
          };
        }
      }
      toastObj.action = {
        text: notification.actionLabel || "OK!",
        onClick: (e, toastObject) => {
          onActionClick(toastObject);
        }
      };
      this.$toasted.clear();
      if (!notification.autoAction || notification.autoAction && !notification.hideToast) {
        this.$toasted.info(notification.title, toastObj);
      }
      if (notification.autoAction) {
        setTimeout(() => {
          onActionClick();
        }, notification.autoDelay || 1e3);
      }
    },
    disableTour() {
      saveToStorage(`${this.vars.localStorageKey}_intro_tour`, true);
    }
  },
  mounted() {
    this.SetAppIsLoading(false);
    let hideSecureContent = true;
    const showSecureContent = getFromStorage(`${this.vars.localStorageKey}_show_sc`);
    hideSecureContent = showSecureContent === true ? false : true;
    this.SetUiConfig({ pageHeaderShow: true, pageFooterShow: true, hideSecureContent });
    document.body.classList.add("body-bg-" + this.uiConfigs.pageBackgroundColor);
    if (this.configs.chat && this.configs.chat.enabled) {
      document.body.classList.add("has-chat-button");
      if (this.configs.chat.enableAutoOpen) {
        window.setTimeout(() => {
          this.isChatBoxShown = true;
        }, 1500);
      }
    }
    this.checkIfOffline();
    const introTourFinished = getFromStorage(`${this.vars.localStorageKey}_intro_tour`);
    if (this.isLicensed && this.setupCompleted && this.configs.system.enableTour && !introTourFinished) {
      if (this.sidebarEnabled) {
        this.tourSteps.push({
          target: '[data-v-step="menu-sidebar"]',
          params: { placement: "right" },
          header: { title: $t("misc.tour.intro.menu_sidebar_title") || "Menu Sidebar" },
          content: $t("misc.tour.intro.menu_sidebar_content") || "Customization Fix / Foldable Menu"
        });
      }
      this.tourSteps.push({
        target: '[data-v-step="search"]',
        params: { placement: "bottom" },
        header: { title: $t("misc.tour.intro.search_title") || "Search" },
        content: $t("misc.tour.intro.search_content") || "Type anywhere to search and press Escape key to hide search overlay."
      });
      if (this.hasPermission("access-config")) {
        this.tourSteps.push({
          target: '[data-v-step="config-link"]',
          params: { placement: "bottom" },
          header: { title: $t("misc.tour.intro.config_link_title") || "Configuration" },
          content: $t("misc.tour.intro.config_link_content") || "Configurations to customize the application & it's experience."
        });
      }
      this.tourSteps.push({
        target: '[data-v-step="user-dropdown"]',
        params: { placement: "bottom" },
        header: { title: $t("misc.tour.intro.user_dropdown_title") || "User Options" },
        content: $t("misc.tour.intro.user_dropdown_content") || "User profile related options and actions."
      });
      if (this.configs.chat && this.configs.chat.enabled && this.uiConfigs.pageChatShow && this.subscriptions && this.subscriptions.userPrivate) {
        this.tourSteps.push({
          target: '[data-v-step="chat-button"]',
          params: { placement: "bottom" },
          header: { title: $t("misc.tour.intro.chat_button_title") || "Live Chat" },
          content: $t("misc.tour.intro.chat_button_content") || "Open live chat messaging box!"
        });
      }
      this.$nextTick(() => {
        setTimeout(() => {
          if (this.$tours) {
            this.$tours["introTour"].start();
          }
        }, 1e4);
      });
    }
  },
  created() {
    EventBus.$off("HOTKEY_PRESSED", this.handleHotKeyPressed);
    EventBus.$on("HOTKEY_PRESSED", this.handleHotKeyPressed);
    const listener = keyBindings.keyupListener.bind(this);
    document.removeEventListener("keyup", listener, true);
    document.addEventListener("keyup", listener, true);
    if (window.countdownInterval) {
      clearInterval(window.countdownInterval);
      window.countdownInterval = null;
    }
    if (window.meetingKeepAliveTimer) {
      clearInterval(window.meetingKeepAliveTimer);
      window.meetingKeepAliveTimer = null;
    }
    if (window.recordingDurationInterval) {
      clearInterval(window.recordingDurationInterval);
      window.recordingDurationInterval = null;
    }
    if (window.meetingDurationInterval) {
      clearInterval(window.meetingDurationInterval);
      window.meetingDurationInterval = null;
    }
    if (window.autoEndMeetingTimeout) {
      clearTimeout(window.autoEndMeetingTimeout);
      window.autoEndMeetingTimeout = null;
    }
    if (window.lowerHandTimer) {
      clearTimeout(window.lowerHandTimer);
      window.lowerHandTimer = null;
    }
    if (window.Echo) {
      if (window.meetingChannel) {
        window.meetingChannel.stopListening("MeetingStatusChanged");
        window.meetingChannel.stopListening("NewMessage");
        window.meetingChannel = null;
      }
      window.Echo.leave(`Meeting.${this.uuid}`);
    }
    window.isMeetingPageDestroyed = true;
  },
  beforeDestroy() {
    const listener = keyBindings.keyupListener.bind(this);
    document.removeEventListener("keyup", listener, true);
  },
  destroyed() {
    EventBus.$off("HOTKEY_PRESSED", this.handleHotKeyPressed);
    document.body.classList.remove("body-bg-" + this.uiConfigs.pageBackgroundColor);
    document.body.classList.remove("has-chat-button");
  }
};
var _sfc_render$1 = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "app-container", attrs: { "id": "app-container", "data-layout": _vm.uiConfigs.layout, "data-color-scheme": _vm.uiConfigs.colorScheme, "data-app-license": _vm.isLicensed && _vm.setupCompleted ? "yes" : "no", "data-page-background-color": _vm.uiConfigs.pageBackgroundColor, "data-page-container-background-color": _vm.uiConfigs.pageContainerBackgroundColor, "data-page-header-background-color": _vm.uiConfigs.pageHeaderBackgroundColor, "data-page-header-is-boxed": _vm.uiConfigs.pageHeaderIsBoxed, "data-sidebar-left-height": _vm.uiConfigs.leftSidebarHeight, "data-sidebar-left-style": _vm.sidebarEnabled ? _vm.uiConfigs.leftSidebarStyle : "over", "data-sidebar-left-backdrop": _vm.uiConfigs.leftSidebarBackdrop, "data-sidebar-left-backdrop-color": _vm.uiConfigs.leftSidebarBackdropColor, "data-sidebar-left-shadow": _vm.uiConfigs.leftSidebarShadow, "data-sidebar-left-color": _vm.uiConfigs.leftSidebarColor, "data-sidebar-left-show": _vm.sidebarEnabled && _vm.uiConfigs.leftSidebarShow, "data-sidebar-left-logo-light": _vm.uiConfigs.leftSidebarLogoLight, "data-sidebar-right-height": _vm.uiConfigs.rightSidebarHeight, "data-sidebar-right-style": _vm.uiConfigs.rightSidebarStyle, "data-sidebar-right-backdrop": _vm.uiConfigs.rightSidebarBackdrop, "data-sidebar-right-backdrop-color": _vm.uiConfigs.rightSidebarBackdropColor, "data-sidebar-right-shadow": _vm.uiConfigs.rightSidebarShadow, "data-sidebar-right-color": _vm.uiConfigs.rightSidebarColor, "data-sidebar-right-show": _vm.uiConfigs.rightSidebarShow, "data-sidebar-modal-height": _vm.uiConfigs.modalSidebarHeight, "data-sidebar-modal-style": _vm.uiConfigs.modalSidebarStyle, "data-sidebar-modal-backdrop": _vm.uiConfigs.modalSidebarBackdrop, "data-sidebar-modal-backdrop-color": _vm.uiConfigs.modalSidebarBackdropColor, "data-sidebar-modal-shadow": _vm.uiConfigs.modalSidebarShadow, "data-sidebar-modal-color": _vm.uiConfigs.modalSidebarColor, "data-sidebar-modal-show": _vm.uiConfigs.modalSidebarShow, "data-sidebar-config-show": _vm.uiConfigs.configSidebarShow, "data-sidebar-special-color": _vm.uiConfigs.specialSidebarColor, "data-sidebar-special-show": _vm.uiConfigs.specialSidebarShow, "data-top-navbar-hide": _vm.uiConfigs.topNavbarHide, "data-top-navbar-fixed": _vm.uiConfigs.topNavbarFixed, "data-top-navbar-color": _vm.uiConfigs.topNavbarColor, "data-top-navbar-logo-light": _vm.uiConfigs.topNavbarLogoLight, "data-notification-position": _vm.uiConfigs.notificationPosition, "data-hide-secure-content": _vm.uiConfigs.hideSecureContent, "data-nav-menu-horizontal": _vm.uiConfigs.navMenuHorizontal, "data-rtl": _vm.uiConfigs.toggleRtl } }, [_c("animated-loader", { attrs: { "is-loading": _vm.appIsLoading, "loader-color": _vm.vars.loaderColor, "size": "screen", "overlayColor": "transparent" } }), !_vm.appIsLoading ? [_c("app-backdrop"), _vm.isLicensed && _vm.setupCompleted ? _c("app-navbar") : _c("app-navbar-restricted"), _c("app-search"), _c("div", { staticClass: "container-fluid" }, [_vm.isLicensed && _vm.setupCompleted && _vm.sidebarEnabled ? _c("app-sidebar-left", { scopedSlots: _vm._u([_vm.configs.sidebar.enableMenu ? { key: "menu", fn: function() {
    return [_c("app-sidebar-menu")];
  }, proxy: true } : null, _vm.configs.sidebar.enableWidgets ? { key: "widgets", fn: function() {
    return [_c("app-sidebar-widgets")];
  }, proxy: true } : null], null, true) }) : _vm._e(), _c("app-sidebar-right"), _vm._t("default"), _vm.uiConfigs.pageFooterShow && _vm.configs.system ? _c("app-footer", { attrs: { "footer-credit": _vm.configs.system.footerCredit, "version": _vm.configs.system.version } }) : _vm._e()], 2), _c("b-modal", { ref: "lockinModal", attrs: { "centered": "", "lazy": "" }, on: { "hidden": _vm.onLockinModalHidden }, scopedSlots: _vm._u([{ key: "modal-header", fn: function() {
    return [_c("h5", { staticClass: "modal-title" }, [_vm._v(_vm._s(_vm.$t("auth.lock.locking_screen")))])];
  }, proxy: true }, { key: "modal-footer", fn: function() {
    return [_c("base-button", { attrs: { "type": "button", "design": "primary" }, on: { "click": function($event) {
      $event.stopPropagation();
      return _vm.onLockinModalCancel.apply(null, arguments);
    } } }, [_vm._v("No, Cancel!")])];
  }, proxy: true }], null, false, 3637379851), model: { value: _vm.showingLockinModal, callback: function($$v) {
    _vm.showingLockinModal = $$v;
  }, expression: "showingLockinModal" } }, [_c("div", [_vm._v(" " + _vm._s(_vm.$t("auth.lock.will_lock_in", { attribute: _vm.lockinMessage })) + " ")])]), _vm.isLicensed && _vm.setupCompleted && _vm.configs.chat && _vm.configs.chat.enabled && _vm.uiConfigs.pageChatShow ? [_vm.subscriptions && _vm.subscriptions.userPrivate ? _c("div", { staticClass: "chat-box-container" }, [_c("div", { class: ["chat-button", { "hidden": _vm.isChatBoxShown }], attrs: { "data-v-step": "chat-button" } }, [_c("button", { attrs: { "type": "button" }, on: { "click": _vm.showChatBox } }, [_c("i", { staticClass: "far fa-comments" }), _vm._v(" "), _c("span", [_vm._v(_vm._s(_vm.$t("chat.chat")))])]), _vm.totalUnreadMessages && _vm.totalUnreadMessages > 0 ? _c("span", { staticClass: "badge badge-pill badge-success unread-count" }, [_vm._v(_vm._s(_vm.totalUnreadMessages))]) : _vm._e()]), _vm.isChatBoxShown ? _c("chat-box", { attrs: { "box-visibility": _vm.isChatBoxShown, "channel": _vm.subscriptions.userPrivate }, on: { "boxHidden": function($event) {
    _vm.isChatBoxShown = false;
  }, "boxShown": function($event) {
    _vm.isChatBoxShown = true;
  } } }) : _vm._e()], 1) : _vm._e()] : _vm._e(), _c("div", { class: [
    "meeting-inpage-container",
    _vm.meetingLink ? "" : "d-none",
    _vm.showMeetingIframe ? "show-iframe" : ""
  ] }, [_c("iframe", { attrs: { "src": _vm.meetingLink, "width": "100%", "height": "100%", "frameborder": "0" } }), _c("button", { staticClass: "btn-external-link", on: { "click": _vm.openMeetingSeparately } }, [_c("i", { staticClass: "fas fa-external-link-alt" })])]), _vm.isLicensed && _vm.setupCompleted ? _c("v-tour", { staticClass: "km-tour", attrs: { "name": "introTour", "steps": _vm.tourSteps, "options": _vm.tourOptions, "callbacks": _vm.tourCallbacks } }) : _vm._e()] : _vm._e()], 2);
};
var _sfc_staticRenderFns$1 = [];
var __component__$1 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$1,
  _sfc_render$1,
  _sfc_staticRenderFns$1,
  false,
  null,
  null,
  null,
  null
);
const AppContainer = __component__$1.exports;
const appLayout_vue_vue_type_style_index_0_scoped_0991f757_lang = "";
const _sfc_main = {
  name: "AppLayout",
  components: {
    AppContainer
  },
  data() {
    return {
      scrollTopPosition: 0
    };
  },
  computed: {
    ...mapGetters("config", [
      "scrollLock"
    ])
  },
  watch: {
    $route(to, from) {
      this.resetScroll();
    },
    scrollLock(val, oldVal) {
      if (val) {
        this.scrollLockEnable();
      } else {
        this.scrollLockDisable();
      }
    }
  },
  methods: {
    ...mapActions("config", [
      "ScrollLock",
      "ScrollUnlock"
    ]),
    scrollLockEnable() {
      const toLock = this.$refs.appContainer.$el;
      const scrollPosition = this.$refs["vuescrollAppLayout"].getPosition();
      this.scrollTopPosition = scrollPosition.scrollTop;
      toLock.style.overflow = "hidden";
      toLock.style.position = "fixed";
      toLock.style.top = `-${this.scrollTopPosition}px`;
    },
    scrollLockDisable() {
      const toLock = this.$refs.appContainer.$el;
      toLock.style.removeProperty("overflow");
      toLock.style.removeProperty("position");
      toLock.style.removeProperty("top");
      this.$refs["vuescrollAppLayout"].scrollBy({
        y: this.scrollTopPosition
      }, 0);
    },
    resetScroll() {
      setTimeout(() => {
        if (this.$refs["vuescrollAppLayout"]) {
          this.$refs["vuescrollAppLayout"].scrollTo({
            x: 0,
            y: 0
          }, true);
        }
      }, 100);
    }
  },
  created() {
    EventBus.$off("RESET_SCROLL", this.resetScroll);
    EventBus.$on("RESET_SCROLL", this.resetScroll);
  },
  destroyed() {
    EventBus.$off("RESET_SCROLL", this.resetScroll);
  }
};
var _sfc_render = function render2() {
  var _vm = this, _c = _vm._self._c;
  return _c("transition", { attrs: { "appear": "", "name": "fade", "mode": "out-in" } }, [_c("vue-scroll", { ref: "vuescrollAppLayout", attrs: { "id": "vuescrollAppLayout" } }, [_c("app-container", { ref: "appContainer" }, [_c("router-view")], 1)], 1)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  "0991f757",
  null,
  null
);
const appLayout = __component__.exports;
export {
  appLayout as default
};
//# sourceMappingURL=app-layout.e5106f99.js.map
