import { E as EventBus } from "../../../event-bus.0afcd682.js";
import { m as mapGetters, i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import { A as AppPageHeaderWrapper } from "../../../app-page-header-wrapper.7c301931.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
const appBreadcrumb_vue_vue_type_style_index_0_scoped_21e00290_lang = "";
const _sfc_main$2 = {
  props: ["removeDefaultRoot"],
  components: {},
  data() {
    return {
      breadcrumbItemList: []
    };
  },
  watch: {
    $route() {
      this.getBreadcrumb();
    }
  },
  mounted() {
    this.getBreadcrumb();
  },
  methods: {
    getBreadcrumb() {
      if (!this.removeDefaultRoot) {
        this.breadcrumbItemList = [{
          path: { name: "App" },
          meta: {
            title: "general.app"
          },
          custom: true
        }];
      }
      this.breadcrumbItemList = this.breadcrumbItemList.concat(this.$route.matched.filter((item) => item.meta && item.meta.title && !item.meta.hideBreadcrumb));
    }
  }
};
var _sfc_render$2 = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("transition-group", { staticClass: "breadcrumb transparent breadcrumb-icon-angle-right", attrs: { "appear": "", "tag": "ol", "name": "breadcrumb" } }, [_vm._l(_vm.breadcrumbItemList, function(item, index) {
    return [index == _vm.breadcrumbItemList.length - 1 ? _c("li", { key: item.path.name || item.path, staticClass: "breadcrumb-item", class: [index == _vm.breadcrumbItemList.length - 1 ? "active" : ""] }, [_vm._v(" " + _vm._s(item.meta.trans ? _vm.$t(item.meta.trans, { "attribute": _vm.$t(item.meta.title) }) : _vm.$t(item.meta.title)) + " ")]) : _c("li", { key: item.path.name || item.path + item.meta.title, staticClass: "breadcrumb-item" }, [_c("router-link", { attrs: { "to": item.meta.forceRedirect || item.redirect || item.path } }, [_vm._v(" " + _vm._s(item.meta.trans ? _vm.$t(item.meta.trans, { "attribute": _vm.$t(item.meta.title) }) : _vm.$t(item.meta.title)) + " ")])], 1)];
  })], 2);
};
var _sfc_staticRenderFns$2 = [];
var __component__$2 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$2,
  _sfc_render$2,
  _sfc_staticRenderFns$2,
  false,
  null,
  "21e00290",
  null,
  null
);
const AppBreadcrumb = __component__$2.exports;
const _sfc_main$1 = {
  props: ["hideBreadcrumbs"],
  components: {
    AppPageHeaderWrapper,
    AppBreadcrumb
  },
  computed: {
    ...mapGetters("common", [
      "pageHeader"
    ]),
    ...mapGetters("config", [
      "uiConfigs"
    ]),
    pageTitle() {
      if (this.pageHeader && this.pageHeader.title) {
        return this.pageHeader.title;
      }
      return this.$route.meta.trans ? this.$t(this.$route.meta.trans, { "attribute": this.$t(this.$route.meta.midTitle) + " " + this.$t(this.$route.meta.title) }) : this.$t(this.$route.meta.midTitle) + " " + this.$t(this.$route.meta.title);
    },
    pageSubTitle() {
      return this.pageHeader && this.pageHeader.subTitle ? this.pageHeader.subTitle : "";
    }
  }
};
var _sfc_render$1 = function render2() {
  var _vm = this, _c = _vm._self._c;
  return _vm.uiConfigs.pageHeaderShow ? _c("app-page-header-wrapper", [_c("div", { staticClass: "page-header-content" }, [_c("div", { staticClass: "header-breadcrumb-wrapper" }, [_c("transition-group", { staticClass: "page-header-title", attrs: { "appear": "", "tag": "h4", "name": "title" } }, [_c("span", { key: "Just" }), _c("span", { key: _vm.pageTitle }, [_vm._v(_vm._s(_vm.pageTitle) + " "), _c("span", { staticClass: "text-muted text-sm" }, [_vm._v(_vm._s(_vm.pageSubTitle))])])]), !_vm.hideBreadcrumbs ? [_c("app-breadcrumb", { staticClass: "breadcrumb-icon-bars" })] : _vm._e()], 2), _c("div", { staticClass: "action-buttons-wrapper" }, [_c("div", { staticClass: "action-buttons" }, [_vm._t("default")], 2)])])]) : _vm._e();
};
var _sfc_staticRenderFns$1 = [];
var __component__$1 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$1,
  _sfc_render$1,
  _sfc_staticRenderFns$1,
  false,
  null,
  null,
  null,
  null
);
const AppPageHeader = __component__$1.exports;
const appCommonPageHeader_vue_vue_type_style_index_0_scoped_76fe88d9_lang = "";
const _sfc_main = {
  components: {
    AppPageHeader
  },
  data() {
    return {
      eventBus: EventBus,
      pageHeaderButtons: [],
      pageHeaderLinks: [],
      pageHeaderSortOptions: []
    };
  },
  computed: {
    ...mapGetters("config", [
      "uiConfigs"
    ]),
    ...mapGetters("common", [
      "columns",
      "filters",
      "pageHeader"
    ]),
    ...mapGetters("common", {
      totalItems: "totalItems"
    }),
    ...mapGetters("user", [
      "hasAllPermissions"
    ])
  },
  watch: {
    "pageHeader": {
      deep: true,
      immediate: true,
      handler(newValue, oldValue) {
        if (newValue) {
          if (newValue.buttons) {
            this.pageHeaderButtons = newValue.buttons.filter((b) => !b.permissions || this.hasAllPermissions(b.permissions));
          } else {
            this.pageHeaderButtons = [];
          }
          if (newValue.links) {
            this.pageHeaderLinks = newValue.links.filter((b) => !b.permissions || this.hasAllPermissions(b.permissions));
          } else {
            this.pageHeaderLinks = [];
          }
          if (newValue.sort && newValue.sort.options) {
            this.pageHeaderSortOptions = [...newValue.sort.options];
          } else {
            this.pageHeaderSortOptions = [];
          }
        } else {
          this.pageHeaderButtons = [];
          this.pageHeaderLinks = [];
          this.pageHeaderSortOptions = [];
        }
      }
    }
  },
  methods: {
    ...mapActions("common", [
      "SetColumns"
    ]),
    updateRouteQuery(param) {
      const newQuery = Object.assign({}, this.$route.query, param);
      this.$router.push({ path: this.$route.path, query: newQuery });
    },
    dispatchSortAction(storeName, params = {}) {
      this.$store.dispatch(`${storeName}/SetFilters`, params);
    },
    getSortStatus(storeName, conditions) {
      const getter = this.$store.getters[`${storeName}/filters`];
      let toReturn = true;
      conditions.objForEach((value, key) => {
        toReturn = getter[key] === value;
      });
      return toReturn;
    },
    toggleColumn(column) {
      let columns = [];
      this.columns.fields.objForEach((field) => {
        if (field.cantHide || !(field.thClass && field.thClass.includes("d-none"))) {
          columns.push(field.key);
        }
      });
      if (!column.thClass || !column.thClass.includes("d-none")) {
        column.thClass = column.thClass + " d-none";
        column.tdClass = column.thClass + " d-none";
      } else {
        if (columns.length >= 15) {
          this.$toasted.error(this.$t("global.max_num_allowed", { attribute: 15 }), this.$toastConfig.error);
        } else {
          if (column.thClass && column.tdClass) {
            column.thClass = column.thClass.replace("d-none", "");
            column.tdClass = column.tdClass.replace("d-none", "");
          }
        }
      }
      this.SetColumns(this.columns.fields);
    },
    uncheckAllColumn() {
      this.columns.fields.objForEach((field) => {
        if (!field.cantHide && !field.thClass.includes("d-none")) {
          field.thClass = field.thClass + " d-none";
          field.tdClass = field.thClass + " d-none";
        }
      });
      this.SetColumns(this.columns.fields);
    },
    toggleHelp() {
      if (this.$route.name) {
        EventBus.$emit("TOGGLE_HELP", this.$route.name);
      }
    },
    toSnakeCase(from) {
      return from.replace(/([A-Z])/g, function($1) {
        return "_" + $1.toLowerCase();
      });
    }
  },
  created: function() {
    EventBus.$off("OPEN_PRINT", this.handleOpenPrint);
    EventBus.$on("OPEN_PRINT", this.handleOpenPrint);
  },
  destroyed() {
    EventBus.$off("OPEN_PRINT", this.handleOpenPrint);
  }
};
var _sfc_render = function render3() {
  var _vm = this, _c = _vm._self._c;
  return _c("app-page-header", [_vm._l(_vm.pageHeaderButtons, function(buttonObj) {
    return [buttonObj.label ? _c("base-button", { key: buttonObj.label, attrs: { "type": "button", "design": buttonObj.design || "white", "size": buttonObj.size || "md" }, on: { "click": function($event) {
      return buttonObj.action(_vm.$router, _vm.eventBus);
    } } }, [_c("i", { class: buttonObj.icon }), _vm._v(" " + _vm._s(buttonObj.trans ? _vm.$t(buttonObj.trans, { "attribute": buttonObj.label }) : buttonObj.label) + " ")]) : buttonObj.tooltip ? _c("base-button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover", modifiers: { "hover": true } }], key: buttonObj.tooltip, attrs: { "type": "button", "design": buttonObj.design || "white", "size": buttonObj.size || "md", "title": buttonObj.trans ? _vm.$t(buttonObj.trans, { "attribute": buttonObj.tooltip }) : buttonObj.tooltip }, on: { "click": function($event) {
      return buttonObj.action(_vm.$router, _vm.eventBus);
    } } }, [_c("i", { class: buttonObj.icon })]) : _c("base-button", { key: buttonObj.tooltip, attrs: { "type": "button", "design": buttonObj.design || "white", "size": buttonObj.size || "md" }, on: { "click": function($event) {
      return buttonObj.action(_vm.$router, _vm.eventBus);
    } } }, [_c("i", { class: buttonObj.icon })])];
  }), this.totalItems && _vm.pageHeader.sort ? _c("base-dropdown", { staticClass: "header-links-dropdown", attrs: { "tag": "div", "direction": "down", "menu-classes": "show-dropdown-up", "position": "right", "has-scroll": _vm.pageHeader.sort.hasScroll || false } }, [_c("base-button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover", modifiers: { "hover": true } }], attrs: { "slot": "title", "type": "button", "data-toggle": "dropdown", "role": "button", "design": _vm.pageHeader.sort ? _vm.pageHeader.sort.design || "white" : "white", "size": _vm.pageHeader.sort ? _vm.pageHeader.sort.size || "md" : "md", "title": _vm.$t("general.sort_by") }, slot: "title" }, [_c("i", { staticClass: "fas fa-sort" })]), _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
    return _vm.updateRouteQuery({ order: "asc" });
  } } }, [_c("i", { staticClass: "fas fa-sort-alpha-down" }), _vm._v(" " + _vm._s(_vm.$t("list.general.orders.asc")) + " "), _vm.getSortStatus(_vm.pageHeader.sort.storeName, { order: "asc" }) ? _c("i", { staticClass: "fas fa-check pull-right" }) : _vm._e()]), _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
    return _vm.updateRouteQuery({ order: "desc" });
  } } }, [_c("i", { staticClass: "fas fa-sort-alpha-up" }), _vm._v(" " + _vm._s(_vm.$t("list.general.orders.desc")) + " "), _vm.getSortStatus(_vm.pageHeader.sort.storeName, { order: "desc" }) ? _c("i", { staticClass: "fas fa-check pull-right" }) : _vm._e()]), _c("div", { staticClass: "dropdown-divider", attrs: { "role": "separator" } }), _vm._l(_vm.pageHeaderSortOptions, function(option) {
    return [_c("a", { key: option.label, class: ["dropdown-item", { "secure-content": option.thClass && option.thClass.includes("secure-content") }], on: { "click": function($event) {
      return _vm.updateRouteQuery({ sortBy: option.sort ? option.sort : option.dispatch.sortBy });
    } } }, [_vm._v(_vm._s(option.label) + " "), _vm.getSortStatus(_vm.pageHeader.sort.storeName, { sortBy: option.sort ? option.sort : option.dispatch.sortBy }) ? _c("i", { staticClass: "fas fa-check pull-right" }) : _vm._e()])];
  })], 2) : _vm._e(), this.totalItems && _vm.columns && _vm.columns.fields ? _c("base-dropdown", { staticClass: "header-columns-dropdown", attrs: { "tag": "div", "size": "md", "toggle-on-click": false, "direction": "down", "menu-classes": "show-dropdown-up", "position": "right", "dropdown-menu-tag": "div", "has-scroll": _vm.pageHeader.columns && _vm.pageHeader.columns.hasScroll ? _vm.pageHeader.columns.hasScroll || false : false } }, [_c("base-button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover", modifiers: { "hover": true } }], attrs: { "slot": "title", "type": "button", "data-toggle": "dropdown", "role": "button", "design": _vm.pageHeader.columns && _vm.pageHeader.columns.design ? _vm.pageHeader.columns.design : "white", "size": _vm.pageHeader.columns && _vm.pageHeader.columns.size ? _vm.pageHeader.columns.size : "md", "title": _vm.$t("general.columns") }, slot: "title" }, [_c("i", { staticClass: "fas fa-columns" })]), _c("a", { key: "uncheck-all", staticClass: "dropdown-item text-right", on: { "click": _vm.uncheckAllColumn } }, [_vm._v(_vm._s(_vm.$t("general.uncheck_all")))]), _c("div", { staticClass: "dropdown-divider", attrs: { "role": "separator" } }), _vm._l(_vm.columns.fields, function(column, colIndex) {
    return [!column.cantHide ? [_c("a", { key: column.key, class: ["dropdown-item", { "secure-content": column.thClass && column.thClass.includes("secure-content") }], on: { "click": function($event) {
      return _vm.toggleColumn(_vm.columns.fields[colIndex]);
    } } }, [_vm._v(_vm._s(column.label ? column.label : column.headerTitle) + " "), !column.thClass || !column.thClass.includes("d-none") ? _c("i", { staticClass: "fas fa-check pull-right" }) : _vm._e()])] : _vm._e()];
  })], 2) : _vm._e(), !_vm.pageHeader.hideLinks && _vm.pageHeaderLinks && _vm.pageHeaderLinks.length ? _c("base-dropdown", { staticClass: "header-links-dropdown", attrs: { "tag": "div", "direction": "down", "menu-classes": "show-dropdown-up", "position": "right" } }, [_c("base-button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover", modifiers: { "hover": true } }], attrs: { "slot": "title", "type": "button", "data-toggle": "dropdown", "role": "button", "design": "white", "size": "md", "title": _vm.$t("general.more_option") }, slot: "title" }, [_c("i", { staticClass: "fas fa-ellipsis-v" })]), _vm._l(_vm.pageHeaderLinks, function(link) {
    return [link.href ? _c("a", { key: link.label, staticClass: "dropdown-item", attrs: { "href": link.href } }, [link.icon ? _c("i", { class: link.icon }) : _vm._e(), _vm._v(" " + _vm._s(link.trans ? _vm.$t(link.trans, { "attribute": link.label }) : link.label))]) : link.dispatch ? _c("a", { key: link.label, staticClass: "dropdown-item", on: { "click": function($event) {
      return _vm.$store.dispatch(link.dispatch.action, link.dispatch.params);
    } } }, [link.icon ? _c("i", { class: link.icon }) : _vm._e(), _vm._v(" " + _vm._s(link.trans ? _vm.$t(link.trans, { "attribute": link.label }) : link.label))]) : link.action ? _c("a", { key: link.label, staticClass: "dropdown-item", on: { "click": function($event) {
      return link.action(_vm.$router, _vm.eventBus);
    } } }, [link.icon ? _c("i", { class: link.icon }) : _vm._e(), _vm._v(" " + _vm._s(link.trans ? _vm.$t(link.trans, { "attribute": link.label }) : link.label))]) : link.separator ? _c("div", { key: link.label, staticClass: "dropdown-divider", attrs: { "role": "separator" } }) : link.to ? _c("router-link", { key: link.label, staticClass: "dropdown-item", attrs: { "to": link.to } }, [link.icon ? _c("i", { class: link.icon }) : _vm._e(), _vm._v(" " + _vm._s(link.trans ? _vm.$t(link.trans, { "attribute": link.label }) : link.label))]) : void 0];
  })], 2) : _vm._e()], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  "76fe88d9",
  null,
  null
);
const appCommonPageHeader = __component__.exports;
export {
  appCommonPageHeader as default
};
//# sourceMappingURL=app-common-page-header.924d8f05.js.map
