import { M as Multiselect } from "../vendor/vendor-vue-multiselect.de0a1589.js";
import { P as ProfileImageMaleKid, a as ProfileImageMaleTeen, b as ProfileImageFemaleKid, c as ProfileImageFemaleTeen, d as ProfileImageFemale } from "../default-profile-image-female.0dd92339.js";
import { P as ProfileImageMale } from "../default-profile-image-male.529a2fd5.js";
import { i as mapActions } from "../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../_plugin-vue2_normalizer.7b9a2fe2.js";
const _sfc_main = {
  name: "search-user",
  components: {
    Multiselect
  },
  props: {
    value: {
      type: [Object, Array, String]
    },
    label: {
      type: String,
      default: "Select Contact"
    },
    trackBy: {
      type: String,
      default: "uuid"
    },
    showBy: {
      type: String,
      default: "name"
    },
    error: {
      type: String,
      default: null
    },
    searchable: {
      type: Boolean,
      default: true
    },
    allowEmpty: {
      type: Boolean,
      default: true
    },
    disabled: {
      type: Boolean,
      default: false
    },
    required: {
      type: Boolean,
      default: false
    },
    multiple: {
      type: Boolean,
      default: false
    },
    closeOnSelect: {
      type: Boolean,
      default: true
    },
    loading: {
      type: Boolean,
      default: false
    },
    wrapperClasses: {
      type: String
    },
    inputClasses: {
      type: String,
      default: "mb-4"
    },
    groupValues: {
      type: String,
      default: null
    },
    groupLabel: {
      type: String,
      default: null
    },
    groupSelect: {
      type: Boolean,
      default: false
    },
    preselectFirst: {
      type: Boolean,
      default: false
    },
    simple: {
      type: Boolean,
      default: false
    },
    commaSeparatedMultiple: {
      type: Boolean,
      default: false
    },
    addNew: {
      type: String
    },
    autoFocus: {
      type: Boolean,
      default: false
    },
    optionsLimit: {
      type: Number,
      deafult: 5
    },
    url: {
      type: String,
      default: "users/search"
    },
    method: {
      type: String,
      default: "get"
    },
    params: {
      type: Object,
      default() {
        return {};
      }
    }
  },
  data() {
    return {
      cbId: "",
      users: [],
      formErrors: {},
      isLoading: false
    };
  },
  computed: {
    user: {
      get() {
        return this.value;
      },
      set(v) {
        this.$emit("input", v);
      }
    }
  },
  methods: {
    ...mapActions("common", [
      "Custom"
    ]),
    computedSubtitle(option) {
      let subtitle = option.vendor ? option.vendor.name : option.brand ? option.brand.name : option.company ? option.company : "";
      return subtitle ? `(${subtitle})` : "";
    },
    computedImage(gender, age) {
      if (gender.uuid === "male") {
        if (age) {
          if (age.years < 13) {
            return ProfileImageMaleKid;
          } else if (age.years < 18) {
            return ProfileImageMaleTeen;
          }
        }
        return ProfileImageMale;
      } else {
        if (age) {
          if (age.years < 13) {
            return ProfileImageFemaleKid;
          } else if (age.years < 18) {
            return ProfileImageFemaleTeen;
          }
        }
        return ProfileImageFemale;
      }
    },
    searchContact: _.debounce(function(query) {
      if (query.length < 3)
        return false;
      this.isLoading = true;
      this.Custom({
        url: this.url,
        method: this.method,
        params: {
          q: query,
          ...this.params
        }
      }).then((response) => {
        this.users = response;
        this.isLoading = false;
      }).catch((error) => {
        this.users = [];
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    }, 500),
    clearSelectedContact() {
      this.user = null;
      this.users = [];
    }
  },
  mounted() {
    if (this.autoFocus) {
      setTimeout(() => {
        this.$refs[`multiselect${this.cbId}`].activate();
      }, 500);
    }
  },
  created() {
    this.cbId = Math.random().toString(16).slice(2);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { class: ["multiselect-wrapper", { "not-empty": !!_vm.user }, { "required": _vm.required }, _vm.wrapperClasses] }, [_c("label", { staticClass: "input-group-material-label" }, [_vm._v(_vm._s(_vm.label) + " "), _vm.required ? _c("span", { staticClass: "required-asterix" }, [_vm._v("*")]) : _vm._e()]), _vm._t("addNew", function() {
    return [_vm.addNew ? _c("div", { staticClass: "add-new-link" }, [_c("base-button", { attrs: { "type": "button", "design": "link", "size": "sm" }, on: { "click": function($event) {
      return _vm.$router.push({ name: _vm.addNew });
    } } }, [_vm._v(_vm._s(_vm.$t("general.add_new")))])], 1) : _vm._e()];
  }), _c("multiselect", { ref: `multiselect${_vm.cbId}`, class: ["input-group-material", _vm.inputClasses], attrs: { "options": _vm.users, "placeholder": _vm.label, "track-by": _vm.trackBy, "label": _vm.showBy, "searchable": _vm.searchable, "show-labels": false, "allow-empty": _vm.allowEmpty, "group-values": _vm.groupValues, "group-label": _vm.groupLabel, "group-select": _vm.groupSelect, "multiple": _vm.multiple, "close-on-select": _vm.closeOnSelect, "disabled": _vm.disabled, "loading": _vm.loading || _vm.isLoading, "preselect-first": _vm.preselectFirst, "internal-search": false, "options-limit": _vm.optionsLimit }, on: { "search-change": _vm.searchContact }, scopedSlots: _vm._u([{ key: "singleLabel", fn: function({ option }) {
    return [_c("div", { staticClass: "person-option selected" }, [_c("div", { staticClass: "person-image-wrapper" }, [option.image ? _c("img", { staticClass: "person-image", attrs: { "src": option.image } }) : _c("img", { staticClass: "person-image", attrs: { "src": _vm.computedImage(option.gender, option.age) } })]), _c("div", { staticClass: "person-details" }, [_c("span", { staticClass: "title" }, [_vm._v(_vm._s(option.name))]), _c("span", { staticClass: "subtitle" }, [_vm._v(_vm._s(_vm.computedSubtitle(option)))])])])];
  } }, { key: "option", fn: function({ option }) {
    return [_c("div", { staticClass: "person-option" }, [_c("div", { staticClass: "person-image-wrapper" }, [option.image ? _c("img", { staticClass: "person-image", attrs: { "src": option.image } }) : _c("img", { staticClass: "person-image", attrs: { "src": _vm.computedImage(option.gender, option.age) } })]), _c("div", { staticClass: "person-details" }, [_c("span", { staticClass: "title" }, [_vm._v(_vm._s(option.name))]), _c("span", { staticClass: "subtitle" }, [_vm._v(_vm._s(_vm.computedSubtitle(option)))])])])];
  } }, { key: "clear", fn: function(props) {
    return [_vm.user ? _c("div", { staticClass: "multiselect__clear", on: { "mousedown": function($event) {
      $event.preventDefault();
      $event.stopPropagation();
      return _vm.clearSelectedContact(props.search);
    } } }) : _vm._e()];
  } }, { key: "noResult", fn: function() {
    return [_c("span", { staticClass: "text-muted" }, [_vm._v(_vm._s(_vm.$t("global.could_not_find_any", { attribute: _vm.$t("user.user") })))])];
  }, proxy: true }, { key: "noOptions", fn: function() {
    return [_c("span", { staticClass: "text-muted" }, [_vm._v(_vm._s(_vm.$t("general.search_helper_text")))])];
  }, proxy: true }]), model: { value: _vm.user, callback: function($$v) {
    _vm.user = $$v;
  }, expression: "user" } }), _vm._t("errorBlock", function() {
    return [_vm.error ? _c("div", { staticClass: "text-danger invalid-feedback", staticStyle: { "display": "block", "margin-top": "-0.5rem" } }, [_vm._v(" " + _vm._s(_vm.error) + " ")]) : _vm._e()];
  })], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const SearchUser = __component__.exports;
export {
  SearchUser as default
};
//# sourceMappingURL=SearchUser.d4cd862c.js.map
