import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const BaseDropdown_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  name: "base-dropdown",
  props: {
    direction: {
      type: String,
      default: "down"
    },
    title: {
      type: String,
      description: "Dropdown title"
    },
    icon: {
      type: String,
      description: "Icon for dropdown title"
    },
    position: {
      type: String,
      description: "Position of dropdown menu (e.g right|left)"
    },
    menuClasses: {
      type: [String, Object],
      description: "Dropdown menu classes"
    },
    splitBtnClasses: {
      type: [String, Object],
      description: "Dropdown menu classes"
    },
    hideArrow: {
      type: Boolean,
      description: "Whether dropdown arrow should be hidden"
    },
    enableSplit: {
      type: Boolean,
      default: false
    },
    toggleOnClick: {
      type: Boolean,
      default: true
    },
    closeOnMouseout: {
      type: Boolean,
      default: true
    },
    hasScroll: {
      type: Boolean,
      default: false
    },
    open: {
      type: [Boolean, String]
    },
    size: {
      type: String,
      default: "sm"
    },
    tag: {
      type: String,
      default: "li"
    },
    dropdownMenuTag: {
      type: String,
      default: "ul"
    },
    trigger: {
      type: String,
      default: "click"
    },
    triggerDelay: {
      type: [Boolean, Number],
      default: false
    },
    triggerClosingDelay: {
      type: [Boolean, Number],
      default: false
    },
    design: {
      type: String,
      default: ""
    }
  },
  data() {
    return {
      cbId: "",
      isOpen: false
    };
  },
  watch: {
    open(val, oldVal) {
      if (val !== oldVal) {
        this.isOpen = val;
      }
    }
  },
  methods: {
    openDropDown() {
      this.isOpen = true;
      this.$emit("change", this.isOpen);
      this.$emit("update:open", this.isOpen);
    },
    toggleDropDown() {
      this.isOpen = !this.isOpen;
      this.$emit("change", this.isOpen);
      this.$emit("update:open", this.isOpen);
    },
    closeDropDown() {
      this.isOpen = false;
      this.$emit("change", this.isOpen);
      this.$emit("update:open", this.isOpen);
    },
    handleMouseover() {
      if (this.trigger === "hover") {
        if (this.triggerDelay) {
          setTimeout(() => {
            this.openDropDown();
          }, this.triggerDelay);
        } else {
          this.openDropDown();
        }
      }
    },
    handleMouseout() {
      if (this.trigger === "hover" && this.closeOnMouseout) {
        if (this.triggerClosingDelay || this.triggerDelay) {
          setTimeout(() => {
            this.closeDropDown();
          }, this.triggerClosingDelay || this.triggerDelay);
        } else {
          this.closeDropDown();
        }
      }
    },
    componentClicked() {
      if (!this.enableSplit && this.trigger === "click") {
        if (this.toggleOnClick) {
          this.toggleDropDown();
        } else {
          if (!this.isOpen) {
            this.toggleDropDown();
          }
        }
      }
      this.$emit("componentClicked");
    },
    splitBtnClicked() {
      if (this.enableSplit && this.trigger === "click") {
        if (this.toggleOnClick) {
          this.toggleDropDown();
        } else {
          if (!this.isOpen) {
            this.toggleDropDown();
          }
        }
      }
      this.$emit("splitBtnClicked");
    }
  },
  created() {
    this.cbId = Math.random().toString(16).slice(2);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c(_vm.tag, { directives: [{ name: "click-outside", rawName: "v-click-outside", value: _vm.closeDropDown, expression: "closeDropDown" }], tag: "component", class: ["dropdown", { show: _vm.isOpen }, { "dropdown": _vm.direction === "down" }, { "dropup": _vm.direction === "up" }, { "btn-group": _vm.enableSplit }], attrs: { "aria-haspopup": "true", "aria-expanded": _vm.isOpen }, on: { "click": _vm.componentClicked, "mouseover": _vm.handleMouseover, "mouseout": _vm.handleMouseout } }, [_vm._t("title", function() {
    return [_c("a", { staticClass: "dropdown-toggle nav-link", class: { "no-caret": _vm.hideArrow }, attrs: { "data-toggle": "dropdown" } }, [_c("i", { class: _vm.icon }), _c("span", { staticClass: "no-icon" }, [_vm._v(_vm._s(_vm.title))])])];
  }), _vm.enableSplit ? [_vm._t("split", function() {
    return [_c("button", { class: ["btn dropdown-toggle dropdown-toggle-split", _vm.splitBtnClasses], attrs: { "type": "button", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, on: { "click": _vm.splitBtnClicked } })];
  })] : _vm._e(), _c(_vm.dropdownMenuTag, { tag: "component", class: ["dropdown-menu", { "dropdown-menu-right": _vm.position === "right" }, { show: _vm.isOpen }, "dropdown-" + _vm.size, _vm.menuClasses, `dropdown-${_vm.design}`, `dropdown-dir-${_vm.direction}`] }, [_c("div", { class: ["dropdown-menu-items-wrapper", { "scroll": _vm.hasScroll }] }, [_c("div", { staticClass: "dropdown-menu-items-content" }, [_c("vue-scroll", { ref: `vue-scroll-${_vm.cbId}`, attrs: { "id": `vue-scroll-${_vm.cbId}` } }, [_vm._t("withScope", null, { "isOpen": _vm.isOpen }), _vm._t("default")], 2)], 1)])])], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const BaseDropdown = __component__.exports;
export {
  BaseDropdown as default
};
//# sourceMappingURL=BaseDropdown.80d4dcea.js.map
