import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const BaseProgress_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  name: "base-progress",
  props: {
    striped: {
      type: Boolean,
      description: "Whether progress is striped"
    },
    animated: {
      type: Boolean,
      description: "Whether progress is animated (works only with `striped` prop together)"
    },
    label: {
      type: String,
      description: "Progress label (shown on the left above progress)"
    },
    height: {
      type: Number,
      default: 8,
      description: "Progress line height"
    },
    type: {
      type: String,
      default: "default",
      description: "Progress type (e.g danger, primary etc)"
    },
    value: {
      type: Number,
      default: 0,
      validator: (value) => {
        return value >= 0 && value <= 100;
      },
      description: "Progress value"
    }
  },
  computed: {
    computedClasses() {
      return [
        { "progress-bar-striped": this.striped },
        { "progress-bar-animated": this.animated },
        { [`bg-${this.type}`]: this.type }
      ];
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "progress-wrapper" }, [_c("div", { class: `progress-${_vm.type}` }, [_c("div", { staticClass: "progress-label" }, [_vm._t("label", function() {
    return [_c("span", [_vm._v(_vm._s(_vm.label))])];
  })], 2), _c("div", { staticClass: "progress-percentage" }, [_vm._t("default", function() {
    return [_c("span", [_vm._v(_vm._s(_vm.value) + "%")])];
  })], 2)]), _c("div", { staticClass: "progress", style: `height: ${_vm.height}px` }, [_c("div", { staticClass: "progress-bar", class: _vm.computedClasses, style: `width: ${_vm.value}%;`, attrs: { "role": "progressbar", "aria-valuenow": _vm.value, "aria-valuemin": "0", "aria-valuemax": "100" } })])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const BaseProgress = __component__.exports;
export {
  BaseProgress as default
};
//# sourceMappingURL=BaseProgress.b3b24c75.js.map
