import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const _sfc_main = {
  name: "base-radio",
  model: {
    prop: "modelValue",
    event: "change"
  },
  props: {
    disabled: {
      type: Boolean,
      description: "Whether radio is disabled"
    },
    hasImage: {
      type: Boolean,
      default: false
    },
    hasInlineImage: {
      type: Boolean,
      default: false
    },
    inRow: {
      type: Boolean,
      default: false
    },
    value: {
      type: [String, Boolean, Object, Array],
      description: "Radio value"
    },
    type: {
      type: String,
      description: "Radio type",
      default: ""
    },
    modelValue: {
      type: [String, Boolean, Object, Array],
      description: "Radio value"
    },
    inline: {
      type: Boolean,
      description: "Whether radio is inline"
    }
  },
  data() {
    return {
      cbId: ""
    };
  },
  computed: {
    shouldBeChecked() {
      return this.modelValue == this.value;
    },
    inlineClass() {
      if (this.inline) {
        return `form-check-inline`;
      }
      return "";
    }
  },
  methods: {
    updateInput() {
      this.$emit("change", this.value);
    }
  },
  created() {
    this.cbId = Math.random().toString(16).slice(2);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "custom-control custom-radio", class: [_vm.inlineClass, { "disabled": _vm.disabled }, { "has-image": _vm.hasImage }, { "has-inline-image": _vm.hasInlineImage }, { "in-row": _vm.inRow }, _vm.type] }, [_c("input", { staticClass: "custom-control-input", attrs: { "id": _vm.cbId, "type": "radio", "disabled": _vm.disabled }, domProps: { "checked": _vm.shouldBeChecked, "value": _vm.value }, on: { "change": _vm.updateInput } }), _c("label", { staticClass: "custom-control-label", attrs: { "for": _vm.cbId } }, [_vm._t("default")], 2)]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const BaseRadio = __component__.exports;
export {
  BaseRadio as default
};
//# sourceMappingURL=BaseRadio.ab46a4fb.js.map
