import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const BaseSwitch_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  name: "base-switch",
  model: {
    prop: "checked"
  },
  props: {
    checked: {
      type: [Array, Boolean, String],
      description: "Whether checkbox is checked"
    },
    disabled: {
      type: Boolean,
      description: "Whether checkbox is disabled"
    },
    clickStop: {
      type: Boolean,
      default: false
    },
    design: {
      type: String,
      default: "default",
      description: "Button design (e,g primary, danger etc)"
    },
    value: {
      type: Boolean,
      default: false,
      description: "Value to check in an array"
    }
  },
  data() {
    return {
      cbId: "",
      touched: false,
      checkedProxy: false
    };
  },
  computed: {
    model: {
      get() {
        return this.checked === "false" || this.checked === "" ? false : this.checked;
      },
      set(v) {
        if (!this.touched) {
          this.touched = true;
        }
        this.checkedProxy = v;
        if (this.clickStop) {
          this.$emit("input", this.checkedProxy);
        }
      }
    },
    classes() {
      let classes = [
        { "form-check-inline": this.inline },
        this.design && !this.disabled ? `control-${this.design}` : ""
      ];
      return classes;
    }
  },
  methods: {
    onChange: function(e) {
      this.$emit("input", this.checkedProxy);
    }
  },
  created() {
    this.cbId = Math.random().toString(16).slice(2);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("label", { staticClass: "custom-toggle", class: [_vm.classes, { disabled: _vm.disabled }] }, [_c("input", { directives: [{ name: "model", rawName: "v-model", value: _vm.model, expression: "model" }], attrs: { "id": _vm.cbId, "type": "checkbox", "disabled": _vm.disabled }, domProps: { "value": _vm.value, "checked": Array.isArray(_vm.model) ? _vm._i(_vm.model, _vm.value) > -1 : _vm.model }, on: { "change": [function($event) {
    var $$a = _vm.model, $$el = $event.target, $$c = $$el.checked ? true : false;
    if (Array.isArray($$a)) {
      var $$v = _vm.value, $$i = _vm._i($$a, $$v);
      if ($$el.checked) {
        $$i < 0 && (_vm.model = $$a.concat([$$v]));
      } else {
        $$i > -1 && (_vm.model = $$a.slice(0, $$i).concat($$a.slice($$i + 1)));
      }
    } else {
      _vm.model = $$c;
    }
  }, _vm.onChange] } }), _c("span", { staticClass: "custom-toggle-slider rounded-circle" })]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const BaseSwitch = __component__.exports;
export {
  BaseSwitch as default
};
//# sourceMappingURL=BaseSwitch.da26f385.js.map
