import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
const ButtonDropdown_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  name: "button-dropdown",
  props: {
    direction: {
      type: String,
      default: "down"
    },
    design: {
      type: String,
      default: "default",
      description: "Button design (e,g primary, danger etc)"
    },
    size: {
      type: String,
      default: "",
      description: "Button size lg|sm"
    },
    textColor: {
      type: String,
      default: "",
      description: "Button text color (e.g primary, danger etc)"
    },
    icon: {
      type: String,
      default: "",
      description: "Button icon"
    },
    text: {
      type: String,
      default: "",
      description: "Button text in case not provided via default slot"
    },
    outline: {
      type: Boolean,
      default: false,
      description: "Whether button style is outline"
    },
    rounded: {
      type: Boolean,
      default: false,
      description: "Whether button style is rounded"
    },
    iconOnly: {
      type: Boolean,
      default: false,
      description: "Whether button contains only an icon"
    },
    block: {
      type: Boolean,
      default: false,
      description: "Whether button is of block type"
    },
    position: {
      type: String,
      description: "Position of dropdown menu (e.g right|left)"
    },
    menuClasses: {
      type: [String, Object],
      description: "Dropdown menu classes"
    },
    open: {
      type: [Boolean, String]
    }
  },
  data() {
    return {
      isOpen: false
    };
  },
  watch: {
    open(val, oldVal) {
      if (val !== oldVal) {
        this.isOpen = val;
      }
    }
  },
  methods: {
    toggleDropDown() {
      this.isOpen = !this.isOpen;
      this.$emit("change", this.isOpen);
      this.$emit("update:open", this.isOpen);
    },
    closeDropDown() {
      this.isOpen = false;
      this.$emit("change", this.isOpen);
      this.$emit("update:open", this.isOpen);
    },
    handleClick(evt) {
      this.$emit("click", evt);
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "btn-group", class: [{ "show": _vm.isOpen }, { "dropup": _vm.direction === "up" }] }, [_vm._t("button", function() {
    return [_c("base-button", { attrs: { "type": "button", "size": _vm.size, "design": _vm.design, "text-color": _vm.textColor, "icon": _vm.icon, "text": _vm.text, "outline": _vm.outline, "rounded": _vm.rounded, "iconOnly": _vm.iconOnly, "block": _vm.block }, on: { "click": _vm.handleClick } }, [_vm._t("text")], 2)];
  }), _c("base-button", { directives: [{ name: "click-outside", rawName: "v-click-outside", value: _vm.closeDropDown, expression: "closeDropDown" }], staticClass: "dropdown-toggle dropdown-toggle-split", attrs: { "type": "button", "size": _vm.size, "design": _vm.design, "text-color": _vm.textColor, "icon": _vm.icon, "text": _vm.text, "outline": _vm.outline, "rounded": _vm.rounded, "iconOnly": _vm.iconOnly, "block": _vm.block, "aria-haspopup": "true", "aria-expanded": _vm.isOpen }, on: { "click": _vm.toggleDropDown } }, [_c("span", { staticClass: "sr-only" }, [_vm._v("Toggle Dropdown")])]), _c("div", { staticClass: "dropdown-menu", class: [{ "dropdown-menu-right": _vm.position === "right" }, { "show": _vm.isOpen }, _vm.menuClasses] }, [_vm._t("default")], 2)], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const ButtonDropdown = __component__.exports;
export {
  ButtonDropdown as default
};
//# sourceMappingURL=ButtonDropdown.ab8b3fab.js.map
