import { f as form } from "./form.ff4ac955.js";
import { s as store } from "./app.9a8150b2.js";
import { n as now } from "./momentz.3304bf92.js";
import { n as normalizeComponent } from "./_plugin-vue2_normalizer.7b9a2fe2.js";
const vars = store.getters["config/vars"];
const _sfc_main = {
  extends: form,
  data() {
    return {
      formData: {
        uuid: null,
        title: "",
        date: now(vars.serverDateFormat),
        time: null,
        description: ""
      },
      formLabels: {
        title: $t("utility.todo.props.title"),
        description: $t("utility.todo.props.description"),
        date: $t("utility.todo.props.date"),
        time: $t("utility.todo.props.time")
      },
      initUrl: "utility/todos",
      timeFields: ["time"]
    };
  },
  mounted() {
    this.isLoading = false;
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading || _vm.isFetching, "loader-color": _vm.vars.loaderColor } }), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 mb-4" }, [_c("base-input", { attrs: { "auto-focus": "", "label": _vm.formLabels.title, "type": "text", "error": _vm.formErrors.title, "required": "" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "title", $event);
  } }, model: { value: _vm.formData.title, callback: function($$v) {
    _vm.$set(_vm.formData, "title", $$v);
  }, expression: "formData.title" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.date, "addon-right-icon": "far fa-calendar-alt", "type": "text", "error": _vm.formErrors.date, "is-wrapper": true, "required": "" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "date", $event);
  } }, model: { value: _vm.formData.date, callback: function($$v) {
    _vm.$set(_vm.formData, "date", $$v);
  }, expression: "formData.date" } }, [_c("date-picker", { staticClass: "form-control datepicker", attrs: { "config": _vm.vars.datepickerConfig }, model: { value: _vm.formData.date, callback: function($$v) {
    _vm.$set(_vm.formData, "date", $$v);
  }, expression: "formData.date" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.time, "addon-right-icon": "far fa-calendar-alt", "type": "text", "error": _vm.formErrors.time, "is-wrapper": true }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "time", $event);
  } }, model: { value: _vm.formData.time, callback: function($$v) {
    _vm.$set(_vm.formData, "time", $$v);
  }, expression: "formData.time" } }, [_c("date-picker", { staticClass: "form-control datepicker", attrs: { "config": _vm.vars.timepickerConfig }, model: { value: _vm.formData.time, callback: function($$v) {
    _vm.$set(_vm.formData, "time", $$v);
  }, expression: "formData.time" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-12 mb-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.description, "type": "text", "error": _vm.formErrors.description }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "description", $event);
  } }, model: { value: _vm.formData.description, callback: function($$v) {
    _vm.$set(_vm.formData, "description", $$v);
  }, expression: "formData.description" } })], 1)]), _c("div", { staticClass: "form-footer mt-3" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
    return _vm.$router.back();
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))]), _vm.showKeepAdding ? _c("base-checkbox", { staticClass: "ml-3 mt-2", model: { value: _vm.keepAdding, callback: function($$v) {
    _vm.keepAdding = $$v;
  }, expression: "keepAdding" } }, [_vm._v(" " + _vm._s(_vm.$t("general.keep_adding")) + " ")]) : _vm._e()], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_vm._v(_vm._s(_vm.$t("global.save", { attribute: _vm.$t("utility.todo.todo") })))])], 1)]), _vm.showKeepAdding && _vm.keepAdding ? [_c("keep-adding-form", { attrs: { "keep-adding-fields": _vm.keepAddingFields, "keep-adding-option": _vm.keepAddingOption, "keep-adding-selected-fields": _vm.keepAddingSelectedFields, "is-loading": _vm.isLoading }, on: { "optionUpdated": function($event) {
    _vm.keepAddingOption = $event;
  }, "fieldsUpdated": function($event) {
    _vm.keepAddingSelectedFields = $event;
  } } })] : _vm._e()], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const CommonForm = __component__.exports;
export {
  CommonForm as C
};
//# sourceMappingURL=form.1f50eed1.js.map
