import { m as mapGetters } from "./vendor/vendor-core.2a9962eb.js";
import { p as getRandomNumber } from "./app.9a8150b2.js";
import { n as normalizeComponent } from "./_plugin-vue2_normalizer.7b9a2fe2.js";
const _sfc_main = {
  props: {
    meeting: {
      type: Object,
      required: true
    },
    lift: {
      type: Boolean,
      default: false
    },
    raise: {
      type: Boolean,
      default: false
    },
    flex: {
      type: Boolean,
      default: true
    },
    placeholderCover: {
      type: Boolean,
      default: true
    },
    primaryHeading: {
      type: String,
      default: "title",
      description: "Use title or the meeting type as heading of the meeting card"
    },
    link: {
      type: [Object, String],
      default: null
    }
  },
  computed: {
    ...mapGetters("config", [
      "vars",
      "configs"
    ]),
    computedLink() {
      return this.link ? this.link : this.meetingLink;
    },
    meetingLink() {
      return { name: "appMeetingView", params: { uuid: this.meeting.uuid } };
    },
    computedImage() {
      return this.meeting.cover ? this.meeting.cover : "/images/placeholder-dash.png";
    }
  },
  methods: {
    generateRandomBgColor() {
      return `hsl(${getRandomNumber(360)}deg, ${getRandomNumber(5, 30)}%, ${getRandomNumber(10, 30)}%)`;
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { class: [
    "post-item meeting-item",
    { "has-image": _vm.meeting.cover || _vm.placeholderCover },
    { "d-flex": _vm.flex }
  ] }, [_c("card", { staticClass: "overflow-inherit", attrs: { "shadow": "", "lift": _vm.lift, "raise": _vm.raise, "no-body": "", "show-footer": "" }, scopedSlots: _vm._u([{ key: "title", fn: function() {
    return [_vm.primaryHeading === "title" ? _c("router-link", { attrs: { "to": _vm.computedLink } }, [_c("h6", { staticClass: "mb-0" }, [_vm._v(_vm._s(_vm.meeting.title))])]) : _c("badge", { attrs: { "type": "light" } }, [_vm._v(_vm._s(_vm.meeting.type.name))])];
  }, proxy: true }, { key: "actions", fn: function() {
    return [_vm._t("actions")];
  }, proxy: true }, { key: "bottomImage", fn: function() {
    return [_c("router-link", { staticClass: "meeting-image", attrs: { "to": _vm.computedLink } }, [_vm.meeting.cover ? _c("img", { staticClass: "card-img-bottom rounded-0", attrs: { "src": _vm.meeting.cover, "alt": _vm.meeting.title } }) : _vm.placeholderCover ? _c("placeholder", { attrs: { "icon": _vm.vars.meetingTypes ? _vm.vars.meetingTypes[_vm.meeting.type.uuid].icon : null, "text": _vm.meeting.type.name, "backgroundColor": _vm.generateRandomBgColor, "foregroundColor": "rgba(255,255,255,0.2)" } }) : _vm._e()], 1)];
  }, proxy: true }, _vm.meeting.agenda ? { key: "footer", fn: function() {
    return [_c("div", { staticClass: "meeting-badges d-flex justify-content-between align-items-center mb-1" }, [_vm.primaryHeading === "title" ? _c("badge", { attrs: { "type": "white" } }, [_vm._v(_vm._s(_vm.meeting.type.name))]) : _c("router-link", { attrs: { "to": _vm.computedLink } }, [_c("h6", { staticClass: "mb-0" }, [_vm._v(_vm._s(_vm.meeting.title))])]), _c("badge", { staticClass: "opacity-6", attrs: { "type": "white" } }, [_vm._v(_vm._s(_vm.meeting.category.name))])], 1), _c("div", { staticClass: "d-flex justify-content-between" }, [_c("div", { staticClass: "text-truncate" }, [_c("view-date", { staticClass: "meeting-date mb-0", attrs: { "prefix": _vm.$t("meeting.props.scheduled_on"), "value": _vm.meeting.startDateTime, "with-tz": "", "tag": "span", "data-classes": "text-sm text-nowrap", "prefix-classes": "text-sm" } })], 1), _c("badge", { attrs: { "rounded": "", "type": _vm.vars.colorsForStatus["meeting-" + _vm.meeting.status] } }, [_vm._v(_vm._s(_vm.meeting.status))])], 1)];
  }, proxy: true } : null], null, true) })], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const MeetingCard = __component__.exports;
export {
  MeetingCard as M
};
//# sourceMappingURL=meeting-card.43addc47.js.map
