import { l as lookup } from "../../index.b6800d1c.js";
import { R as RTCMultiConnection } from "../../RTCMultiConnection.min.959809bc.js";
import "../../vendor/vendor-webrtc-adapter.edd1a585.js";
import { h as hark } from "../../vendor/vendor-hark.d59dd231.js";
import "../../vendor/vendor-others.d4f8aae2.js";
import { L as Logger } from "../../live-poll.3e39080e.js";
import "../../vendor/vendor-essential.31dae676.js";
import "../../vendor/vendor-core.2a9962eb.js";
import "../../app.9a8150b2.js";
import "../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../vendor/vendor-laravel-echo.c401b1a2.js";
import "../../vendor/vendor-pusher-js.2a02459b.js";
import "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../form.ff4ac955.js";
import "../../header.a91390e7.js";
import "../../FileUploader.a3ada0d1.js";
import "../../uploader.39656730.js";
import "../../event-bus.0afcd682.js";
import "../../momentz.3304bf92.js";
import "../../vendor/vendor-vue-chartjs.7edfae0a.js";
let ebml = document.createElement("script");
ebml.setAttribute("src", "/js/EBML.js"), document.head.appendChild(ebml);
window.io = lookup, window.hark = hark;
function rtcRtcmc_min() {
  const SIGNAL_URL = window.atob("aHR0cHM6Ly9zaWduYWx2Mi5rb2RlbWludC5pbjo5MDAyLw==");
  let rtcmc = null, roomJoined = false, localStreamMidMap = {}, config = { debug: false, iceServers: [], mediaServers: [], signalServer: SIGNAL_URL, opaqueId: "KMConnect", maxParticipants: 1e3 }, callbacks = {}, meeting = {}, meetingConfigs = {}, meetingRules = {}, alreadyAcceptedParticipants = {}, connectedWith = {}, newParticipantsList = [];
  const logger = new Logger();
  let speechEvents = null;
  function getInstance() {
    return rtcmc;
  }
  function getUserInfo() {
    var _a;
    return (_a = rtcmc.extra) == null ? void 0 : _a.user;
  }
  function getInstanceUserId() {
    return rtcmc.userid;
  }
  function initSession(opts = {}) {
    const options = processOptions(opts);
    logger.log("RTCMC - initSession called", options), createSession(options);
  }
  function setupFileSharing(opts = {}) {
    opts.callbacks && (callbacks = Object.assign(callbacks, opts.callbacks)), rtcmc.enableFileSharing = true, rtcmc.chunkSize = 15e3, rtcmc.onFileStart = rtcmOnFileStart, rtcmc.onFileProgress = rtcmOnFileProgress, rtcmc.onFileEnd = rtcmOnFileEnd;
  }
  function startMeeting(opts = {}) {
    const options = processOptions(opts);
    logger.log("RTCMC - startMeeting called", options);
    const startMeetingProcess = () => {
      rtcmc.enableScalableBroadcast ? (rtcmc.userid = options.room, rtcmc.connectSocket((socket) => {
        logger.log("RTCMC - startMeeting socket join-broadcast"), socket.emit("join-broadcast", { broadcastId: options.room, userid: rtcmc.userid, typeOfStreams: rtcmc.session });
      })) : (logger.log("RTCMC - startMeeting createRoom"), createRoom(options));
    };
    rtcmc ? startMeetingProcess() : (options.success = () => {
      startMeetingProcess();
    }, createSession(options));
  }
  function joinMeeting(opts = {}) {
    const options = processOptions(opts);
    logger.log("RTCMC - joinMeeting called", options);
    const joinMeetingProcess = () => {
      rtcmc.enableScalableBroadcast ? rtcmc.connectSocket((socket) => {
        socket.emit("join-broadcast", { broadcastId: options.room, userid: rtcmc.userid, typeOfStreams: rtcmc.session });
      }) : joinRoom(options);
    };
    rtcmc ? joinMeetingProcess() : (options.success = () => {
      joinMeetingProcess();
    }, createSession(options));
  }
  function leaveMeeting(opts = {}) {
    logger.log("RTCMC - leaveMeeting called", opts);
    rtcmc.userid;
    close({ ...opts, callback: () => {
      eventCallback("leftMeeting");
    } });
  }
  function sendMessage({ event, type, data = {}, timeout = 0, callback }) {
    if (rtcmc)
      if (event && rtcmc.socket)
        try {
          window.setTimeout(() => {
            rtcmc.socket.emit("Connect-Whisper-" + meeting.uuid, { event, data: { userId: rtcmc.userid, extra: rtcmc.extra, ...data } }), callback && _.isFunction(callback) && callback();
          }, timeout);
        } catch (e) {
        }
      else
        try {
          window.setTimeout(() => {
            rtcmc.send({ type, data }), callback && _.isFunction(callback) && callback();
          }, timeout);
        } catch (e) {
        }
  }
  function acceptJoiningRequest({ participantId, userId, userPreferences }) {
    rtcmc.acceptParticipationRequest(participantId, userPreferences), alreadyAcceptedParticipants[userId] = true, checkNumberOfParticipants(), logger.log("RTCMC - On rtcmOnNewParticipant - manually accepted!"), eventCallback("participantJoined", { participantId, userId, userPreferences });
  }
  function updateSessionOptions(opts = {}) {
    var _a, _b;
    logger.log("RTCMC - updateSessionOptions called", opts);
    const options = processOptions(opts);
    Object.assign(rtcmc.extra, { user: { username: options.userObject.username, uuid: options.userObject.uuid, name: options.userObject.name, avatar: (_a = options.userObject.profile) == null ? void 0 : _a.avatar, cover: (_b = options.userObject.profile) == null ? void 0 : _b.cover }, isHost: options.meeting.isHost, canModerate: options.meeting.canModerate, canToggleAudio: options.meetingConfigs.canToggleAudio, canToggleVideo: options.meetingConfigs.canToggleVideo, canHaveStream: options.meetingRules.sendAudio || options.meetingRules.sendVideo }), updateExtraData();
  }
  function eventCallback(functionName, data) {
    logger.debug("Got a eventCallback", functionName), logger.debug("Got a eventCallback - data", data), functionName && callbacks.hasOwnProperty(functionName) && _.isFunction(callbacks[functionName]) && callbacks[functionName](data);
  }
  function processOptions(opts = {}) {
    const options = { ...opts };
    return _.isObject(options.user) && (options.userObject = { ...options.user }, options.user = JSON.stringify(options.user)), options.user, options.config = Object.assign({}, config, options.config), meeting = options.meeting ? options.meeting : meeting, meetingConfigs = options.meetingConfigs ? options.meetingConfigs : meetingConfigs, meetingRules = options.meetingRules ? options.meetingRules : meetingRules, options;
  }
  async function getSocket(callback) {
    return await rtcmc.getSocket((socket) => {
      if (socket)
        return socket;
      throw "RTCMC - Socket not found!";
    });
  }
  function createSession(opts = {}) {
    var _a, _b;
    logger.log("RTCMC - createSession called", opts), rtcmc || (rtcmc = new RTCMultiConnection(), window.rtcmc = rtcmc, rtcmc.socketURL = opts.config.signalServer || SIGNAL_URL, logger.log("RTCMC - socketURL", rtcmc.socketURL), rtcmc.iceServers = opts.config.iceServers, rtcmc.autoCreateMediaElement = false, rtcmc.enableLogs = opts.config.debug, opts.config.forceTurn && (rtcmc.candidates = { turn: true, stun: false, host: false }), rtcmc.onopen = rtcmOnOpen, rtcmc.onmessage = rtcmOnMessage, rtcmc.onNewParticipant = rtcmOnNewParticipant, rtcmc.onNumberOfBroadcastViewersUpdated = onNumberOfBroadcastViewersUpdated, rtcmc.onstream = rtcmOnStream, rtcmc.onstreamended = rtcmOnStreamEnded, rtcmc.onMediaError = rtcmOnMediaError, rtcmc.onerror = rtcmOnError, rtcmc.onUserIdAlreadyTaken = rtcmOnUserIdAlreadyTaken, rtcmc.onExtraDataUpdated = rtcmOnExtraDataUpdated, rtcmc.onUserStatusChanged = rtcmOnUserStatusChanged, rtcmc.onSocketDisconnect = rtcmOnSocketDisconnect, rtcmc.socketMessageEvent = "Connect-Message-" + meeting.uuid, rtcmc.setCustomSocketEvent("Connect-Whisper-" + meeting.uuid), alreadyAcceptedParticipants = {}, connectedWith = {}, rtcmc.maxParticipantsAllowed = opts.config.maxParticipants, rtcmc.mediaConstraints = { video: false, audio: false, screen: false }, rtcmc.dontCaptureUserMedia = true, opts.meetingRules ? (rtcmc.session = opts.meetingRules.session, rtcmc.sdpConstraints.mandatory = { OfferToReceiveAudio: opts.meetingRules.receiveAudio, OfferToReceiveVideo: opts.meetingRules.receiveVideo }, opts.meetingRules.session.oneway && (rtcmc.enableScalableBroadcast = true, rtcmc.autoCloseEntireSession = true, rtcmc.maxRelayLimitPerUser = 1, rtcmc.socketMessageEvent = "scalable-media-broadcast-demo", rtcmc.connectSocket((socket) => {
      socket.on("join-broadcaster", (hintsToJoinBroadcast) => {
        logger.log("RTCMC - socket join-broadcaster", hintsToJoinBroadcast), rtcmc.session = hintsToJoinBroadcast.typeOfStreams, rtcmc.sdpConstraints.mandatory = { OfferToReceiveVideo: !!rtcmc.session.video, OfferToReceiveAudio: !!rtcmc.session.audio }, rtcmc.broadcastId = hintsToJoinBroadcast.broadcastId, joinRoom({ room: hintsToJoinBroadcast.userid, force: true });
      }), socket.on("rejoin-broadcast", (broadcastId) => {
        logger.log("RTCMC - socket rejoin-broadcast", broadcastId), rtcmc.attachStreams = [], socket.emit("check-broadcast-presence", broadcastId, (isBroadcastExists) => {
          logger.log("RTCMC - socket check-broadcast-presence", broadcastId, isBroadcastExists), isBroadcastExists ? (logger.log("RTCMC - socket rejoin-broadcast - emitting join-broadcast to join broadcasting"), socket.emit("join-broadcast", { broadcastId, userid: rtcmc.userid, typeOfStreams: rtcmc.session })) : opts.meeting.canModerate ? (rtcmc.userid = broadcastId, logger.log("RTCMC - socket rejoin-broadcast - emitting join-broadcast to start broadcasting"), socket.emit("join-broadcast", { broadcastId, userid: rtcmc.userid, typeOfStreams: rtcmc.session })) : eventCallback("roomNotFound");
        });
      }), socket.on("broadcast-stopped", (broadcastId) => {
        logger.log("RTCMC - socket broadcast-stopped", broadcastId), eventCallback("broadcastStopped", broadcastId);
      }), socket.on("start-broadcasting", (typeOfStreams) => {
        logger.log("RTCMC - socket start-broadcasting", typeOfStreams), meeting.canModerate ? (rtcmc.sdpConstraints.mandatory = { OfferToReceiveVideo: false, OfferToReceiveAudio: false }, rtcmc.session = typeOfStreams, logger.log("RTCMC - socket start-broadcasting room", rtcmc.userid), createRoom({ room: rtcmc.userid, force: true })) : eventCallback("roomNotFound");
      });
    }))) : opts.meetingRules = {}, opts.userObject || (opts.userObject = { ...opts.user }, opts.user = JSON.stringify(opts.user)), rtcmc.extra = { user: { username: opts.userObject.username, uuid: opts.userObject.uuid, name: opts.userObject.name, avatar: (_a = opts.userObject.profile) == null ? void 0 : _a.avatar, cover: (_b = opts.userObject.profile) == null ? void 0 : _b.cover }, isInitiator: false, isHost: opts.meeting.isHost, canModerate: opts.meeting.canModerate, canToggleAudio: opts.meetingConfigs.canToggleAudio, canToggleVideo: opts.meetingConfigs.canToggleVideo, canHaveStream: opts.meetingRules.sendAudio || opts.meetingRules.sendVideo, broadcastId: opts.room, streamsInfo: {} }, eventCallback("sessionCreated"), checkNumberOfParticipants(), _.isFunction(opts.success) && (logger.log("RTCMC - Success callback after creating session"), opts.success()));
  }
  function roomExists(opts = {}) {
    rtcmc ? (logger.log("RTCMC - roomExists called", opts), rtcmc.enableScalableBroadcast ? getSocket().then((socket) => {
      socket.emit("check-broadcast-presence", opts.room, (isBroadcastExists) => {
        true === isBroadcastExists ? (logger.log("RTCMC - broadcast room Exists yes"), _.isFunction(opts.yes) && opts.yes(socket)) : (logger.log("RTCMC - broadcast room Exists no"), _.isFunction(opts.no) && opts.no(socket));
      });
    }).catch((error2) => {
      logger.error(error2), _.isFunction(opts.no) && opts.no(error2);
    }) : rtcmc.checkPresence(opts.room, (isRoomExist, roomid) => {
      true === isRoomExist ? (logger.log("RTCMC - room Exists yes"), _.isFunction(opts.yes) && opts.yes()) : (logger.log("RTCMC - room Exists no"), _.isFunction(opts.no) && opts.no());
    })) : _.isFunction(opts.no) && opts.no();
  }
  function createRoom(opts = {}) {
    logger.log("RTCMC - createRoom called", opts);
    const rtcmcOpenRoom = () => {
      roomJoined || (rtcmc.extra.isInitiator = true, rtcmc.open(opts.room, (isRoomOpened, roomid, error2) => {
        roomJoined = false, error2 ? eventCallback("createRoomError", error2) : true === isRoomOpened && (roomJoined = true, eventCallback("roomCreated", roomid), initSocketListener());
      }));
    };
    opts.force ? rtcmcOpenRoom() : roomExists({ room: opts.room, no(socket) {
      rtcmcOpenRoom();
    }, yes() {
      joinRoom({ ...opts, force: true });
    } });
  }
  function joinRoom(opts = {}) {
    logger.log("RTCMC - joinRoom called", opts);
    const rtcmcJoinRoom = () => {
      roomJoined || rtcmc.join(opts.room, (isJoined, roomid, error2) => {
        roomJoined = false, false === isJoined || error2 ? eventCallback("Room full" === error2 ? "roomFullError" : "joinRoomError", error2) : (roomJoined = true, checkNumberOfParticipants(), initSocketListener(), eventCallback("roomJoined", roomid));
      });
    };
    opts.force ? rtcmcJoinRoom() : roomExists({ room: opts.room, no() {
      eventCallback("roomNotFound");
    }, yes(socket) {
      rtcmcJoinRoom();
    } });
  }
  function updateExtraData() {
    logger.log("RTCMC - updateExtraData called", rtcmc.extra), rtcmc.updateExtraData();
  }
  function publishFeed(opts = {}) {
    if (logger.log("RTCMC - publishFeed called", opts), !opts.stream)
      return;
    const options = { ...opts };
    if (options.info) {
      rtcmc.extra.streamsInfo[options.stream.id] = options.info, updateExtraData();
      let streamFrom = options.info.from;
      if (localStreamMidMap[streamFrom] = { info: options.info, streamId: options.stream.id, stream: options.stream }, window.setTimeout(() => {
        rtcmc.addStream(options.stream);
      }, 2e3), "cam" === streamFrom) {
        options.stream.getAudioTracks().length;
      }
    } else
      rtcmc.addStream(options.stream);
  }
  function updatePublishedFeed(opts = {}) {
    logger.log("RTCMC - updatePublishedFeed called", opts);
    const options = { ...opts };
    let streamMidObj = null, streamFrom = null;
    if (options.info && (streamFrom = options.info.from, streamMidObj = localStreamMidMap[streamFrom], streamMidObj)) {
      const streamId = streamMidObj.streamId;
      streamMidObj.stream && (options.existingStream = rtcmc.attachStreams.find((s) => s && s.id === streamId)), rtcmc.extra.streamsInfo[streamId].mirroredVideo = options.info.mirroredVideo, updateExtraData(), localStreamMidMap[streamFrom].info.mirroredVideo = options.info.mirroredVideo;
    }
    const existingStream = options.existingStream;
    if (options.stream)
      if (logger.log("RTCMC - updatePublishedFeed - has new stream"), existingStream) {
        logger.log("RTCMC - updatePublishedFeed - has existing stream"), "cam" === streamFrom && speechEvents && speechEvents.stop();
        const audioTracks = options.stream.getAudioTracks(), videoTracks = options.stream.getVideoTracks(), existingStreamTracks = existingStream.getTracks();
        if (audioTracks.length || videoTracks.length)
          return "blur" !== options.action && "unblur" !== options.action && existingStreamTracks.forEach((track) => {
            track.enabled = false, track.stop();
          }), sendMessage({ event: "streamPaused", data: { id: existingStream.id } }), "blur" !== options.action && "unblur" !== options.action && (existingStream.paused = true), publishFeed(options), void (audioTracks.length && options.info && options.info.from);
        if (existingStreamTracks.length)
          return existingStreamTracks.forEach((track) => {
            track.enabled = false, track.stop();
          }), sendMessage({ event: "streamTrackRemoved", data: { id: existingStream.id }, timeout: existingStream.paused ? 2e3 : 0 }), void (existingStream.paused = false);
      } else
        logger.log("RTCMC - updatePublishedFeed - no existing stream"), publishFeed(options);
    else
      logger.log("RTCMC - updatePublishedFeed - no new stream"), "cam" === streamFrom && speechEvents && speechEvents.stop(), existingStream && (logger.log("RTCMC - updatePublishedFeed - has existing stream"), rtcmc.removeStream(existingStream.id), existingStream.getTracks().forEach((track) => {
        track.enabled = false;
      }), existingStream.paused = true, "remove" === options.action ? sendMessage({ event: "streamTrackRemoved", data: { id: existingStream.id } }) : sendMessage({ event: "streamPaused", data: { id: existingStream.id } }));
  }
  function close(opts = {}) {
    logger.log("RTCMC - close called", opts), rtcmc && (opts.feeds && opts.feeds.length && opts.feeds.forEach((feed) => {
      rtcmc.removeStream(feed.stream.id), "function" == typeof feed.stopFn ? feed.stopFn(feed.stream) : "function" == typeof feed.stream.getTracks ? feed.stream.getTracks().forEach((track) => track.stop()) : "function" == typeof feed.stream.stop && feed.stream.stop();
    }), rtcmc.removeStream({ video: true, audio: true }), rtcmc.attachStreams.forEach((localStream) => {
      rtcmc.removeStream(localStream.id), localStream.getTracks().forEach((track) => track.stop());
    }), rtcmc.attachStreams = []), window.setTimeout(() => {
      rtcmc.getAllParticipants().forEach((participant) => {
        rtcmc.disconnectWith(participant);
      }), rtcmc && (rtcmc.leave(), rtcmc.closeSocket()), rtcmc = null, roomJoined = false, localStreamMidMap = {}, alreadyAcceptedParticipants = {}, connectedWith = {}, newParticipantsList = [], "function" == typeof opts.callback && opts.callback();
    }, 500);
  }
  function shareFile(opts = {}) {
    opts.file && opts.sendTo && rtcmc.shareFile(opts.file, opts.sendTo);
  }
  function getAllStreams(opts = {}) {
    return rtcmc.streamEvents.selectAll();
  }
  function initSocketListener() {
    if (!rtcmc)
      return;
    const callbackList = { streamTrackRemoved: onStreamTrackRemoved, streamTrackUpdated: onStreamTrackUpdated, streamPaused: onStreamPaused, remoteHandToggled: onRemoteHandToggled, speaking: onSpeaking, stoppedSpeaking: onStoppedSpeaking, snapshotTaken: onSnapshotTaken, meetingUpdated: onMeetingUpdated, meetingEnded: onMeetingEnded, userBanned: onUserBanned, participantLeft: onParticipantLeft, toggleRemoteAV: onToggleRemoteAV, pollPublished: onPollPublished, pollResultPublished: onPollResultPublished };
    getSocket().then((socket) => {
      socket.on("Connect-Whisper-" + meeting.uuid, (e) => {
        logger.log("RTCMC - Got Socket Whisper!", e), rtcmc && e && callbackList.hasOwnProperty(e.event) && (logger.log("RTCMC - Got Socket Whisper Event: ", e.event, e.data), callbackList[e.event](e.data));
      });
    }).catch((error2) => {
      logger.error(error2);
    });
  }
  function checkNumberOfParticipants() {
    if (!rtcmc)
      return;
    const participants = rtcmc.getAllParticipants(), participantsList = [];
    return participants.forEach((participantId, index) => {
      const participant = rtcmc.peers[participantId];
      participant && participantsList.push({ userId: participant.userid, ...participant.extra });
    }), logger.log("RTCMC - checkNumberOfParticipants - participants", participantsList), eventCallback("participantsCountChecked", participantsList), participants.length;
  }
  function getFeedObject(feed = {}) {
    if (!feed)
      return;
    const feedExtraData = feed.extra ? feed.extra : {}, feedId = feed.id || feed.streamid, userId = feed.userid || feed.userId, userUuid = feedExtraData.user ? feedExtraData.user.uuid : null, streamInfo = feedId && feedExtraData.streamsInfo ? feedExtraData.streamsInfo[feedId] : {}, feedObject = { userId, userUuid, ...feedExtraData };
    return feedId && (feedObject.id = feedId, feedObject.key = userUuid, feedObject.isScreen = false, feedObject.isWhiteboard = false, feedObject.isTalking = false), streamInfo && (feedObject.mirroredVideo = streamInfo.mirroredVideo || false, feedObject.info = streamInfo, streamInfo.from && ("screen" !== streamInfo.from && "whiteboard" !== streamInfo.from || (feedObject.key = feedObject.key + "-" + streamInfo.from), feedObject.from = streamInfo.from, feedObject.isScreen = "screen" === streamInfo.from, feedObject.isWhiteboard = "whiteboard" === streamInfo.from, feedObject.isTalking = "cam" === streamInfo.from && streamInfo.talking)), feed.stream && (feedObject.stream = feed.stream), feedObject;
  }
  function onStreamTrackRemoved(feed) {
    logger.log("RTCMC - On onStreamTrackRemoved: ", feed);
    eventCallback("streamRemoved", { ...getFeedObject(feed), kind: feed.kind, info: feed.info });
  }
  function onStreamTrackUpdated(feed) {
    logger.log("RTCMC - On onStreamTrackUpdated: ", feed);
    eventCallback("streamUpdated", { ...getFeedObject(feed), kind: feed.kind, info: feed.info });
  }
  function onStreamPaused(feed) {
    logger.log("RTCMC - On onStreamPaused: ", feed);
    eventCallback("streamUpdated", { ...getFeedObject(feed), kind: feed.kind, type: "paused", info: feed.info });
  }
  function onRemoteHandToggled(feed) {
    logger.log("RTCMC - On onRemoteHandToggled: ", feed);
    eventCallback("remoteHandToggled", { ...getFeedObject(feed), isHandUp: feed.isHandUp });
  }
  function onSpeaking(feed) {
    eventCallback("streamUpdated", { ...getFeedObject(feed), from: feed.from, type: "meta-updated", data: { key: "isTalking", value: true } });
  }
  function onStoppedSpeaking(feed) {
    eventCallback("streamUpdated", { ...getFeedObject(feed), from: feed.from, type: "meta-updated", data: { key: "isTalking", value: false } });
  }
  function onSnapshotTaken(info) {
    logger.log("RTCMC - On onSnapshotTaken: ", info), eventCallback("snapshotTaken", info);
  }
  function onMeetingUpdated(meeting2) {
    logger.log("RTCMC - On onMeetingUpdated: ", meeting2), eventCallback("meetingUpdated", meeting2);
  }
  function onMeetingEnded(e) {
    logger.log("RTCMC - On onMeetingEnded: ", e), eventCallback("meetingEnded", e);
  }
  function onUserBanned(feed) {
    logger.log("RTCMC - On onUserBanned: ", feed), checkNumberOfParticipants(), eventCallback("userBanned", feed);
  }
  function onParticipantLeft(feed) {
    if (logger.log("RTCMC - onParticipantLeft: ", feed), !rtcmc)
      return;
    const feedObject = getFeedObject(feed);
    (feedObject.userId || feedObject.userUuid) && (eventCallback("participantLeft", feedObject), window.setTimeout(checkNumberOfParticipants, 1e3));
  }
  function onToggleRemoteAV(data) {
    logger.log("RTCMC - On onToggleRemoteAV: ", data), data.userId && data.userId === rtcmc.userid || eventCallback("toggleRemoteAV", data);
  }
  function onPollPublished(data) {
    logger.log("RTCMC - On onPollPublished: ", data), eventCallback("pollPublished", data);
  }
  function onPollResultPublished(data) {
    logger.log("RTCMC - On onPollResultPublished: ", data), eventCallback("pollResultPublished", data);
  }
  function rtcmOnOpen(e) {
    logger.log("RTCMC - On rtcmOnOpen: ", e), connectedWith[e.userid] || (connectedWith[e.userid] = true, checkNumberOfParticipants(), eventCallback("dataChannelOpened", e));
  }
  function rtcmOnMessage({ data, extra, userid }) {
    logger.log("RTCMC - On rtcmOnMessage: ", data, extra, userid), data && ("whiteboard" !== data.type ? "file-sharing" !== data.type ? eventCallback("messageReceived", { userId: userid, user: extra == null ? void 0 : extra.user, data: data.data }) : eventCallback("fileSharingMessageReceived", { userId: userid, user: extra == null ? void 0 : extra.user, data: data.data }) : eventCallback("whiteboardMessageReceived", { userId: userid, user: extra == null ? void 0 : extra.user, data: data.data }));
  }
  function rtcmOnNewParticipant(participantId, userPreferences) {
    if (logger.log("RTCMC - On rtcmOnNewParticipant - participantId, userPreferences: ", participantId, userPreferences), !rtcmc)
      return;
    if (checkNumberOfParticipants() >= rtcmc.maxParticipantsAllowed)
      return;
    const userId = userPreferences.connectionDescription.remoteUserId;
    rtcmc.acceptParticipationRequest(participantId, userPreferences), alreadyAcceptedParticipants[userId] = true, checkNumberOfParticipants(), logger.log("RTCMC - On rtcmOnNewParticipant - auto accepted!");
  }
  function onNumberOfBroadcastViewersUpdated(e) {
    logger.log("RTCMC - On onNumberOfBroadcastViewersUpdated: ", e), !rtcmc.isInitiator && rtcmc.extra.isHost || eventCallback("numberOfBroadcastViewersUpdated", e.numberOfBroadcastViewers);
  }
  function rtcmOnStream(feed) {
    if (logger.log("RTCMC - On rtcmOnStream: ", feed), !rtcmc)
      return;
    const feedObject = getFeedObject(feed);
    if (!rtcmc.peers[feedObject.userId])
      return logger.log("RTCMC - On rtcmOnStream - participant already gone!"), eventCallback("participantLeft", feedObject), void checkNumberOfParticipants();
    let feedExtraData = { ...feed.extra };
    if (feedExtraData.user && feedExtraData.user.uuid)
      if ("live_class" !== meeting.type.uuid || rtcmc.isInitiator || rtcmc.extra.isHost || feedExtraData.isInitiator || feedExtraData.isHost || "remote" !== feed.type) {
        if (!("webinar" !== meeting.type.uuid && "podcast" !== meeting.type.uuid || rtcmc.isInitiator || rtcmc.extra.isHost || feedExtraData.isInitiator || feedExtraData.isHost || "remote" !== feed.type)) {
          if (rtcmc.enableScalableBroadcast) {
            if (feedExtraData.broadcasterExtra) {
              let broadcasterExtra = { ...feedExtraData.broadcasterExtra };
              delete feedExtraData.broadcasterExtra, feedExtraData = { ...feedExtraData, ...broadcasterExtra };
            }
          } else if (!feed.extra.isInitiator && !feed.extra.isHost)
            return void logger.log("RTCMC - On rtcmOnStream - Incoming stream is not from host! Dont show!");
        }
        if (rtcmc.enableScalableBroadcast) {
          if ((rtcmc.isInitiator || rtcmc.extra.isHost) && "remote" === feed.type)
            return;
          rtcmc.isUpperUserLeft = false, (feed.extra.isInitiator || feed.extra.isHost) && (rtcmc.extra.broadcasterExtra = { ...feedExtraData }, updateExtraData());
        }
        eventCallback("streamAdded", feedObject), !rtcmc.enableScalableBroadcast || rtcmc.isInitiator || rtcmc.isHost || "remote" !== feed.type || (rtcmc.dontCaptureUserMedia = true, rtcmc.attachStreams = [feed.stream], rtcmc.sdpConstraints.mandatory = { OfferToReceiveAudio: false, OfferToReceiveVideo: false }, rtcmc.getSocket((socket) => {
          "Chrome" === rtcmc.DetectRTC.browser.name && rtcmc.getAllParticipants().forEach((p) => {
            if (p + "" != feed.userid + "") {
              let peer = rtcmc.peers[p].peer;
              peer.getLocalStreams().forEach((localStream) => {
                peer.removeStream(localStream);
              }), feed.stream.getTracks().forEach((track) => {
                peer.addTrack(track, feed.stream);
              }), rtcmc.dontAttachStream = true, rtcmc.renegotiate(p), rtcmc.dontAttachStream = false;
            }
          }), "Firefox" === rtcmc.DetectRTC.browser.name && rtcmc.getAllParticipants().forEach((p) => {
            p + "" != feed.userid + "" && rtcmc.replaceTrack(feed.stream, p);
          }), rtcmc.DetectRTC.browser.name;
        })), checkNumberOfParticipants();
      } else
        logger.log("RTCMC - On rtcmOnStream - Incoming stream is not from host! Dont show!");
    else
      logger.log("RTCMC - On rtcmOnStream - Not enough data!");
  }
  function rtcmOnStreamEnded(feed) {
    if (logger.log("RTCMC - On rtcmOnStreamEnded: ", feed), !rtcmc)
      return;
    const feedObject = getFeedObject(feed);
    if (feedObject.user && feedObject.user.uuid) {
      if (!rtcmc.peers[feedObject.userId])
        return logger.log("RTCMC - On rtcmOnStream - participant already gone!"), eventCallback("participantLeft", feedObject), void checkNumberOfParticipants();
      eventCallback("streamRemoved", feedObject), checkNumberOfParticipants();
    } else
      logger.log("RTCMC - On rtcmOnStreamEnded - Not enough data!");
  }
  function rtcmOnMediaError(error2) {
    logger.log("RTCMC - On rtcmOnMediaError: ", error2);
  }
  function rtcmOnError(event) {
    if (logger.log("RTCMC - On rtcmOnError: ", event), !rtcmc)
      return;
    const feedObject = getFeedObject(event);
    (feedObject.userId || feedObject.userUuid) && (eventCallback("participantLeft", feedObject), window.setTimeout(checkNumberOfParticipants, 1e3));
  }
  function rtcmOnUserIdAlreadyTaken(useridAlreadyTaken, yourNewUserId) {
    logger.log("RTCMC - On rtcmOnUserIdAlreadyTaken: ", error), rtcmc.userid = yourNewUserId;
  }
  function rtcmOnExtraDataUpdated(event) {
    if (logger.log("RTCMC - On rtcmOnExtraDataUpdated: ", event), !rtcmc)
      return;
    const feedObject = getFeedObject(event);
    if (!feedObject.userId && !feedObject.userUuid)
      return;
    if (!rtcmc.peers[feedObject.userId])
      return logger.log("RTCMC - On rtcmOnExtraDataUpdated - participant already gone!"), eventCallback("participantLeft", feedObject), void checkNumberOfParticipants();
    const newParticipantIndex = newParticipantsList.findIndex((p) => p.userid === feedObject.userId);
    -1 !== newParticipantIndex ? (newParticipantsList.splice(newParticipantIndex, 1), eventCallback("participantJoined", feedObject)) : eventCallback("userInfoUpdated", feedObject), checkNumberOfParticipants();
  }
  function rtcmOnUserStatusChanged(event) {
    if (logger.log("RTCMC - On rtcmOnUserStatusChanged - event : ", event), !rtcmc)
      return;
    if (!event.userid || !event.status)
      return;
    if (!event.extra || !event.extra.user)
      return void newParticipantsList.push(event);
    const feedObject = getFeedObject(event);
    (feedObject.userId || feedObject.userUuid) && ("online" === event.status ? eventCallback("participantJoined", feedObject) : eventCallback("participantLeft", feedObject), window.setTimeout(checkNumberOfParticipants, 1e3));
  }
  function rtcmOnSocketDisconnect(event) {
    logger.log("RTCMC - On rtcmOnSocketDisconnect: ", event), getSocket().then((socket) => {
      logger.log("RTCMC - On rtcmOnSocketReconnect");
    }).catch((error2) => {
      logger.error(error2);
    });
  }
  function rtcmOnFileStart(file) {
    eventCallback("fileReceivingStart", { file });
  }
  function rtcmOnFileProgress(chunk) {
    eventCallback("fileReceivingProgress", { chunk });
  }
  function rtcmOnFileEnd(file) {
    eventCallback("fileReceivingEnd", { file });
  }
  return logger.log("RTC Library RTCMC Loaded!"), { init: async function(opts = {}) {
    if (!opts.config)
      throw "RTC Library config not defined!";
    if (config = Object.assign(config, opts.config), opts.callbacks && (callbacks = Object.assign(callbacks, opts.callbacks)), logger.setDebug(config.debug), logger.log("RTCMC - init called", opts), !rtcmc && opts.options) {
      initSession({ ...opts.options });
    }
    return { getInstance, getUserInfo, getInstanceUserId, initSession, setupFileSharing, startMeeting, joinMeeting, leaveMeeting, publishFeed, updatePublishedFeed, sendMessage, acceptJoiningRequest, roomExists, close, shareFile, getAllStreams, updateSessionOptions };
  } };
}
export {
  rtcRtcmc_min as default
};
//# sourceMappingURL=rtc-rtcmc.min.e882aa33.js.map
