import { l as lookup } from "../../index.b6800d1c.js";
import { R as RTCMultiConnection } from "../../RTCMultiConnection.min.959809bc.js";
import "../../vendor/vendor-webrtc-adapter.edd1a585.js";
import { h as hark } from "../../vendor/vendor-hark.d59dd231.js";
import "../../vendor/vendor-others.d4f8aae2.js";
import { L as Logger } from "../../live-poll.3e39080e.js";
import "../../vendor/vendor-essential.31dae676.js";
import "../../vendor/vendor-core.2a9962eb.js";
import "../../app.9a8150b2.js";
import "../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../vendor/vendor-laravel-echo.c401b1a2.js";
import "../../vendor/vendor-pusher-js.2a02459b.js";
import "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../form.ff4ac955.js";
import "../../header.a91390e7.js";
import "../../FileUploader.a3ada0d1.js";
import "../../uploader.39656730.js";
import "../../event-bus.0afcd682.js";
import "../../momentz.3304bf92.js";
import "../../vendor/vendor-vue-chartjs.7edfae0a.js";
let ebml = document.createElement("script");
ebml.setAttribute("src", "/js/EBML.js");
document.head.appendChild(ebml);
window.io = lookup;
window.hark = hark;
function rtcRtcmc_prod() {
  const SIGNAL_URL = window.atob("aHR0cHM6Ly9zaWduYWx2Mi5rb2RlbWludC5pbjo5MDAyLw==");
  let rtcmc = null, roomJoined = false, localStreamMidMap = {};
  let config = {
    debug: false,
    iceServers: [],
    mediaServers: [],
    signalServer: SIGNAL_URL,
    opaqueId: "KMConnect",
    maxParticipants: 1e3
  };
  let callbacks = {};
  let meeting = {};
  let meetingConfigs = {};
  let meetingRules = {};
  let alreadyAcceptedParticipants = {};
  let connectedWith = {};
  let newParticipantsList = [];
  const logger = new Logger();
  let speechEvents = null;
  logger.log("RTC Library RTCMC Loaded!");
  async function init(opts = {}) {
    if (!opts.config) {
      throw "RTC Library config not defined!";
    }
    config = Object.assign(config, opts.config);
    if (opts.callbacks) {
      callbacks = Object.assign(callbacks, opts.callbacks);
    }
    logger.setDebug(config.debug);
    logger.log("RTCMC - init called", opts);
    if (!rtcmc && opts.options) {
      const options = { ...opts.options };
      initSession(options);
    }
    return {
      getInstance,
      getUserInfo,
      getInstanceUserId,
      initSession,
      setupFileSharing,
      startMeeting,
      joinMeeting,
      leaveMeeting,
      publishFeed,
      updatePublishedFeed,
      sendMessage,
      acceptJoiningRequest,
      roomExists,
      close,
      shareFile,
      getAllStreams,
      updateSessionOptions
    };
  }
  function getInstance() {
    return rtcmc;
  }
  function getUserInfo() {
    var _a;
    return (_a = rtcmc.extra) == null ? void 0 : _a.user;
  }
  function getInstanceUserId() {
    return rtcmc.userid;
  }
  function initSession(opts = {}) {
    const options = processOptions(opts);
    logger.log("RTCMC - initSession called", options);
    createSession(options);
  }
  function setupFileSharing(opts = {}) {
    if (opts.callbacks) {
      callbacks = Object.assign(callbacks, opts.callbacks);
    }
    rtcmc.enableFileSharing = true;
    rtcmc.chunkSize = 15 * 1e3;
    rtcmc.onFileStart = rtcmOnFileStart;
    rtcmc.onFileProgress = rtcmOnFileProgress;
    rtcmc.onFileEnd = rtcmOnFileEnd;
  }
  function startMeeting(opts = {}) {
    const options = processOptions(opts);
    logger.log("RTCMC - startMeeting called", options);
    const startMeetingProcess = () => {
      if (rtcmc.enableScalableBroadcast) {
        rtcmc.userid = options.room;
        rtcmc.connectSocket((socket) => {
          logger.log("RTCMC - startMeeting socket join-broadcast");
          socket.emit("join-broadcast", {
            broadcastId: options.room,
            userid: rtcmc.userid,
            typeOfStreams: rtcmc.session
          });
        });
      } else {
        logger.log("RTCMC - startMeeting createRoom");
        createRoom(options);
      }
    };
    if (!rtcmc) {
      options.success = () => {
        startMeetingProcess();
      };
      createSession(options);
    } else {
      startMeetingProcess();
    }
  }
  function joinMeeting(opts = {}) {
    const options = processOptions(opts);
    logger.log("RTCMC - joinMeeting called", options);
    const joinMeetingProcess = () => {
      if (rtcmc.enableScalableBroadcast) {
        rtcmc.connectSocket((socket) => {
          socket.emit("join-broadcast", {
            broadcastId: options.room,
            userid: rtcmc.userid,
            typeOfStreams: rtcmc.session
          });
        });
      } else {
        joinRoom(options);
      }
    };
    if (!rtcmc) {
      options.success = () => {
        joinMeetingProcess();
      };
      createSession(options);
    } else {
      joinMeetingProcess();
    }
  }
  function leaveMeeting(opts = {}) {
    logger.log("RTCMC - leaveMeeting called", opts);
    rtcmc.userid;
    close({
      ...opts,
      callback: () => {
        eventCallback("leftMeeting");
      }
    });
  }
  function sendMessage({ event, type, data = {}, timeout = 0, callback }) {
    if (!rtcmc) {
      return;
    }
    if (event && rtcmc.socket) {
      try {
        window.setTimeout(() => {
          rtcmc.socket.emit("Connect-Whisper-" + meeting.uuid, {
            event,
            data: {
              userId: rtcmc.userid,
              extra: rtcmc.extra,
              ...data
            }
          });
          if (callback && _.isFunction(callback)) {
            callback();
          }
        }, timeout);
      } catch (e) {
      }
      return;
    }
    try {
      window.setTimeout(() => {
        rtcmc.send({
          type,
          data
        });
        if (callback && _.isFunction(callback)) {
          callback();
        }
      }, timeout);
    } catch (e) {
    }
  }
  function acceptJoiningRequest({ participantId, userId, userPreferences }) {
    rtcmc.acceptParticipationRequest(participantId, userPreferences);
    alreadyAcceptedParticipants[userId] = true;
    checkNumberOfParticipants();
    logger.log("RTCMC - On rtcmOnNewParticipant - manually accepted!");
    eventCallback("participantJoined", {
      participantId,
      userId,
      userPreferences
    });
  }
  function updateSessionOptions(opts = {}) {
    var _a, _b;
    logger.log("RTCMC - updateSessionOptions called", opts);
    const options = processOptions(opts);
    Object.assign(rtcmc.extra, {
      user: {
        username: options.userObject.username,
        uuid: options.userObject.uuid,
        name: options.userObject.name,
        avatar: (_a = options.userObject.profile) == null ? void 0 : _a.avatar,
        cover: (_b = options.userObject.profile) == null ? void 0 : _b.cover
      },
      isHost: options.meeting.isHost,
      canModerate: options.meeting.canModerate,
      canToggleAudio: options.meetingConfigs.canToggleAudio,
      canToggleVideo: options.meetingConfigs.canToggleVideo,
      canHaveStream: options.meetingRules.sendAudio || options.meetingRules.sendVideo
    });
    updateExtraData();
  }
  function eventCallback(functionName, data) {
    logger.debug("Got a eventCallback", functionName);
    logger.debug("Got a eventCallback - data", data);
    if (functionName && callbacks.hasOwnProperty(functionName) && _.isFunction(callbacks[functionName])) {
      callbacks[functionName](data);
    }
  }
  function processOptions(opts = {}) {
    const options = { ...opts };
    if (_.isObject(options.user)) {
      options.userObject = { ...options.user };
      options.user = JSON.stringify(options.user);
    }
    options.user;
    options.config = Object.assign({}, config, options.config);
    meeting = options.meeting ? options.meeting : meeting;
    meetingConfigs = options.meetingConfigs ? options.meetingConfigs : meetingConfigs;
    meetingRules = options.meetingRules ? options.meetingRules : meetingRules;
    return options;
  }
  async function getSocket(callback) {
    return await rtcmc.getSocket((socket) => {
      if (socket) {
        return socket;
      } else {
        throw "RTCMC - Socket not found!";
      }
    });
  }
  function createSession(opts = {}) {
    var _a, _b;
    logger.log("RTCMC - createSession called", opts);
    if (rtcmc) {
      return;
    }
    rtcmc = new RTCMultiConnection();
    window.rtcmc = rtcmc;
    rtcmc.socketURL = opts.config.signalServer || SIGNAL_URL;
    logger.log("RTCMC - socketURL", rtcmc.socketURL);
    rtcmc.iceServers = opts.config.iceServers;
    rtcmc.autoCreateMediaElement = false;
    rtcmc.enableLogs = opts.config.debug;
    if (opts.config.forceTurn) {
      rtcmc.candidates = {
        turn: true,
        stun: false,
        host: false
      };
    }
    rtcmc.onopen = rtcmOnOpen;
    rtcmc.onmessage = rtcmOnMessage;
    rtcmc.onNewParticipant = rtcmOnNewParticipant;
    rtcmc.onNumberOfBroadcastViewersUpdated = onNumberOfBroadcastViewersUpdated;
    rtcmc.onstream = rtcmOnStream;
    rtcmc.onstreamended = rtcmOnStreamEnded;
    rtcmc.onMediaError = rtcmOnMediaError;
    rtcmc.onerror = rtcmOnError;
    rtcmc.onUserIdAlreadyTaken = rtcmOnUserIdAlreadyTaken;
    rtcmc.onExtraDataUpdated = rtcmOnExtraDataUpdated;
    rtcmc.onUserStatusChanged = rtcmOnUserStatusChanged;
    rtcmc.onSocketDisconnect = rtcmOnSocketDisconnect;
    rtcmc.socketMessageEvent = "Connect-Message-" + meeting.uuid;
    rtcmc.setCustomSocketEvent("Connect-Whisper-" + meeting.uuid);
    alreadyAcceptedParticipants = {};
    connectedWith = {};
    rtcmc.maxParticipantsAllowed = opts.config.maxParticipants;
    rtcmc.mediaConstraints = {
      video: false,
      audio: false,
      screen: false
    };
    rtcmc.dontCaptureUserMedia = true;
    if (opts.meetingRules) {
      rtcmc.session = opts.meetingRules.session;
      rtcmc.sdpConstraints.mandatory = {
        OfferToReceiveAudio: opts.meetingRules.receiveAudio,
        OfferToReceiveVideo: opts.meetingRules.receiveVideo
      };
      if (opts.meetingRules.session.oneway) {
        rtcmc.enableScalableBroadcast = true;
        rtcmc.autoCloseEntireSession = true;
        rtcmc.maxRelayLimitPerUser = 1;
        rtcmc.socketMessageEvent = "scalable-media-broadcast-demo";
        rtcmc.connectSocket((socket) => {
          socket.on("join-broadcaster", (hintsToJoinBroadcast) => {
            logger.log("RTCMC - socket join-broadcaster", hintsToJoinBroadcast);
            rtcmc.session = hintsToJoinBroadcast.typeOfStreams;
            rtcmc.sdpConstraints.mandatory = {
              OfferToReceiveVideo: !!rtcmc.session.video,
              OfferToReceiveAudio: !!rtcmc.session.audio
            };
            rtcmc.broadcastId = hintsToJoinBroadcast.broadcastId;
            joinRoom({
              room: hintsToJoinBroadcast.userid,
              force: true
            });
          });
          socket.on("rejoin-broadcast", (broadcastId) => {
            logger.log("RTCMC - socket rejoin-broadcast", broadcastId);
            rtcmc.attachStreams = [];
            socket.emit("check-broadcast-presence", broadcastId, (isBroadcastExists) => {
              logger.log("RTCMC - socket check-broadcast-presence", broadcastId, isBroadcastExists);
              if (isBroadcastExists) {
                logger.log("RTCMC - socket rejoin-broadcast - emitting join-broadcast to join broadcasting");
                socket.emit("join-broadcast", {
                  broadcastId,
                  userid: rtcmc.userid,
                  typeOfStreams: rtcmc.session
                });
              } else {
                if (opts.meeting.canModerate) {
                  rtcmc.userid = broadcastId;
                  logger.log("RTCMC - socket rejoin-broadcast - emitting join-broadcast to start broadcasting");
                  socket.emit("join-broadcast", {
                    broadcastId,
                    userid: rtcmc.userid,
                    typeOfStreams: rtcmc.session
                  });
                } else {
                  eventCallback("roomNotFound");
                }
              }
            });
          });
          socket.on("broadcast-stopped", (broadcastId) => {
            logger.log("RTCMC - socket broadcast-stopped", broadcastId);
            eventCallback("broadcastStopped", broadcastId);
          });
          socket.on("start-broadcasting", (typeOfStreams) => {
            logger.log("RTCMC - socket start-broadcasting", typeOfStreams);
            if (meeting.canModerate) {
              rtcmc.sdpConstraints.mandatory = {
                OfferToReceiveVideo: false,
                OfferToReceiveAudio: false
              };
              rtcmc.session = typeOfStreams;
              logger.log("RTCMC - socket start-broadcasting room", rtcmc.userid);
              createRoom({
                room: rtcmc.userid,
                force: true
              });
            } else {
              eventCallback("roomNotFound");
            }
          });
        });
      }
    } else {
      opts.meetingRules = {};
    }
    if (!opts.userObject) {
      opts.userObject = { ...opts.user };
      opts.user = JSON.stringify(opts.user);
    }
    rtcmc.extra = {
      user: {
        username: opts.userObject.username,
        uuid: opts.userObject.uuid,
        name: opts.userObject.name,
        avatar: (_a = opts.userObject.profile) == null ? void 0 : _a.avatar,
        cover: (_b = opts.userObject.profile) == null ? void 0 : _b.cover
      },
      isInitiator: false,
      isHost: opts.meeting.isHost,
      canModerate: opts.meeting.canModerate,
      canToggleAudio: opts.meetingConfigs.canToggleAudio,
      canToggleVideo: opts.meetingConfigs.canToggleVideo,
      canHaveStream: opts.meetingRules.sendAudio || opts.meetingRules.sendVideo,
      broadcastId: opts.room,
      streamsInfo: {}
    };
    eventCallback("sessionCreated");
    checkNumberOfParticipants();
    if (_.isFunction(opts.success)) {
      logger.log("RTCMC - Success callback after creating session");
      opts.success();
    }
  }
  function roomExists(opts = {}) {
    if (!rtcmc) {
      if (_.isFunction(opts.no)) {
        opts.no();
      }
      return;
    }
    logger.log("RTCMC - roomExists called", opts);
    if (rtcmc.enableScalableBroadcast) {
      getSocket().then((socket) => {
        socket.emit("check-broadcast-presence", opts.room, (isBroadcastExists) => {
          if (isBroadcastExists === true) {
            logger.log("RTCMC - broadcast room Exists yes");
            if (_.isFunction(opts.yes)) {
              opts.yes(socket);
            }
          } else {
            logger.log("RTCMC - broadcast room Exists no");
            if (_.isFunction(opts.no)) {
              opts.no(socket);
            }
          }
        });
      }).catch((error2) => {
        logger.error(error2);
        if (_.isFunction(opts.no)) {
          opts.no(error2);
        }
      });
    } else {
      rtcmc.checkPresence(opts.room, (isRoomExist, roomid) => {
        if (isRoomExist === true) {
          logger.log("RTCMC - room Exists yes");
          if (_.isFunction(opts.yes)) {
            opts.yes();
          }
        } else {
          logger.log("RTCMC - room Exists no");
          if (_.isFunction(opts.no)) {
            opts.no();
          }
        }
      });
    }
  }
  function createRoom(opts = {}) {
    logger.log("RTCMC - createRoom called", opts);
    const rtcmcOpenRoom = () => {
      if (roomJoined) {
        return;
      }
      rtcmc.extra.isInitiator = true;
      rtcmc.open(opts.room, (isRoomOpened, roomid, error2) => {
        roomJoined = false;
        if (error2) {
          eventCallback("createRoomError", error2);
        } else if (isRoomOpened === true) {
          roomJoined = true;
          eventCallback("roomCreated", roomid);
          initSocketListener();
        }
      });
    };
    if (opts.force) {
      rtcmcOpenRoom();
      return;
    }
    roomExists({
      room: opts.room,
      no(socket) {
        rtcmcOpenRoom();
      },
      yes() {
        joinRoom({ ...opts, force: true });
      }
    });
  }
  function joinRoom(opts = {}) {
    logger.log("RTCMC - joinRoom called", opts);
    const rtcmcJoinRoom = () => {
      if (roomJoined) {
        return;
      }
      rtcmc.join(opts.room, (isJoined, roomid, error2) => {
        roomJoined = false;
        if (isJoined === false || error2) {
          if (error2 === "Room full") {
            eventCallback("roomFullError", error2);
          } else {
            eventCallback("joinRoomError", error2);
          }
        } else {
          roomJoined = true;
          checkNumberOfParticipants();
          initSocketListener();
          eventCallback("roomJoined", roomid);
        }
      });
    };
    if (opts.force) {
      rtcmcJoinRoom();
      return;
    }
    roomExists({
      room: opts.room,
      no() {
        eventCallback("roomNotFound");
      },
      yes(socket) {
        rtcmcJoinRoom();
      }
    });
  }
  function updateExtraData() {
    logger.log("RTCMC - updateExtraData called", rtcmc.extra);
    rtcmc.updateExtraData();
  }
  function publishFeed(opts = {}) {
    logger.log("RTCMC - publishFeed called", opts);
    if (!opts.stream) {
      return;
    }
    const options = { ...opts };
    if (options.info) {
      rtcmc.extra.streamsInfo[options.stream.id] = options.info;
      updateExtraData();
      let streamFrom = options.info.from;
      localStreamMidMap[streamFrom] = {
        info: options.info,
        streamId: options.stream.id,
        stream: options.stream
      };
      window.setTimeout(() => {
        rtcmc.addStream(options.stream);
      }, 2e3);
      if (streamFrom === "cam") {
        const audioTracks = options.stream.getAudioTracks();
        if (audioTracks.length)
          ;
      }
    } else {
      rtcmc.addStream(options.stream);
    }
  }
  function updatePublishedFeed(opts = {}) {
    logger.log("RTCMC - updatePublishedFeed called", opts);
    const options = { ...opts };
    let streamMidObj = null;
    let streamFrom = null;
    if (options.info) {
      streamFrom = options.info.from;
      streamMidObj = localStreamMidMap[streamFrom];
      if (streamMidObj) {
        const streamId = streamMidObj.streamId;
        if (streamMidObj.stream) {
          options.existingStream = rtcmc.attachStreams.find((s) => s && s.id === streamId);
        }
        rtcmc.extra.streamsInfo[streamId].mirroredVideo = options.info.mirroredVideo;
        updateExtraData();
        localStreamMidMap[streamFrom].info.mirroredVideo = options.info.mirroredVideo;
      }
    }
    const existingStream = options.existingStream;
    if (options.stream) {
      logger.log("RTCMC - updatePublishedFeed - has new stream");
      if (existingStream) {
        logger.log("RTCMC - updatePublishedFeed - has existing stream");
        if (streamFrom === "cam" && speechEvents) {
          speechEvents.stop();
        }
        const audioTracks = options.stream.getAudioTracks();
        const videoTracks = options.stream.getVideoTracks();
        const existingStreamTracks = existingStream.getTracks();
        if (audioTracks.length || videoTracks.length) {
          if (options.action !== "blur" && options.action !== "unblur") {
            existingStreamTracks.forEach((track) => {
              track.enabled = false;
              track.stop();
            });
          }
          sendMessage({
            event: "streamPaused",
            data: {
              id: existingStream.id
            }
          });
          if (options.action !== "blur" && options.action !== "unblur") {
            existingStream.paused = true;
          }
          publishFeed(options);
          if (audioTracks.length && options.info && options.info.from === "cam")
            ;
          return;
        } else if (existingStreamTracks.length) {
          existingStreamTracks.forEach((track) => {
            track.enabled = false;
            track.stop();
          });
          sendMessage({
            event: "streamTrackRemoved",
            data: {
              id: existingStream.id
            },
            timeout: existingStream.paused ? 2e3 : 0
          });
          existingStream.paused = false;
          return;
        }
      } else {
        logger.log("RTCMC - updatePublishedFeed - no existing stream");
        publishFeed(options);
      }
    } else {
      logger.log("RTCMC - updatePublishedFeed - no new stream");
      if (streamFrom === "cam" && speechEvents) {
        speechEvents.stop();
      }
      if (existingStream) {
        logger.log("RTCMC - updatePublishedFeed - has existing stream");
        rtcmc.removeStream(existingStream.id);
        existingStream.getTracks().forEach((track) => {
          track.enabled = false;
        });
        existingStream.paused = true;
        if (options.action === "remove") {
          sendMessage({
            event: "streamTrackRemoved",
            data: {
              id: existingStream.id
            }
          });
        } else {
          sendMessage({
            event: "streamPaused",
            data: {
              id: existingStream.id
            }
          });
        }
      }
    }
  }
  function close(opts = {}) {
    logger.log("RTCMC - close called", opts);
    if (rtcmc) {
      if (opts.feeds && opts.feeds.length) {
        opts.feeds.forEach((feed) => {
          rtcmc.removeStream(feed.stream.id);
          if (typeof feed.stopFn === "function") {
            feed.stopFn(feed.stream);
          } else if (typeof feed.stream.getTracks === "function") {
            feed.stream.getTracks().forEach((track) => track.stop());
          } else if (typeof feed.stream.stop === "function") {
            feed.stream.stop();
          }
        });
      }
      rtcmc.removeStream({
        video: true,
        audio: true
      });
      rtcmc.attachStreams.forEach((localStream) => {
        rtcmc.removeStream(localStream.id);
        localStream.getTracks().forEach((track) => track.stop());
      });
      rtcmc.attachStreams = [];
    }
    window.setTimeout(() => {
      rtcmc.getAllParticipants().forEach((participant) => {
        rtcmc.disconnectWith(participant);
      });
      if (rtcmc) {
        rtcmc.leave();
        rtcmc.closeSocket();
      }
      rtcmc = null;
      roomJoined = false;
      localStreamMidMap = {};
      alreadyAcceptedParticipants = {};
      connectedWith = {};
      newParticipantsList = [];
      if (typeof opts.callback === "function") {
        opts.callback();
      }
    }, 500);
  }
  function shareFile(opts = {}) {
    if (!opts.file || !opts.sendTo) {
      return;
    }
    rtcmc.shareFile(opts.file, opts.sendTo);
  }
  function getAllStreams(opts = {}) {
    return rtcmc.streamEvents.selectAll();
  }
  function initSocketListener() {
    if (!rtcmc) {
      return;
    }
    const callbackList = {
      "streamTrackRemoved": onStreamTrackRemoved,
      "streamTrackUpdated": onStreamTrackUpdated,
      "streamPaused": onStreamPaused,
      "remoteHandToggled": onRemoteHandToggled,
      "speaking": onSpeaking,
      "stoppedSpeaking": onStoppedSpeaking,
      "snapshotTaken": onSnapshotTaken,
      "meetingUpdated": onMeetingUpdated,
      "meetingEnded": onMeetingEnded,
      "userBanned": onUserBanned,
      "participantLeft": onParticipantLeft,
      "toggleRemoteAV": onToggleRemoteAV,
      "pollPublished": onPollPublished,
      "pollResultPublished": onPollResultPublished
    };
    getSocket().then((socket) => {
      socket.on("Connect-Whisper-" + meeting.uuid, (e) => {
        logger.log("RTCMC - Got Socket Whisper!", e);
        if (!rtcmc) {
          return;
        }
        if (e && callbackList.hasOwnProperty(e.event)) {
          logger.log("RTCMC - Got Socket Whisper Event: ", e.event, e.data);
          callbackList[e.event](e.data);
        }
      });
    }).catch((error2) => {
      logger.error(error2);
    });
  }
  function checkNumberOfParticipants() {
    if (!rtcmc) {
      return;
    }
    const participants = rtcmc.getAllParticipants();
    const participantsList = [];
    participants.forEach((participantId, index) => {
      const participant = rtcmc.peers[participantId];
      if (participant) {
        participantsList.push({
          userId: participant.userid,
          ...participant.extra
        });
      }
    });
    logger.log("RTCMC - checkNumberOfParticipants - participants", participantsList);
    eventCallback("participantsCountChecked", participantsList);
    return participants.length;
  }
  function getFeedObject(feed = {}) {
    if (!feed) {
      return;
    }
    const feedExtraData = feed.extra ? feed.extra : {};
    const feedId = feed.id || feed.streamid;
    const userId = feed.userid || feed.userId;
    const userUuid = feedExtraData.user ? feedExtraData.user.uuid : null;
    const streamInfo = feedId && feedExtraData.streamsInfo ? feedExtraData.streamsInfo[feedId] : {};
    const feedObject = {
      userId,
      userUuid,
      ...feedExtraData
    };
    if (feedId) {
      feedObject.id = feedId;
      feedObject.key = userUuid;
      feedObject.isScreen = false;
      feedObject.isWhiteboard = false;
      feedObject.isTalking = false;
    }
    if (streamInfo) {
      feedObject.mirroredVideo = streamInfo.mirroredVideo || false;
      feedObject.info = streamInfo;
      if (streamInfo.from) {
        if (streamInfo.from === "screen" || streamInfo.from === "whiteboard") {
          feedObject.key = feedObject.key + "-" + streamInfo.from;
        }
        feedObject.from = streamInfo.from;
        feedObject.isScreen = streamInfo.from === "screen";
        feedObject.isWhiteboard = streamInfo.from === "whiteboard";
        feedObject.isTalking = streamInfo.from === "cam" && streamInfo.talking;
      }
    }
    if (feed.stream) {
      feedObject.stream = feed.stream;
    }
    return feedObject;
  }
  function onStreamTrackRemoved(feed) {
    logger.log("RTCMC - On onStreamTrackRemoved: ", feed);
    const feedObject = getFeedObject(feed);
    eventCallback("streamRemoved", {
      ...feedObject,
      kind: feed.kind,
      info: feed.info
    });
  }
  function onStreamTrackUpdated(feed) {
    logger.log("RTCMC - On onStreamTrackUpdated: ", feed);
    const feedObject = getFeedObject(feed);
    eventCallback("streamUpdated", {
      ...feedObject,
      kind: feed.kind,
      info: feed.info
    });
  }
  function onStreamPaused(feed) {
    logger.log("RTCMC - On onStreamPaused: ", feed);
    const feedObject = getFeedObject(feed);
    eventCallback("streamUpdated", {
      ...feedObject,
      kind: feed.kind,
      type: "paused",
      info: feed.info
    });
  }
  function onRemoteHandToggled(feed) {
    logger.log("RTCMC - On onRemoteHandToggled: ", feed);
    const feedObject = getFeedObject(feed);
    eventCallback("remoteHandToggled", {
      ...feedObject,
      isHandUp: feed.isHandUp
    });
  }
  function onSpeaking(feed) {
    const feedObject = getFeedObject(feed);
    eventCallback("streamUpdated", {
      ...feedObject,
      from: feed.from,
      type: "meta-updated",
      data: {
        key: "isTalking",
        value: true
      }
    });
  }
  function onStoppedSpeaking(feed) {
    const feedObject = getFeedObject(feed);
    eventCallback("streamUpdated", {
      ...feedObject,
      from: feed.from,
      type: "meta-updated",
      data: {
        key: "isTalking",
        value: false
      }
    });
  }
  function onSnapshotTaken(info) {
    logger.log("RTCMC - On onSnapshotTaken: ", info);
    eventCallback("snapshotTaken", info);
  }
  function onMeetingUpdated(meeting2) {
    logger.log("RTCMC - On onMeetingUpdated: ", meeting2);
    eventCallback("meetingUpdated", meeting2);
  }
  function onMeetingEnded(e) {
    logger.log("RTCMC - On onMeetingEnded: ", e);
    eventCallback("meetingEnded", e);
  }
  function onUserBanned(feed) {
    logger.log("RTCMC - On onUserBanned: ", feed);
    checkNumberOfParticipants();
    eventCallback("userBanned", feed);
  }
  function onParticipantLeft(feed) {
    logger.log("RTCMC - onParticipantLeft: ", feed);
    if (!rtcmc) {
      return;
    }
    const feedObject = getFeedObject(feed);
    if (!(feedObject.userId || feedObject.userUuid)) {
      return;
    }
    eventCallback("participantLeft", feedObject);
    window.setTimeout(checkNumberOfParticipants, 1e3);
  }
  function onToggleRemoteAV(data) {
    logger.log("RTCMC - On onToggleRemoteAV: ", data);
    if (!(!data.userId || data.userId !== rtcmc.userid)) {
      return;
    }
    eventCallback("toggleRemoteAV", data);
  }
  function onPollPublished(data) {
    logger.log("RTCMC - On onPollPublished: ", data);
    eventCallback("pollPublished", data);
  }
  function onPollResultPublished(data) {
    logger.log("RTCMC - On onPollResultPublished: ", data);
    eventCallback("pollResultPublished", data);
  }
  function rtcmOnOpen(e) {
    logger.log("RTCMC - On rtcmOnOpen: ", e);
    if (connectedWith[e.userid]) {
      return;
    }
    connectedWith[e.userid] = true;
    checkNumberOfParticipants();
    eventCallback("dataChannelOpened", e);
  }
  function rtcmOnMessage({ data, extra, userid }) {
    logger.log("RTCMC - On rtcmOnMessage: ", data, extra, userid);
    if (!data) {
      return;
    }
    if (data.type === "whiteboard") {
      eventCallback("whiteboardMessageReceived", {
        userId: userid,
        user: extra == null ? void 0 : extra.user,
        data: data.data
      });
      return;
    } else if (data.type === "file-sharing") {
      eventCallback("fileSharingMessageReceived", {
        userId: userid,
        user: extra == null ? void 0 : extra.user,
        data: data.data
      });
      return;
    }
    eventCallback("messageReceived", {
      userId: userid,
      user: extra == null ? void 0 : extra.user,
      data: data.data
    });
  }
  function rtcmOnNewParticipant(participantId, userPreferences) {
    logger.log("RTCMC - On rtcmOnNewParticipant - participantId, userPreferences: ", participantId, userPreferences);
    if (!rtcmc) {
      return;
    }
    if (checkNumberOfParticipants() >= rtcmc.maxParticipantsAllowed) {
      return;
    }
    const userId = userPreferences.connectionDescription.remoteUserId;
    rtcmc.acceptParticipationRequest(participantId, userPreferences);
    alreadyAcceptedParticipants[userId] = true;
    checkNumberOfParticipants();
    logger.log("RTCMC - On rtcmOnNewParticipant - auto accepted!");
    return;
  }
  function onNumberOfBroadcastViewersUpdated(e) {
    logger.log("RTCMC - On onNumberOfBroadcastViewersUpdated: ", e);
    if (!rtcmc.isInitiator && rtcmc.extra.isHost) {
      return;
    }
    eventCallback("numberOfBroadcastViewersUpdated", e.numberOfBroadcastViewers);
  }
  function rtcmOnStream(feed) {
    logger.log("RTCMC - On rtcmOnStream: ", feed);
    if (!rtcmc) {
      return;
    }
    const feedObject = getFeedObject(feed);
    if (!rtcmc.peers[feedObject.userId]) {
      logger.log("RTCMC - On rtcmOnStream - participant already gone!");
      eventCallback("participantLeft", feedObject);
      checkNumberOfParticipants();
      return;
    }
    let feedExtraData = { ...feed.extra };
    if (!(feedExtraData.user && feedExtraData.user.uuid)) {
      logger.log("RTCMC - On rtcmOnStream - Not enough data!");
      return;
    }
    if (meeting.type.uuid === "live_class" && !(rtcmc.isInitiator || rtcmc.extra.isHost) && !(feedExtraData.isInitiator || feedExtraData.isHost) && feed.type === "remote") {
      logger.log("RTCMC - On rtcmOnStream - Incoming stream is not from host! Dont show!");
      return;
    }
    if ((meeting.type.uuid === "webinar" || meeting.type.uuid === "podcast") && !(rtcmc.isInitiator || rtcmc.extra.isHost) && !(feedExtraData.isInitiator || feedExtraData.isHost) && feed.type === "remote") {
      if (rtcmc.enableScalableBroadcast) {
        if (feedExtraData.broadcasterExtra) {
          let broadcasterExtra = { ...feedExtraData.broadcasterExtra };
          delete feedExtraData.broadcasterExtra;
          feedExtraData = {
            ...feedExtraData,
            ...broadcasterExtra
          };
        }
      } else {
        if (!feed.extra.isInitiator && !feed.extra.isHost) {
          logger.log("RTCMC - On rtcmOnStream - Incoming stream is not from host! Dont show!");
          return;
        }
      }
    }
    if (rtcmc.enableScalableBroadcast) {
      if ((rtcmc.isInitiator || rtcmc.extra.isHost) && feed.type === "remote") {
        return;
      }
      rtcmc.isUpperUserLeft = false;
      if (feed.extra.isInitiator || feed.extra.isHost) {
        rtcmc.extra.broadcasterExtra = {
          ...feedExtraData
        };
        updateExtraData();
      }
    }
    eventCallback("streamAdded", feedObject);
    if (rtcmc.enableScalableBroadcast && !rtcmc.isInitiator && !rtcmc.isHost && feed.type === "remote") {
      rtcmc.dontCaptureUserMedia = true;
      rtcmc.attachStreams = [feed.stream];
      rtcmc.sdpConstraints.mandatory = {
        OfferToReceiveAudio: false,
        OfferToReceiveVideo: false
      };
      rtcmc.getSocket((socket) => {
        if (rtcmc.DetectRTC.browser.name === "Chrome") {
          rtcmc.getAllParticipants().forEach((p) => {
            if (p + "" != feed.userid + "") {
              let peer = rtcmc.peers[p].peer;
              peer.getLocalStreams().forEach((localStream) => {
                peer.removeStream(localStream);
              });
              feed.stream.getTracks().forEach((track) => {
                peer.addTrack(track, feed.stream);
              });
              rtcmc.dontAttachStream = true;
              rtcmc.renegotiate(p);
              rtcmc.dontAttachStream = false;
            }
          });
        }
        if (rtcmc.DetectRTC.browser.name === "Firefox") {
          rtcmc.getAllParticipants().forEach((p) => {
            if (p + "" != feed.userid + "") {
              rtcmc.replaceTrack(feed.stream, p);
            }
          });
        }
        if (rtcmc.DetectRTC.browser.name === "Chrome")
          ;
      });
    }
    checkNumberOfParticipants();
  }
  function rtcmOnStreamEnded(feed) {
    logger.log("RTCMC - On rtcmOnStreamEnded: ", feed);
    if (!rtcmc) {
      return;
    }
    const feedObject = getFeedObject(feed);
    if (!(feedObject.user && feedObject.user.uuid)) {
      logger.log("RTCMC - On rtcmOnStreamEnded - Not enough data!");
      return;
    }
    if (!rtcmc.peers[feedObject.userId]) {
      logger.log("RTCMC - On rtcmOnStream - participant already gone!");
      eventCallback("participantLeft", feedObject);
      checkNumberOfParticipants();
      return;
    }
    eventCallback("streamRemoved", feedObject);
    checkNumberOfParticipants();
  }
  function rtcmOnMediaError(error2) {
    logger.log("RTCMC - On rtcmOnMediaError: ", error2);
  }
  function rtcmOnError(event) {
    logger.log("RTCMC - On rtcmOnError: ", event);
    if (!rtcmc) {
      return;
    }
    const feedObject = getFeedObject(event);
    if (!(feedObject.userId || feedObject.userUuid)) {
      return;
    }
    eventCallback("participantLeft", feedObject);
    window.setTimeout(checkNumberOfParticipants, 1e3);
  }
  function rtcmOnUserIdAlreadyTaken(useridAlreadyTaken, yourNewUserId) {
    logger.log("RTCMC - On rtcmOnUserIdAlreadyTaken: ", error);
    rtcmc.userid = yourNewUserId;
  }
  function rtcmOnExtraDataUpdated(event) {
    logger.log("RTCMC - On rtcmOnExtraDataUpdated: ", event);
    if (!rtcmc) {
      return;
    }
    const feedObject = getFeedObject(event);
    if (!(feedObject.userId || feedObject.userUuid)) {
      return;
    }
    if (!rtcmc.peers[feedObject.userId]) {
      logger.log("RTCMC - On rtcmOnExtraDataUpdated - participant already gone!");
      eventCallback("participantLeft", feedObject);
      checkNumberOfParticipants();
      return;
    }
    const newParticipantIndex = newParticipantsList.findIndex((p) => p.userid === feedObject.userId);
    if (newParticipantIndex !== -1) {
      newParticipantsList.splice(newParticipantIndex, 1);
      eventCallback("participantJoined", feedObject);
    } else {
      eventCallback("userInfoUpdated", feedObject);
    }
    checkNumberOfParticipants();
  }
  function rtcmOnUserStatusChanged(event) {
    logger.log("RTCMC - On rtcmOnUserStatusChanged - event : ", event);
    if (!rtcmc) {
      return;
    }
    if (!event.userid || !event.status) {
      return;
    }
    if (!(event.extra && event.extra.user)) {
      newParticipantsList.push(event);
      return;
    }
    const feedObject = getFeedObject(event);
    if (!(feedObject.userId || feedObject.userUuid)) {
      return;
    }
    if (event.status === "online") {
      eventCallback("participantJoined", feedObject);
    } else {
      eventCallback("participantLeft", feedObject);
    }
    window.setTimeout(checkNumberOfParticipants, 1e3);
  }
  function rtcmOnSocketDisconnect(event) {
    logger.log("RTCMC - On rtcmOnSocketDisconnect: ", event);
    getSocket().then((socket) => {
      logger.log("RTCMC - On rtcmOnSocketReconnect");
    }).catch((error2) => {
      logger.error(error2);
    });
  }
  function rtcmOnFileStart(file) {
    eventCallback("fileReceivingStart", {
      file
    });
  }
  function rtcmOnFileProgress(chunk) {
    eventCallback("fileReceivingProgress", {
      chunk
    });
  }
  function rtcmOnFileEnd(file) {
    eventCallback("fileReceivingEnd", {
      file
    });
  }
  return {
    init
  };
}
export {
  rtcRtcmc_prod as default
};
//# sourceMappingURL=rtc-rtcmc.prod.ac10d3ed.js.map
