import { m as mapGetters, i as mapActions } from "./vendor/vendor-core.2a9962eb.js";
import { A as Avatar } from "./vendor/vendor-vue-avatar.9d39aec0.js";
const user = {
  components: {
    Avatar
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "uiConfigs",
      "vars",
      "allowExtraInput",
      "sidebarEnabled"
    ]),
    ...mapGetters("user", {
      getUserDetails: "get",
      hasRole: "hasRole",
      hasPermission: "hasPermission",
      loggedInUser: "loggedInUser",
      userUuid: "uuid",
      profile: "profile",
      username: "username",
      locked: "locked"
    })
  },
  methods: {
    ...mapActions("user", [
      "Logout",
      "Lock"
    ]),
    lock() {
      this.$gaEvent("engagement", "lockScreen", "Navbar");
      this.Lock();
    },
    logout() {
      this.$gaEvent("engagement", "logout", "Navbar");
      this.Logout().then((response) => {
        this.$gaEvent("activity", "loggedout");
        this.$router.push({ name: "login", query: { logout: "true" } });
      });
    }
  }
};
export {
  user as u
};
//# sourceMappingURL=user-dropdown.094e4969.js.map
