import { I as ImageUploader } from "../../../../ImageUploader.fa5c4dda.js";
import { m as mapGetters, i as mapActions } from "../../../../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../event-bus.0afcd682.js";
import "../../../../uploader.39656730.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  components: {
    ImageUploader
  },
  data() {
    return {
      logo: "",
      logoLight: "",
      icon: "",
      iconMaskable: "",
      icon512: "",
      icon192: "",
      icon180: "",
      icon32: "",
      icon16: "",
      favicon: "",
      screenshotWeb1: "",
      screenshotWeb2: "",
      screenshotWeb3: "",
      screenshotMobile1: "",
      screenshotMobile2: "",
      screenshotMobile3: "",
      guestLayoutBg: "",
      isLoading: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "vars"
    ])
  },
  methods: {
    ...mapActions("config", [
      "GetConfig"
    ]),
    handleUploadError(errorMessage) {
      this.$toasted.error(errorMessage, this.$toastConfig.error);
    },
    getInitialData() {
      const imageObj = this.configs.assets;
      if (imageObj) {
        this.logo = imageObj.logo || "";
        this.logoLight = imageObj.logoLight || "";
        this.icon = imageObj.icon || "";
        this.iconMaskable = imageObj.iconMaskable || "";
        this.icon512 = imageObj.icon512 || "";
        this.icon192 = imageObj.icon192 || "";
        this.icon180 = imageObj.icon180 || "";
        this.icon32 = imageObj.icon32 || "";
        this.icon16 = imageObj.icon16 || "";
        this.favicon = imageObj.favicon || "";
        this.screenshotWeb1 = imageObj.screenshotWeb1 || "";
        this.screenshotWeb2 = imageObj.screenshotWeb2 || "";
        this.screenshotWeb3 = imageObj.screenshotWeb3 || "";
        this.screenshotMobile1 = imageObj.screenshotMobile1 || "";
        this.screenshotMobile2 = imageObj.screenshotMobile2 || "";
        this.screenshotMobile3 = imageObj.screenshotMobile3 || "";
        this.guestLayoutBg = imageObj.guestLayoutBg || "";
      }
    },
    refreshConfig() {
      this.isLoading = true;
      this.GetConfig().then((response) => {
        const imageObj = this.configs.assets;
        if (imageObj) {
          this.logo = imageObj.logo || "";
          this.logoLight = imageObj.logoLight || "";
          this.icon = imageObj.icon || "";
          this.iconMaskable = imageObj.iconMaskable || "";
          this.icon512 = imageObj.icon512 || "";
          this.icon192 = imageObj.icon192 || "";
          this.icon180 = imageObj.icon180 || "";
          this.icon32 = imageObj.icon32 || "";
          this.icon16 = imageObj.icon16 || "";
          this.favicon = imageObj.favicon || "";
          this.screenshotWeb1 = imageObj.screenshotWeb1 || "";
          this.screenshotWeb2 = imageObj.screenshotWeb2 || "";
          this.screenshotWeb3 = imageObj.screenshotWeb3 || "";
          this.screenshotMobile1 = imageObj.screenshotMobile1 || "";
          this.screenshotMobile2 = imageObj.screenshotMobile2 || "";
          this.screenshotMobile3 = imageObj.screenshotMobile3 || "";
          this.guestLayoutBg = imageObj.guestLayoutBg || "";
        }
        this.isLoading = false;
        this.$toasted.success(response.message, this.$toastConfig.success);
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("h4", { staticClass: "mb-4 pb-2 border-bottom" }, [_vm._v(_vm._s(_vm.$t("config.assets.logo")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.logo")))]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=logo", "name-label": "config.assets.logo", "existing-image": _vm.logo, "placeholder": "/images/placeholder-logo.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.logo_light")))]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=logo_light", "name-label": "config.assets.logo_light", "existing-image": _vm.logoLight, "placeholder": "/images/placeholder-logo.png", "dark-bg": "", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)])]), _c("h4", { staticClass: "my-4 pb-2 border-bottom" }, [_vm._v(_vm._s(_vm.$t("config.assets.icons")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.icon")))]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=icon", "name-label": "config.assets.icon", "existing-image": _vm.icon, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.icon_maskable")))]), _c("p", { staticClass: "pb-2 mb-0 text-center text-muted" }, [_vm._v("Ref: "), _c("a", { attrs: { "href": "https://maskable.app/editor", "target": "_blank", "rel": "nofollow" } }, [_vm._v("Maskable Icon Editor")])]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=icon_maskable", "name-label": "config.assets.icon_maskable", "existing-image": _vm.iconMaskable, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.icon")) + " 512x512")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=icon_512", "name-label": "config.assets.icon_512", "existing-image": _vm.icon512, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.icon")) + " 192x192")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=icon_192", "name-label": "config.assets.icon_192", "existing-image": _vm.icon192, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.icon")) + " 180x180")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=icon_180", "name-label": "config.assets.icon_180", "existing-image": _vm.icon180, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.icon")) + " 32x32")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=icon_32", "name-label": "config.assets.icon_32", "existing-image": _vm.icon32, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.icon")) + " 16x16")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=icon_16", "name-label": "config.assets.icon_16", "existing-image": _vm.icon16, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.favicon")))]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=favicon", "name-label": "config.assets.favicon", "existing-image": _vm.favicon, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)])]), _c("h4", { staticClass: "my-4 pb-2 border-bottom" }, [_vm._v(_vm._s(_vm.$t("config.assets.screenshots")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.screenshot_web")) + " 1440x900 - 1")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=screenshot_web_1", "name-label": "config.assets.screenshot", "existing-image": _vm.screenshotWeb1, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.screenshot_web")) + " 1440x900 - 2")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=screenshot_web_2", "name-label": "config.assets.screenshot", "existing-image": _vm.screenshotWeb2, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.screenshot_web")) + " 1440x900 - 3")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=screenshot_web_3", "name-label": "config.assets.screenshot", "existing-image": _vm.screenshotWeb3, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.screenshot_mobile")) + " 1080x2160 - 1")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=screenshot_mobile_1", "name-label": "config.assets.screenshot", "existing-image": _vm.screenshotMobile1, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.screenshot_mobile")) + " 1080x2160 - 2")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=screenshot_mobile_2", "name-label": "config.assets.screenshot", "existing-image": _vm.screenshotMobile2, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.screenshot_mobile")) + " 1080x2160 - 3")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=screenshot_mobile_3", "name-label": "config.assets.screenshot", "existing-image": _vm.screenshotMobile3, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)]), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("h6", { staticClass: "pb-2 mb-0 text-center text-muted font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("config.assets.guest_layout_bg")) + " 1080x2160 - 3")]), _c("div", { staticClass: "d-flex justify-content-center mb-4" }, [_c("image-uploader", { attrs: { "url": "/config/assets?type=guest_layout_bg", "name-label": "config.assets.guest_layout_bg", "existing-image": _vm.guestLayoutBg, "placeholder": "/images/placeholder-icon.png", "remove-from-server": "" }, on: { "uploaded": _vm.refreshConfig, "removed": _vm.refreshConfig } })], 1)])])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=assets-index.6567ad5c.js.map
