import { m as mapGetters, i as mapActions } from "../../../../vendor/vendor-core.2a9962eb.js";
import { b as addButton } from "../../../../header.a91390e7.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import { B as BModal } from "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
const translation_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  components: {
    BModal
  },
  data() {
    return {
      activeModule: "auth",
      formData: {
        words: {}
      },
      preRequisite: {
        locales: [],
        modules: []
      },
      formErrors: {},
      initialFormData: null,
      emptyFormData: null,
      showLocaleEditModal: false,
      isModalLoading: true,
      modalData: {
        locale: "en",
        label: null,
        translationInEn: null,
        translation: null,
        firstKey: null,
        secondKey: null,
        thirdKey: null,
        fourthKey: null
      },
      initialModalData: {},
      isLoading: false,
      showReloadBtn: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ])
  },
  methods: {
    ...mapActions("common", [
      "Custom",
      "SetPageHeader"
    ]),
    ...mapActions("config", [
      "SetUiConfig"
    ]),
    getInitialData() {
      this.isLoading = true;
      if (this.$route.query && this.$route.query.module) {
        this.activeModule = this.$route.query.module;
      }
      this.Custom({
        url: "config/locales/pre-requisite",
        params: {
          module: this.activeModule
        }
      }).then((response) => {
        this.preRequisite.locales = _.cloneDeep(response.locales);
        this.preRequisite.modules = _.cloneDeep(response.modules);
        response.words.objForEach((words, loc) => {
          if (_.isObject(words)) {
            this.formData.words[loc] = Object.assign({}, words);
          } else {
            this.formData.words[loc] = {};
          }
        });
        this.initialFormData = Object.assign({}, this.formData);
        this.initialModalData = Object.assign({}, this.modalData);
        this.isLoading = false;
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    },
    humanize(word) {
      return _.startCase(word);
    },
    getLocaleByCode(localeCode) {
      let locale = this.preRequisite.locales.find((l) => l.locale === localeCode);
      return locale ? `${locale.name} (${localeCode})` : localeCode;
    },
    updateRouteQuery(param) {
      const newQuery = Object.assign({}, this.$route.query, param);
      this.$router.push({ path: this.$route.path, query: newQuery });
    },
    isString(myVar) {
      return _.isString(myVar);
    },
    isObject(myVar) {
      return _.isObject(myVar);
    },
    toggleLocaleEditModal(locale, firstKey, secondKey, thirdKey, fourthKey) {
      this.modalData = _.cloneDeep(this.initialModalData);
      this.modalData.locale = locale;
      this.modalData.firstKey = firstKey;
      this.modalData.secondKey = secondKey;
      this.modalData.thirdKey = thirdKey;
      this.modalData.fourthKey = fourthKey;
      this.modalData.label = this.getLabel(firstKey, secondKey, thirdKey, fourthKey);
      this.modalData.translationInEn = this.getTranslation("en", firstKey, secondKey, thirdKey, fourthKey);
      this.modalData.translation = this.getTranslation(locale, firstKey, secondKey, thirdKey, fourthKey);
      this.showLocaleEditModal = true;
      this.isModalLoading = false;
    },
    onLocaleEditModalShown() {
      this.$nextTick(() => {
        this.$refs[`newTranslation`].$refs[`base-input-newTranslation`].focus();
      });
    },
    getTranslation(locale, firstKey, secondKey, thirdKey, fourthKey) {
      if (!this.formData.words[locale]) {
        return "Locale not found, contact support!";
      }
      return this.formData.words[locale][firstKey] ? secondKey && this.formData.words[locale][firstKey][secondKey] ? thirdKey && this.formData.words[locale][firstKey][secondKey][thirdKey] ? fourthKey && this.formData.words[locale][firstKey][secondKey][thirdKey][fourthKey] ? this.formData.words[locale][firstKey][secondKey][thirdKey][fourthKey] : fourthKey ? "" : this.formData.words[locale][firstKey][secondKey][thirdKey] : thirdKey ? "" : this.formData.words[locale][firstKey][secondKey] : secondKey ? "" : this.formData.words[locale][firstKey] : "";
    },
    getLabel(firstKey, secondKey, thirdKey, fourthKey) {
      return firstKey + (secondKey ? thirdKey ? fourthKey ? " -> " + secondKey + " -> " + thirdKey + " -> " + fourthKey : " -> " + secondKey + " -> " + thirdKey : " -> " + secondKey : "");
    },
    onLocaleEditModalHidden() {
      this.isModalLoading = true;
    },
    onLocaleEditModalOK(e) {
      e.preventDefault();
      this.isModalLoading = true;
      if (this.modalData.firstKey && !this.formData.words[this.modalData.locale][this.modalData.firstKey]) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey] = {};
      }
      if (this.modalData.secondKey && !this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey]) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey] = {};
      }
      if (this.modalData.thirdKey && !this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey][this.modalData.thirdKey]) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey][this.modalData.thirdKey] = {};
      }
      if (this.modalData.fourthKey && !this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey][this.modalData.thirdKey][this.modalData.fourthKey]) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey][this.modalData.thirdKey][this.modalData.fourthKey] = {};
      }
      if (this.modalData.firstKey && this.modalData.secondKey && this.modalData.thirdKey && this.modalData.fourthKey) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey][this.modalData.thirdKey][this.modalData.fourthKey] = this.modalData.translation;
      } else if (this.modalData.firstKey && this.modalData.secondKey && this.modalData.thirdKey) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey][this.modalData.thirdKey] = this.modalData.translation;
      } else if (this.modalData.firstKey && this.modalData.secondKey) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey][this.modalData.secondKey] = this.modalData.translation;
      } else if (this.modalData.firstKey) {
        this.formData.words[this.modalData.locale][this.modalData.firstKey] = this.modalData.translation;
      }
      this.Custom({
        url: `config/locales/${this.modalData.locale}/translate`,
        method: "post",
        data: {
          module: this.activeModule,
          words: this.formData.words[this.modalData.locale]
        }
      }).then((response) => {
        this.initialFormData = _.cloneDeep(this.formData);
        this.modalData = _.cloneDeep(this.initialModalData);
        this.$refs.localeEditModal.hide();
        this.showReloadBtn = true;
      }).catch((error) => {
        this.formData = _.cloneDeep(this.initialFormData);
        this.isModalLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    },
    applyPageHeader() {
      let pageHeaderOptions = {
        buttons: [
          addButton("appConfigLocaleAdd", "access-config")
        ]
      };
      this.SetPageHeader(pageHeaderOptions);
    },
    reloadPage() {
      location.reload(true);
    }
  },
  mounted() {
    this.emptyFormData = Object.assign({}, this.formData);
    this.getInitialData();
    this.applyPageHeader();
  },
  watch: {
    $route() {
      this.getInitialData();
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { staticClass: "p-0 flex-grow", attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("div", { staticClass: "d-flex justify-content-between" }, [_c("div", { staticClass: "text-left p-4" }, [_vm.showReloadBtn ? _c("base-button", { attrs: { "type": "button", "design": "light", "size": "md" }, on: { "click": _vm.reloadPage } }, [_c("i", { staticClass: "fas fa-sync-alt" }), _vm._v(" " + _vm._s(_vm.$t("general.reload_page")))]) : _vm._e()], 1), _vm.activeModule ? _c("div", { staticClass: "text-right p-4" }, [_c("base-dropdown", { attrs: { "tag": "div", "direction": "down", "menu-classes": "show-dropdown-up", "position": "right" } }, [_c("base-button", { attrs: { "slot": "title", "type": "button", "data-toggle": "dropdown", "role": "button", "design": "info", "size": "md" }, slot: "title" }, [_c("i", { staticClass: "fas fa-boxes" }), _vm._v(" " + _vm._s(_vm.$t(_vm.activeModule + "." + _vm.activeModule)) + " "), _c("i", { staticClass: "fas fa-chevron-down" })]), _vm._l(_vm.preRequisite.modules, function(mod) {
    return _c("a", { key: mod, staticClass: "dropdown-item", on: { "click": function($event) {
      return _vm.updateRouteQuery({ module: mod });
    } } }, [_vm._v(" " + _vm._s(_vm.$t(mod + "." + mod)) + " "), mod == _vm.activeModule ? _c("i", { staticClass: "fas fa-check pull-right" }) : _vm._e()]);
  })], 2)], 1) : _vm._e()]), _c("div", { staticClass: "table-responsive table-wrapper" }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("table", { staticClass: "table b-table table-striped table-hover b-table-stacked-sm" }, [_c("thead", [_c("tr", [_c("th", [_vm._v(_vm._s(_vm.$t("config.locale.key")))]), _vm._l(_vm.preRequisite.locales, function(locale) {
    return _c("th", { key: locale.locale }, [_vm._v(_vm._s(`${locale.name} (${locale.locale})`))]);
  })], 2)]), _c("tbody", [_vm._l(_vm.formData.words["en"], function(value, key) {
    return [_vm.isString(value) ? [_c("tr", { key }, [_c("td", [_vm._v(_vm._s(key))]), _vm._l(_vm.preRequisite.locales, function(locale) {
      return _c("td", { key: locale.locale, on: { "dblclick": function($event) {
        return _vm.toggleLocaleEditModal(locale.locale, key);
      } } }, [_vm._v(_vm._s(_vm.getTranslation(locale.locale, key)))]);
    })], 2)] : _vm._e(), _vm.isObject(value) ? [_vm._l(value, function(secondValue, secondKey) {
      return [_vm.isString(secondValue) ? [_c("tr", { key: `${key}${secondKey}` }, [_c("td", [_vm._v(_vm._s(key) + " -> " + _vm._s(secondKey))]), _vm._l(_vm.preRequisite.locales, function(locale) {
        return _c("td", { key: locale.locale, on: { "dblclick": function($event) {
          return _vm.toggleLocaleEditModal(locale.locale, key, secondKey);
        } } }, [_vm._v(_vm._s(_vm.getTranslation(locale.locale, key, secondKey)))]);
      })], 2)] : _vm._e(), _vm.isObject(secondValue) ? [_vm._l(secondValue, function(thirdValue, thirdKey) {
        return [_vm.isString(thirdValue) ? [_c("tr", { key: `${key}${secondKey}${thirdKey}` }, [_c("td", [_vm._v(_vm._s(key) + " -> " + _vm._s(secondKey) + " -> " + _vm._s(thirdKey))]), _vm._l(_vm.preRequisite.locales, function(locale) {
          return _c("td", { key: locale.locale, on: { "dblclick": function($event) {
            return _vm.toggleLocaleEditModal(locale.locale, key, secondKey, thirdKey);
          } } }, [_vm._v(_vm._s(_vm.getTranslation(locale.locale, key, secondKey, thirdKey)))]);
        })], 2)] : _vm._e(), _vm.isObject(thirdValue) ? _vm._l(thirdValue, function(fourthValue, fourthKey) {
          return _c("tr", { key: `${key}${secondKey}${thirdKey}${fourthKey}` }, [_c("td", [_vm._v(_vm._s(key) + " -> " + _vm._s(secondKey) + " -> " + _vm._s(thirdKey) + " -> " + _vm._s(fourthKey))]), _vm._l(_vm.preRequisite.locales, function(locale) {
            return _c("td", { key: locale.locale, on: { "dblclick": function($event) {
              return _vm.toggleLocaleEditModal(locale.locale, key, secondKey, thirdKey, fourthKey);
            } } }, [_vm._v(_vm._s(_vm.getTranslation(locale.locale, key, secondKey, thirdKey, fourthKey)))]);
          })], 2);
        }) : _vm._e()];
      })] : _vm._e()];
    })] : _vm._e()];
  })], 2)])])]), _c("b-modal", { ref: "localeEditModal", attrs: { "size": "md", "centered": "", "lazy": "", "busy": _vm.isModalLoading, "no-close-on-backdrop": "", "no-close-on-esc": "" }, on: { "ok": _vm.onLocaleEditModalOK, "hidden": _vm.onLocaleEditModalHidden, "shown": _vm.onLocaleEditModalShown }, model: { value: _vm.showLocaleEditModal, callback: function($$v) {
    _vm.showLocaleEditModal = $$v;
  }, expression: "showLocaleEditModal" } }, [_c("template", { slot: "modal-header" }, [_c("h5", { staticClass: "modal-title" }, [_vm._v(_vm._s(_vm.$t("config.locale.translation")))])]), _c("div", [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12" }, [_c("base-input", { ref: "newTranslation", staticClass: "mb-5", attrs: { "label": `${_vm.modalData.label} (${_vm.modalData.locale})`, "type": "text", "error": _vm.formErrors.translation, "name": "newTranslation" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "translation", $event);
  } }, model: { value: _vm.modalData.translation, callback: function($$v) {
    _vm.$set(_vm.modalData, "translation", $$v);
  }, expression: "modalData.translation" } })], 1)]), _c("p", { staticClass: "text-muted small m-0" }, [_vm._v("In English - " + _vm._s(_vm.modalData.translationInEn))])])], 2)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const translation = __component__.exports;
export {
  translation as default
};
//# sourceMappingURL=translation.47a9080e.js.map
