import { f as form } from "../../../../config-form.7cab216a.js";
import { C as CollapseTransition } from "../../../../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  extends: form,
  components: {
    CollapseTransition
  },
  data() {
    return {
      now: moment(),
      formData: {
        dateFormat: "",
        timeFormat: "",
        timezone: "",
        fyStart: "",
        perPage: 10,
        locale: "",
        currency: "",
        gaTrackingId: "",
        footerCredit: "",
        https: false,
        errorDisplay: false,
        printPreview: true,
        frontendWebsite: false,
        ipFilter: false,
        emailLog: false,
        emailTemplate: false,
        todo: false,
        enableAthsAlert: false,
        backup: false,
        dateTimeAlwaysEng: false,
        maintenanceMode: false,
        allowDateInput: false,
        enableTour: false,
        enableMultilingual: true,
        enableMes: false,
        allowedFileExtensions: "",
        maintenanceModeMessage: "",
        type: "system"
      },
      preRequisite: {
        dateFormats: [],
        timeFormats: [],
        timezones: [],
        locales: [],
        currencies: [],
        paginations: []
      }
    };
  },
  methods: {
    regenerateNavigation() {
      this.Generate().then(() => {
        this.isLoading = false;
      });
    },
    beforeSubmit() {
      this.formData.allowedFileExtensions = this.formData.allowedFileExtensions.replace(/\s+|\r?\n|\r/gmi, "");
      if (!this.formData.allowedFileExtensions) {
        this.$toasted.error(this.$t("global.required", { attribute: $t("config.system.allowed_file_extensions") }), this.$toastConfig.error);
        return false;
      }
    },
    afterSubmit() {
      this.regenerateNavigation();
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.enable_todo") } }, [_c("base-switch", { model: { value: _vm.formData.todo, callback: function($$v) {
    _vm.$set(_vm.formData, "todo", $$v);
  }, expression: "formData.todo" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.enable_maintenance_mode") } }, [_c("base-switch", { model: { value: _vm.formData.maintenanceMode, callback: function($$v) {
    _vm.$set(_vm.formData, "maintenanceMode", $$v);
  }, expression: "formData.maintenanceMode" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.enable_aths_alert") } }, [_c("base-switch", { model: { value: _vm.formData.enableAthsAlert, callback: function($$v) {
    _vm.$set(_vm.formData, "enableAthsAlert", $$v);
  }, expression: "formData.enableAthsAlert" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.allow_date_input") } }, [_c("base-switch", { model: { value: _vm.formData.allowDateInput, callback: function($$v) {
    _vm.$set(_vm.formData, "allowDateInput", $$v);
  }, expression: "formData.allowDateInput" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.enable_tour") } }, [_c("base-switch", { model: { value: _vm.formData.enableTour, callback: function($$v) {
    _vm.$set(_vm.formData, "enableTour", $$v);
  }, expression: "formData.enableTour" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.enable_print_preview") } }, [_c("base-switch", { model: { value: _vm.formData.printPreview, callback: function($$v) {
    _vm.$set(_vm.formData, "printPreview", $$v);
  }, expression: "formData.printPreview" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.enable_multilingual") } }, [_c("base-switch", { model: { value: _vm.formData.enableMultilingual, callback: function($$v) {
    _vm.$set(_vm.formData, "enableMultilingual", $$v);
  }, expression: "formData.enableMultilingual" } })], 1)], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3 secure-content" }, [_c("switch-wrapper", { attrs: { "label": _vm.$t("config.system.enable_mes") } }, [_c("base-switch", { model: { value: _vm.formData.enableMes, callback: function($$v) {
    _vm.$set(_vm.formData, "enableMes", $$v);
  }, expression: "formData.enableMes" } })], 1)], 1)]), _c("div", { staticClass: "row mt-4" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.dateFormats, "label": _vm.$t("config.system.date_format"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading, "required": "" }, scopedSlots: _vm._u([{ key: "selectedOption", fn: function({ option }) {
    return [_vm._v(_vm._s(_vm._f("moment")(_vm.now, option.uuid)) + " "), _c("small", { staticClass: "bracketed text-muted" }, [_vm._v(_vm._s(option.name))])];
  } }, { key: "listOption", fn: function({ option }) {
    return [_vm._v(" " + _vm._s(_vm._f("moment")(_vm.now, option.uuid)) + " "), _c("small", { staticClass: "bracketed text-muted" }, [_vm._v(_vm._s(option.name))])];
  } }]), model: { value: _vm.formData.dateFormat, callback: function($$v) {
    _vm.$set(_vm.formData, "dateFormat", $$v);
  }, expression: "formData.dateFormat" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.timeFormats, "label": _vm.$t("config.system.time_format"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading, "required": "" }, scopedSlots: _vm._u([{ key: "selectedOption", fn: function({ option }) {
    return [_vm._v(_vm._s(_vm._f("moment")(_vm.now, option.uuid)) + " "), _c("small", { staticClass: "bracketed text-muted" }, [_vm._v(_vm._s(option.name))])];
  } }, { key: "listOption", fn: function({ option }) {
    return [_vm._v(" " + _vm._s(_vm._f("moment")(_vm.now, option.uuid)) + " "), _c("small", { staticClass: "bracketed text-muted" }, [_vm._v(_vm._s(option.name))])];
  } }]), model: { value: _vm.formData.timeFormat, callback: function($$v) {
    _vm.$set(_vm.formData, "timeFormat", $$v);
  }, expression: "formData.timeFormat" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.timezones, "label": _vm.$t("config.system.timezone"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading, "required": "" }, model: { value: _vm.formData.timezone, callback: function($$v) {
    _vm.$set(_vm.formData, "timezone", $$v);
  }, expression: "formData.timezone" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.locales, "label": _vm.$t("config.system.locale"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading, "required": "" }, model: { value: _vm.formData.locale, callback: function($$v) {
    _vm.$set(_vm.formData, "locale", $$v);
  }, expression: "formData.locale" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.currencies, "track-by": "name", "show-by": "description", "label": _vm.$t("config.system.currency"), "allow-empty": false, "disabled": _vm.isLoading, "required": "" }, model: { value: _vm.formData.currency, callback: function($$v) {
    _vm.$set(_vm.formData, "currency", $$v);
  }, expression: "formData.currency" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.paginations, "label": _vm.$t("config.system.page_length"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading, "required": "" }, scopedSlots: _vm._u([{ key: "selectedOption", fn: function({ option }) {
    return [_vm._v(_vm._s(_vm.$t("config.system.per_page", { attribute: option.name })))];
  } }, { key: "listOption", fn: function({ option }) {
    return [_vm._v(" " + _vm._s(_vm.$t("config.system.per_page", { attribute: option.name })) + " ")];
  } }]), model: { value: _vm.formData.perPage, callback: function($$v) {
    _vm.$set(_vm.formData, "perPage", $$v);
  }, expression: "formData.perPage" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { staticClass: "mb-5", attrs: { "label": _vm.$t("config.system.ga_tracking_id"), "type": "text", "error": _vm.formErrors.gaTrackingId }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "gaTrackingId", $event);
  } }, model: { value: _vm.formData.gaTrackingId, callback: function($$v) {
    _vm.$set(_vm.formData, "gaTrackingId", $$v);
  }, expression: "formData.gaTrackingId" } })], 1), _c("collapse-transition", [_c("div", { staticClass: "col-12" }, [_c("base-input", { staticClass: "mb-5", attrs: { "label": _vm.$t("config.system.footer_credit"), "type": "text", "error": _vm.formErrors.footerCredit }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "footerCredit", $event);
  } }, model: { value: _vm.formData.footerCredit, callback: function($$v) {
    _vm.$set(_vm.formData, "footerCredit", $$v);
  }, expression: "formData.footerCredit" } })], 1)]), _c("collapse-transition", [_c("div", { staticClass: "col-12" }, [_c("base-textarea", { staticClass: "mb-4", attrs: { "rows": "4", "label": _vm.$t("config.system.allowed_file_extensions"), "error": _vm.formErrors.allowedFileExtensions }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "allowedFileExtensions", $event);
  } }, model: { value: _vm.formData.allowedFileExtensions, callback: function($$v) {
    _vm.$set(_vm.formData, "allowedFileExtensions", $$v);
  }, expression: "formData.allowedFileExtensions" } })], 1)]), _c("collapse-transition", [_vm.formData.maintenanceMode ? _c("div", { staticClass: "col-12" }, [_c("base-textarea", { staticClass: "mb-4", attrs: { "rows": "4", "label": _vm.$t("config.system.maintenance_mode_message"), "error": _vm.formErrors.maintenanceModeMessage }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "maintenanceModeMessage", $event);
  } }, model: { value: _vm.formData.maintenanceModeMessage, callback: function($$v) {
    _vm.$set(_vm.formData, "maintenanceModeMessage", $$v);
  }, expression: "formData.maintenanceModeMessage" } })], 1) : _vm._e()])], 1), _c("div", { staticClass: "text-right mt-5" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.reset } }, [_vm._v(_vm._s(_vm.$t("general.reset")))]), _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_vm._v(_vm._s(_vm.$t("general.save")))])], 1)])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=system-index.6e191bc2.js.map
