import { m as mapGetters, i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import { g as momentDateTz } from "../../../momentz.3304bf92.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import { B as Bar, L as Line } from "../../../vendor/vendor-vue-chartjs.7edfae0a.js";
import { A as AppDashboardHeader } from "../../../app-dashboard-header.a5a0f4f1.js";
import { M as MeetingCard } from "../../../meeting-card.43addc47.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../app-page-header-wrapper.7c301931.js";
const GreetingWidget_vue_vue_type_style_index_0_scoped_3a2a3798_lang = "";
const _sfc_main$6 = {
  name: "greeting-widget",
  props: {
    background: {
      type: String,
      default: null
    },
    border: {
      type: String
    },
    shadow: {
      type: Boolean,
      default: false
    },
    showGreeting: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      isLoading: true,
      date: momentDateTz("NOW", "dddd, Do"),
      month: momentDateTz("NOW", "MMMM"),
      year: momentDateTz("NOW", "YYYY"),
      meetingIcons: {
        "scheduled": "far fa-calendar-alt",
        "live": "fas fa-video",
        "ended": "far fa-calendar-check",
        "cancelled": "far fa-calendar-times"
      },
      meetingIconColors: {
        "scheduled": "bg-primary text-white no-border",
        "live": "bg-warning text-white no-border",
        "ended": "bg-success text-white no-border",
        "cancelled": "bg-danger text-white no-border"
      }
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ]),
    ...mapGetters("user", [
      "profile"
    ]),
    ...mapGetters("common", [
      "others"
    ]),
    heightShouldBeFixed() {
      let total = 0;
      total = total + (this.others.meetings ? this.others.meetings.length : 0);
      return total > 4;
    }
  },
  methods: {
    ...mapActions("common", [
      "Custom",
      "SetOthers"
    ]),
    moment(args) {
      return moment(args);
    },
    resetVueScroll() {
      setTimeout(() => {
        if (this.$refs["vuescrollMeetings"]) {
          this.$refs["vuescrollMeetings"].scrollTo({
            x: 0,
            y: 0
          }, true);
        }
      }, 100);
    },
    getInitialData() {
      this.isLoading = true;
      this.Custom({
        url: "dashboard",
        method: "get"
      }).then((response) => {
        this.SetOthers({
          meetings: response.meetings,
          upcomingMeetings: response.upcomingMeetings || [],
          recentMeetings: response.recentMeetings || [],
          alerts: response.alerts
        });
        this.resetVueScroll();
        this.isLoading = false;
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
      });
    },
    validDate(dt) {
      return moment(dt, this.vars.serverDateTimeFormat).isValid();
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render$6 = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("card", { staticClass: "greeting-widget min-height-250px", attrs: { "shadow": _vm.shadow, "type": _vm.background, "border": _vm.border, "body-classes": "d-flex flex-column" } }, [_vm._t("greeting", function() {
    return [_vm.showGreeting && _vm.profile ? _c("div", { staticClass: "greeting-details" }, [_c("h5", { staticClass: "text-muted mb-1" }, [_vm._v(_vm._s(_vm.$t("dashboard.hello")) + ", " + _vm._s(_vm.profile.name) + "!")]), _c("div", { staticClass: "today-date" }, [_c("h2", { staticClass: "mb-1" }, [_vm._v(_vm._s(_vm.date))]), _c("h5", { staticClass: "text-muted m-0" }, [_vm._v(_vm._s(_vm.month) + ", " + _vm._s(_vm.year))])])]) : _vm._e()];
  }), _vm.showGreeting && _vm.profile ? _c("div", [_c("hr", { staticClass: "mt-4 mb-3" })]) : _vm._e(), _c("div", { staticClass: "item-list-wrapper flex-grow", class: { "fixed-height": _vm.heightShouldBeFixed } }, [_c("vue-scroll", { ref: "vuescrollMeetings", attrs: { "id": "vuescrollMeetings" } }, [_c("div", { staticClass: "min-height-200px" }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }), _vm.others.meetings && _vm.others.meetings.length ? _c("ul", { staticClass: "item-list" }, _vm._l(_vm.others.meetings, function(item) {
    return _c("li", { key: item.uuid, staticClass: "item-item" }, [_c("router-link", { attrs: { "to": { name: "appMeetingView", params: { uuid: item.uuid } } } }, [_c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], class: ["item-type", _vm.meetingIconColors[item.status]], attrs: { "title": item.status.capitalize() } }, [_c("i", { class: _vm.meetingIcons[item.status] })]), _c("div", { staticClass: "item-details" }, [_c("h6", { staticClass: "item-title" }, [_vm._v(_vm._s(item.title))]), _c("div", { staticClass: "item-schedule text-muted" }, [item.startedAt !== null && _vm.validDate(item.startedAt) ? [_vm._v(_vm._s(_vm._f("momentCalendarTz")(item.startedAt, { sameElse: _vm.vars.defaultDateTimeFormat })))] : [_vm._v(_vm._s(_vm._f("momentCalendarTz")(item.startDateTime, { sameElse: _vm.vars.defaultDateTimeFormat })))]], 2)])])], 1);
  }), 0) : !_vm.isLoading ? _c("div", { staticClass: "d-flex align-items-center justify-content-center min-height-200px" }, [_c("h5", { staticClass: "text-muted" }, [_vm._v(" " + _vm._s(_vm.$t("dashboard.nothing_to_show")) + " ")])]) : _vm._e()], 1)])], 1)], 2);
};
var _sfc_staticRenderFns$6 = [];
var __component__$6 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$6,
  _sfc_render$6,
  _sfc_staticRenderFns$6,
  false,
  null,
  "3a2a3798",
  null,
  null
);
const GreetingWidget = __component__$6.exports;
const _sfc_main$5 = {
  extends: Bar,
  props: {
    chartData: {
      type: Object,
      required: true
    },
    chartOptions: {
      type: Object,
      default() {
        return {};
      }
    }
  },
  data: () => ({
    options: {
      responsive: true,
      maintainAspectRatio: false,
      scales: {
        yAxes: [{
          ticks: {}
        }]
      }
    }
  }),
  watch: {
    chartData(newValue, oldValue) {
      if (newValue && newValue !== oldValue) {
        this.renderChart(_.cloneDeep(newValue), { ...this.options, ...this.chartOptions });
      }
    },
    chartOptions(newValue, oldValue) {
      if (newValue && newValue !== oldValue) {
        this.renderChart(_.cloneDeep(this.chartData), { ...this.options, ...newValue });
      }
    }
  },
  mounted() {
    if (this.chartData) {
      this.renderChart(_.cloneDeep(this.chartData), { ...this.options, ...this.chartOptions });
    }
  }
};
const _sfc_render$5 = null;
const _sfc_staticRenderFns$5 = null;
var __component__$5 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$5,
  _sfc_render$5,
  _sfc_staticRenderFns$5,
  false,
  null,
  null,
  null,
  null
);
const BarChart = __component__$5.exports;
const _sfc_main$4 = {
  extends: Line,
  props: ["chartData"],
  data: () => ({
    options: {
      responsive: true,
      maintainAspectRatio: false,
      scales: {
        yAxes: [{
          ticks: {}
        }]
      }
    }
  }),
  watch: {
    chartData(newValue, oldValue) {
      if (newValue && newValue !== oldValue) {
        this.renderChart(_.cloneDeep(newValue), this.options);
      }
    }
  },
  mounted() {
    if (this.chartData) {
      this.renderChart(_.cloneDeep(this.chartData), this.options);
    }
  }
};
const _sfc_render$4 = null;
const _sfc_staticRenderFns$4 = null;
var __component__$4 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$4,
  _sfc_render$4,
  _sfc_staticRenderFns$4,
  false,
  null,
  null,
  null,
  null
);
const LineChart = __component__$4.exports;
const ChartWidget_vue_vue_type_style_index_0_scoped_24a171f5_lang = "";
const _sfc_main$3 = {
  name: "chart-widget",
  components: {
    BarChart,
    LineChart
  },
  props: {},
  data() {
    return {
      isLoading: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ]),
    ...mapGetters("common", [
      "others"
    ]),
    customStyles() {
      return {
        minHeight: "465px",
        position: "relative"
      };
    },
    selectedFilter() {
      return this.others.chart.actions.options.filter((f) => f.active);
    }
  },
  methods: {
    ...mapActions("common", [
      "Custom",
      "SetOthers"
    ]),
    toggleFilter(filter) {
      if (this.others.chart.actions.multiple) {
        filter.active = !filter.active;
      } else {
        this.others.chart.actions.options.forEach((f) => {
          f.active = f.label === filter.label ? true : false;
        });
      }
      this.getInitialData();
    },
    getInitialData() {
      this.isLoading = true;
      let params = {};
      if (this.others && this.others.chart && this.others.chart.actions) {
        this.others.chart.actions.options.forEach((filter) => {
          if (filter.active) {
            params[filter.param] = filter.value;
          }
        });
      }
      this.Custom({
        url: "dashboard/chart",
        method: "get",
        params
      }).then((response) => {
        this.SetOthers({
          chart: response
        });
        this.isLoading = false;
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
      });
    }
  },
  mounted() {
    this.getInitialData();
  }
};
var _sfc_render$3 = function render2() {
  var _vm = this, _c = _vm._self._c;
  return _c("card", { staticClass: "chart-widget min-height-150px", attrs: { "shadow": "" }, scopedSlots: _vm._u([!_vm.isLoading && _vm.others && _vm.others.chart ? { key: "title", fn: function() {
    return [_c("h5", [_vm._v(_vm._s(_vm.others.chart.title))])];
  }, proxy: true } : null, !_vm.isLoading && _vm.others && _vm.others.chart ? { key: "actions", fn: function() {
    return [_vm.others.chart.actions ? _c("base-dropdown", { attrs: { "tag": "div", "dropdown-menu-tag": "ul", "position": "right" } }, [_vm.selectedFilter ? _c("a", { staticClass: "dropdown-toggle no-caret", attrs: { "data-toggle": "dropdown", "role": "button" } }, [_vm.selectedFilter.length === 1 ? _c("span", [_vm._v(_vm._s(_vm.selectedFilter[0].label))]) : _c("span", [_vm._v(_vm._s(_vm.$t("general.filtered")))]), _vm._v(" "), _c("i", { staticClass: "fas fa-angle-down ml-2" })]) : _vm._e(), _vm._l(_vm.others.chart.actions.options, function(filter) {
      return _c("li", { key: filter.label, staticClass: "dropdown-item pointer", on: { "click": function($event) {
        return _vm.toggleFilter(filter);
      } } }, [_vm._v(" " + _vm._s(filter.label) + " "), filter.active ? _c("span", { staticClass: "pull-right" }, [_c("i", { staticClass: "fas fa-check" })]) : _vm._e()]);
    })], 2) : _vm._e(), _c("button", { staticClass: "btn action", attrs: { "type": "button" }, on: { "click": _vm.getInitialData } }, [_c("i", { class: ["fas fa-sync-alt", { "fa-spin": _vm.isLoading }] })])];
  }, proxy: true } : null], null, true) }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading || !(_vm.others && _vm.others.chart), "loader-color": _vm.vars.loaderColor } }), !_vm.isLoading && _vm.others && _vm.others.chart ? [_vm.others.chart.type === "bar" ? _c("bar-chart", { attrs: { "chart-data": _vm.others.chart.chartData, "styles": _vm.customStyles } }) : _vm.others.chart.type === "line" ? _c("line-chart", { attrs: { "chart-data": _vm.others.chart.chartData, "styles": _vm.customStyles } }) : _vm.others.chart.type === "pie" ? _c("pie-chart", { attrs: { "chart-data": _vm.others.chart.chartData, "styles": _vm.customStyles } }) : _vm._e()] : _vm._e()], 2);
};
var _sfc_staticRenderFns$3 = [];
var __component__$3 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$3,
  _sfc_render$3,
  _sfc_staticRenderFns$3,
  false,
  null,
  "24a171f5",
  null,
  null
);
const ChartWidget = __component__$3.exports;
const _sfc_main$2 = {
  name: "meeting-feed-widget",
  components: {
    MeetingCard
  },
  props: {
    meetings: {
      type: Array,
      required: true
    }
  },
  data() {
    return {
      isLoading: true
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "vars"
    ]),
    ...mapGetters("user", [
      "hasPermission"
    ])
  }
};
var _sfc_render$2 = function render3() {
  var _vm = this, _c = _vm._self._c;
  return _c("card", { class: [
    "min-height-150px overflow-visible meetings-feed-wrapper",
    `card-layout-design-${_vm.configs.meeting.cardLayoutDesign}`
  ], attrs: { "type": "transparent", "border": "transparent", "shadow-size": "none", "header-classes": "px-0", "body-classes": "px-0 overflow-visible" }, scopedSlots: _vm._u([{ key: "header", fn: function() {
    return [_c("div", { staticClass: "d-flex justify-content-between align-items-center flex-grow" }, [_vm._t("heading", function() {
      return [_c("h4", { staticClass: "mb-0" }, [_vm._v(_vm._s(_vm.$t("meeting.meetings")))])];
    }), _vm._t("actions", function() {
      return [_c("router-link", { staticClass: "btn btn-sm btn-dark ml-3", attrs: { "to": { name: "appMeetingList" } } }, [_vm._v(_vm._s(_vm.$t("general.view_more")))])];
    })], 2)];
  }, proxy: true }], null, true) }, [_vm.meetings.length ? _c("div", { staticClass: "row meetings-feed" }, [_vm._l(_vm.meetings, function(meeting) {
    return [_c("div", { key: meeting.uuid, staticClass: "col-12 col-md-6 col-lg-4 mb-4" }, [_c("meeting-card", { attrs: { "meeting": meeting, "flex": false, "raise": true }, scopedSlots: _vm._u([{ key: "actions", fn: function() {
      return [_c("base-dropdown", { staticClass: "actions-menu", attrs: { "tag": "div", "direction": "down", "menu-classes": "show-dropdown-up", "position": "right" } }, [_c("div", { staticClass: "h-100 d-flex align-items-center justify-content-center mr-1", attrs: { "slot": "title" }, slot: "title" }, [_c("base-button", { staticClass: "no-shadow", attrs: { "type": "button", "data-toggle": "dropdown", "role": "button", "size": "md", "design": "white", "rounded": "", "iconOnly": "", "icon": "fas fa-ellipsis-v" } })], 1), _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingView", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-arrow-circle-right" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.meeting") })))]), meeting.hasSnapshots && _vm.configs.meeting && _vm.configs.meeting.canTakeSnapshot ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingSnapshots", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-image" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.snapshots") })))]) : _vm._e(), (meeting.hasChunkRecordings || meeting.hasRecordings) && _vm.configs.meeting && _vm.configs.meeting.canRecord ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingRecordings", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-photo-video" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.recordings") })))]) : _vm._e(), meeting.status === "scheduled" || meeting.status === "live" ? _c("router-link", { staticClass: "dropdown-item bg-primary text-white", attrs: { "to": { name: "liveMeeting", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-sign-in-alt" }), _vm._v(" " + _vm._s(_vm.$t("meeting.join_meeting")))]) : _vm._e(), meeting.status === "scheduled" || meeting.status === "live" ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
        $event.stopPropagation();
        return _vm.shareURL(meeting);
      } } }, [_c("i", { staticClass: "fas fa-share-alt" }), _vm._v(" " + _vm._s(_vm.$t("general.share_url")))]) : _vm._e(), meeting.status === "scheduled" && (_vm.hasPermission("create-meeting") || meeting.canModerate) ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingEdit", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-edit" }), _vm._v(" " + _vm._s(_vm.$t("global.edit", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), _vm.hasPermission("create-meeting") ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingDuplicate", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-copy" }), _vm._v(" " + _vm._s(_vm.$t("global.duplicate", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), meeting.status === "scheduled" && (_vm.hasPermission("list-meeting") && meeting.canModerate) ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingSingleConfig", params: { subUuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-cog" }), _vm._v(" " + _vm._s(_vm.$t("global.config", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), _vm.hasPermission("delete-meeting") && (meeting.status === "scheduled" || meeting.status === "cancelled" && _vm.configs.meeting && _vm.configs.meeting.allowDeletingCancelledMeetings || meeting.status === "ended" && _vm.configs.meeting && _vm.configs.meeting.allowDeletingEndedMeetings) ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
        $event.stopPropagation();
        return _vm.deleteEntity(meeting);
      } } }, [_c("i", { staticClass: "fas fa-trash" }), _vm._v(" " + _vm._s(_vm.$t("global.delete", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e()], 1)];
    }, proxy: true }], null, true) })], 1)];
  })], 2) : _c("div", { staticClass: "text-center" }, [_c("h4", { staticClass: "text-muted text-center my-5" }, [_vm._v(_vm._s(_vm.$t("global.could_not_find_any", { attribute: _vm.$t("meeting.upcoming_meetings") })))])])]);
};
var _sfc_staticRenderFns$2 = [];
var __component__$2 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$2,
  _sfc_render$2,
  _sfc_staticRenderFns$2,
  false,
  null,
  null,
  null,
  null
);
const MeetingFeedWidget = __component__$2.exports;
const Design1Page_vue_vue_type_style_index_0_scoped_2d243021_lang = "";
const _sfc_main$1 = {
  name: "design1-page",
  components: {
    AppDashboardHeader,
    GreetingWidget,
    MeetingFeedWidget
  },
  props: {},
  data() {
    return {
      isLoading: true
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "vars"
    ]),
    ...mapGetters("common", [
      "others"
    ]),
    ...mapGetters("user", [
      "hasPermission"
    ]),
    rooms() {
      return this.others && this.others.rooms ? this.others.rooms.rooms : [];
    }
  },
  methods: {
    ...mapActions("common", [
      "Custom",
      "SetOthers"
    ]),
    getInitialData() {
      let params = {};
      if (this.others && this.others.rooms && this.others.rooms.actions) {
        this.others.rooms.actions.options.forEach((filter) => {
          if (filter.active) {
            params[filter.param] = filter.value;
          }
        });
      }
      this.Custom({
        url: "dashboard/rooms",
        method: "get",
        params,
        silent: true
      }).then((response) => {
        const rooms = response.rooms.map((room) => {
          let users = response.roomUsers.find((r) => r.uuid === room.uuid);
          room.users = users.users;
          room.users.forEach((user) => {
            user.online = users.liveUsers.includes(user.uuid);
          });
          room.users.sort((a, b) => {
            return a.online - b.online;
          });
          return room;
        });
        this.SetOthers({
          rooms: {
            title: response.title,
            rooms,
            options: response.options
          }
        });
        this.isLoading = false;
        this.startRoomPolling();
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
      });
    },
    startRoomPolling() {
      if (window.roomPollingTimer) {
        clearTimeout(window.roomPollingTimer);
      }
      window.roomPollingTimer = window.setTimeout(() => {
        this.getInitialData();
      }, 1e4);
    }
  },
  mounted() {
    this.getInitialData();
  },
  beforeDestroy() {
    if (window.roomPollingTimer) {
      clearTimeout(window.roomPollingTimer);
    }
  }
};
var _sfc_render$1 = function render4() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "design1-page min-height-80vh" }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "overlay-color": "transparent" } }), _c("app-dashboard-header", { staticClass: "min-height-300px" }), _c("div", { staticClass: "row overlap-header-280px" }, [_c("div", { staticClass: "col-12 col-lg-4 d-flex mb-element" }, [_c("greeting-widget", { staticClass: "flex-grow", attrs: { "shadow": "" } })], 1), _c("div", { staticClass: "col-12 col-lg-8 d-flex mb-element" })]), _vm.others && _vm.others.upcomingMeetings ? _c("meeting-feed-widget", { attrs: { "meetings": _vm.others.upcomingMeetings }, scopedSlots: _vm._u([{ key: "heading", fn: function() {
    return [_c("h4", { staticClass: "mb-0" }, [_vm._v(_vm._s(_vm.$t("meeting.upcoming_meetings")))])];
  }, proxy: true }], null, false, 3005281840) }) : _vm._e(), _vm.others && _vm.others.recentMeetings ? _c("meeting-feed-widget", { attrs: { "meetings": _vm.others.recentMeetings }, scopedSlots: _vm._u([{ key: "heading", fn: function() {
    return [_c("h4", { staticClass: "mb-0" }, [_vm._v(_vm._s(_vm.$t("meeting.recent_meetings")))])];
  }, proxy: true }], null, false, 3117350335) }) : _vm._e()], 1);
};
var _sfc_staticRenderFns$1 = [];
var __component__$1 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$1,
  _sfc_render$1,
  _sfc_staticRenderFns$1,
  false,
  null,
  "2d243021",
  null,
  null
);
const Design1Page = __component__$1.exports;
const _sfc_main = {
  components: {
    GreetingWidget,
    ChartWidget,
    Design1Page
  },
  data() {
    return {
      isLoading: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "vars",
      "dashboardLayout"
    ]),
    ...mapGetters("common", [
      "others"
    ])
  },
  methods: {
    ...mapActions("common", [
      "Custom",
      "SetOthers"
    ])
  },
  mounted() {
  }
};
var _sfc_render = function render5() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "dashboard-wrapper" }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading && !_vm.others.dashboard, "loader-color": _vm.vars.loaderColor } }), _vm.dashboardLayout === "design1" ? _c("design1-page", { staticClass: "flex-grow", attrs: { "shadow": "" } }) : _c("div", { staticClass: "row overlap-header" }, [_vm.configs.dashboard.enableWidgetGreeting ? _c("div", { class: ["col-12", { "col-lg-4": _vm.configs.dashboard.enableWidgetChart }, "d-flex mb-element"] }, [_c("greeting-widget", { staticClass: "flex-grow", attrs: { "shadow": "" } })], 1) : _vm._e(), _vm.configs.dashboard.enableWidgetChart ? _c("div", { class: ["col-12", { "col-lg-8": _vm.configs.dashboard.enableWidgetGreeting }, "d-flex mb-element"] }, [_c("chart-widget", { staticClass: "flex-grow", attrs: { "shadow": "" } })], 1) : _vm._e(), !(_vm.configs.dashboard.enableWidgetStats || _vm.configs.dashboard.enableWidgetGreeting || _vm.configs.dashboard.enableWidgetChart) ? _c("div", { staticClass: "col-12 d-flex justify-content-center mb-element" }, [_c("h3", { staticClass: "text-muted text-center" }, [_vm._v(" " + _vm._s(_vm.$t("dashboard.nothing_to_show")) + " ")])]) : _vm._e()])], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=dashboard-index.3da7f807.js.map
