import { I as InfiniteScroll } from "../../../vendor/vendor-vue-infinite-scroll.cab38bbf.js";
import { t as table } from "../../../table.f559165b.js";
import { F as FilterForm } from "../../../filter.22cda2b6.js";
import { M as MeetingCard } from "../../../meeting-card.43addc47.js";
import "../../../media.10b7361f.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-core.2a9962eb.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../header.a91390e7.js";
import "../../../event-bus.0afcd682.js";
import "../../../filter-form.416a20d1.js";
const _sfc_main = {
  directives: {
    infiniteScroll: InfiniteScroll
  },
  components: {
    FilterForm,
    MeetingCard
  },
  extends: table,
  data() {
    return {
      preRequisite: {
        types: [],
        categories: [],
        statuses: []
      },
      filtersOptions: {
        keyword: "",
        type: "",
        category: "",
        status: "",
        startDate: "",
        endDate: ""
      },
      sortOptions: {
        hasScroll: true
      },
      exportOptions: {
        orientation: "l"
      },
      permissionsRequired: {
        add: "create-meeting",
        config: "access-meeting-config"
      },
      routesRequired: {
        add: "appMeetingAdd",
        config: "appMeetingConfigGeneral"
      },
      initUrl: "meetings",
      dataType: "meeting",
      feedTable: true
    };
  },
  methods: {},
  mounted() {
    this.getInitialData();
  },
  created() {
    if (!(this.configs && this.configs.meeting && this.configs.meeting.cardLayout)) {
      location.reload();
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { directives: [{ name: "infinite-scroll", rawName: "v-infinite-scroll", value: _vm.getFeed, expression: "getFeed" }], class: ["entity-list-container meetings-feed-wrapper", `card-layout-design-${_vm.configs.meeting.cardLayoutDesign}`], attrs: { "infinite-scroll-disabled": _vm.isFetching, "infinite-scroll-distance": "200" } }, [_c("collapse-transition", { attrs: { "group": true, "duration": 300, "tag": "div" } }, [_vm.showFilters ? _c("filter-form", { key: "filters", attrs: { "boxed": true, "pre-requisite": _vm.preRequisite, "is-loading": _vm.isLoading }, on: { "close": _vm.toggleFilter } }) : _vm._e()], 1), _c("animated-loader", { key: "loader", attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "overlay-color": "transparent" } }), _c("feed-wrapper", { key: "feed", attrs: { "meta": _vm.feed.meta, "filtered": _vm.isFiltered, "add-button-route": "appMeetingAdd", "add-button-permissions": ["create-meeting"], "entity-title": "meeting.meeting", "entities-title": "meeting.meetings", "entity-description": "meeting.module_description" } }, [_c("div", { staticClass: "meetings-feed" }, [_c("div", { staticClass: "row" }, [_vm._l(_vm.feed.data, function(meeting) {
    return [_c("div", { key: meeting.uuid, staticClass: "col-12 col-md-6 col-lg-4 item" }, [_c("meeting-card", { attrs: { "meeting": meeting, "flex": false, "raise": true }, scopedSlots: _vm._u([{ key: "actions", fn: function() {
      return [_c("base-dropdown", { staticClass: "actions-menu", attrs: { "tag": "div", "direction": "down", "menu-classes": "show-dropdown-up", "position": "right" } }, [_c("div", { staticClass: "h-100 d-flex align-items-center justify-content-center mr-1", attrs: { "slot": "title" }, slot: "title" }, [_c("base-button", { staticClass: "no-shadow", attrs: { "type": "button", "data-toggle": "dropdown", "role": "button", "size": "md", "design": "white", "rounded": "", "iconOnly": "", "icon": "fas fa-ellipsis-v" } })], 1), _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingView", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-arrow-circle-right" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.meeting") })))]), meeting.hasSnapshots && _vm.configs.meeting && _vm.configs.meeting.canTakeSnapshot ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingSnapshots", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-image" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.snapshots") })))]) : _vm._e(), (meeting.hasChunkRecordings || meeting.hasRecordings) && _vm.configs.meeting && _vm.configs.meeting.canRecord ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingRecordings", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-photo-video" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.recordings") })))]) : _vm._e(), meeting.status === "scheduled" || meeting.status === "live" ? _c("router-link", { staticClass: "dropdown-item bg-primary text-white", attrs: { "to": { name: "liveMeeting", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-sign-in-alt" }), _vm._v(" " + _vm._s(_vm.$t("meeting.join_meeting")))]) : _vm._e(), meeting.status === "scheduled" || meeting.status === "live" ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
        $event.stopPropagation();
        return _vm.shareURL(meeting);
      } } }, [_c("i", { staticClass: "fas fa-share-alt" }), _vm._v(" " + _vm._s(_vm.$t("general.share_url")))]) : _vm._e(), meeting.status === "scheduled" && (_vm.hasPermission("create-meeting") || meeting.canModerate) ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingEdit", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-edit" }), _vm._v(" " + _vm._s(_vm.$t("global.edit", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), _vm.hasPermission("create-meeting") ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingDuplicate", params: { uuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-copy" }), _vm._v(" " + _vm._s(_vm.$t("global.duplicate", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), meeting.status === "scheduled" && (_vm.hasPermission("list-meeting") && meeting.canModerate) ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appMeetingSingleConfig", params: { subUuid: meeting.uuid } } } }, [_c("i", { staticClass: "fas fa-cog" }), _vm._v(" " + _vm._s(_vm.$t("global.config", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), _vm.hasPermission("delete-meeting") && (meeting.status === "scheduled" || meeting.status === "cancelled" && _vm.configs.meeting && _vm.configs.meeting.allowDeletingCancelledMeetings || meeting.status === "ended" && _vm.configs.meeting && _vm.configs.meeting.allowDeletingEndedMeetings) ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
        $event.stopPropagation();
        return _vm.deleteEntity(meeting);
      } } }, [_c("i", { staticClass: "fas fa-trash" }), _vm._v(" " + _vm._s(_vm.$t("global.delete", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e()], 1)];
    }, proxy: true }], null, true) })], 1)];
  })], 2)]), _vm.isFetching ? _c("div", { staticClass: "d-flex justify-content-center" }, [_c("animated-loader", { key: "loader", attrs: { "is-loading": _vm.isFetching, "size": "inline", "loader-color": _vm.vars.loaderColor, "overlay-color": "transparent" } })], 1) : _vm._e(), _vm.noMoreData ? _c("h5", { staticClass: "text-center my-4" }, [_vm._v(_vm._s(_vm.$t("general.thats_all_for_now")))]) : _vm._e()])], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const feed = __component__.exports;
export {
  feed as default
};
//# sourceMappingURL=feed.d4cc9ae2.js.map
