import { f as form$1 } from "../../../../form.ff4ac955.js";
import { m as mapGetters, i as mapActions } from "../../../../vendor/vendor-core.2a9962eb.js";
import { S as StripeElementCard } from "../../../../index.01731578.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import { h as BCard, i as BTabs, j as BTab } from "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../header.a91390e7.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../../FileUploader.a3ada0d1.js";
import "../../../../uploader.39656730.js";
import "../../../../event-bus.0afcd682.js";
import "../../../../momentz.3304bf92.js";
const form_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  extends: form$1,
  components: {
    StripeElementCard,
    BCard,
    BTabs,
    BTab
  },
  data() {
    return {
      formData: {
        currency: null,
        amount: 0,
        payableAmount: 0,
        source: null,
        token: null,
        charge: null,
        userName: "",
        addressLine1: "",
        addressLine2: "",
        city: "",
        state: "",
        country: "",
        zipcode: "",
        meta: {}
      },
      formLabels: {
        currency: $t("config.system.currency"),
        amount: $t("meeting.payment.amount"),
        payableAmount: $t("meeting.payment.payable_amount"),
        userName: $t("meeting.payment.user_name"),
        addressLine1: $t("meeting.payment.address_line_1"),
        addressLine2: $t("meeting.payment.address_line_2"),
        city: $t("meeting.payment.city"),
        state: $t("meeting.payment.state"),
        country: $t("meeting.payment.country"),
        zipcode: $t("meeting.payment.zipcode")
      },
      showPaymentOptions: true,
      initialSetupCompleted: false,
      paypalConfig: {
        loaded: false
      },
      paypalButtons: null,
      paypalButtonsHasRendered: false,
      paddleConfig: {
        loaded: false
      },
      flutterwaveConfig: {
        loaded: false
      },
      activePGTab: 0,
      loading: false,
      initUrl: "meetings",
      initSubUrl: "payment",
      preRequisite: {
        selectedCurrency: null,
        currencies: [],
        paymentGateways: []
      }
    };
  },
  computed: {
    ...mapGetters("common", [
      "entity"
    ]),
    ...mapGetters("user", {
      "userUuid": "uuid"
    }),
    ...mapGetters("user", [
      "hasActiveMembership",
      "hasLifetimeMembership",
      "email",
      "name"
    ]),
    isBusy() {
      return !this.entity || this.isLoading ? true : false;
    },
    computedCurrency: {
      get() {
        return this.formData.currency ? this.formData.currency.name : null;
      },
      set(v) {
        this.formData.currency = this.preRequisite.currencies.find((c) => c.name === v);
        this.getCalculatedAmount();
        const paymentGateways = this.preRequisite.paymentGateways;
        const activePaymentGateway = paymentGateways[this.computedActiveTab];
        if (paymentGateways.length) {
          if (activePaymentGateway.name === "paypal") {
            if (this.paypalConfig.loaded === true) {
              this.paypalScriptLoaded();
            } else {
              this.loadPaypal();
            }
          } else if (activePaymentGateway.name === "paddle") {
            if (this.paddleConfig.loaded === true) {
              this.paddleScriptLoaded();
            } else {
              this.loadPaddle();
            }
          } else if (activePaymentGateway.name === "flutterwave") {
            if (this.flutterwaveConfig.loaded === true) {
              this.flutterwaveScriptLoaded();
            } else {
              this.loadFlutterwave();
            }
          }
        }
      }
    },
    stripeFactor() {
      return this.computedCurrency && this.computedCurrency.stripeFactor ? this.computedCurrency.stripeFactor : 100;
    },
    computedPricingForPaddle() {
      return [this.computedCurrency ? `${this.computedCurrency}:${this.payableAmount}` : `USD:${this.payableAmount}`];
    },
    stripeConfig() {
      return this.preRequisite && this.preRequisite.paymentGateways.length ? this.preRequisite.paymentGateways[0] : {};
    },
    stripeStyle() {
      return {
        empty: {
          "::placeholder": {
            color: "#adb5c0"
          },
          ":focus": {
            "::placeholder": {
              color: "#ced4dd"
            }
          }
        }
      };
    },
    payableAmount() {
      return this.formData.amount;
    },
    computedActiveTab: {
      get() {
        return this.activePGTab === -1 ? 0 : this.activePGTab;
      },
      set(v) {
        this.activePGTab = v === -1 ? 0 : v;
        if (v !== -1) {
          const paymentGateways = this.preRequisite.paymentGateways;
          const activePaymentGateway = paymentGateways[v];
          if (paymentGateways.length && activePaymentGateway.name === "paypal") {
            if (this.paypalConfig.loaded === false) {
              this.loadPaypal();
            } else {
              this.paypalScriptLoaded();
            }
          } else {
            if (this.paypalConfig.loaded && this.paypalButtons && this.paypalButtons.close) {
              this.paypalButtons.close();
              this.paypalButtonsHasRendered = false;
            }
            if (paymentGateways.length) {
              if (activePaymentGateway.name === "paddle") {
                if (this.paddleConfig.loaded === false) {
                  this.loadPaddle();
                } else {
                  this.paddleScriptLoaded();
                }
              } else if (activePaymentGateway.name === "flutterwave") {
                if (this.flutterwaveConfig.loaded === false) {
                  this.loadFlutterwave();
                } else {
                  this.flutterwaveScriptLoaded();
                }
              }
            }
          }
        }
      }
    },
    computedActiveTabName() {
      return this.preRequisite && this.preRequisite.paymentGateways && this.preRequisite.paymentGateways[this.computedActiveTab] ? this.preRequisite.paymentGateways[this.computedActiveTab].name : null;
    }
  },
  methods: {
    ...mapActions("user", [
      "GetUser"
    ]),
    getCalculatedAmount(cbFunction) {
      if (!this.initialSetupCompleted) {
        return;
      }
      this.isLoading = true;
      this.formData.method = this.preRequisite && this.preRequisite.paymentGateways && this.preRequisite.paymentGateways.length ? this.preRequisite.paymentGateways[this.computedActiveTab].name : null;
      this.Custom({
        url: `/${this.initUrl}/${this.entity.uuid}/payment/calculate`,
        method: "post",
        data: this.formData
      }).then((response) => {
        this.formData.amount = response.amount || 0;
        this.formData.paddleUrl = response.paddleUrl;
        this.isLoading = false;
        if (cbFunction && _.isFunction(cbFunction)) {
          cbFunction();
        } else {
          if (this.preRequisite && this.preRequisite.paymentGateways.length) {
            if (this.preRequisite.paymentGateways[this.computedActiveTab].name === "paddle") {
              if (this.paddleConfig.loaded === true) {
                this.paddleScriptLoaded();
              } else {
                this.loadPaddle();
              }
            } else if (this.preRequisite.paymentGateways[this.computedActiveTab].name === "flutterwave") {
              if (this.flutterwaveConfig.loaded === true) {
                this.flutterwaveScriptLoaded();
              } else {
                this.loadFlutterwave();
              }
            }
          }
        }
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
      });
    },
    updateMeeting() {
      this.isLoading = true;
      this.Custom({
        url: `/${this.initUrl}/${this.entity.uuid}/payment`,
        method: "post",
        data: this.formData
      }).then((response) => {
        this.$toasted.success(response.message, this.$toastConfig);
        if (this.$route.query && this.$route.query.hasOwnProperty("join")) {
          this.$router.push({ name: "liveMeeting", params: { uuid: this.entity.uuid } });
        } else {
          this.$router.push({ name: "appMeetingPaymentReceipt", params: { uuid: this.entity.uuid } });
        }
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
      });
    },
    proceed() {
      if (this.formData.amount) {
        this.isLoading = true;
        if (this.$refs && this.preRequisite.paymentGateways.length) {
          if (this.$refs.stripeRef && this.preRequisite.paymentGateways[this.computedActiveTab].name === "stripe") {
            this.$refs.stripeRef[0].submit();
          } else if (this.$refs.flutterwaveRef && this.preRequisite.paymentGateways[this.computedActiveTab].name === "flutterwave") {
            this.payWithFlutterwave();
          } else {
            this.isLoading = false;
          }
        } else {
          this.isLoading = false;
        }
      } else {
        this.updateMeeting();
      }
    },
    stripeTokenCreated(token) {
      this.formData.token = token;
      this.formData.method = this.preRequisite.paymentGateways.length && this.preRequisite.paymentGateways[this.computedActiveTab].name;
      this.formData.charge = {
        source: token.id,
        amount: this.payableAmount * this.stripeFactor
      };
      this.formData.payableAmount = this.formData.charge.amount;
      this.updateMeeting();
    },
    paypalScriptLoaded() {
      this.loading = true;
      this.isLoading = true;
      if (this.paypalButtons && this.paypalButtons.close && this.paypalButtonsHasRendered) {
        this.paypalButtons.close();
        this.paypalButtonsHasRendered = false;
      }
      this.paypalButtons = window.paypal.Buttons({
        createOrder: (data, actions) => {
          this.isLoading = true;
          const orderObj = {
            purchase_units: [
              {
                description: `${window.kmenv.name} - ${this.computedFrequency.name} ${$t("meeting.meeting")}`,
                amount: {
                  currency_code: this.computedCurrency,
                  value: this.payableAmount
                }
              }
            ]
          };
          return actions.order.create(orderObj);
        },
        onApprove: async (data, actions) => {
          const token = await actions.order.capture();
          this.formData.token = token;
          this.formData.method = this.preRequisite.paymentGateways.length ? this.preRequisite.paymentGateways[this.computedActiveTab].name : null;
          this.formData.charge = {
            source: token.id,
            amount: this.payableAmount
          };
          this.formData.payableAmount = this.formData.charge.amount;
          this.isLoading = false;
          this.updateMeeting();
        },
        onError: (err) => {
          this.isLoading = false;
          this.$toasted.error(this.$t("meeting.paypal_create_order_error"), this.$toastConfig.error);
        }
      });
      this.paypalButtons.render(this.$refs.paypalRef[0]).then(() => {
        this.paypalButtonsHasRendered = true;
      }).catch((err) => {
        let selector = this.$refs.paypalRef[0];
        if (selector && selector.children.length > 0) {
          throw new Error(err);
        }
        this.$toasted.info($t("general.kindly_reload_page"), this.$toastConfig.info);
        return;
      });
      this.paypalConfig.loaded = true;
      this.loading = false;
      this.isLoading = false;
    },
    paddleScriptLoaded() {
      if (Paddle) {
        if (!this.paddleConfig.mode) {
          Paddle.Environment.set("sandbox");
        }
        Paddle.Setup({
          vendor: this.paddleConfig.key
        });
        this.getCalculatedAmount(() => {
          Paddle.Checkout.open({
            method: "inline",
            email: this.email,
            country: this.formData.country,
            postcode: this.formData.zipcode,
            allowQuantity: false,
            disableLogout: true,
            frameTarget: "paddle-container",
            frameInitialHeight: 416,
            frameStyle: "width:100%; min-width:312px; background-color: transparent; border: none;",
            override: this.formData.paddleUrl,
            successCallback: (data) => {
              this.formData.token = data.checkout;
              this.formData.method = this.preRequisite.paymentGateways.length && this.preRequisite.paymentGateways[this.computedActiveTab].name;
              this.formData.charge = {
                source: data.checkout.id,
                amount: this.payableAmount
              };
              this.formData.payableAmount = this.formData.charge.amount;
              this.updateMeeting();
            }
          });
          this.paddleConfig.loaded = true;
        });
      }
    },
    flutterwaveScriptLoaded() {
      this.isLoading = false;
      if (FlutterwaveCheckout) {
        this.flutterwaveConfig.loaded = true;
      }
    },
    payWithFlutterwave() {
      if (FlutterwaveCheckout) {
        const vm = this;
        this.getCalculatedAmount(() => {
          var _a, _b, _c;
          const flutterwaveCheckoutModal = FlutterwaveCheckout({
            public_key: this.flutterwaveConfig.key,
            tx_ref: `${$t("meeting.meeting")}-${this.generateReference()}`,
            amount: this.payableAmount,
            currency: this.computedCurrency,
            payment_options: "card, account, mpesa, mobilemoneyghana, ussd, credit",
            meta: {
              meeting_uuid: this.entity.uuid,
              user_uuid: this.userUuid
            },
            customer: {
              email: this.email,
              name: this.formData.userName
            },
            customizations: {
              title: (_a = this.configs.basic) == null ? void 0 : _a.appName,
              logo: location.origin + ((_b = this.configs.assets) == null ? void 0 : _b.icon),
              description: (_c = this.configs.basic) == null ? void 0 : _c.desc
            },
            callback(data) {
              vm.formData.token = data.tx_ref;
              Object.assign(vm.formData.meta, data);
              vm.formData.method = vm.preRequisite.paymentGateways.length && vm.preRequisite.paymentGateways[vm.computedActiveTab].name;
              vm.formData.charge = {
                source: data.transaction_id,
                amount: vm.payableAmount
              };
              vm.formData.payableAmount = vm.formData.charge.amount;
              vm.updateMeeting();
              flutterwaveCheckoutModal.close();
            },
            onclose(incomplete) {
              if (incomplete === true) {
                this.isLoading = false;
              }
            }
          });
        });
      }
    },
    generateReference() {
      let date = new Date();
      return date.getTime().toString();
    },
    loadJsFile(src, callback, element) {
      const script = document.createElement("script");
      script.src = src;
      script.addEventListener("load", callback);
      if (element) {
        element.appendChild(script);
      } else {
        document.body.appendChild(script);
      }
    },
    loadPaypal() {
      this.loadJsFile("https://www.paypal.com/sdk/js?client-id=" + this.paypalConfig.key + "&currency=" + this.computedCurrency, this.paypalScriptLoaded);
    },
    loadPaddle() {
      this.loadJsFile("https://cdn.paddle.com/paddle/paddle.js", this.paddleScriptLoaded);
    },
    loadFlutterwave() {
      this.loadJsFile("https://checkout.flutterwave.com/v3.js", this.flutterwaveScriptLoaded);
    },
    getPreRequisite(callbackFn) {
      this.isLoading = true;
      if (!this.entity) {
        setTimeout(() => {
          this.getPreRequisite(callbackFn);
        }, 500);
      }
      this.Custom({
        url: `/${this.initUrl}/${this.entity.uuid}/payment/pre-requisite`,
        method: "get"
      }).then((response) => {
        this.fillPreRequisite(response);
        callbackFn(response);
        this.isLoading = false;
        return response;
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
      });
    },
    initialSetup() {
      this.formData.currency = this.configs.system.currency;
      this.formData.userName = this.name;
      if (this.preRequisite) {
        this.formData.currency = this.preRequisite.selectedCurrency ? this.preRequisite.selectedCurrency : this.preRequisite.currencies ? this.preRequisite.currencies[0] : null;
        if (this.preRequisite.paymentGateways.length) {
          const paypalConfig = this.preRequisite.paymentGateways.find((pg) => pg.name === "paypal");
          if (paypalConfig) {
            Object.assign(this.paypalConfig, paypalConfig);
            this.paypalConfig.loaded = false;
            if (this.preRequisite.paymentGateways[this.computedActiveTab].name === "paypal") {
              this.loadPaypal();
            }
          }
          const paddleConfig = this.preRequisite.paymentGateways.find((pg) => pg.name === "paddle");
          if (paddleConfig) {
            Object.assign(this.paddleConfig, paddleConfig);
            this.paddleConfig.loaded = false;
            if (this.preRequisite.paymentGateways[this.computedActiveTab].name === "paddle") {
              this.loadPaddle();
            }
          }
          const flutterwaveConfig = this.preRequisite.paymentGateways.find((pg) => pg.name === "flutterwave");
          if (flutterwaveConfig) {
            Object.assign(this.flutterwaveConfig, flutterwaveConfig);
            this.flutterwaveConfig.loaded = false;
            if (this.preRequisite.paymentGateways[this.computedActiveTab].name === "flutterwave") {
              this.loadFlutterwave();
            }
          }
        }
        this.initialSetupCompleted = true;
        window.setTimeout(() => {
          this.getCalculatedAmount();
        }, 1e3);
      } else {
        this.initialSetupCompleted = true;
      }
    }
  },
  mounted() {
    this.getPreRequisite(this.initialSetup);
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { attrs: { "boxed": "", "min-height": "full", "has-form": "", "has-footer": "" } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.proceed.apply(null, arguments);
  } } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isBusy, "loader-color": _vm.vars.loaderColor } }), _vm.entity ? [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("label", { staticClass: "d-block text-muted" }, [_vm._v(_vm._s(_vm.formLabels.currency))]), _c("div", [_vm._v(" " + _vm._s(_vm.computedCurrency) + " ")])]), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("view-currency", { staticClass: "text-right", attrs: { "label": _vm.formLabels.payableAmount, "value": _vm.payableAmount, "currency": _vm.formData.currency, "tag": "h2", "data-classes": "text-success font-weight-600 text-right" } })], 1)]), _c("h5", { staticClass: "mb-2 mt-1 pb-2 border-bottom" }, [_vm._v(_vm._s(_vm.$t("meeting.props.billing_address")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12" }, [_c("base-input", { attrs: { "label": _vm.formLabels.userName, "type": "text", "error": _vm.formErrors.userName }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "userName", $event);
  } }, model: { value: _vm.formData.userName, callback: function($$v) {
    _vm.$set(_vm.formData, "userName", $$v);
  }, expression: "formData.userName" } })], 1), _c("div", { staticClass: "col-12 col-md-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.addressLine1, "type": "text", "error": _vm.formErrors.addressLine1 }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "addressLine1", $event);
  } }, model: { value: _vm.formData.addressLine1, callback: function($$v) {
    _vm.$set(_vm.formData, "addressLine1", $$v);
  }, expression: "formData.addressLine1" } })], 1), _c("div", { staticClass: "col-12 col-md-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.addressLine2, "type": "text", "error": _vm.formErrors.addressLine2 }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "addressLine2", $event);
  } }, model: { value: _vm.formData.addressLine2, callback: function($$v) {
    _vm.$set(_vm.formData, "addressLine2", $$v);
  }, expression: "formData.addressLine2" } })], 1), _c("div", { staticClass: "col-12 col-md-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.city, "type": "text", "error": _vm.formErrors.city }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "city", $event);
  } }, model: { value: _vm.formData.city, callback: function($$v) {
    _vm.$set(_vm.formData, "city", $$v);
  }, expression: "formData.city" } })], 1), _c("div", { staticClass: "col-12 col-md-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.state, "type": "text", "error": _vm.formErrors.state }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "state", $event);
  } }, model: { value: _vm.formData.state, callback: function($$v) {
    _vm.$set(_vm.formData, "state", $$v);
  }, expression: "formData.state" } })], 1), _c("div", { staticClass: "col-12 col-md-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.country, "type": "text", "error": _vm.formErrors.country }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "country", $event);
  } }, model: { value: _vm.formData.country, callback: function($$v) {
    _vm.$set(_vm.formData, "country", $$v);
  }, expression: "formData.country" } })], 1), _c("div", { staticClass: "col-12 col-md-4" }, [_c("base-input", { attrs: { "label": _vm.formLabels.zipcode, "type": "text", "error": _vm.formErrors.zipcode }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "zipcode", $event);
  } }, model: { value: _vm.formData.zipcode, callback: function($$v) {
    _vm.$set(_vm.formData, "zipcode", $$v);
  }, expression: "formData.zipcode" } })], 1)]), _c("br"), _vm.showPaymentOptions ? _c("div", [_c("b-card", { attrs: { "no-body": "" } }, [_c("b-tabs", { attrs: { "pills": "", "card": "", "vertical": "", "lazy": "", "active-nav-item-class": "font-weight-bold py-2", "nav-wrapper-class": "col-12 col-md-4 col-lg-3 border-right" }, model: { value: _vm.computedActiveTab, callback: function($$v) {
    _vm.computedActiveTab = $$v;
  }, expression: "computedActiveTab" } }, _vm._l(_vm.preRequisite.paymentGateways, function(gateway) {
    return _c("b-tab", { key: gateway.name, attrs: { "title": gateway.label, "title-item-class": "p-0" } }, [gateway.name === "stripe" ? _c("stripe-element-card", { ref: "stripeRef", refInFor: true, attrs: { "pk": _vm.stripeConfig.key, "amount": _vm.payableAmount * _vm.stripeFactor, "locale": _vm.configs.system.locale, "style-object": _vm.stripeStyle }, on: { "token": _vm.stripeTokenCreated, "loading": function($event) {
      _vm.loading = $event;
    } } }) : _vm._e(), gateway.name === "paypal" ? _c("div", { ref: "paypalRef", refInFor: true }, [_c("animated-loader", { attrs: { "is-loading": !_vm.paypalConfig.loaded && !_vm.isBusy, "loader-color": _vm.vars.loaderColor } })], 1) : _vm._e(), gateway.name === "paddle" ? _c("div", { staticClass: "paddle-container" }, [_c("animated-loader", { attrs: { "is-loading": !_vm.paddleConfig.loaded && !_vm.isBusy, "loader-color": _vm.vars.loaderColor } })], 1) : _vm._e(), gateway.name === "flutterwave" ? _c("div", { ref: "flutterwaveRef", refInFor: true, staticClass: "flutterwave-container" }, [_c("animated-loader", { attrs: { "is-loading": !_vm.flutterwaveConfig.loaded && !_vm.isBusy, "loader-color": _vm.vars.loaderColor } }), _c("h4", { staticClass: "text-muted text-center py-4 my-4" }, [_vm._v(_vm._s(_vm.$t("global.click_on", { attribute: _vm.$t("general.proceed") })))])], 1) : _vm._e()], 1);
  }), 1)], 1)], 1) : _vm._e()] : _vm._e(), _c("div", { staticClass: "form-footer mt-3" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
    return _vm.$router.back();
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))])], 1), _c("div", { staticClass: "right-side" }, [_vm.payableAmount && (_vm.computedActiveTabName === "stripe" || _vm.computedActiveTabName === "flutterwave") ? _c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_vm._v(_vm._s(_vm.$t("general.proceed")) + " "), _c("i", { staticClass: "fas fa-chevron-right" })]) : _vm._e()], 1)])], 2)]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const form = __component__.exports;
export {
  form as default
};
//# sourceMappingURL=form.fad108f0.js.map
