import { v as view } from "../../../view.65eb82b1.js";
import { m as mapGetters, i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../header.a91390e7.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../helpers/transformers.f12abdae.js";
import "../../../event-bus.0afcd682.js";
const _sfc_main = {
  extends: view,
  data() {
    return {
      currentMedia: null,
      initUrl: "meetings",
      recordings: [],
      fallBackRoute: "appMeetingList"
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ])
  },
  methods: {
    ...mapActions("common", [
      "Custom"
    ]),
    getData() {
      this.isLoading = true;
      this.Custom({
        url: `/${this.initUrl}/${this.uuid}/recordings`,
        method: "get"
      }).then((response) => {
        this.recordings = response;
        this.isLoading = false;
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
      });
    },
    deleteRecording(recording) {
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          this.isLoading = true;
          this.Custom({
            url: `/${this.initUrl}/${this.uuid}/recordings/${recording.uuid}`,
            method: "delete"
          }).then((response) => {
            this.isLoading = false;
            this.$toasted.success(response.message, this.$toastConfig);
            this.getData();
          }).catch((error) => {
            this.isLoading = false;
            formUtil.handleErrors(error);
          });
        } else {
          result.dismiss === Swal.DismissReason.cancel;
        }
      });
    },
    playRecording(recording) {
      this.isLoading = true;
      this.currentMedia = null;
      setTimeout(() => {
        this.currentMedia = recording;
        this.isLoading = false;
      }, 1e3);
    },
    closePlayer() {
      this.currentMedia = null;
    }
  },
  mounted() {
    this.getData();
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", [_vm.entity && _vm.currentMedia ? _c("base-container", { staticClass: "p-0 mb-element d-flex justify-content-stretch align-items-stretch max-height-500px", attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_c("close-button", { staticClass: "text-white", attrs: { "title": _vm.$t("general.close") }, on: { "click": _vm.closePlayer } }), _c("video", { staticClass: "flex-grow bg-black", attrs: { "autoplay": "", "controls": "" } }, [_c("source", { attrs: { "src": _vm.currentMedia.fullUrl, "type": "video/webm" } })])], 1) : _vm._e(), _c("base-container", { attrs: { "boxed": "", "with-loader": "", "has-footer": "", "min-height": "full", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "id": "printable" } }, [_vm.entity ? [_vm.recordings && _vm.recordings.length ? _c("div", { staticClass: "row" }, _vm._l(_vm.recordings, function(recording) {
    return _c("div", { key: recording.uuid, staticClass: "col-12 col-md-4 col-lg-3 mb-3 text-center" }, [_c("a", { class: ["d-flex flex-column min-height-150px justify-content-center align-items-center border border-gray mb-2 pointer", { "bg-gray": _vm.currentMedia && recording.uuid === _vm.currentMedia.uuid }], on: { "click": function($event) {
      return _vm.playRecording(recording);
    } } }, [_c("i", { staticClass: "fas fa-play fs-2 text-muted" }), _c("div", { staticClass: "text-word-break-all mt-3" }, [_vm._v(_vm._s(recording.name))])]), _c("div", { staticClass: "d-flex justify-content-stretch" }, [_c("a", { staticClass: "btn btn-light btn-sm flex-grow", attrs: { "href": recording.fullUrl, "target": "_blank" } }, [_c("i", { staticClass: "fas fa-download" }), _vm._v(" " + _vm._s(_vm.$t("general.download")))]), _c("base-button", { staticClass: "flex-grow", attrs: { "type": "button", "design": "light", "size": "sm" }, on: { "click": function($event) {
      return _vm.deleteRecording(recording);
    } } }, [_c("i", { staticClass: "fas fa-trash" }), _vm._v(" " + _vm._s(_vm.$t("general.delete")))])], 1)]);
  }), 0) : _c("div", { staticClass: "text-center my-5" }, [_c("h3", { staticClass: "text-muted mb-3" }, [_vm._v(_vm._s(_vm.$t("global.could_not_find_any", { attribute: _vm.$t("meeting.recordings") })))])])] : _vm._e(), _c("div", { staticClass: "form-footer mt-3" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": function($event) {
    return _vm.$router.back();
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.back")))])], 1)])], 2)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const recordings = __component__.exports;
export {
  recordings as default
};
//# sourceMappingURL=recordings.b854fcfe.js.map
