import { m as mapGetters, i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import { D as bytesToFileSize, b as swtAlert } from "../../../app.9a8150b2.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
const _sfc_main = {
  data() {
    return {
      isLoading: false,
      isProcessing: false,
      isDownloading: false,
      isUpdating: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "vars"
    ]),
    ...mapGetters("product", [
      "product",
      "updateTips",
      "isDownloaded"
    ]),
    formData() {
      return {
        build: this.product.nextReleaseBuild,
        version: this.product.nextReleaseVersion
      };
    }
  },
  methods: {
    ...mapActions("product", [
      "PostSupport",
      "DownloadApp",
      "UpdateApp"
    ]),
    getFileSize(size) {
      return bytesToFileSize(size);
    },
    confirmUpdate() {
      swtAlert.fire({
        title: "Are you sure?",
        text: "This will update this application to the latest version.",
        icon: "warning",
        showCancelButton: true,
        confirmButtonText: "Yes, update!",
        cancelButtonText: "No, cancel!"
      }).then((result) => {
        if (result.value) {
          this.update();
        }
      });
    },
    confirmDownload(action) {
      const message = action === 0 ? "This will download the latest version of the application." : "This will download and update the application to the latest version.";
      swtAlert.fire({
        title: "Are you sure?",
        text: message,
        icon: "warning",
        showCancelButton: true,
        confirmButtonText: action === 0 ? "Yes, download!" : "Yes, update!",
        cancelButtonText: "No, cancel!"
      }).then((result) => {
        if (result.value) {
          this.download(action);
        }
      });
    },
    download(action) {
      this.isProcessing = true;
      this.isDownloading = true;
      this.isUpdating = false;
      this.DownloadApp().then((response) => {
        this.isDownloading = false;
        this.isUpdating = false;
        this.$toasted.success(response.message, this.$toastConfig.success);
        if (action) {
          this.update();
        } else {
          this.isProcessing = false;
        }
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
        this.isProcessing = false;
        this.isDownloading = false;
        this.isUpdating = false;
      });
    },
    update() {
      this.isProcessing = true;
      this.isDownloading = false;
      this.isUpdating = true;
      this.UpdateApp(this.formData).then((response) => {
        this.$toasted.success(response.message, this.$toastConfig.success);
        setTimeout(() => {
          location.reload();
        }, 2e3);
      }).catch((error) => {
        this.isLoading = false;
        formUtil.handleErrors(error);
        this.isProcessing = false;
        this.isDownloading = false;
        this.isUpdating = false;
      });
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { staticClass: "d-flex align-items-center", attrs: { "boxed": "", "with-loader": "", "min-height": "full", "is-loading": _vm.isLoading || !_vm.product.currentVersion, "loader-color": _vm.vars.loaderColor } }, [_vm.product.currentVersion === _vm.product.latestVersion ? _c("div", { staticClass: "text-center mt-2" }, [_c("h3", { staticClass: "text-muted mb-3" }, [_vm._v("No update available!")]), _c("p", { staticClass: "text-muted" }, [_vm._v("We are constantly working on new features and fixes. We release new update after completing the development and thorough testing. Kindly check later for new updates.")]), _c("div", { staticClass: "mt-5 mt-2" }, [_c("router-link", { staticClass: "btn btn-primary", attrs: { "to": { name: "appDashboard" } } }, [_vm._v(_vm._s(_vm.$t("general.go_to_dashboard")))])], 1)]) : !_vm.isProcessing ? _c("div", { staticClass: "w-100" }, [_c("div", { domProps: { "innerHTML": _vm._s(_vm.updateTips) } }), _c("div", { staticClass: "row mt-4" }, [_c("div", { staticClass: "col-12 col-md-4" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Version Available")]), _c("p", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.product.nextReleaseVersion))])])]), _c("div", { staticClass: "col-12 col-md-4" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Date of Release")]), _c("p", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm._f("moment")(_vm.product.nextReleaseDate, _vm.vars.defaultDateFormat)))])])]), _c("div", { staticClass: "col-12 col-md-4" }, [_c("div", { staticClass: "label-group" }, [_c("label", { staticClass: "text-muted" }, [_vm._v("Update Size")]), _c("p", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.getFileSize(_vm.product.nextReleaseSize)))])])])]), _c("hr", { staticClass: "my-4" }), _c("div", { domProps: { "innerHTML": _vm._s(_vm.product.nextReleaseChangeLog) } }), _c("hr", { staticClass: "my-4" }), _vm.isDownloaded ? _c("p", { staticClass: "text-info my-2" }, [_vm._v(_vm._s(_vm.$t("product.update_downloaded")))]) : _vm._e(), _c("div", { staticClass: "row" }, [!_vm.isDownloaded ? _c("div", { staticClass: "col-12 col-md-6" }, [_c("base-button", { key: "download", staticClass: "my-4", attrs: { "type": "button", "design": "success", "block": "" }, on: { "click": function($event) {
    return _vm.confirmDownload(0);
  } } }, [_vm._v(_vm._s(_vm.$t("product.download")))])], 1) : _c("div", { staticClass: "col-12 col-md-6" }, [_c("base-button", { key: "directupdate", staticClass: "my-4", attrs: { "type": "button", "design": "primary", "block": "" }, on: { "click": function($event) {
    return _vm.confirmUpdate();
  } } }, [_vm._v(_vm._s(_vm.$t("product.apply_updates")))])], 1)])]) : _c("div", { staticClass: "w-100 text-center" }, [_c("h5", { staticClass: "text-warning" }, [_vm._v(_vm._s(_vm.$t("product.dont_do_anything")))]), _vm.isDownloading ? _c("h4", { staticClass: "my-4" }, [_vm._v(_vm._s(_vm.$t("product.update_size")) + " (" + _vm._s(_vm.getFileSize(_vm.product.nextReleaseSize)) + ") - " + _vm._s(_vm.$t("product.downloading")) + "...")]) : _vm._e(), _vm.isUpdating ? _c("h4", { staticClass: "my-4" }, [_vm._v(_vm._s(_vm.$t("product.applying_updates")) + "...")]) : _vm._e(), _c("div", { staticClass: "d-flex justify-content-center" }, [_c("animated-loader", { attrs: { "is-loading": _vm.isProcessing, "loader-color": _vm.vars.loaderColor, "overlay-color": "transparent", "size": "inline" } })], 1)])]);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const update = __component__.exports;
export {
  update as default
};
//# sourceMappingURL=update.23a52c3d.js.map
