import { v as vueFormWizard } from "../../../vendor/vendor-vue-form-wizard.c295cda3.js";
import { C as CollapseTransition, m as mapGetters, i as mapActions } from "../../../vendor/vendor-core.2a9962eb.js";
import { f as form } from "../../../config-form.7cab216a.js";
import { n as update } from "../../../app.9a8150b2.js";
import { I as ItemRow } from "../../../item-row.c542e836.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
const index_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  extends: form,
  components: {
    FormWizard: vueFormWizard.exports.FormWizard,
    TabContent: vueFormWizard.exports.TabContent,
    CollapseTransition,
    ItemRow
  },
  data() {
    return {
      wizardData: {
        basic: {
          orgName: "",
          appName: "",
          appDesc: ""
        },
        system: {
          timezone: "",
          currency: "",
          footerCredit: ""
        },
        mail: {
          driver: "",
          fromName: "",
          fromAddress: "",
          smtpHost: "",
          smtpPort: "",
          smtpUsername: "",
          smtpPassword: "",
          smtpEncryption: "",
          mailgunDomain: "",
          mailgunSecret: "",
          mailgunEndpoint: ""
        },
        pusher: {
          pusherAppKey: "",
          pusherAppId: "",
          pusherAppCluster: "",
          pusherAppSecret: ""
        },
        signal: {
          url: ""
        },
        ice: {
          servers: []
        }
      },
      formData: {
        setupWizard: true,
        type: "basic"
      },
      preRequisite: {
        timezones: [],
        currencies: [],
        mailDrivers: [],
        mailEncryptions: []
      },
      newRowObj: {
        urls: "",
        requiresCredential: false,
        expirableCredentials: false,
        username: "",
        credential: "",
        secret: "",
        expiresIn: 43200,
        timeDifference: 0
      },
      formErrors: {},
      dataTypes: ["basic", "system", "mail", "pusher", "signal", "ice"],
      isLoading: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "vars"
    ])
  },
  methods: {
    ...mapActions("config", [
      "GetConfig",
      "SetConfig",
      "SetUiConfig",
      "SetAppConfig"
    ]),
    onTabChange(prevIndex, nextIndex) {
      const that = this;
      this.$nextTick(() => {
        if (that) {
          if (nextIndex === 1 && that.$refs[`timezone`]) {
            that.formData.type = "system";
          } else if (nextIndex === 2 && that.$refs[`driver`]) {
            that.formData.type = "mail";
          } else if (nextIndex === 3 && that.$refs[`pusherAppId`]) {
            that.formData.type = "pusher";
            that.$refs[`pusherAppId`].focus();
          } else if (nextIndex === 4 && that.$refs[`signalUrl`]) {
            that.formData.type = "signal";
            that.$refs[`signalUrl`].focus();
          } else if (nextIndex === 5) {
            that.formData.type = "ice";
            this.addNewRowIfNone();
          }
        }
      });
    },
    skip() {
      this.$router.push({ name: "appDashboard" });
    },
    finishInstallation() {
      this.formData.setupWizard = false;
      if (this.submit()) {
        this.$toasted.success($t("setup.wizard.setup_completed"), this.$toastConfig);
        this.isLoading = true;
        this.$nextTick(() => {
          setTimeout(() => {
            this.$router.push({ name: "appDashboard" });
          }, 1e3);
        });
      } else {
        this.formData.setupWizard = true;
      }
    },
    fillFormData() {
      this.isLoading = true;
      this.dataTypes.forEach((value) => {
        this.wizardData[value] = formUtil.assignValues(this.wizardData[value], this.configs[value]);
      });
      this.isLoading = false;
    },
    submit() {
      this.isLoading = true;
      if (this.beforeSubmit && typeof this.beforeSubmit === "function") {
        const shouldProceed = this.beforeSubmit();
        if (shouldProceed === false) {
          this.isLoading = false;
          return;
        }
      }
      const formDataBackup = _.cloneDeep(this.formData);
      this.formData = { ...this.formData, ...this.wizardData[this.formData.type] };
      return update(this.formData).then((response) => {
        return this.GetConfig().then(() => {
          this.formData = _.cloneDeep(formDataBackup);
          this.isLoading = false;
          return true;
        }).catch((error) => {
          this.isLoading = false;
          this.formErrors = formUtil.handleErrors(error);
          return false;
        });
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
        return false;
      });
    },
    hideWizard() {
      this.isLoading = true;
      const formDataBackup = _.cloneDeep(this.formData);
      this.formData = { ...this.formData, ...this.wizardData[this.formData.type] };
      this.formData.setupWizard = false;
      return update(this.formData).then((response) => {
        return this.GetConfig().then(() => {
          this.formData = _.cloneDeep(formDataBackup);
          this.$nextTick(() => {
            setTimeout(() => {
              this.$router.push({ name: "appDashboard" });
            }, 1e3);
          });
          return true;
        }).catch((error) => {
          this.isLoading = false;
          this.formErrors = formUtil.handleErrors(error);
          return false;
        });
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
        return false;
      });
    },
    skipTab(event, currentTab) {
      if (this.$refs.setupWizard) {
        this.$refs.setupWizard.changeTab(currentTab, currentTab + 1);
      }
    },
    unsavedCheck(next) {
      next();
    },
    addNewRow() {
      const newObj = _.cloneDeep(this.newRowObj);
      this.wizardData.ice.servers.push(newObj);
    },
    removeRow(index2) {
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          this.wizardData.ice.servers.splice(index2, 1);
          this.addNewRowIfNone();
        }
      });
    },
    addNewRowIfNone() {
      this.initianLength = this.wizardData.ice.servers.length;
      if (this.wizardData.ice.servers.length < 1) {
        this.addNewRow();
      }
    },
    beforeSubmit() {
      this.wizardData.ice.servers = this.wizardData.ice.servers.filter((server) => server.urls !== "");
    }
  },
  mounted() {
    this.getInitialData();
    this.$nextTick(() => {
      this.SetUiConfig({ pageHeaderShow: false });
    });
  },
  destroyed() {
    this.SetConfig({ setup: false });
    this.SetUiConfig({ pageHeaderShow: true });
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { staticClass: "mt-element p-0", attrs: { "boxed": "" } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }), _c("form-wizard", { ref: "setupWizard", attrs: { "color": _vm.vars.colors.primary, "shape": "square", "errorColor": _vm.vars.colors.danger, "title": _vm.$t("setup.wizard.title"), "subtitle": _vm.$t("setup.wizard.subtitle"), "nextButtonText": _vm.$t("setup.wizard.next_button"), "backButtonText": _vm.$t("setup.wizard.back_button"), "finishButtonText": _vm.$t("setup.wizard.finish_button") }, on: { "on-complete": _vm.finishInstallation, "on-change": _vm.onTabChange } }, [_c("tab-content", { attrs: { "title": _vm.$t("config.basic.basic"), "before-change": _vm.submit, "icon": "far fa-building" } }, [_c("h4", { staticClass: "text-center mb-5 mt-3" }, [_vm._v(_vm._s(_vm.$t("setup.wizard.basic_configurations")))]), _c("form", { staticClass: "form-horizontal", on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.$refs.setupWizard.nextTab();
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "auto-focus": "", "label": _vm.$t("config.basic.org_name"), "type": "text", "error": _vm.formErrors.orgName }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "orgName", $event);
  } }, model: { value: _vm.wizardData.basic.orgName, callback: function($$v) {
    _vm.$set(_vm.wizardData.basic, "orgName", $$v);
  }, expression: "wizardData.basic.orgName" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("setup.wizard.app_name"), "type": "text", "error": _vm.formErrors.appName }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "appName", $event);
  } }, model: { value: _vm.wizardData.basic.appName, callback: function($$v) {
    _vm.$set(_vm.wizardData.basic, "appName", $$v);
  }, expression: "wizardData.basic.appName" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("setup.wizard.app_desc"), "type": "text", "error": _vm.formErrors.appDesc }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "appDesc", $event);
  } }, model: { value: _vm.wizardData.basic.appDesc, callback: function($$v) {
    _vm.$set(_vm.wizardData.basic, "appDesc", $$v);
  }, expression: "wizardData.basic.appDesc" } })], 1)]), _c("div", { staticClass: "d-flex justify-content-center my-4" }, [_c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": _vm.hideWizard } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.hide_button")))]), _c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.skipTab($event, 0);
  } } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.skip_button")))]), _c("button", { staticClass: "btn d-none", attrs: { "type": "submit" } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.next_button")))])])])]), _c("tab-content", { attrs: { "title": _vm.$t("config.system.system"), "before-change": _vm.submit, "icon": "fas fa-sliders-h" } }, [_c("h4", { staticClass: "text-center mb-5 mt-3" }, [_vm._v(_vm._s(_vm.$t("setup.wizard.system_configurations")))]), _c("form", { staticClass: "form-horizontal", on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.$refs.setupWizard.nextTab();
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { ref: "timezone", attrs: { "options": _vm.preRequisite.timezones, "label": _vm.$t("config.system.timezone"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading }, model: { value: _vm.wizardData.system.timezone, callback: function($$v) {
    _vm.$set(_vm.wizardData.system, "timezone", $$v);
  }, expression: "wizardData.system.timezone" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.currencies, "track-by": "name", "show-by": "description", "label": _vm.$t("config.system.currency"), "allow-empty": false, "disabled": _vm.isLoading }, model: { value: _vm.wizardData.system.currency, callback: function($$v) {
    _vm.$set(_vm.wizardData.system, "currency", $$v);
  }, expression: "wizardData.system.currency" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { staticClass: "mb-5", attrs: { "label": _vm.$t("config.system.footer_credit"), "type": "text", "error": _vm.formErrors.footerCredit }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "footerCredit", $event);
  } }, model: { value: _vm.wizardData.system.footerCredit, callback: function($$v) {
    _vm.$set(_vm.wizardData.system, "footerCredit", $$v);
  }, expression: "wizardData.system.footerCredit" } })], 1)]), _c("div", { staticClass: "d-flex justify-content-center my-4" }, [_c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": _vm.hideWizard } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.hide_button")))]), _c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.skipTab($event, 1);
  } } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.skip_button")))]), _c("button", { staticClass: "btn d-none", attrs: { "type": "submit" } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.next_button")))])])])]), _c("tab-content", { attrs: { "title": _vm.$t("config.mail.mail"), "before-change": _vm.submit, "icon": "fas fa-envelope" } }, [_c("h4", { staticClass: "text-center mb-5 mt-3" }, [_vm._v(_vm._s(_vm.$t("setup.wizard.mail_configurations")))]), _c("form", { staticClass: "form-horizontal", on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.$refs.setupWizard.nextTab();
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { ref: "driver", attrs: { "options": _vm.preRequisite.mailDrivers, "label": _vm.$t("config.mail.driver"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading }, model: { value: _vm.wizardData.mail.driver, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "driver", $$v);
  }, expression: "wizardData.mail.driver" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.from_name"), "type": "text", "error": _vm.formErrors.fromName }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "fromName", $event);
  } }, model: { value: _vm.wizardData.mail.fromName, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "fromName", $$v);
  }, expression: "wizardData.mail.fromName" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.from_address"), "type": "text", "error": _vm.formErrors.fromAddress }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "fromAddress", $event);
  } }, model: { value: _vm.wizardData.mail.fromAddress, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "fromAddress", $$v);
  }, expression: "wizardData.mail.fromAddress" } })], 1)]), _c("collapse-transition", [_vm.wizardData.mail.driver === "mailgun" ? _c("div", { staticClass: "row mt-5" }, [_c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.mailgun_domain"), "type": "text", "error": _vm.formErrors.mailgunDomain }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "mailgunDomain", $event);
  } }, model: { value: _vm.wizardData.mail.mailgunDomain, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "mailgunDomain", $$v);
  }, expression: "wizardData.mail.mailgunDomain" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.mailgun_secret"), "type": "text", "error": _vm.formErrors.mailgunSecret }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "mailgunSecret", $event);
  } }, model: { value: _vm.wizardData.mail.mailgunSecret, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "mailgunSecret", $$v);
  }, expression: "wizardData.mail.mailgunSecret" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.mailgun_endpoint"), "type": "text", "error": _vm.formErrors.mailgunEndpoint }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "mailgunEndpoint", $event);
  } }, model: { value: _vm.wizardData.mail.mailgunEndpoint, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "mailgunEndpoint", $$v);
  }, expression: "wizardData.mail.mailgunEndpoint" } })], 1)]) : _vm._e(), _vm.wizardData.mail.driver === "smtp" ? _c("div", { staticClass: "row mt-5" }, [_c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_host"), "type": "text", "error": _vm.formErrors.smtpHost }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpHost", $event);
  } }, model: { value: _vm.wizardData.mail.smtpHost, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "smtpHost", $$v);
  }, expression: "wizardData.mail.smtpHost" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_port"), "type": "text", "error": _vm.formErrors.smtpPort }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpPort", $event);
  } }, model: { value: _vm.wizardData.mail.smtpPort, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "smtpPort", $$v);
  }, expression: "wizardData.mail.smtpPort" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-4" }, [_c("base-select", { attrs: { "options": _vm.preRequisite.mailEncryptions, "label": _vm.$t("config.mail.smtp_encryption"), "allow-empty": false, "simple": "", "disabled": _vm.isLoading }, model: { value: _vm.wizardData.mail.smtpEncryption, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "smtpEncryption", $$v);
  }, expression: "wizardData.mail.smtpEncryption" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_username"), "type": "text", "error": _vm.formErrors.smtpUsername }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpUsername", $event);
  } }, model: { value: _vm.wizardData.mail.smtpUsername, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "smtpUsername", $$v);
  }, expression: "wizardData.mail.smtpUsername" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.mail.smtp_password"), "type": "text", "error": _vm.formErrors.smtpPassword }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "smtpPassword", $event);
  } }, model: { value: _vm.wizardData.mail.smtpPassword, callback: function($$v) {
    _vm.$set(_vm.wizardData.mail, "smtpPassword", $$v);
  }, expression: "wizardData.mail.smtpPassword" } })], 1)]) : _vm._e()]), _c("div", { staticClass: "d-flex justify-content-center my-4" }, [_c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": _vm.hideWizard } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.hide_button")))]), _c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.skipTab($event, 2);
  } } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.skip_button")))]), _c("button", { staticClass: "btn d-none", attrs: { "type": "submit" } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.next_button")))])])], 1)]), _c("tab-content", { attrs: { "title": _vm.$t("config.pusher.pusher"), "before-change": _vm.submit, "icon": "fab fa-pushed" } }, [_c("h4", { staticClass: "text-center mb-5 mt-3" }, [_vm._v(_vm._s(_vm.$t("setup.wizard.pusher_configurations")))]), _c("form", { staticClass: "form-horizontal", on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.$refs.setupWizard.nextTab();
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { ref: "pusherAppId", attrs: { "label": _vm.$t("config.pusher.app_id"), "type": "text", "error": _vm.formErrors.pusherAppId }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "pusherAppId", $event);
  } }, model: { value: _vm.wizardData.pusher.pusherAppId, callback: function($$v) {
    _vm.$set(_vm.wizardData.pusher, "pusherAppId", $$v);
  }, expression: "wizardData.pusher.pusherAppId" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.pusher.app_key"), "type": "text", "error": _vm.formErrors.pusherAppKey }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "pusherAppKey", $event);
  } }, model: { value: _vm.wizardData.pusher.pusherAppKey, callback: function($$v) {
    _vm.$set(_vm.wizardData.pusher, "pusherAppKey", $$v);
  }, expression: "wizardData.pusher.pusherAppKey" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.pusher.app_secret"), "type": "text", "error": _vm.formErrors.pusherAppSecret }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "pusherAppSecret", $event);
  } }, model: { value: _vm.wizardData.pusher.pusherAppSecret, callback: function($$v) {
    _vm.$set(_vm.wizardData.pusher, "pusherAppSecret", $$v);
  }, expression: "wizardData.pusher.pusherAppSecret" } })], 1), _c("div", { staticClass: "col-12 col-md-6 mb-4" }, [_c("base-input", { attrs: { "label": _vm.$t("config.pusher.app_cluster"), "type": "text", "error": _vm.formErrors.pusherAppCluster }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "pusherAppCluster", $event);
  } }, model: { value: _vm.wizardData.pusher.pusherAppCluster, callback: function($$v) {
    _vm.$set(_vm.wizardData.pusher, "pusherAppCluster", $$v);
  }, expression: "wizardData.pusher.pusherAppCluster" } })], 1)]), _vm.configs.links.pusherHelper ? _c("a", { staticClass: "d-block mb-3", attrs: { "href": _vm.configs.links.pusherHelper, "target": "_blank" } }, [_vm._v(_vm._s(_vm.$t("config.pusher.how_to")))]) : _vm._e(), _c("div", { staticClass: "d-flex justify-content-center my-4" }, [_c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": _vm.hideWizard } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.hide_button")))]), _c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.skipTab($event, 3);
  } } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.skip_button")))]), _c("button", { staticClass: "btn d-none", attrs: { "type": "submit" } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.next_button")))])])])]), _c("tab-content", { attrs: { "title": _vm.$t("config.signal.signaling_server"), "before-change": _vm.submit, "icon": "fas fa-signal" } }, [_c("h4", { staticClass: "text-center mb-5 mt-3" }, [_vm._v(_vm._s(_vm.$t("setup.wizard.signal_server_configurations")))]), _c("form", { staticClass: "form-horizontal", on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.$refs.setupWizard.nextTab();
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 mb-4" }, [_c("base-input", { ref: "signalUrl", attrs: { "label": _vm.$t("config.signal.url"), "type": "text", "error": _vm.formErrors.url }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "url", $event);
  } }, model: { value: _vm.wizardData.signal.url, callback: function($$v) {
    _vm.$set(_vm.wizardData.signal, "url", $$v);
  }, expression: "wizardData.signal.url" } })], 1)]), _vm.configs.links.signalHelper ? _c("a", { staticClass: "d-block mb-3", attrs: { "href": _vm.configs.links.signalHelper, "target": "_blank" } }, [_vm._v(_vm._s(_vm.$t("config.signal.why_needed")))]) : _vm._e(), _c("div", { staticClass: "d-flex justify-content-center my-4" }, [_c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": _vm.hideWizard } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.hide_button")))]), _c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.skipTab($event, 4);
  } } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.skip_button")))]), _c("button", { staticClass: "btn d-none", attrs: { "type": "submit" } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.next_button")))])])])]), _c("tab-content", { attrs: { "title": _vm.$t("config.ice_server.ice_server"), "before-change": _vm.submit, "icon": "fas fa-voicemail" } }, [_c("h4", { staticClass: "text-center mb-5 mt-3" }, [_vm._v(_vm._s(_vm.$t("setup.wizard.ice_server_configurations")))]), _c("form", { staticClass: "form-horizontal", on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.$refs.setupWizard.nextTab();
  } } }, [_c("collapse-transition", { attrs: { "tag": "div", "group": true, "duration": 300 } }, _vm._l(_vm.wizardData.ice.servers, function(item, index2) {
    return _c("item-row", { key: index2, attrs: { "form-data": item, "form-errors": _vm.formErrors[`servers${index2}`], "index": index2 }, on: { "remove": function($event) {
      return _vm.removeRow(index2);
    } } });
  }), 1), _c("div", { staticClass: "my-3 d-flex justify-content-end" }, [_c("base-button", { attrs: { "type": "button", "design": "light" }, on: { "click": _vm.addNewRow } }, [_vm._v(_vm._s(_vm.$t("general.add")))])], 1), _vm.configs.links.iceHelper ? _c("a", { staticClass: "d-block mb-3", attrs: { "href": _vm.configs.links.iceHelper, "target": "_blank" } }, [_vm._v(_vm._s(_vm.$t("config.ice_server.why_needed")))]) : _vm._e(), _c("div", { staticClass: "d-flex justify-content-center my-4" }, [_c("button", { staticClass: "btn btn-light", attrs: { "type": "button" }, on: { "click": _vm.hideWizard } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.hide_button")))]), _c("button", { staticClass: "btn d-none", attrs: { "type": "submit" } }, [_vm._v(_vm._s(_vm.$t("setup.wizard.next_button")))])])], 1)])], 1)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=setup-index.eebb5bcd.js.map
