import { t as table } from "../../../../table.f559165b.js";
import { f as filterForm } from "../../../../filter-form.416a20d1.js";
import { n as normalizeComponent } from "../../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../../app.9a8150b2.js";
import "../../../../vendor/vendor-core.2a9962eb.js";
import "../../../../vendor/vendor-others.d4f8aae2.js";
import "../../../../vendor/vendor-essential.31dae676.js";
import "../../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../../header.a91390e7.js";
import "../../../../event-bus.0afcd682.js";
const _sfc_main$1 = {
  extends: filterForm,
  mounted() {
    this.filters.status = this.filters.status === true || this.filters.status === "true" ? true : false;
  }
};
var _sfc_render$1 = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("filter-wrapper", { attrs: { "boxed": _vm.boxed, "is-loading": _vm.isLoading }, on: { "close": function($event) {
    return _vm.$emit("close");
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("base-input", { attrs: { "auto-focus": "", "label": _vm.$t("site.page.props.title"), "type": "text", "disabled": _vm.isLoading }, model: { value: _vm.filters.title, callback: function($$v) {
    _vm.$set(_vm.filters, "title", $$v);
  }, expression: "filters.title" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("site.page.props.code"), "type": "text", "disabled": _vm.isLoading }, model: { value: _vm.filters.code, callback: function($$v) {
    _vm.$set(_vm.filters, "code", $$v);
  }, expression: "filters.code" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3 d-flex justify-content-start align-items-end" }, [_c("base-checkbox", { staticClass: "ml-3 mb-3", model: { value: _vm.filters.status, callback: function($$v) {
    _vm.$set(_vm.filters, "status", $$v);
  }, expression: "filters.status" } }, [_vm._v(" " + _vm._s(_vm.$t("site.page.props.is_published")) + " ")])], 1)])]);
};
var _sfc_staticRenderFns$1 = [];
var __component__$1 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$1,
  _sfc_render$1,
  _sfc_staticRenderFns$1,
  false,
  null,
  null,
  null,
  null
);
const FilterForm = __component__$1.exports;
const _sfc_main = {
  components: {
    FilterForm
  },
  extends: table,
  data() {
    return {
      fields: [
        {
          key: "title",
          label: $t("site.page.props.title"),
          sort: "title"
        },
        {
          key: "template.name",
          label: $t("site.page_template.template")
        },
        {
          key: "parent.title",
          label: $t("site.page.props.parent"),
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "slug",
          label: $t("site.page.props.slug"),
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "status",
          label: $t("site.is_published"),
          sort: "status",
          transformer: "badgeStatusYesNo"
        },
        {
          key: "createdAt",
          label: $t("general.created_at"),
          sort: "created_at",
          transformer: "date",
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "updatedAt",
          label: $t("general.updated_at"),
          sort: "updated_at",
          transformer: "date",
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "actions",
          label: "",
          cantHide: true,
          tdClass: "actions-dropdown-wrapper"
        }
      ],
      filtersOptions: {
        title: "",
        code: "",
        status: ""
      },
      permissionsRequired: {
        add: "access-page",
        config: "access-page-config"
      },
      routesRequired: {
        add: "appSitePageAdd",
        config: "appSitePageConfigTemplate"
      },
      initUrl: "site/pages",
      dataType: "page"
    };
  },
  mounted() {
    this.updatePageMeta();
  }
};
var _sfc_render = function render2() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "entity-list-container" }, [_c("collapse-transition", { attrs: { "group": true, "duration": 300, "tag": "div" } }, [_vm.showFilters ? _c("filter-form", { key: "filters", attrs: { "boxed": true, "pre-requisite": _vm.preRequisite, "is-loading": _vm.isLoading }, on: { "close": _vm.toggleFilter } }) : _vm._e(), _c("base-container", { key: "list", staticClass: "p-0", attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_vm.isInitialized ? _c("table-wrapper", { attrs: { "meta": _vm.entities.meta, "filtered": _vm.isFiltered, "add-button-route": "appSitePageAdd", "add-button-permissions": ["access-page"], "entity-title": "site.page.page", "entities-title": "site.page.pages", "entity-description": "site.page.module_description" } }, [_c("b-table", { directives: [{ name: "show", rawName: "v-show", value: _vm.entities.meta.total, expression: "entities.meta.total" }], ref: "btable", attrs: { "items": _vm.itemsProvider, "fields": _vm.fields, "busy": _vm.isLoading, "hover": "", "striped": "", "stacked": "sm", "per-page": _vm.entities.meta.perPage, "current-page": _vm.entities.meta.currentPage, "filters": null }, on: { "update:busy": function($event) {
    _vm.isLoading = $event;
  } }, scopedSlots: _vm._u([{ key: "cell(createdAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.createdAt, "to-format": _vm.vars.defaultDateTimeFormat, "tag": "span" } })];
  } }, { key: "cell(status)", fn: function(row) {
    return [row.item.status ? _c("badge", { attrs: { "rounded": "", "type": "primary" } }, [_c("i", { staticClass: "far fa-check-circle" }), _vm._v(" " + _vm._s(_vm.$t("general.yes")))]) : _c("badge", { attrs: { "rounded": "", "type": "dark" } }, [_c("i", { staticClass: "far fa-circle" }), _vm._v(" " + _vm._s(_vm.$t("general.no")))])];
  } }, { key: "cell(actions)", fn: function(row) {
    return [_c("table-row-actions", [_c("a", { staticClass: "dropdown-item", attrs: { "href": `/pages/${row.item.slug}`, "target": "_blank" } }, [_c("i", { staticClass: "fas fa-arrow-circle-right" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("site.page.page") })))]), _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appSitePageEdit", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-edit" }), _vm._v(" " + _vm._s(_vm.$t("global.edit", { attribute: _vm.$t("site.page.page") })))]), _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appSitePageDuplicate", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-copy" }), _vm._v(" " + _vm._s(_vm.$t("global.duplicate", { attribute: _vm.$t("site.page.page") })))]), _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
      $event.stopPropagation();
      return _vm.deleteEntity(row.item);
    } } }, [_c("i", { staticClass: "fas fa-trash" }), _vm._v(" " + _vm._s(_vm.$t("global.delete", { attribute: _vm.$t("site.page.page") })))])], 1)];
  } }], null, false, 26575944) })], 1) : _vm._e()], 1)], 1)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=page-index.d18e35e5.js.map
