import { t as table } from "../../../table.f559165b.js";
import { f as filterForm } from "../../../filter-form.416a20d1.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../../app.9a8150b2.js";
import "../../../vendor/vendor-core.2a9962eb.js";
import "../../../vendor/vendor-others.d4f8aae2.js";
import "../../../vendor/vendor-essential.31dae676.js";
import "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../header.a91390e7.js";
import "../../../event-bus.0afcd682.js";
const _sfc_main$1 = {
  extends: filterForm
};
var _sfc_render$1 = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("filter-wrapper", { attrs: { "boxed": _vm.boxed, "is-loading": _vm.isLoading }, on: { "close": function($event) {
    return _vm.$emit("close");
  } } }, [_c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("base-input", { attrs: { "auto-focus": "", "label": _vm.$t("user.props.name"), "type": "text", "disabled": _vm.isLoading }, model: { value: _vm.filters.name, callback: function($$v) {
    _vm.$set(_vm.filters, "name", $$v);
  }, expression: "filters.name" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("user.props.email"), "type": "text", "disabled": _vm.isLoading }, model: { value: _vm.filters.email, callback: function($$v) {
    _vm.$set(_vm.filters, "email", $$v);
  }, expression: "filters.email" } })], 1), _c("div", { staticClass: "col-12 col-md-4 mb-3" }, [_c("base-input", { attrs: { "label": _vm.$t("user.props.username"), "type": "text", "disabled": _vm.isLoading }, model: { value: _vm.filters.username, callback: function($$v) {
    _vm.$set(_vm.filters, "username", $$v);
  }, expression: "filters.username" } })], 1)])]);
};
var _sfc_staticRenderFns$1 = [];
var __component__$1 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$1,
  _sfc_render$1,
  _sfc_staticRenderFns$1,
  false,
  null,
  null,
  null,
  null
);
const FilterForm = __component__$1.exports;
const _sfc_main = {
  components: {
    FilterForm
  },
  extends: table,
  data() {
    return {
      fields: [
        {
          key: "profile",
          label: $t("user.props.name"),
          sort: "name"
        },
        {
          key: "email",
          label: $t("user.props.email")
        },
        {
          key: "username",
          label: $t("user.props.username"),
          sort: "username"
        },
        {
          key: "role",
          label: $t("config.role.role")
        },
        {
          key: "status",
          label: $t("user.props.status"),
          sort: "status",
          transformer: "badgeStatusYesNo"
        },
        {
          key: "hasActiveMembership",
          label: "",
          headerTitle: $t("membership.membership"),
          tdClass: "text-center"
        },
        {
          key: "isPremium",
          label: "",
          headerTitle: $t("user.premium_user"),
          tdClass: "text-center"
        },
        {
          key: "createdAt",
          label: $t("general.created_at"),
          sort: "created_at",
          transformer: "date",
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "updatedAt",
          label: $t("general.updated_at"),
          sort: "updated_at",
          transformer: "date",
          thClass: "d-none",
          tdClass: "d-none"
        },
        {
          key: "actions",
          label: "",
          cantHide: true,
          tdClass: "actions-dropdown-wrapper"
        }
      ],
      filtersOptions: {
        name: "",
        username: "",
        email: ""
      },
      sortOptions: {
        hasScroll: true
      },
      columnsOptions: {
        hasScroll: true
      },
      permissionsRequired: "create-user",
      routesRequired: {
        add: "appUserAdd"
      },
      initUrl: "users",
      dataType: "user"
    };
  },
  methods: {
    getStatusText(str) {
      return str.replace("_", " ");
    },
    togglePremiumUser(entity) {
      this.isLoading = true;
      this.Custom({
        url: this.initUrl + "/" + entity.uuid + "/premium",
        method: "post"
      }).then((response) => {
        this.isLoading = false;
        this.$toasted.success(response.message, this.$toastConfig);
        this.$nextTick(() => {
          this.refreshTable();
          if (typeof this.getInitialData === "function" && this.getInitialDataCalled && this.getInitialDataCalledAfterDeleting) {
            this.getInitialData();
          }
        });
      }).catch((error) => {
        this.isLoading = false;
        this.isInitialized = true;
        this.formErrors = formUtil.handleErrors(error);
      });
    }
  },
  mounted() {
    this.updatePageMeta();
  }
};
var _sfc_render = function render2() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "entity-list-container" }, [_c("collapse-transition", { attrs: { "group": true, "duration": 300, "tag": "div" } }, [_vm.showFilters ? _c("filter-form", { key: "filters", attrs: { "boxed": true, "pre-requisite": _vm.preRequisite, "is-loading": _vm.isLoading }, on: { "close": _vm.toggleFilter } }) : _vm._e(), _c("base-container", { key: "list", staticClass: "p-0", attrs: { "boxed": "", "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }, [_vm.isInitialized ? _c("table-wrapper", { attrs: { "meta": _vm.entities.meta, "filtered": _vm.isFiltered, "add-button-route": "appUserAdd", "add-button-permissions": ["create-user"], "entity-title": "user.user", "entities-title": "user.users", "entity-description": "user.module_description" } }, [_c("b-table", { directives: [{ name: "show", rawName: "v-show", value: _vm.entities.meta.total, expression: "entities.meta.total" }], ref: "btable", attrs: { "items": _vm.itemsProvider, "fields": _vm.fields, "busy": _vm.isLoading, "hover": "", "striped": "", "stacked": "sm", "per-page": _vm.entities.meta.perPage, "current-page": _vm.entities.meta.currentPage, "filters": null }, on: { "update:busy": function($event) {
    _vm.isLoading = $event;
  }, "row-dblclicked": function($event) {
    return _vm.rowClickHandler({ route: "appUserView" }, $event);
  } }, scopedSlots: _vm._u([{ key: "cell(createdAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.createdAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(updatedAt)", fn: function(row) {
    return [_c("view-date", { staticClass: "mb-0", attrs: { "value": row.item.updatedAt, "with-tz": "", "tag": "span" } })];
  } }, { key: "cell(profile)", fn: function(row) {
    return [_c("view-user", { staticClass: "m-0", attrs: { "value": row.item, "show-sub": false, "inline-sub": "", "show-image": false, "data-classes": "m-0" } })];
  } }, { key: "cell(status)", fn: function(row) {
    return [row.item.status ? _c("badge", { attrs: { "rounded": "", "type": _vm.vars.colorsForStatus[row.item.status] } }, [_vm._v(_vm._s(_vm.getStatusText(row.item.status)))]) : _vm._e()];
  } }, { key: "cell(hasActiveMembership)", fn: function(row) {
    return [row.item.hasActiveMembership ? _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "text-success", attrs: { "title": _vm.$t("membership.has_active_membership") } }, [_c("i", { staticClass: "far fa-id-badge" })]) : _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "text-light", attrs: { "title": _vm.$t("membership.no_active_membership") } }, [_c("i", { staticClass: "far fa-id-badge" })])];
  } }, { key: "cell(isPremium)", fn: function(row) {
    return [row.item.isPremium ? _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "text-success", attrs: { "title": _vm.$t("user.is_premium_user") } }, [_c("i", { staticClass: "fas fa-star" })]) : _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.left", modifiers: { "hover": true, "left": true } }], staticClass: "text-light", attrs: { "title": _vm.$t("user.is_not_premium_user") } }, [_c("i", { staticClass: "far fa-star" })])];
  } }, { key: "cell(role)", fn: function(row) {
    return [_c("badge", { attrs: { "rounded": "", "type": "dark" } }, [_vm._v(_vm._s(row.item.role.name))])];
  } }, { key: "cell(actions)", fn: function(row) {
    return [_c("table-row-actions", [_c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appUserView", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-arrow-circle-right" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("user.user") })))]), _vm.hasPermission("edit-user") ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appUserEdit", params: { uuid: row.item.uuid } } } }, [_c("i", { staticClass: "fas fa-edit" }), _vm._v(" " + _vm._s(_vm.$t("global.edit", { attribute: _vm.$t("user.user") })))]) : _vm._e(), _vm.hasRole("admin") && !row.item.isPremium ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
      $event.stopPropagation();
      return _vm.togglePremiumUser(row.item);
    } } }, [_c("i", { staticClass: "fas fa-star" }), _vm._v(" " + _vm._s(_vm.$t("user.make_premium_user")))]) : _vm._e(), _vm.hasRole("admin") && row.item.isPremium ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
      $event.stopPropagation();
      return _vm.togglePremiumUser(row.item);
    } } }, [_c("i", { staticClass: "far fa-star" }), _vm._v(" " + _vm._s(_vm.$t("user.make_normal_user")))]) : _vm._e(), _vm.hasPermission("delete-user") ? _c("a", { staticClass: "dropdown-item", on: { "click": function($event) {
      $event.stopPropagation();
      return _vm.deleteEntity(row.item);
    } } }, [_c("i", { staticClass: "fas fa-trash" }), _vm._v(" " + _vm._s(_vm.$t("global.delete", { attribute: _vm.$t("user.user") })))]) : _vm._e()], 1)];
  } }], null, false, 3241652716) })], 1) : _vm._e()], 1)], 1)], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const index = __component__.exports;
export {
  index as default
};
//# sourceMappingURL=user-index.ad4d77ee.js.map
