import { B as Box, G as GuestHeader, a as GuestFooter } from "../../guest-footer.8ab217ed.js";
import { m as mapGetters, i as mapActions } from "../../vendor/vendor-core.2a9962eb.js";
import { P as ProfileImageMale } from "../../default-profile-image-male.529a2fd5.js";
import { A as Avatar } from "../../vendor/vendor-vue-avatar.9d39aec0.js";
import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../AppLogo.c559b5f2.js";
const _sfc_main = {
  components: {
    Box,
    GuestHeader,
    GuestFooter,
    Avatar
  },
  data() {
    return {
      formData: {
        password: ""
      },
      ProfileImageMale,
      formErrors: {},
      isLoading: false
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "uiConfigs",
      "vars"
    ]),
    ...mapGetters("user", [
      "profile"
    ])
  },
  methods: {
    ...mapActions("user", [
      "Logout",
      "Unlock",
      "SetLock",
      "SetLastActivity"
    ]),
    submit() {
      this.isLoading = true;
      let routeQuery = this.$route.query;
      this.$gaEvent("engagement", "unlock");
      this.Unlock(this.formData).then((response) => {
        this.SetLastActivity();
        this.SetLock(false);
        this.$gaEvent("activity", "unlocked");
        let routeTo = { name: "appDashboard" };
        if (routeQuery && routeQuery.ref && this.$router.resolve(routeQuery.ref)) {
          routeTo = this.$router.resolve(routeQuery.ref).route;
        }
        this.$router.push(routeTo);
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    },
    logout() {
      this.isLoading = true;
      let routeQuery = this.$route.query;
      this.Logout().then(() => {
        let routeTo = { name: "login" };
        if (routeQuery && routeQuery.ref && this.$router.resolve(routeQuery.ref)) {
          routeTo = this.$router.resolve(routeQuery.ref).route;
        }
        this.$router.push(routeTo);
      });
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "guest-page" }, [_c("box", [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }), _c("guest-header", [_vm.profile && _vm.profile.name ? _c("div", { staticClass: "d-flex flex-column justify-content-start align-items-center" }, [_c("avatar", { attrs: { "username": _vm.profile.name ? _vm.profile.name : null, "src": _vm.profile.userThumb ? _vm.profile.userThumb : _vm.profile.name ? null : _vm.ProfileImageMale, "background-color": _vm.vars.colors.primary, "color": _vm.vars.colors.white, "size": 100, "has-shadow": "" } }), _c("h4", { staticClass: "username mt-4" }, [_vm._v(" " + _vm._s(_vm.$t("general.greeting") + ", " + _vm.profile.name) + " ")])], 1) : _vm._e()]), _c("section", { attrs: { "role": "main" } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("base-input", { staticClass: "mb-3", attrs: { "auto-focus": "", "label": _vm.$t("auth.lock.props.password"), "type": "password", "name": "password", "addon-left-icon": "fas fa-key", "error": _vm.formErrors.password, "autocomplete": "current-password" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "password", $event);
  } }, model: { value: _vm.formData.password, callback: function($$v) {
    _vm.$set(_vm.formData, "password", $$v);
  }, expression: "formData.password" } }), _c("div", { staticClass: "text-center" }, [_c("base-button", { staticClass: "my-4 text-lg", attrs: { "type": "submit", "design": "primary", "block": "" } }, [_vm._v(_vm._s(_vm.$t("general.unlock")))])], 1), _c("div", { staticClass: "form-group m-b-0" }, [_c("div", { staticClass: "col-sm-12 text-center" }, [_c("h6", { staticClass: "text-uppercase" }, [_vm._v(_vm._s(_vm.$t("general.or")))]), _c("p", [_c("base-button", { attrs: { "type": "button", "design": "link" }, on: { "click": _vm.logout } }, [_c("i", { staticClass: "fas fa-power-off" }), _c("span", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("auth.logout")))])])], 1)])])], 1)])], 1), _vm.configs.system ? _c("guest-footer", { attrs: { "footer-credit": _vm.configs.system.footerCredit, "version": _vm.configs.system.version } }) : _vm._e()], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const lock = __component__.exports;
export {
  lock as default
};
//# sourceMappingURL=lock.453b2d7a.js.map
