import { f as form } from "../../auth-form.568162a3.js";
import { n as normalizeComponent } from "../../_plugin-vue2_normalizer.7b9a2fe2.js";
import "../../vendor/vendor-core.2a9962eb.js";
import "../../guest-footer.8ab217ed.js";
import "../../AppLogo.c559b5f2.js";
const login_vue_vue_type_style_index_0_scoped_1fe1dc9a_lang = "";
const _sfc_main = {
  extends: form,
  data() {
    return {
      formData: {
        email: "",
        password: ""
      }
    };
  },
  methods: {
    submit() {
      this.isLoading = true;
      let routeQuery = this.$route.query;
      this.$gaEvent("engagement", "login", "Normal");
      this.Login(this.formData).then((response) => {
        this.$toasted.success(response.message, this.$toastConfig);
        this.$gaEvent("activity", "loggedin", "Normal");
        if (this.configs.auth.twoFactorSecurity && this.twoFactorSet) {
          this.$router.push({ name: "authSecurity", query: routeQuery });
          this.isLoading = false;
        } else {
          let routeTo = response.reload ? { name: "appDashboard", query: { reload: 1 } } : { name: "appDashboard" };
          if (routeQuery && routeQuery.ref && this.$router.resolve(routeQuery.ref)) {
            routeTo = this.$router.resolve(routeQuery.ref).route;
          }
          if (this.hasRole("admin") && this.configs.system && this.configs.system.setupWizard) {
            routeTo = { name: "setup" };
          }
          routeTo = {
            ...routeTo,
            query: {
              locale: void 0
            }
          };
          this.ResetTwoFactorSet().then(() => {
            this.$router.push(routeTo);
          }).catch((error) => {
            this.isLoading = false;
            this.formErrors = formUtil.handleErrors(error);
          });
        }
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = formUtil.handleErrors(error);
      });
    },
    loginAs(role, domain) {
      this.formData.email = role + "@" + domain + ".com";
      this.formData.password = "password";
      this.submit();
    }
  },
  mounted() {
    this.SetCSRF();
    let cause = this.$route.query && this.$route.query.cause ? this.$route.query.cause : null;
    if (cause) {
      if (cause === "csrf_token_expired") {
        this.$toasted.error($t("general.csrf_token_expired"), this.$toastConfig.error);
        this.$router.push(this.withQuery({ name: this.$route.name, replace: true }));
      }
    }
  }
};
var _sfc_render = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "guest-page" }, [_c("box", [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor } }), _c("guest-header", [_c("h5", [_vm._v(_vm._s(_vm.$t("auth.login.page_title")))])]), _c("section", { attrs: { "role": "main" } }, [_c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.submit.apply(null, arguments);
  } } }, [_c("base-input", { staticClass: "mb-3", attrs: { "auto-focus": "", "label": _vm.$t("auth.login.props.email_username"), "type": "text", "addon-left-icon": "fas fa-envelope", "error": _vm.formErrors.email, "autocomplete": "username" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "email", $event);
  } }, model: { value: _vm.formData.email, callback: function($$v) {
    _vm.$set(_vm.formData, "email", $$v);
  }, expression: "formData.email" } }), _c("base-input", { staticClass: "mb-3", attrs: { "label": _vm.$t("auth.login.props.password"), "type": "password", "addon-left-icon": "fas fa-key", "error": _vm.formErrors.password, "autocomplete": "current-password" }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "password", $event);
  } }, model: { value: _vm.formData.password, callback: function($$v) {
    _vm.$set(_vm.formData, "password", $$v);
  }, expression: "formData.password" } }), _c("div", { staticClass: "text-center mt-4" }, [_c("base-button", { staticClass: "my-4 text-lg", attrs: { "type": "submit", "design": "primary", "block": "" } }, [_vm._v(_vm._s(_vm.$t("auth.login.login")))])], 1), _vm.configs && _vm.configs.auth ? [_vm.configs.auth.mobileOtpLogin || _vm.configs.auth.emailOtpLogin || _vm.configs.auth.socialLogin || _vm.configs.auth.facebook || _vm.configs.auth.twitter || _vm.configs.auth.github || _vm.configs.auth.google || _vm.showLocaleSwitcher ? [_c("div", { staticClass: "row mt-4" }, [_vm.showLocaleSwitcher ? _c("div", { staticClass: "col-3 text-left locale-switcher" }, [_c("base-dropdown", { attrs: { "tag": "div", "direction": "up", "menu-classes": "show-dropdown-up" } }, [_c("base-button", { staticClass: "text-uppercase", attrs: { "slot": "title", "type": "button", "design": "light", "block": "", "data-toggle": "dropdown", "role": "button", "size": "sm" }, slot: "title" }, [_c("span", { staticClass: "nav-link-inner--text" }, [_vm._v(_vm._s(_vm.selectedLocale))]), _c("i", { staticClass: "fas fa-chevron-up m-l-5" })]), _vm._l(_vm.configs.system.locales, function(lo) {
    return _c("button", { key: lo.uuid, staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": function($event) {
      return _vm.switchLocale(lo);
    } } }, [_vm._v(_vm._s(lo.name) + " (" + _vm._s(lo.locale) + ")")]);
  })], 2)], 1) : _vm._e(), _c("div", { class: [_vm.showLocaleSwitcher ? "col-9" : "col-12", "text-right login-with-icons"] }, [_vm.configs.auth.emailOtpLogin ? _c("router-link", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover", modifiers: { "hover": true } }], staticClass: "btn btn-sm btn-gmail", attrs: { "to": _vm.withQuery({ name: "login-email-otp" }), "title": _vm.$t("auth.login.login_using_email_otp") } }, [_c("i", { staticClass: "fas fa-envelope-open-text" })]) : _vm._e(), _vm.configs.auth.socialLogin && _vm.configs.auth.socialLoginProviders && _vm.configs.auth.socialLoginProviders.length ? _vm._l(_vm.configs.auth.socialLoginProviders, function(provider) {
    return _c("a", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover", modifiers: { "hover": true } }], key: provider, class: `btn btn-sm ${_vm.btns[provider]}`, attrs: { "href": `/auth/login/${provider}`, "title": _vm.$t("auth.login.login_with", { attribute: provider }) } }, [_c("i", { class: _vm.icons[provider] })]);
  }) : _vm._e()], 2)]), _c("div", { staticClass: "text-center" }, [_c("hr", { staticClass: "my-4" })])] : _vm._e(), _vm.configs.auth.resetPassword || _vm.configs.auth.registration ? _c("div", { staticClass: "row mt-4" }, [_vm.configs.auth.resetPassword ? _c("div", { class: ["col-12 text-center", { "col-md-6 text-md-left": _vm.configs.auth.registration }] }, [_c("router-link", { staticClass: "text-primary m-l-5", attrs: { "to": _vm.withQuery({ name: "password" }) } }, [_c("span", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("auth.password.forgot_password")))])])], 1) : _vm._e(), _vm.configs.auth.registration ? _c("div", { class: ["col-12 text-center", { "col-md-6 text-md-right": _vm.configs.auth.resetPassword }] }, [_c("router-link", { staticClass: "text-primary m-l-5", attrs: { "to": _vm.withQuery({ name: "register" }) } }, [_c("span", { staticClass: "font-weight-bold" }, [_vm._v(_vm._s(_vm.$t("auth.register.register_here")))])])], 1) : _vm._e()]) : _vm._e()] : _vm._e()], 2)])], 1), _vm.configs.system ? _c("guest-footer", { attrs: { "footer-credit": _vm.configs.system.footerCredit, "version": _vm.configs.system.version } }) : _vm._e()], 1);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  "1fe1dc9a",
  null,
  null
);
const login = __component__.exports;
export {
  login as default
};
//# sourceMappingURL=login.e2c63dd6.js.map
