import { u as user } from "../../../user-dropdown.094e4969.js";
import { m as mapGetters, i as mapActions, d as axios } from "../../../vendor/vendor-core.2a9962eb.js";
import { c as configs } from "../../../meeting-configs.55b97e1f.js";
import { s as screenfull } from "../../../vendor/vendor-screenfull.9a79c0ca.js";
import { L as Logger, u as useRTC, R as RecordRTC, g as getBackend, l as load, d as drawBokehEffect, A as AnimatedNumber, a as LivePoll } from "../../../live-poll.3e39080e.js";
import "../../../vendor/vendor-pusher-js.2a02459b.js";
import { a as saveToStorage, S as Swal, q as swtToast, t as calculateTimeDuration, d as copyToClipboard, w as hmsToSeconds, b as swtAlert, x as removeFromStorage, y as loadScript, g as getFromStorage, f as formatKeysToCamelCase, e as fileIcons, h as fileMimeTypes, z as bytesToSize } from "../../../app.9a8150b2.js";
import { g as getQRCode, s as share, c as playScreenshot, p as playIncomingMessage } from "../../../media.10b7361f.js";
import "../../../vendor/vendor-essential.31dae676.js";
import { n as now, d as momentDateTimeTz } from "../../../momentz.3304bf92.js";
import { F as DetectRTC } from "../../../vendor/vendor-others.d4f8aae2.js";
import { u as uploadFile } from "../../../uploader.39656730.js";
import { l as live$1 } from "../../../live.c106eece.js";
import { A as AppLogo } from "../../../AppLogo.c559b5f2.js";
import { F as FlipCountdown } from "../../../vendor/vendor-vue2-flip-countdown.0d0a97f4.js";
import { n as normalizeComponent } from "../../../_plugin-vue2_normalizer.7b9a2fe2.js";
import { b as BProgress } from "../../../vendor/vendor-bootstrap-vue.397f83c5.js";
import { f as form } from "../../../form.ff4ac955.js";
import { E as EditConfig } from "../../../edit-config.aa4a5abe.js";
import "../../../vendor/vendor-vue-avatar.9d39aec0.js";
import "../../../vendor/vendor-vue-chartjs.7edfae0a.js";
import "../../../vendor/vendor-vue-gtag.137cb49d.js";
import "../../../index.b6800d1c.js";
import "../../../vendor/vendor-laravel-echo.c401b1a2.js";
import "../../../event-bus.0afcd682.js";
import "../../../index.facdc432.js";
import "../../../FileUploader.a3ada0d1.js";
import "../../../vendor/vendor-vue-emoji-picker.359f6e78.js";
import "../../../config-form.7cab216a.js";
import "../../../header.a91390e7.js";
const logger$1 = new Logger();
const RTC = useRTC();
const DetectRTCData = {};
const defaultVideoConstraints = {
  width: { max: 3840, ideal: 1280, min: 320 },
  height: { max: 2160, ideal: 720, min: 180 }
};
let RTCAPI = null;
let bodyPixNet = null;
const meeting = {
  components: {},
  data() {
    return {
      initUrl: "meetings",
      fallBackRoute: "appMeetingList",
      statusMessage: "",
      recordingStatus: "",
      requestAccessStatus: "",
      uuid: null,
      prevRoute: null,
      meeting: {
        type: {},
        category: {},
        config: {},
        user: {},
        attachments: []
      },
      meetingBackup: {},
      preRequisites: {},
      eventHandlerFns: {},
      pageConfigs: {
        autoHideFooter: false,
        backgroundBlur: false,
        mirroredVideo: false
      },
      pageQueries: {
        callType: "",
        autoStart: false,
        muteCamera: false,
        muteMicrophone: false,
        iframe: false
      },
      meetingConfigs: {
        ...configs(),
        debugMode: false,
        forceTurn: false,
        canToggleAudio: true,
        canToggleVideo: true,
        lastLayout: "fullpage",
        recordingFormatAudio: "audio/webm",
        recordingFormatVideo: "video/webm",
        recordingTimeSlice: 5e3,
        endTimeSnoozePeriod: 1
      },
      meetingConfigsFormData: {},
      meetingConfigsPreRequisite: {
        rtcLibraries: [
          { uuid: "rtcmc", label: "RTCMC" }
        ]
      },
      meetingRules: {
        sendAudio: true,
        sendVideo: true,
        receiveAudio: true,
        receiveVideo: true
      },
      mediaConstraints: {
        audio: true,
        video: true
      },
      mediaDevices: {
        cams: [],
        mics: [],
        speakers: [],
        camsLoaded: false,
        micsLoaded: false,
        hasWebcam: false,
        hasMicrophone: false,
        hasSpeaker: false,
        hasWebcamPermission: false,
        hasMicrophonePermission: false,
        resolutions: [
          {
            uuid: "ld180p",
            label: "180p",
            constraints: {
              width: 320,
              height: 180,
              aspectRatio: 1.7777777778
            }
          },
          {
            uuid: "ld240p",
            label: "QVGA",
            constraints: {
              width: 320,
              height: 240
            }
          },
          {
            uuid: "sd360p",
            label: "360p",
            constraints: {
              width: 640,
              height: 360,
              aspectRatio: 1.7777777778
            }
          },
          {
            uuid: "sd480p",
            label: "VGA",
            constraints: {
              width: 640,
              height: 480
            }
          },
          {
            uuid: "sd600p",
            label: "SVGA",
            constraints: {
              width: 800,
              height: 600
            }
          },
          {
            uuid: "hd720p",
            label: "HD",
            constraints: {
              width: 1280,
              height: 720,
              aspectRatio: 1.7777777778
            }
          },
          {
            uuid: "fhd1080p",
            label: "FHD",
            constraints: {
              width: 1920,
              height: 1080,
              aspectRatio: 1.7777777778
            }
          },
          {
            uuid: "4k",
            label: "4K",
            constraints: {
              width: 3840,
              height: 2160,
              aspectRatio: 1.7777777778
            }
          }
        ]
      },
      selectedDevices: {
        cam: null,
        mic: null,
        speaker: null,
        enableCamera: true,
        enableMicrophone: true,
        videoMuted: false,
        audioMuted: false,
        facingMode: null,
        camDirection: "user",
        resolution: null
      },
      recordingConfigs: {
        type: "video",
        mimeType: "video/webm",
        timeSlice: 5e3,
        disableLogs: false
      },
      feedsList: [],
      membersLive: [],
      liveParticipants: [],
      polls: [],
      recordedFilesToUpload: [],
      snoozeOpts: [
        { uuid: 5, name: 5, type: "m" },
        { uuid: 10, name: 10, type: "m" },
        { uuid: 15, name: 15, type: "m" },
        { uuid: 30, name: 30, type: "m" },
        { uuid: 60, name: 1, type: "h" }
      ],
      joiningRequests: [],
      joiningRequestsApproved: [],
      feedsCount: 0,
      participantsCount: 0,
      numberOfBroadcastViewers: 0,
      recordingDuration: 0,
      meetingDuration: 0,
      isLoading: false,
      isSidebarLoading: false,
      isSilentLoading: false,
      isMeetingConfigsLoading: false,
      isPollsLoading: false,
      isRoomOnline: false,
      isMeetingLive: false,
      isHandUp: false,
      isSpeaking: false,
      isFocused: false,
      isLayoutCompact: false,
      isOffline: false,
      hasGreenroom: true,
      greenroomStarted: false,
      showParticipantsList: false,
      showPollsList: false,
      showPollForm: false,
      showLivePoll: false,
      showBulkActions: false,
      showFileSharing: false,
      showWhiteboard: false,
      showMeetingInfo: false,
      showMeetingConfigs: false,
      showAgenda: false,
      showFlipClock: true,
      localStream: null,
      localBlurredStream: null,
      localScreenStream: null,
      localWhiteboardStream: null,
      canvasDesigner: null,
      autoEndingToast: null,
      fileSharingConnection: null,
      recorder: null,
      selectedPoll: null,
      livePoll: null,
      afterSessionIsCreated: null,
      duplicateTab: false,
      hasNativeShare: !!navigator.share,
      stopNavigation: false,
      stopNavigationMessage: ""
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "uiConfigs",
      "vars"
    ]),
    user() {
      return {
        uuid: this.userUuid,
        username: this.username,
        name: this.profile.name,
        profile: this.profile
      };
    },
    startDateTimeIsFuture() {
      const isInFuture = this.meeting && this.showFlipClock && this.isStartDateTimeInFuture();
      if (isInFuture) {
        this.startCountDown();
      } else {
        if (window.countdownInterval) {
          clearInterval(window.countdownInterval);
        }
      }
      return isInFuture;
    },
    liveMembersCount() {
      return this.membersLive.length - 1;
    },
    allFeedsCount() {
      const localFeedCount = this.localStream ? 1 : this.meeting.type.uuid === "webinar" || this.meeting.type.uuid === "podcast" ? 0 : 1;
      return this.feedsCount + localFeedCount + (this.localScreenStream ? 1 : 0) + (this.localWhiteboardStream ? 1 : 0);
    }
  },
  watch: {},
  methods: {
    ...mapActions("config", [
      "SetUiConfig"
    ]),
    ...mapActions("common", [
      "Init",
      "Get",
      "Custom",
      "GetPreRequisite"
    ]),
    configPageUrl() {
      let routeData = this.$router.resolve({ name: "appMeetingSingleConfig", params: { subUuid: this.uuid } });
      return routeData.href;
    },
    snapshotsPageUrl() {
      let routeData = this.$router.resolve({ name: "appMeetingSnapshots", params: { uuid: this.uuid } });
      return routeData.href;
    },
    recordingsPageUrl() {
      let routeData = this.$router.resolve({ name: "appMeetingRecordings", params: { uuid: this.uuid } });
      return routeData.href;
    },
    toggleFullScreen() {
      if (screenfull.isEnabled) {
        if (screenfull.isFullscreen) {
          screenfull.exit();
        } else {
          screenfull.request();
        }
      }
    },
    toggleFooterAutoHide() {
      this.pageConfigs.autoHideFooter = !this.pageConfigs.autoHideFooter;
      this.$gaEvent("engagement", "toggleAutoHideFooter");
    },
    toggleBackgroundBlur() {
      this.$gaEvent("engagement", "toggleBackgroundBlur");
      if (this.pageConfigs.backgroundBlur) {
        this.unblurLocalStream();
      } else {
        this.blurLocalStream();
      }
    },
    toggleLayout(layout) {
      this.meetingConfigs.layout = layout ? layout : this.meetingConfigs.layout;
      this.meetingConfigs.lastLayout = this.meetingConfigs.layout;
      if (this.meetingConfigs.layout !== "grid") {
        this.isLayoutCompact = false;
        this.changeFocus();
      }
      saveToStorage(`${this.vars.localStorageKey}_selected_layout`, this.meetingConfigs.layout);
      this.$gaEvent("engagement", "toggleLayout", layout);
    },
    toggleAllSidebarFalse() {
      this.showAgenda = false;
      this.showBulkActions = false;
      this.showParticipantsList = false;
      this.showFileSharing = false;
      this.showPollsList = false;
    },
    toggleFileSharing() {
      const tempValue = this.showFileSharing;
      this.toggleAllSidebarFalse();
      this.showFileSharing = !tempValue;
      this.$gaEvent("engagement", "toggleFileSharing");
    },
    toggleAgenda() {
      const tempValue = this.showAgenda;
      this.toggleAllSidebarFalse();
      this.showAgenda = !tempValue;
      this.$gaEvent("engagement", "toggleAgenda");
    },
    toggleMeetingConfig() {
      const tempValue = this.showMeetingConfigs;
      this.toggleAllSidebarFalse();
      if (tempValue) {
        this.showMeetingConfigs = false;
        Object.assign(this.meetingConfigsFormData, this.meetingConfigs);
      } else {
        this.isMeetingConfigsLoading = true;
        Object.assign(this.meetingConfigsFormData, this.meetingConfigs);
        this.$nextTick(() => {
          this.showMeetingConfigs = true;
        });
        window.setTimeout(() => {
          this.isMeetingConfigsLoading = false;
        }, 1e3);
      }
      this.$gaEvent("engagement", "toggleMeetingConfig");
    },
    toggleBulkActions() {
      const tempValue = this.showBulkActions;
      this.toggleAllSidebarFalse();
      this.showBulkActions = !tempValue;
      this.$gaEvent("engagement", "toggleBulkActions");
    },
    toggleParticipantsList() {
      const tempValue = this.showParticipantsList;
      this.toggleAllSidebarFalse();
      this.showParticipantsList = !tempValue;
      this.$gaEvent("engagement", "toggleParticipantsList");
    },
    togglePollsList() {
      const tempValue = this.showPollsList;
      this.toggleAllSidebarFalse();
      this.showPollsList = !tempValue;
      if (this.showPollsList) {
        this.getPolls();
      }
      this.$gaEvent("engagement", "togglePollsList");
    },
    toggleLivePoll(poll) {
      logger$1.log("toggleLivePoll called", poll);
      if (window.showLivePollTimer) {
        clearTimeout(window.showLivePollTimer);
        window.showLivePollTimer = null;
      }
      this.toggleAllSidebarFalse();
      this.$gaEvent("engagement", "toggleLivePoll");
      if (poll && poll.isResult) {
        this.livePoll = poll;
        window.setTimeout(() => {
          this.showLivePoll = true;
        }, 1e3);
        return;
      }
      poll = this.isPollLive(poll);
      if (this.showLivePoll || !poll) {
        this.showLivePoll = false;
        window.setTimeout(() => {
          this.livePoll = null;
        }, 1e3);
        return;
      }
      this.livePoll = poll;
      window.setTimeout(() => {
        const endAt = moment(poll.endAt, this.vars.serverDateTimeFormat);
        const timeRightNow = now({ moment: true });
        const toEndIn = ((endAt.valueOf() - timeRightNow.valueOf()) / 1e3).toFixed(0);
        if (toEndIn <= 0) {
          this.showLivePoll = false;
          this.livePoll = null;
          return;
        }
        this.showLivePoll = true;
        logger$1.log("Live poll will be closed in (seconds)", toEndIn);
        window.showLivePollTimer = window.setTimeout(() => {
          this.toggleLivePoll();
        }, 1e3 * toEndIn);
      }, 1e3);
    },
    toggleMeetingInfo() {
      this.showMeetingInfo = !this.showMeetingInfo;
      this.$gaEvent("engagement", "toggleMeetingInfo");
    },
    toggleCompactLayout() {
      this.isLayoutCompact = !this.isLayoutCompact;
      this.$gaEvent("engagement", "toggleCompactLayout");
    },
    toggleWhiteboard() {
      this.$gaEvent("engagement", "toggleWhiteboard");
      if (!this.showWhiteboard) {
        if (!this.canvasDesigner) {
          this.captureWhiteboardStream();
        }
        this.meetingConfigs.lastLayout = this.meetingConfigs.layout;
        this.meetingConfigs.layout = "grid";
        this.showWhiteboard = true;
      } else {
        this.meetingConfigs.layout = this.meetingConfigs.lastLayout;
        this.showWhiteboard = false;
      }
    },
    stopWhiteboard() {
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          this.meetingConfigs.layout = this.meetingConfigs.lastLayout;
          this.showWhiteboard = false;
          this.destroyWhiteboard();
        } else {
          result.dismiss === Swal.DismissReason.cancel;
        }
      });
    },
    toggleBackgroundSize(event) {
      const element = event.target;
      if (element.classList.contains("background-size-contain")) {
        element.classList.remove("background-size-contain");
      } else {
        element.classList.add("background-size-contain");
      }
    },
    toggleObjectFit(feedItem2) {
      let target = null;
      if (feedItem2 === "localStreamElement" && this.$refs.localStreamElement) {
        target = this.$refs.localStreamElement.parentElement;
        Array.from(target.children).forEach((element) => {
          if (element.classList.contains("object-fit-contain")) {
            element.classList.remove("object-fit-contain");
          } else {
            element.classList.add("object-fit-contain");
          }
        });
        return;
      } else if (feedItem2 === "localScreenStreamElement" && this.$refs.localScreenStreamElement) {
        target = this.$refs.localScreenStreamElement;
      } else if (feedItem2 === "localWhiteboardStreamElement" && this.$refs.localWhiteboardStreamElement) {
        target = this.$refs.localWhiteboardStreamElement;
      } else if (this.feedsList.length && feedItem2 && _.isObject(feedItem2)) {
        const parentElement = this.$refs.feedsElements.find((f) => f.id === feedItem2.key);
        if (!parentElement) {
          return;
        }
        const videoElem = parentElement.getElementsByClassName(`${feedItem2.key}-video`)[0];
        if (!videoElem) {
          return;
        }
        target = videoElem;
      }
      if (target) {
        if (target.classList.contains("object-fit-contain")) {
          target.classList.remove("object-fit-contain");
        } else {
          target.classList.add("object-fit-contain");
        }
      }
    },
    changeFocus(feedItem2) {
      logger$1.log("on changeFocus", feedItem2);
      if (!this.feedsList.length) {
        return;
      }
      if (this.meetingConfigs.layout === "grid") {
        this.meetingConfigs.layout = "gallery";
      }
      this.isFocused = false;
      this.feedsList.forEach((v) => {
        v.isFocused = false;
      });
      if (feedItem2) {
        if (_.isObject(feedItem2)) {
          const selectedIndex2 = this.feedsList.findIndex((f) => f.key === feedItem2.key);
          this.feedsList[selectedIndex2].isFocused = true;
        } else {
          this.isFocused = feedItem2;
        }
      } else {
        this.feedsList[0].isFocused = true;
      }
    },
    generateQRCode() {
      getQRCode({
        data: this.meetingUrl,
        icon: this.configs.assets.iconMaskable,
        success: (dataUrl) => {
          this.meetingQRCode = dataUrl;
        }
      });
    },
    share() {
      this.shareURL(null, true);
    },
    shareURL(event, forceNativeShare = false) {
      if (!this.meeting) {
        return;
      }
      this.$gaEvent("engagement", "shareURL", "Shown");
      let url = window.location.protocol + "//" + window.location.hostname + (window.location.port ? ":" + window.location.port : "");
      url = url + (this.meeting.identifier ? `/m/${this.meeting.identifier}` : `/app/live/meetings/${this.meeting.uuid}`);
      const alertTitle = this.meeting.identifier ? `<span class="text-nowrap">${$t("meeting.meeting_code")}:</span> <strong class="ml-2 text-wrap-pre-line text-word-break-all"> ${this.meeting.identifier}</strong>` : null;
      getQRCode({
        data: url,
        icon: this.configs.assets.iconMaskable,
        success: (dataUrl) => {
          share({
            title: $t("meeting.user_inviting_msg", { attribute: this.user.name }),
            file: dataUrl ? { dataUrl, name: "meeting.png" } : null,
            alertTitle,
            alertHtml: `<img class='img-thumbnail' src='${dataUrl}'/><br><br>${$t("misc.share_alert.text")}<br><small class='text-muted'>${url}</small><br>`,
            url
          }, () => {
            this.$gaEvent("engagement", "shareURL", "Copied");
            this.$toasted.success($t("meeting.url_has_been_copied"), this.$toastConfig);
          }, forceNativeShare);
        }
      });
    },
    toggleHandUp() {
      this.$gaEvent("engagement", "toggleHandUp");
      if (window.lowerHandTimer) {
        clearTimeout(window.lowerHandTimer);
        window.lowerHandTimer = null;
      }
      if (this.meetingRules.sendAudio || this.meetingRules.sendVideo) {
        this.isHandUp = !this.isHandUp;
        RTCAPI.sendMessage({
          event: "remoteHandToggled",
          data: {
            id: this.localStream ? this.localStream.id : null,
            userUuid: this.user.uuid,
            isHandUp: this.isHandUp
          }
        });
        if (this.isHandUp) {
          window.lowerHandTimer = window.setTimeout(() => {
            this.toggleHandUp();
          }, 3e4);
        }
      }
    },
    takeSnapshotOfStream(feedItem2, self = false) {
      if (!this.meetingConfigs.canTakeSnapshot) {
        return;
      }
      this.$gaEvent("engagement", "takeSnapshot");
      let videoElem = null;
      let name = `${this.user.username} stream by self`;
      let mirrored = false;
      if (self) {
        videoElem = this.$refs[feedItem2];
        if (!videoElem) {
          return;
        }
        mirrored = feedItem2 === "localScreenStreamElement" || feedItem2 === "localWhiteboardStreamElement" ? false : this.pageConfigs.mirroredVideo;
      } else {
        const parentElement = this.$refs.feedsElements.find((f) => f.id === feedItem2.key);
        if (!parentElement) {
          return;
        }
        videoElem = parentElement.getElementsByClassName(`${feedItem2.key}-video`)[0];
        name = `${feedItem2.user.username} stream by ${this.user.username}`;
        mirrored = feedItem2.mirroredVideo;
      }
      const image = this.takeSnapshot(videoElem, mirrored);
      playScreenshot();
      if (this.meeting.canModerate || this.meetingConfigs.anyoneCanTakeSnapshot) {
        this.meetingAction({
          action: "snapshots",
          loaderVar: "isSilentLoading",
          method: "post",
          data: {
            image,
            name
          },
          callback: (response) => {
            this.$toasted.info($t("meeting.snapshot_taken"), {
              ...this.$toastConfig.info,
              duration: 1e4,
              icon: { name: "fa-download" },
              action: {
                text: "View / Download",
                href: response.fullUrl,
                target: "_blank"
              }
            });
            this.isSilentLoading = false;
          }
        });
        this.informAboutSnapshot(feedItem2);
      } else if (self) {
        const img = new Image();
        img.src = image;
        const w = window.open("");
        w.document.write(img.outerHTML);
      }
    },
    takeSnapshot(video, enableMirror) {
      let canvas = document.createElement("canvas");
      canvas.id = "snapshotCanvas";
      let toReturn = null;
      let context = canvas.getContext("2d");
      const setWidthHeight = () => {
        const ratio = (video.videoWidth || video.clientWidth) / (video.videoHeight || video.clientHeight);
        const vWidth = video.videoWidth - 100;
        const vHeight = parseInt(vWidth / ratio, 10);
        canvas.width = vWidth * 2;
        canvas.height = vHeight * 2;
        if (enableMirror) {
          context.translate(canvas.width, 0);
          context.scale(-1, 1);
        }
      };
      setWidthHeight();
      context.drawImage(video, 0, 0, canvas.width, canvas.height);
      toReturn = canvas.toDataURL("image/png");
      video.srcObject;
      this.eventHandlerFns.loadedmetadataFn = () => {
        setWidthHeight();
        context.drawImage(video, 0, 0, canvas.width, canvas.height);
        toReturn = canvas.toDataURL("image/png");
      };
      video.addEventListener("loadedmetadata", this.eventHandlerFns.loadedmetadataFn);
      window.setTimeout(() => {
        video.removeEventListener("loadedmetadata", this.eventHandlerFns.loadedmetadataFn);
        this.eventHandlerFns.loadedmetadataFn = null;
        canvas = null;
      }, 1e3);
      return toReturn;
    },
    banRemoteUser(feedItem2) {
      if (!this.feedsList.length || !feedItem2) {
        return;
      }
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          const selectedFeed = this.feedsList.find((f) => f.key === feedItem2.key);
          if (selectedFeed) {
            RTCAPI.sendMessage({
              event: "userBanned",
              data: feedItem2
            });
            this.Custom({
              url: `/${this.initUrl}/${this.uuid}/invitees/${feedItem2.user.uuid}/block`,
              method: "post"
            }).then((response) => {
              this.$toasted.success(response.message, this.$toastConfig);
            }).catch((error) => {
              logger$1.error("error: ", error);
              formUtil.handleErrors(error);
            });
          }
        } else {
          result.dismiss === Swal.DismissReason.cancel;
        }
      });
      if (_.isObject(feedItem2)) {
        this.feedsList[selectedIndex].isFocused = true;
      } else {
        this.isFocused = feedItem2;
      }
    },
    toggleRemoteAVSource(feedItem2, target = "audio", type = "temporary", enable = false) {
      if (!this.feedsList.length || !target) {
        return;
      }
      if (!feedItem2) {
        this.showBulkActions = false;
        if (type === "permanent") {
          if (!target || target === "both" || target === "audio") {
            this.feedsList.forEach((feed) => {
              feed.canToggleAudio = enable;
            });
          }
          if (!target || target === "both" || target === "video") {
            this.feedsList.forEach((feed) => {
              feed.canToggleVideo = enable;
            });
          }
        }
        RTCAPI.sendMessage({
          event: "toggleRemoteAV",
          data: {
            userUuid: "all",
            target,
            type,
            enable
          },
          callback: () => {
            this.$toasted.success($t("meeting.action_successful"), this.$toastConfig);
          }
        });
        return;
      }
      const selectedFeedIndex = this.feedsList.findIndex((f) => f.key === feedItem2.key);
      if (selectedFeedIndex !== -1) {
        if (type === "permanent") {
          if (!target || target === "both" || target === "audio") {
            this.feedsList[selectedFeedIndex].canToggleAudio = enable;
          }
          if (!target || target === "both" || target === "video") {
            this.feedsList[selectedFeedIndex].canToggleVideo = enable;
          }
        }
        RTCAPI.sendMessage({
          event: "toggleRemoteAV",
          data: {
            userUuid: feedItem2.user.uuid,
            target,
            type,
            enable
          },
          callback: () => {
            this.$toasted.success($t("meeting.action_successful"), this.$toastConfig);
          }
        });
      }
    },
    informAboutSnapshot(item) {
      if (this.meetingConfigs.enableSnapshotAlert) {
        RTCAPI.sendMessage({
          event: "snapshotTaken",
          data: {
            byUser: this.user,
            ofUser: item.extra,
            item
          }
        });
      }
    },
    informAboutMeetingUpdate(data) {
      if (!this.meeting.canModerate) {
        return;
      }
      RTCAPI.sendMessage({
        event: "meetingUpdated",
        data
      });
    },
    isStartDateTimeInFuture() {
      var _a;
      return ((_a = this.meeting) == null ? void 0 : _a.startDateTime) && moment(this.meeting.startDateTime, this.vars.serverDateTimeFormat).isAfter(now({ moment: true })) ? true : false;
    },
    startCountDown() {
      if (window.countdownInterval) {
        clearInterval(window.countdownInterval);
      }
      window.countdownInterval = window.setInterval(() => {
        if (this.isStartDateTimeInFuture()) {
          this.showFlipClock = true;
        } else {
          if (this.showFlipClock && !document.hasFocus()) {
            playIncomingMessage();
          }
          this.showFlipClock = false;
        }
      }, 1e3);
    },
    stopKeepAlivePolling() {
      if (window.meetingKeepAliveTimer) {
        clearInterval(window.meetingKeepAliveTimer);
        window.meetingKeepAliveTimer = null;
      }
    },
    startKeepAlivePolling() {
      if (window.meetingKeepAliveTimer) {
        clearInterval(window.meetingKeepAliveTimer);
        window.meetingKeepAliveTimer = null;
      }
      if (!this.meeting || this.meeting.status !== "live") {
        return;
      }
      window.meetingKeepAliveTimer = setInterval(() => {
        this.meetingAction({
          action: "keep-alive",
          loaderVar: "isSilentLoading",
          silent: true
        });
      }, 3e5);
    },
    stopAutoEndMeeting() {
      if (window.autoEndMeetingTimeout) {
        clearTimeout(window.autoEndMeetingTimeout);
        window.autoEndMeetingTimeout = null;
      }
      if (this.autoEndingToast && this.autoEndingToast.close && _.isFunction(this.autoEndingToast.close)) {
        swtToast.close();
        this.autoEndingToast = null;
      }
    },
    startAutoEndMeeting(toEndIn = 300) {
      if (window.autoEndMeetingTimeout) {
        clearTimeout(window.autoEndMeetingTimeout);
        window.autoEndMeetingTimeout = null;
      }
      window.autoEndMeetingTimeout = window.setTimeout(() => {
        if (this.meeting.canModerate) {
          this.endMeeting(false);
        } else {
          this.getOffline(false);
        }
      }, 1e3 * toEndIn);
    },
    startMeetingTimer() {
      if (window.meetingDurationInterval) {
        this.meetingDuration = null;
        clearInterval(window.meetingDurationInterval);
      }
      if (!this.meeting || this.meeting.status !== "live") {
        return;
      }
      const checkAutoEndMeeting = () => {
        if (!this.meeting || this.meeting.status !== "live") {
          this.stopAutoEndMeeting();
          this.stopMeetingTimer();
          return;
        }
        if (this.meetingConfigs.autoEndMeeting && this.meeting.estimatedEndTime) {
          const autoEndTimeAlert = this.meetingConfigs.alertBeforeAutoEndTime || 5;
          const estimatedEndTime = moment(this.meeting.estimatedEndTime, this.vars.serverDateTimeFormat);
          const timeRightNow = now({ moment: true });
          const toEndIn = ((estimatedEndTime.valueOf() - timeRightNow.valueOf()) / 1e3).toFixed(0);
          if (toEndIn <= 0) {
            if (window.autoEndMeetingTimeout) {
              clearInterval(window.autoEndMeetingTimeout);
              window.autoEndMeetingTimeout = null;
            }
            if (this.meeting.canModerate) {
              this.endMeeting(false);
            } else {
              this.getOffline();
            }
          } else if (toEndIn <= autoEndTimeAlert * 60) {
            let toEndInTime = calculateTimeDuration(toEndIn) + " " + $t("list.general.durations.seconds");
            if (toEndIn >= 60) {
              toEndInTime = calculateTimeDuration(toEndIn) + " " + $t("list.general.durations.minutes");
            } else if (toEndIn >= 3600) {
              toEndInTime = calculateTimeDuration(toEndIn) + " " + $t("list.general.durations.hours");
            }
            if (this.meetingConfigs.alertBeforeAutoEnd) {
              if (window.autoEndMeetingTimeout && this.autoEndingToast && Swal.isVisible() && Swal.isTimerRunning()) {
                swtToast.update({
                  title: $t("meeting.auto_ending_msg", { attribute: toEndInTime })
                });
              } else {
                if (!this.autoEndingToast && Swal.isVisible()) {
                  return;
                }
                if (this.autoEndingToast && this.autoEndingToast.close && _.isFunction(this.autoEndingToast.close)) {
                  swtToast.close();
                  this.autoEndingToast = null;
                }
                if (this.meeting.canModerate) {
                  let toastObj = {
                    iconHtml: '<i class="far fa-clock"></i>',
                    title: $t("meeting.auto_ending_msg", { attribute: toEndInTime }),
                    timer: toEndIn * 1e3,
                    showConfirmButton: false,
                    showDenyButton: false,
                    position: "bottom"
                  };
                  if (this.meetingConfigs.canSnoozeAutoEnd) {
                    toastObj.showConfirmButton = true;
                    toastObj.confirmButtonText = $t("meeting.snooze");
                  }
                  if (this.meetingConfigs.canCancelAutoEnd) {
                    toastObj.showDenyButton = true;
                    toastObj.denyButtonText = $t("meeting.keep_meeting_live");
                  }
                  this.autoEndingToast = swtToast.fire(toastObj).then((result) => {
                    if (result.isConfirmed && this.meetingConfigs.canSnoozeAutoEnd) {
                      this.stopAutoEndMeeting();
                      this.meeting.estimatedEndTime = moment(this.meeting.estimatedEndTime, this.vars.serverDateTimeFormat).add(10, "minutes").format(this.vars.serverDateTimeFormat);
                      this.meetingAction("snooze-end-time", { period: this.meetingConfigs.endTimeSnoozePeriod || 5 }, { alert: false, inform: { endTimeSnoozed: true } });
                      swtToast.close();
                      this.autoEndingToast = null;
                    } else if (result.isDenied && this.meetingConfigs.canCancelAutoEnd) {
                      this.stopAutoEndMeeting();
                      this.meetingConfigs.autoEndMeeting = false;
                      this.meetingAction("cancel-auto-end", null, { alert: false, inform: { autoEndCancelled: true } });
                      swtToast.close();
                      this.autoEndingToast = null;
                    }
                  });
                } else {
                  this.autoEndingToast = swtToast.fire({
                    iconHtml: '<i class="far fa-clock"></i>',
                    title: $t("meeting.auto_ending_msg", { attribute: toEndInTime }),
                    timer: toEndIn * 1e3,
                    showConfirmButton: false,
                    position: "bottom"
                  });
                }
              }
            }
            if (!(window.autoEndMeetingTimeout && this.autoEndingToast)) {
              this.stopAutoEndMeeting();
              this.startAutoEndMeeting(toEndIn);
            }
          } else if (toEndIn > autoEndTimeAlert * 60) {
            if (this.autoEndingToast && this.autoEndingToast.close && _.isFunction(this.autoEndingToast.close)) {
              swtToast.close();
              this.autoEndingToast = null;
            }
          } else {
            this.stopAutoEndMeeting();
          }
        }
      };
      const meetingStartedAt = moment(this.meeting.startedAt, this.vars.serverDateTimeFormat).valueOf();
      window.meetingDurationInterval = window.setInterval(() => {
        const timeNow = now({ moment: true }).valueOf();
        this.meetingDuration = calculateTimeDuration((timeNow - meetingStartedAt) / 1e3);
        checkAutoEndMeeting();
      }, 1e3);
    },
    stopMeetingTimer() {
      if (window.meetingDurationInterval) {
        this.meetingDuration = null;
        clearInterval(window.meetingDurationInterval);
      }
    },
    reportAnIssue() {
      const vardump = {
        meeting: this.meeting,
        meetingRules: this.meetingRules,
        meetingConfigs: this.meetingConfigs,
        pageConfigs: this.pageConfigs,
        mediaConstraints: this.mediaConstraints,
        mediaDevices: this.mediaDevices,
        selectedDevices: this.selectedDevices,
        feedsList: this.feedsList,
        DetectRTC: DetectRTCData
      };
      if (this.meeting.canModerate) {
        logger$1.log(vardump);
        copyToClipboard('"' + JSON.stringify(vardump) + '"');
      } else {
        copyToClipboard('"' + window.btoa(JSON.stringify(vardump)) + '"');
      }
      this.$toasted.success($t("general.report_an_issue_success"), this.$toastConfig);
    },
    editPoll(poll) {
      this.selectedPoll = poll;
      this.showPollForm = true;
    },
    closePollForm() {
      this.showPollForm = false;
      this.selectedPoll = null;
      this.getPolls();
    },
    isPollLive(poll) {
      if (poll && poll.isPublished && poll.startAt) {
        poll.startAt = momentDateTimeTz(poll.startAt, this.vars.serverDateTimeFormat);
        poll.endAt = poll.endAt ? momentDateTimeTz(poll.endAt, this.vars.serverDateTimeFormat) : momentDateTimeTz(moment(poll.startAt, this.vars.serverDateTimeFormat).add(poll.duration, "seconds"), this.vars.serverDateTimeFormat);
        const isLiveRightNow = moment(poll.endAt, this.vars.serverDateTimeFormat).isAfter(now({ moment: true })) ? true : false;
        if (isLiveRightNow) {
          return poll;
        }
      }
      return false;
    },
    anyLivePoll() {
      logger$1.log("anyLivePoll called", this.polls);
      const poll = this.polls[0];
      if (poll && poll.isPublished && !poll.isResult) {
        this.toggleLivePoll(poll);
      }
      return;
    },
    showPollResult(poll) {
      if (!poll) {
        return;
      }
      poll.options.forEach((opt, index) => {
        if (poll.result) {
          const result = poll.result.find((res) => res.uuid === opt.uuid);
          Object.assign(poll.options[index], result);
        }
        if (poll.correctAnswer && opt.uuid === poll.correctAnswer.uuid) {
          poll.options[index].selected = true;
        }
        if (poll.submittedAnswer && opt.uuid === poll.submittedAnswer.uuid) {
          poll.options[index].answered = true;
        }
      });
      this.toggleLivePoll(poll);
    },
    autoOpenChat() {
      if (this.meetingConfigs && this.meetingConfigs.enableChat && this.meetingConfigs.autoOpenChat && this.configs.chat && this.configs.chat.enabled) {
        window.setTimeout(() => {
          this.toggleChatBox();
        }, 1500);
      }
    },
    addStreamToRecord(stream) {
      if (!(this.meetingConfigs.canRecord && this.meeting.canModerate && this.recordingStatus === "started" && stream)) {
        return;
      }
      if (this.meetingConfigs.rtcLibrary === "janus") {
        return;
      }
      const recorderInstance = this.recorder;
      if (recorderInstance) {
        const internalRecorder = recorderInstance.getInternalRecorder();
        if (internalRecorder) {
          internalRecorder.addStreams(stream);
        }
      }
    },
    startRecording(event, stream = null) {
      this.$gaEvent("engagement", "startRecording");
      if (!(this.meetingConfigs.canRecord && this.meeting.canModerate)) {
        return;
      }
      this.recordingStatus = "started";
      this.recordingConfigs.disableLogs = !this.meetingConfigs.debugMode;
      const recordingDurationTimer = () => {
        const recordingStartedAt = new Date().getTime();
        if (window.recordingDurationInterval) {
          this.recordingDuration = null;
          clearInterval(window.recordingDurationInterval);
        }
        window.recordingDurationInterval = window.setInterval(() => {
          this.recordingDuration = calculateTimeDuration((new Date().getTime() - recordingStartedAt) / 1e3);
        }, 1e3);
      };
      if (this.meetingConfigs.rtcLibrary === "janus") {
        RTCAPI.startRecording();
        recordingDurationTimer();
        return;
      }
      let recorderInstance = this.recorder;
      if (recorderInstance) {
        return;
      }
      let streamsToRecord = [];
      let blobs = [];
      const recordingUuid = uuid();
      RTCAPI.getAllStreams().forEach((e) => {
        streamsToRecord.push(e.stream);
      });
      const toPublish = this.getLocalStreamToPublish();
      if (toPublish.stream) {
        streamsToRecord.push(toPublish.stream);
      }
      if (this.localScreenStream) {
        streamsToRecord.push(this.localScreenStream);
      }
      if (this.localWhiteboardStream) {
        streamsToRecord.push(this.localWhiteboardStream);
      }
      if (this.meetingConfigs.autoUploadRecording) {
        this.recordingConfigs.ondataavailable = (blob) => {
          blobs.push(blob);
          this.uploadRecording({
            uuid: recordingUuid,
            chunk: true,
            blob,
            order: blobs.length
          });
        };
      }
      recorderInstance = RecordRTC(streamsToRecord, this.recordingConfigs);
      this.recorder = recorderInstance;
      recorderInstance.startRecording();
      recordingDurationTimer();
    },
    pauseRecording() {
      this.$gaEvent("engagement", "pauseRecording");
      if (this.meetingConfigs.rtcLibrary === "janus") {
        this.stopRecording();
        return;
      }
      const recorderInstance = this.recorder;
      if (!recorderInstance) {
        this.$toasted.error("No recorder found!", this.$toastConfig.error);
        return;
      }
      this.recordingStatus = "paused";
      recorderInstance.pauseRecording();
      if (window.recordingDurationInterval) {
        clearInterval(window.recordingDurationInterval);
      }
    },
    resumeRecording() {
      this.$gaEvent("engagement", "resumeRecording");
      const recorderInstance = this.recorder;
      if (!recorderInstance) {
        this.$toasted.error("No recorder found!", this.$toastConfig.error);
        return;
      }
      this.recordingStatus = "started";
      recorderInstance.resumeRecording();
      const recordingResumedAt = new Date().getTime();
      const recordingDurationBeforePaused = hmsToSeconds(this.recordingDuration || "00:00");
      if (window.recordingDurationInterval) {
        clearInterval(window.recordingDurationInterval);
      }
      window.recordingDurationInterval = window.setInterval(() => {
        this.recordingDuration = calculateTimeDuration(recordingDurationBeforePaused + (new Date().getTime() - recordingResumedAt) / 1e3);
      }, 1e3);
    },
    stopRecording() {
      this.$gaEvent("engagement", "stopRecording");
      if (this.meetingConfigs.rtcLibrary === "janus") {
        this.recordingStatus = "ended";
        RTCAPI.stopRecording();
        if (window.recordingDurationInterval) {
          clearInterval(window.recordingDurationInterval);
        }
        return;
      }
      this.checkPendingUploads();
      const recorderInstance = this.recorder;
      if (!recorderInstance) {
        this.$toasted.error("No recorder found!", this.$toastConfig.error);
        return;
      }
      this.recordingStatus = "ended";
      recorderInstance.stopRecording(() => {
        if (window.recordingDurationInterval) {
          this.recordingDuration = null;
          clearInterval(window.recordingDurationInterval);
          window.recordingDurationInterval = null;
        }
        const recordedFileName = ($t("meeting.meeting_recording") + "-" + now({ moment: true }).unix()).kebabCase() + ".webm";
        RecordRTC.getSeekableBlob(recorderInstance.getBlob(), (seekableBlob) => {
          this.checkPendingUploads();
          if (!this.meetingConfigs.autoUploadRecording) {
            if (this.meetingConfigs.autoUploadRecorded) {
              this.uploadRecorded(seekableBlob, recorderInstance, recordedFileName);
            } else {
              swtAlert.fire({
                title: $t("meeting.recorded_meeting"),
                allowOutsideClick: false,
                allowEscapeKey: false,
                position: "bottom",
                showDenyButton: true,
                showCancelButton: true,
                confirmButtonText: `<i class="fas fa-download"></i> ${$t("general.download")}`,
                denyButtonText: `<i class="fas fa-upload"></i> ${$t("general.upload")}`,
                cancelButtonText: `${$t("general.cancel")}`,
                customClass: {
                  confirmButton: "btn btn-success",
                  cancelButton: "btn btn-danger",
                  denyButton: "btn btn-primary"
                }
              }).then((result) => {
                if (result.isConfirmed) {
                  const recordedVideo = URL.createObjectURL(seekableBlob);
                  const downloadLinkBtn = document.createElement("a");
                  RecordRTC.invokeSaveAsDialog(seekableBlob, recordedFileName);
                  downloadLinkBtn.style.display = "none";
                  downloadLinkBtn.href = recordedVideo;
                  downloadLinkBtn.download = recordedFileName;
                  document.body.appendChild(downloadLinkBtn);
                  window.setTimeout(() => {
                    document.body.removeChild(downloadLinkBtn);
                    window.URL.revokeObjectURL(downloadLinkBtn);
                    this.recordingStatus = "";
                  }, 100);
                  recorderInstance.reset();
                  this.recorder = null;
                  this.checkPendingUploads();
                } else if (result.isDenied) {
                  this.uploadRecorded(seekableBlob, recorderInstance, recordedFileName);
                  this.checkPendingUploads();
                } else {
                  result.dismiss === Swal.DismissReason.cancel;
                  recorderInstance.reset();
                  this.recorder = null;
                  this.checkPendingUploads();
                  return;
                }
              });
            }
          } else {
            recorderInstance.reset();
            this.recorder = null;
          }
          this.checkPendingUploads();
        });
      });
    },
    checkPendingUploads: _.throttle(function() {
      const uploadsPending = this.recordedFilesToUpload.filter((obj) => obj.status === "waiting" || obj.status === "uploading");
      if (uploadsPending.length) {
        this.stopNavigation = true;
        this.stopNavigationMessage = $t("meeting.uploads_pending_message");
      } else {
        this.stopNavigation = false;
        this.stopNavigationMessage = "";
      }
      this.uploadRecording();
    }, 500, {
      "leading": true,
      "trailing": false
    }),
    uploadRecording(data) {
      const startUploading = _.throttle(() => {
        const filesToUpload = this.recordedFilesToUpload.filter((obj) => obj.status === "waiting" && obj.chunk);
        const filesBeingUploaded = this.recordedFilesToUpload.filter((obj) => obj.status === "uploading" && obj.chunk);
        if (filesToUpload.length) {
          let onUploadProgressArr = [];
          const CancelToken = axios.CancelToken;
          const maxRequestSlot = 5;
          let freeRequestSlot = maxRequestSlot - filesBeingUploaded.length;
          for (let i = this.recordedFilesToUpload.length - 1; i >= 0 && freeRequestSlot > 0; i--) {
            const uploadObj = this.recordedFilesToUpload[i];
            onUploadProgressArr[i] = (progressEvent) => {
              uploadObj.progress = Math.round(progressEvent.loaded * 100 / progressEvent.total);
            };
            if (uploadObj.status === "waiting") {
              freeRequestSlot = freeRequestSlot - 1;
              let formData = new FormData();
              formData.append("file", uploadObj.blob);
              formData.append("mime", uploadObj.mime);
              formData.append("request_uuid", uploadObj.requestUuid);
              formData.append("order", uploadObj.order);
              formData.append("chunk", uploadObj.chunk);
              uploadObj.status = "uploading";
              let cancelToken = new CancelToken((c) => {
                uploadObj.cancel = c;
              });
              uploadFile({
                url: `/${this.initUrl}/${this.uuid}/recordings`,
                data: formData,
                silent: true
              }, onUploadProgressArr[i], cancelToken).then((response) => {
                uploadObj.status = "uploaded";
                delete uploadObj.cancel;
                this.checkPendingUploads();
                window.setTimeout(() => {
                  delete this.recordedFilesToUpload.splice(this.recordedFilesToUpload.findIndex((f) => f.uuid === uploadObj.uuid), 1);
                  this.checkPendingUploads();
                }, 3e3);
              }).catch((thrown) => {
                if (thrown.response && thrown.response.data) {
                  const data2 = thrown.response.data || {};
                  const errors = data2.errors ? formUtil.assignErrors(data2.errors) : {};
                  uploadObj.error = errors.message;
                  uploadObj.status = "error";
                } else {
                  uploadObj.status = "cancelled";
                }
                this.checkPendingUploads();
              });
            }
          }
        }
      }, 1e3, {
        "leading": true,
        "trailing": false
      });
      if (!data || !data.uuid) {
        startUploading();
        return;
      }
      const recordedFileName = ($t("meeting.meeting_recording") + "-" + now({ moment: true }).unix()).kebabCase() + ".webm";
      if (!this.recordedFilesToUpload) {
        this.recordedFilesToUpload = [];
      }
      this.recordedFilesToUpload.unshift({
        uuid: uuid(),
        chunk: data.chunk,
        blob: data.blob,
        mime: data.blob.type,
        requestUuid: data.uuid,
        order: data.order,
        status: "waiting",
        name: recordedFileName,
        progress: 0,
        error: null,
        download: null
      });
      startUploading();
      this.checkPendingUploads();
    },
    uploadRecorded(blob, recorderInstance, recordedFileName) {
      const startUploading = () => {
        const filesToUpload = this.recordedFilesToUpload.filter((obj) => obj.status === "waiting" && !obj.chunk);
        if (filesToUpload.length) {
          let onUploadProgressArr = [];
          const CancelToken = axios.CancelToken;
          this.recordedFilesToUpload.forEach((upl, index) => {
            const uploadObj = this.recordedFilesToUpload[index];
            uploadObj.download = downloadRecorded;
            onUploadProgressArr[index] = (progressEvent) => {
              uploadObj.progress = Math.round(progressEvent.loaded * 100 / progressEvent.total);
            };
            if (uploadObj.status === "waiting") {
              let formData = new FormData();
              formData.append("file", uploadObj.file);
              formData.append("mime", uploadObj.file.type);
              formData.append("request_uuid", uploadObj.uuid);
              uploadObj.status = "uploading";
              let cancelToken = new CancelToken((c) => {
                uploadObj.cancel = c;
              });
              uploadFile({
                url: `/${this.initUrl}/${this.uuid}/recordings`,
                data: formData,
                silent: true
              }, onUploadProgressArr[index], cancelToken).then((response) => {
                uploadObj.status = "uploaded";
                delete uploadObj.cancel;
                this.checkPendingUploads();
                window.setTimeout(() => {
                  delete this.recordedFilesToUpload.splice(this.recordedFilesToUpload.findIndex((f) => f.uuid === uploadObj.uuid), 1);
                  this.checkPendingUploads();
                }, 3e3);
              }).catch((thrown) => {
                if (thrown.response && thrown.response.data) {
                  const data = thrown.response.data || {};
                  const errors = data.errors ? formUtil.assignErrors(data.errors) : {};
                  uploadObj.error = errors.message;
                  uploadObj.status = "error";
                  this.$toasted.error(errors.message, this.$toastConfig.error);
                } else {
                  uploadObj.status = "cancelled";
                }
                this.checkPendingUploads();
              });
            }
          });
        }
      };
      const downloadRecorded = (seekableBlob) => {
        const recordedVideo = URL.createObjectURL(seekableBlob);
        const downloadLinkBtn = document.createElement("a");
        RecordRTC.invokeSaveAsDialog(seekableBlob, recordedFileName);
        downloadLinkBtn.style.display = "none";
        downloadLinkBtn.href = recordedVideo;
        downloadLinkBtn.download = recordedFileName;
        document.body.appendChild(downloadLinkBtn);
        window.setTimeout(() => {
          document.body.removeChild(downloadLinkBtn);
          window.URL.revokeObjectURL(downloadLinkBtn);
          this.recorded = false;
        }, 100);
      };
      const recFormat = this.recordingConfigs && this.recordingConfigs.mimeType ? this.recordingConfigs.mimeType : "video/webm";
      const fileObject = new File([blob], recordedFileName, {
        type: recFormat
      });
      if (fileObject.size > this.configs.system.postMaxSize) {
        this.$toasted.error(this.$t("global.file_too_large", { attribute: fileObject.name }), this.$toastConfig.error);
      } else {
        if (!this.recordedFilesToUpload) {
          this.recordedFilesToUpload = [];
        }
        this.recordedFilesToUpload.unshift({
          uuid: uuid(),
          chunk: false,
          blob,
          file: fileObject,
          status: "waiting",
          progress: 0,
          error: null
        });
        startUploading();
      }
      this.checkPendingUploads();
      recorderInstance.reset();
      this.recorder = null;
    },
    stopStream(stream) {
      if (!stream) {
        return;
      }
      try {
        stream.getTracks().forEach((track) => {
          track.enabled = false;
          track.stop();
        });
      } catch (e) {
        logger$1.error(e);
      }
    },
    captureLocalStream({ success, failed }) {
      var _a, _b, _c;
      saveToStorage(`${this.vars.localStorageKey}_selected_device`, this.selectedDevices);
      if (!this.meetingRules.sendVideo) {
        this.selectedDevices.enableCamera = false;
      }
      if (!this.meetingRules.sendAudio) {
        this.selectedDevices.enableMicrophone = false;
      }
      this.mediaConstraints.video = this.selectedDevices.enableCamera;
      this.mediaConstraints.audio = this.selectedDevices.enableMicrophone;
      if (!this.mediaConstraints.video && !this.mediaConstraints.audio) {
        this.stopStream(this.localStream || ((_a = this.$refs.localStreamElement) == null ? void 0 : _a.srcObject));
        this.localStream = null;
        if (this.$refs.localStreamElement) {
          this.$refs.localStreamElement.srcObject = null;
        }
        if (_.isFunction(success)) {
          success();
        }
        return;
      }
      const audioSource = (_b = this.selectedDevices.mic) == null ? void 0 : _b.deviceId;
      const videoSource = (_c = this.selectedDevices.cam) == null ? void 0 : _c.deviceId;
      let gumConstraints = {};
      if (this.mediaConstraints.audio) {
        gumConstraints.audio = {
          deviceId: audioSource ? { exact: audioSource } : void 0
        };
      }
      if (this.mediaConstraints.video) {
        gumConstraints.video = {
          ...defaultVideoConstraints
        };
        if (this.selectedDevices.resolution) {
          const selectedResolution = this.mediaDevices.resolutions.find((r) => r.uuid === this.selectedDevices.resolution);
          if (selectedResolution) {
            gumConstraints.video.width = {
              exact: selectedResolution.constraints.width
            };
            gumConstraints.video.height = {
              exact: selectedResolution.constraints.height
            };
          }
        }
        if (this.selectedDevices.facingMode) {
          gumConstraints.video.facingMode = { exact: this.selectedDevices.facingMode };
        } else {
          gumConstraints.video.deviceId = videoSource ? { exact: videoSource } : void 0;
        }
      }
      logger$1.log("captureLocalStream gumConstraints", gumConstraints);
      navigator.mediaDevices.getUserMedia(gumConstraints).then((newStream) => {
        var _a2;
        const streamToStop = this.localStream || ((_a2 = this.$refs.localStreamElement) == null ? void 0 : _a2.srcObject);
        this.localStream = newStream;
        if (this.$refs.localStreamElement) {
          this.$refs.localStreamElement.srcObject = newStream;
          this.$refs.localStreamElement.controls = false;
        }
        window.setTimeout(() => {
          this.stopStream(streamToStop);
        }, 3e3);
        if (_.isFunction(success)) {
          success(newStream);
        }
        return newStream;
      }).catch((error) => {
        if (_.isFunction(success)) {
          failed(error);
        }
        logger$1.error("getUserMedia error: ", error.message, error.name);
        if (error.name === "NotFoundError" || error.name === "NotReadableError") {
          this.$toasted.error($t("meeting.media_devices.not_found_or_unreadable"), this.$toastConfig.error);
        } else if (error.name === "OverconstrainedError") {
          this.$toasted.error($t("meeting.media_devices.reset_and_try_again"), this.$toastConfig.error);
          this.selectedDevices.resolution = null;
        } else if (error.name === "NotAllowedError" || error.name === "PermissionDeniedError") {
          this.$toasted.error($t("meeting.media_devices.permission_denied"), this.$toastConfig.error);
        } else {
          this.$toasted.error($t("meeting.media_devices.unknown_error"), this.$toastConfig.error);
        }
        removeFromStorage(`${this.vars.localStorageKey}_selected_device`);
      });
    },
    startGreenroom(opts = {}) {
      logger$1.log("StartGreenroom called!");
      this.statusMessage = this.$t("meeting.status_message.connecting");
      if (!this.greenroomStarted) {
        this.checkLastSelectedDevices();
      }
      this.captureLocalStream({
        success: (stream = null) => {
          this.greenroomStarted = true;
          this.statusMessage = this.$t("meeting.status_message.ready");
          if (_.isFunction(opts.callback)) {
            opts.callback(stream);
          }
        },
        failed: (error) => {
          logger$1.error(error);
          this.statusMessage = this.$t("meeting.status_message.failed");
        }
      });
    },
    updateGreenroom() {
      this.startGreenroom({
        callback: (stream = null) => {
          if (!this.isMeetingLive || this.localBlurredStream) {
            return;
          }
          this.statusMessage = $t("meeting.status_message.live");
          this.updatePublishedFeed({
            stream: this.localStream,
            info: {
              from: "cam",
              mirroredVideo: this.pageConfigs.mirroredVideo
            },
            mediaConstraints: this.mediaConstraints
          });
        }
      });
    },
    toggleLocalCamera($event, enableCamera) {
      this.statusMessage = this.$t("meeting.status_message.connecting");
      if (this.localBlurredStream && !enableCamera) {
        this.unblurLocalStream();
      }
      this.selectedDevices.enableCamera = enableCamera != null ? enableCamera : !this.selectedDevices.enableCamera;
      this.updateGreenroom();
    },
    toggleLocalMicrophone($event, enableMicrophone) {
      this.statusMessage = this.$t("meeting.status_message.connecting");
      this.selectedDevices.enableMicrophone = enableMicrophone != null ? enableMicrophone : !this.selectedDevices.enableMicrophone;
      this.updateGreenroom();
    },
    changeLocalVideoDevice(device2 = null) {
      this.statusMessage = this.$t("meeting.status_message.changing_device");
      this.selectedDevices.cam = device2;
      this.selectedDevices.enableCamera = true;
      this.selectedDevices.facingMode = null;
      if (device2.label) {
        this.selectedDevices.camDirection = /front/i.test(device2.label) ? "user" : /rear/i.test(device2.label) || /back/i.test(device2.label) ? "environment" : null;
      }
      this.updateGreenroom();
    },
    changeLocalVideoResolution(res = null) {
      this.statusMessage = this.$t("meeting.status_message.changing_device");
      this.selectedDevices.resolution = this.selectedDevices.resolution === res.uuid ? null : res.uuid;
      this.selectedDevices.enableCamera = true;
      this.updateGreenroom();
    },
    changeLocalAudioDevice(device2 = null) {
      this.statusMessage = this.$t("meeting.status_message.changing_device");
      this.selectedDevices.mic = device2;
      this.selectedDevices.enableMicrophone = true;
      this.updateGreenroom();
    },
    switchFacingMode() {
      this.statusMessage = this.$t("meeting.status_message.changing_device");
      if (this.selectedDevices.cam && this.selectedDevices.cam.label) {
        this.selectedDevices.facingMode = /front/i.test(device.label) ? "user" : /rear/i.test(device.label) || /back/i.test(device.label) ? "environment" : null;
      }
      this.selectedDevices.facingMode = this.selectedDevices.facingMode === "user" ? "environment" : "user";
      this.selectedDevices.camDirection = this.selectedDevices.facingMode;
      this.selectedDevices.cam = null;
      this.selectedDevices.resolution = null;
      this.selectedDevices.enableCamera = true;
      this.updateGreenroom();
    },
    blurLocalStream() {
      const vm = this;
      const videoElement = this.$refs.localStreamElement;
      const canvasElement = this.$refs.localBlurredStreamElement;
      let videoElementReady = true;
      const context = canvasElement.getContext("2d");
      this.pageConfigs.backgroundBlur = true;
      const setWidthHeight = () => {
        const vWidth = videoElement.videoWidth || videoElement.clientWidth;
        const vHeight = videoElement.videoHeight || videoElement.clientHeight;
        videoElement.width = vWidth;
        videoElement.height = vHeight;
        canvasElement.width = vWidth;
        canvasElement.height = vHeight;
      };
      setWidthHeight();
      context.fillStyle = "black";
      context.fillRect(0, 0, canvasElement.width, canvasElement.height);
      videoElement.addEventListener("playing", (e) => {
        videoElementReady = true;
      });
      videoElement.addEventListener("emptied", (e) => {
        videoElementReady = false;
      });
      videoElement.addEventListener("suspend", (e) => {
        videoElementReady = false;
      });
      videoElement.addEventListener("ended", (e) => {
        logger$1.log("videoElement: ended", e);
      });
      videoElement.addEventListener("pause", (e) => {
        logger$1.log("videoElement: pause", e);
      });
      videoElement.addEventListener("play", (e) => {
        logger$1.log("videoElement: play", e);
      });
      videoElement.addEventListener("waiting", (e) => {
        logger$1.log("videoElement: waiting", e);
      });
      const loadBodyPix = async () => {
        try {
          getBackend();
          bodyPixNet = await load({
            architecture: "MobileNetV1",
            multiplier: 0.75,
            outputStride: 16,
            quantBytes: 2
          });
          this.localBlurredStream = canvasElement.captureStream();
          const audioTrack = this.localStream.getAudioTracks()[0];
          if (this.localBlurredStream && audioTrack) {
            logger$1.log("blurLocalStream - Audio Track added!");
            this.localBlurredStream.addTrack(audioTrack.clone());
          }
          if (this.isMeetingLive) {
            this.updatePublishedFeed({
              stream: this.localBlurredStream,
              info: {
                from: "cam",
                mirroredVideo: false
              },
              mediaConstraints: this.mediaConstraints,
              action: "blur"
            });
          }
          perform(bodyPixNet);
        } catch (err) {
          logger$1.error(err);
        }
      };
      const backgroundBlurAmount = 10;
      const edgeBlurAmount = 3;
      const perform = async (net) => {
        while (vm.pageConfigs.backgroundBlur && net && vm.selectedDevices.enableCamera && videoElementReady) {
          const segmentation = await net.segmentPerson(videoElement, {
            flipHorizontal: false,
            internalResolution: "medium",
            segmentationThreshold: 0.7,
            maxDetections: 3,
            scoreThreshold: 0.2,
            nmsRadius: 20,
            minKeypointScore: 0.3,
            refineSteps: 10
          });
          drawBokehEffect(canvasElement, videoElement, segmentation, backgroundBlurAmount, edgeBlurAmount, vm.pageConfigs.mirroredVideo);
        }
        if (vm.pageConfigs.backgroundBlur && net && vm.selectedDevices.enableCamera) {
          window.setTimeout(() => {
            perform(net);
          }, 1e3);
        } else {
          this.unblurLocalStream();
        }
      };
      loadBodyPix();
    },
    unblurLocalStream() {
      this.pageConfigs.backgroundBlur = false;
      if (bodyPixNet) {
        bodyPixNet.dispose();
        bodyPixNet = null;
      }
      if (this.localBlurredStream) {
        const blurredStream = this.localBlurredStream;
        this.localBlurredStream = null;
        if (this.isMeetingLive) {
          this.updateGreenroom();
        }
        window.setTimeout(() => {
          blurredStream.getVideoTracks().forEach((track) => {
            track.enabled = false;
            track.stop();
          });
        }, 1e3);
      }
    },
    captureScreenStream({ constraints, success, failed }) {
      this.stopSharingScreen();
      let gdmConstraints = constraints ? constraints : {
        video: {
          cursor: "always"
        },
        audio: false
      };
      navigator.mediaDevices.getDisplayMedia(gdmConstraints).then((newStream) => {
        this.localScreenStream = newStream;
        if (this.$refs.localScreenStreamElement) {
          this.$refs.localScreenStreamElement.srcObject = newStream;
          this.$refs.localScreenStreamElement.controls = false;
        }
        if (_.isFunction(success)) {
          success(newStream);
        }
      }).catch((error) => {
        if (_.isFunction(success)) {
          failed(error);
        }
        logger$1.log("getDisplayMedia error: ", error.message, error.name);
      });
    },
    shareScreen() {
      this.captureScreenStream({
        success: (stream) => {
          stream.getTracks().forEach((track) => {
            track.addEventListener("ended", this.stopSharingScreen);
          });
          this.publishFeed({
            stream: this.localScreenStream,
            info: {
              from: "screen",
              mirroredVideo: false
            },
            callback: () => {
              this.addStreamToRecord(this.localScreenStream);
            }
          });
        },
        failed: (error) => {
          this.statusMessage = this.$t("meeting.status_message.failed");
        }
      });
    },
    stopSharingScreen() {
      var _a;
      logger$1.log("stopSharingScreen called");
      const existingStream = this.localScreenStream || ((_a = this.$refs.localScreenStreamElement) == null ? void 0 : _a.srcObject);
      if (!existingStream) {
        return;
      }
      this.updatePublishedFeed({
        stream: false,
        info: {
          from: "screen",
          mirroredVideo: false
        },
        action: "remove"
      });
      window.setTimeout(() => {
        try {
          existingStream.getTracks().forEach((track) => {
            logger$1.log("stopSharingScreen called - screenStream tracks stopping");
            track.removeEventListener("ended", this.stopSharingScreen);
            track.enabled = false;
            track.stop();
          });
        } catch (e) {
          logger$1.error(e);
        }
      }, 1e3);
      this.localScreenStream = null;
      if (this.$refs.localScreenStreamElement) {
        this.$refs.localScreenStreamElement.srcObject = null;
      }
    },
    captureWhiteboardStream() {
      if (!this.canvasDesigner) {
        this.initCanvasDesigner();
      }
      const getWhiteboardCanvas = (id = "main-canvas") => {
        const iframeInstance = this.canvasDesigner.iframe;
        if (!iframeInstance) {
          return;
        }
        const innerDoc = iframeInstance.contentDocument ? iframeInstance.contentDocument : iframeInstance.contentWindow.document;
        if (!innerDoc) {
          return;
        }
        const canvas = innerDoc.getElementById(id);
        return canvas;
      };
      const forceEmptyDrawing = (transparent = false) => {
        const drawIt = (canvas) => {
          if (!canvas) {
            return;
          }
          const ctx = canvas.getContext("2d");
          if (!transparent) {
            ctx.fillStyle = "white";
            ctx.fillRect(0, 0, canvas.width, canvas.height);
          }
          const alpha = ctx.globalAlpha;
          ctx.globalAlpha = 0;
          ctx.fillRect(0, 0, 1, 1);
          ctx.globalAlpha = alpha;
        };
        const mainCanvas = getWhiteboardCanvas();
        drawIt(mainCanvas);
        const tempCanvas = getWhiteboardCanvas("temp-canvas");
        drawIt(tempCanvas);
      };
      const gotWhiteboardStream = (newStream) => {
        if (!newStream) {
          return;
        }
        this.localWhiteboardStream = newStream;
        if (this.$refs.localWhiteboardStreamElement) {
          this.$refs.localWhiteboardStreamElement.srcObject = newStream;
          this.$refs.localWhiteboardStreamElement.controls = false;
        }
        if (this.meetingConfigs.rtcLibrary === "janus") {
          this.localWhiteboardStream.getTracks().forEach((track) => {
            track.addEventListener("mute", (event) => {
              forceEmptyDrawing(true);
            });
          });
        }
        forceEmptyDrawing();
        this.publishFeed({
          stream: this.localWhiteboardStream,
          info: {
            from: "whiteboard",
            mirroredVideo: false
          },
          callback: () => {
            window.setTimeout(() => {
              forceEmptyDrawing();
            }, 2e3);
            this.addStreamToRecord(this.localWhiteboardStream);
          }
        });
      };
      if (!this.$refs.whiteboard || !CanvasDesigner) {
        return;
      }
      this.canvasDesigner.addSyncListener((data) => {
        RTCAPI.sendMessage({
          type: "whiteboard",
          data
        });
      });
      this.canvasDesigner.setSelected("pencil");
      this.canvasDesigner.setTools({
        pencil: true,
        text: true,
        image: true,
        pdf: true,
        eraser: true,
        line: true,
        arrow: true,
        dragSingle: true,
        dragMultiple: true,
        arc: true,
        rectangle: true,
        quadratic: true,
        bezier: true,
        marker: true,
        zoom: false,
        lineWidth: true,
        colorsPicker: true,
        extraOptions: false,
        code: false,
        undo: true
      });
      if (!this.canvasDesigner.iframe) {
        this.canvasDesigner.appendTo(this.$refs.whiteboard, () => {
          forceEmptyDrawing();
          const canvas = getWhiteboardCanvas();
          gotWhiteboardStream(canvas.captureStream(30));
        });
      }
    },
    destroyWhiteboard() {
      var _a;
      if (this.canvasDesigner) {
        this.canvasDesigner.destroy();
        this.canvasDesigner = null;
      }
      const existingStream = this.localWhiteboardStream || ((_a = this.$refs.localWhiteboardStreamElement) == null ? void 0 : _a.srcObject);
      if (!existingStream) {
        return;
      }
      this.updatePublishedFeed({
        stream: false,
        info: {
          from: "whiteboard",
          mirroredVideo: false
        },
        action: "remove"
      });
      this.stopStream(existingStream);
      this.localWhiteboardStream = null;
      if (this.$refs.localWhiteboardStreamElement) {
        this.$refs.localWhiteboardStreamElement.srcObject = null;
      }
    },
    handlePlay(feedItem2) {
      if (!this.feedsList.length || !feedItem2) {
        return;
      }
      const selectedIndex2 = this.feedsList.findIndex((f) => f.key === feedItem2.key);
      this.feedsList[selectedIndex2].playing = true;
    },
    playStream(feedItem2) {
      if (!this.feedsList.length || !feedItem2) {
        return;
      }
      const selectedIndex2 = this.feedsList.findIndex((f) => f.key === feedItem2.key);
      this.feedsList[selectedIndex2].playing = !this.feedsList[selectedIndex2].playing;
      const feedsElements = this.$refs.feedsElements;
      if (!feedsElements) {
        return;
      }
      const parentElement = feedsElements.find((v) => v.id === feedItem2.key);
      if (!parentElement) {
        return;
      }
      const videoElem = parentElement.getElementsByClassName(`${feedItem2.key}-video`)[0];
      if (videoElem) {
        videoElem.play();
      }
    },
    refreshStreams() {
      if (!this.feedsList.length) {
        return;
      }
      this.isLoading = true;
      const feedsBackup = _.cloneDeep(this.feedsList);
      this.feedsList.splice(0);
      window.setTimeout(() => {
        this.isLoading = false;
        if (feedsBackup && feedsBackup.length) {
          feedsBackup.forEach((f) => {
            this.feedsList.push(f);
            const feed = _.cloneDeep(f);
            this.$nextTick(() => {
              window.setTimeout(() => {
                this.setFeedElementSrc({
                  feed,
                  audioTrack: feed.audio,
                  videoTrack: feed.video
                });
              }, 500);
            });
          });
        }
      }, 1e3);
    },
    toggleRemoteAudio(feedItem2) {
      if (!this.feedsList.length || !feedItem2) {
        return;
      }
      const selectedIndex2 = this.feedsList.findIndex((f) => f.key === feedItem2.key);
      this.feedsList[selectedIndex2].audioMuted = !this.feedsList[selectedIndex2].audioMuted;
      const feedsElements = this.$refs.feedsElements;
      if (!feedsElements) {
        return;
      }
      const parentElement = feedsElements.find((v) => v.id === feedItem2.key);
      if (!parentElement) {
        return;
      }
      const videoElem = parentElement.getElementsByClassName(`${feedItem2.key}-video`)[0];
      if (videoElem) {
        videoElem.muted = this.feedsList[selectedIndex2].audioMuted;
      }
    },
    getRTCSessionOptions() {
      return {
        room: this.meeting.roomId,
        user: this.user,
        config: {
          maxParticipants: this.meetingConfigs.maxParticipantCount,
          ...this.pageConfigs
        },
        meeting: this.meeting,
        meetingRules: this.meetingRules,
        meetingConfigs: this.meetingConfigs,
        mediaConstraints: this.mediaConstraints
      };
    },
    getLocalStreamToPublish() {
      let stream = this.localStream;
      let mirroredVideo = this.pageConfigs.mirroredVideo;
      if (this.pageConfigs.backgroundBlur && this.localBlurredStream) {
        stream = this.localBlurredStream;
        mirroredVideo = false;
      }
      return {
        stream,
        mirroredVideo
      };
    },
    startMeeting() {
      const rtcSessionOptions = this.getRTCSessionOptions();
      RTCAPI.startMeeting(rtcSessionOptions);
    },
    joinMeeting() {
      const rtcSessionOptions = this.getRTCSessionOptions();
      RTCAPI.joinMeeting(rtcSessionOptions);
      this.startKeepAlivePolling();
      this.startMeetingTimer();
    },
    leaveMeeting() {
      this.closeRTCAPI({
        callback: () => {
          RTCAPI.leaveMeeting({
            feeds: this.getFeedsToRemove()
          });
        }
      });
    },
    publishFeed({ stream, info = null, callback }) {
      try {
        RTCAPI.publishFeed({
          stream,
          info
        });
        if (callback) {
          callback();
        }
      } catch (error) {
        logger$1.error("error: ", error);
        formUtil.handleErrors(error);
      }
    },
    updatePublishedFeed({ stream, info = null, mediaConstraints = null, action, callback }) {
      try {
        RTCAPI.updatePublishedFeed({
          stream,
          info,
          mediaConstraints,
          action
        });
        if (callback) {
          callback();
        }
      } catch (error) {
        logger$1.error("error: ", error);
        formUtil.handleErrors(error);
      }
    },
    checkRoomStatus() {
      if (!RTCAPI) {
        this.isRoomOnline = false;
        window.setTimeout(() => {
          this.checkRoomStatus();
        }, 1e3);
        return;
      }
      RTCAPI.roomExists({
        room: this.meeting.roomId,
        yes: () => {
          this.isRoomOnline = true;
        },
        no: () => {
          this.isRoomOnline = false;
        }
      });
    },
    onSessionCreated() {
      this.statusMessage = $t("meeting.status_message.ready");
      if (this.meeting.roomId && this.meeting.status === "live") {
        this.checkRoomStatus();
        if (this.afterSessionIsCreated && typeof this.afterSessionIsCreated === "function") {
          this.afterSessionIsCreated();
        }
      }
      this.isSidebarLoading = false;
    },
    onCreateRoomError(error) {
      this.isLoading = false;
      this.isSidebarLoading = false;
      formUtil.handleErrors(error);
    },
    onSessionCreateError(error) {
      this.isLoading = false;
      this.isSidebarLoading = false;
      formUtil.handleErrors(error);
    },
    onRoomCreated(roomId) {
      this.isMeetingLive = true;
      this.toggleLayout(this.meetingConfigs.lastLayout);
      this.statusMessage = $t("meeting.status_message.going_live");
      this.updatePage(true);
      this.autoOpenChat();
      this.whisperChannel(window.meetingChannel, "MeetingRoomCreated", {
        roomId
      });
      this.meetingAction({
        action: "alert",
        loaderVar: "isSidebarLoading",
        params: {
          type: "MeetingRoomCreated",
          data: {
            roomId
          }
        },
        callback: () => {
        }
      });
      let toPublish = this.getLocalStreamToPublish();
      if (!toPublish.stream) {
        this.statusMessage = $t("meeting.status_message.live");
        return;
      }
      this.publishFeed({
        stream: toPublish.stream,
        info: {
          from: "cam",
          mirroredVideo: toPublish.mirroredVideo
        },
        callback: () => {
          this.statusMessage = $t("meeting.status_message.live");
          if (this.meetingConfigs.enableAutoRecording) {
            window.setTimeout(() => {
              this.startRecording(null, toPublish.stream);
            }, 1e3);
          }
        }
      });
      this.isSidebarLoading = false;
      if (this.pageQueries.iframe && window.parent && window.parent.meetingIframeLoaded) {
        window.parent.meetingIframeLoaded();
        return;
      }
    },
    onRoomJoined() {
      this.isMeetingLive = true;
      this.toggleLayout(this.meetingConfigs.lastLayout);
      this.statusMessage = $t("meeting.status_message.going_live");
      this.updatePage();
      this.autoOpenChat();
      this.setupLiveParticipantsFeeds();
      this.getPolls(this.anyLivePoll);
      if (this.meetingRules.sendAudio || this.meetingRules.sendVideo) {
        let toPublish = this.getLocalStreamToPublish();
        if (!toPublish.stream) {
          this.statusMessage = $t("meeting.status_message.live");
          return;
        }
        this.publishFeed({
          stream: toPublish.stream,
          info: {
            from: "cam",
            mirroredVideo: toPublish.mirroredVideo
          },
          callback: () => {
            this.statusMessage = $t("meeting.status_message.live");
          }
        });
      } else {
        this.statusMessage = $t("meeting.status_message.live");
      }
      this.isSidebarLoading = false;
      if (this.pageQueries.iframe && window.parent && window.parent.meetingIframeLoaded) {
        window.parent.meetingIframeLoaded();
        return;
      }
    },
    onRoomFullError() {
      this.isLoading = false;
      this.isSidebarLoading = false;
      this.$toasted.error($t("meeting.room_full"), this.$toastConfig.error);
    },
    onJoinRoomError() {
      this.isLoading = false;
      this.isSidebarLoading = false;
      this.$toasted.error($t("meeting.unable_to_join"), this.$toastConfig.error);
      this.checkRoomStatus();
    },
    onRoomNotFound() {
      this.isLoading = false;
      this.isSidebarLoading = false;
      this.checkRoomStatus();
      if (this.pageQueries.autoStart) {
        window.setTimeout(this.getOnline, 1e3);
        return;
      }
      this.$toasted.error($t("meeting.room_not_found"), this.$toastConfig.error);
    },
    onGotError(error) {
      this.isLoading = false;
      this.isSidebarLoading = false;
      this.statusMessage = $t("meeting.status_message.ready");
      formUtil.handleErrors(error);
    },
    onStreamAdded(feed) {
      logger$1.log("onStreamAdded", feed);
      let existingFeed = null;
      logger$1.log("onStreamAdded feedsList", [...this.feedsList]);
      if (this.feedsList.length) {
        existingFeed = this.feedsList.find((f) => f.key === feed.key && f.isScreen === feed.isScreen && f.isWhiteboard === feed.isWhiteboard);
      }
      const feedObject = {
        id: feed.id,
        user: feed.user,
        canModerate: !!feed.canModerate,
        canToggleAudio: !!feed.canToggleAudio,
        canToggleVideo: !!feed.canToggleVideo,
        canHaveStream: !!feed.canHaveStream,
        isHost: !!feed.isHost,
        isInitiator: !!feed.isInitiator,
        mirroredVideo: !!feed.mirroredVideo,
        isScreen: !!feed.isScreen,
        isWhiteboard: !!feed.isWhiteboard,
        isHandUp: !!feed.isHandUp,
        isTalking: !!feed.isTalking,
        audioMid: feed.audioMid,
        videoMid: feed.videoMid,
        simulcast: feed.simulcast
      };
      if (DetectRTC.browser.name.match(/safari/i)) {
        feedObject.playing = false;
      }
      const audioTrack = feed.stream.getAudioTracks()[0];
      let audioTrackToRender = null;
      if ((!feed.kind || feed.kind === "audio") && audioTrack) {
        feedObject.hasAudio = audioTrack.enabled;
      }
      const videoTrack = feed.stream.getVideoTracks()[0];
      let videoTrackToRender = null;
      if ((!feed.kind || feed.kind === "video") && videoTrack) {
        feedObject.hasVideo = videoTrack.enabled;
      }
      if (existingFeed) {
        logger$1.log("onStreamAdded - existingFeed", existingFeed);
        Object.assign(existingFeed, feedObject);
        existingFeed["audio"] = audioTrack || existingFeed["audio"];
        existingFeed["video"] = videoTrack || existingFeed["video"];
        audioTrackToRender = existingFeed["audio"];
        videoTrackToRender = existingFeed["video"];
      } else {
        const newFeed = {
          key: feed.key,
          userId: feed.userId,
          userUuid: feed.user.uuid,
          isFocused: !this.feedsCount,
          audioMuted: false,
          videoMuted: false,
          hasAudio: false,
          hasVideo: false,
          ...feedObject
        };
        newFeed["audio"] = audioTrack;
        newFeed["video"] = videoTrack;
        audioTrackToRender = newFeed["audio"];
        videoTrackToRender = newFeed["video"];
        this.feedsList.push(newFeed);
        logger$1.log("onStreamAdded - New Feed Added", newFeed);
        this.feedsCount = this.feedsCount + 1;
      }
      this.addStreamToRecord(feed.stream);
      window.setTimeout(() => {
        this.setFeedElementSrc({
          feed,
          audioTrack: audioTrackToRender,
          videoTrack: videoTrackToRender
        });
      }, 500);
    },
    onStreamRemoved(feed) {
      logger$1.log("onStreamRemoved", feed);
      let existingFeedIndex = -1;
      if (this.feedsList.length) {
        existingFeedIndex = this.feedsList.findIndex((f) => f.key === feed.key && f.isScreen === feed.isScreen && f.isWhiteboard === feed.isWhiteboard);
      }
      if (existingFeedIndex === -1) {
        logger$1.log("onStreamRemoved - Feed not found", { ...feed });
        return;
      }
      const existingFeed = this.feedsList[existingFeedIndex];
      if (!feed.kind || feed.kind === "audio") {
        existingFeed.hasAudio = false;
      }
      if (!feed.kind || feed.kind === "video") {
        existingFeed.hasVideo = false;
      }
      if (!existingFeed.hasAudio && !existingFeed.hasVideo && (existingFeed.isScreen || existingFeed.isWhiteboard)) {
        this.feedsList.splice(existingFeedIndex, 1);
        this.feedsCount = this.feedsCount - 1;
        this.changeFocus();
        if (!this.feedsList.length && (this.meetingRules.session.oneway && !this.meeting.isHost || this.pageQueries.iframe)) {
          this.getOffline();
        }
        logger$1.log("onStreamRemoved - Feed Removed", { ...existingFeed });
        return;
      }
      this.setFeedElementSrc({
        feed,
        audioTrack: existingFeed.hasAudio ? existingFeed["audio"] : null,
        videoTrack: existingFeed.hasVideo ? existingFeed["video"] : null
      });
      logger$1.log("onStreamRemoved - Stream Removed", { ...existingFeed });
    },
    onStreamUpdated(feed) {
      logger$1.log("onStreamUpdated", feed);
      let existingFeedIndex = -1;
      if (this.feedsList.length) {
        existingFeedIndex = this.feedsList.findIndex((f) => f.key === feed.key);
      }
      if (existingFeedIndex === -1) {
        logger$1.log("onStreamUpdated - Feed not found", { ...feed });
        return;
      }
      const existingFeed = this.feedsList[existingFeedIndex];
      if (feed.info && feed.info.hasOwnProperty("mirroredVideo")) {
        existingFeed.mirroredVideo = feed.info.mirroredVideo;
      }
      existingFeed.paused = false;
      if (feed.type === "paused") {
        existingFeed.paused = true;
        existingFeed.hasAudio = !feed.kind || feed.kind === "audio" ? false : existingFeed.hasAudio;
        existingFeed.hasVideo = !feed.kind || feed.kind === "video" ? false : existingFeed.hasVideo;
        this.setFeedElementSrc({
          feed: existingFeed,
          audioTrack: null,
          videoTrack: null
        });
        logger$1.log("onStreamUpdated - Feed paused", { ...existingFeed });
      } else if (feed.type === "meta-updated") {
        if (!feed.data) {
          return;
        }
        if (_.isObject(feed.data) && feed.data.key) {
          existingFeed[feed.data.key] = feed.data.value;
        } else if (Array.isArray(feed.data) && feed.data.length) {
          feed.data.forEach((meta) => {
            existingFeed[meta.key] = meta.value;
          });
        }
        logger$1.log("onStreamUpdated - Feed meta updated", { ...existingFeed });
      } else {
        if (!feed.kind || feed.kind === "audio") {
          existingFeed.hasAudio = existingFeed["audio"] ? true : false;
        }
        if (!feed.kind || feed.kind === "video") {
          existingFeed.hasVideo = existingFeed["video"] ? true : false;
        }
        this.setFeedElementSrc({
          feed: existingFeed,
          audioTrack: existingFeed["audio"],
          videoTrack: existingFeed["video"]
        });
        logger$1.log("onStreamUpdated - Feed updated", { ...existingFeed });
      }
    },
    onFeedRemoved(feed) {
      logger$1.log("onFeedRemoved", feed);
      if (!(this.feedsList.length && (feed.id || feed.key || feed.userId || feed.userUuid))) {
        logger$1.log("onFeedRemoved - Insufficient data", feed);
        return;
      }
      const feedsToRemove = this.feedsList.filter((f) => feed.id && f.id == feed.id || feed.key && f.key === feed.key || feed.userUuid && f.userUuid === feed.userUuid || feed.userId && f.userId === feed.userId);
      this.removeFeeds(feedsToRemove);
    },
    onParticipantLeft(participant) {
      logger$1.log("onParticipantLeft", participant);
      if (!(this.feedsList.length && (participant.userId || participant.userUuid))) {
        return;
      }
      const feedsToRemove = this.feedsList.filter((f) => participant.userUuid && f.userUuid === participant.userUuid || participant.userId && f.userId === participant.userId);
      this.removeFeeds(feedsToRemove);
    },
    onParticipantJoined(participant) {
      logger$1.log("onParticipantJoined", participant);
      if (!participant) {
        return;
      }
      this.setupLiveParticipantFeed({ ...participant });
    },
    onParticipantsCountChecked(participants = []) {
      if (Array.isArray(participants)) {
        this.participantsCount = participants.length;
        this.liveParticipants = participants;
      } else {
        this.participantsCount = participants;
        this.liveParticipants.splice(0);
      }
      if (this.meetingConfigs.rtcLibrary === "janus") {
        this.numberOfBroadcastViewers = this.participantsCount;
      } else {
        this.participantsCount = this.participantsCount + 1;
      }
      logger$1.log("Checking if there are feeds which needs to be removed", this.feedsList);
      if (this.feedsList.length) {
        const feedsToRemove = this.feedsList.filter((f) => {
          const userUuid = f.user && f.user.uuid ? f.user.uuid : null;
          if (!userUuid) {
            return true;
          }
          const participantIsLive = this.liveParticipants.length && this.liveParticipants.findIndex((p) => p.user && p.user.uuid === userUuid) !== -1;
          return !participantIsLive;
        });
        this.removeFeeds(feedsToRemove);
      }
    },
    onNumberOfBroadcastViewersUpdated(count) {
      this.numberOfBroadcastViewers = count;
    },
    onLeftMeeting() {
      this.isLoading = false;
      this.isSidebarLoading = true;
      if (this.meetingRules.sendAudio || this.meetingRules.sendVideo) {
        this.startGreenroom();
      }
      this.statusMessage = $t("meeting.status_message.disconnected");
      if (this.pageQueries.iframe && window.parent && window.parent.closeCallWindow) {
        window.parent.closeCallWindow();
        return;
      }
      const rtcSessionOptions = this.getRTCSessionOptions();
      RTCAPI.initSession(rtcSessionOptions);
      if (this.meeting && this.meeting.status === "live") {
        this.meetingAction({
          action: "leave",
          loaderVar: "isSidebarLoading",
          callback: () => {
            this.isSidebarLoading = false;
          }
        });
      }
    },
    onRemoteHandToggled(feed) {
      logger$1.log("onRemoteHandToggled", feed);
      const existingFeedIndex = this.feedsList.findIndex((f) => f.key === feed.key);
      if (existingFeedIndex === -1) {
        return;
      }
      const existingFeed = this.feedsList[existingFeedIndex];
      existingFeed.isHandUp = !!feed.isHandUp;
      if (existingFeed.isHandUp) {
        this.$toasted.info($t("meeting.handup_notification", { attribute: existingFeed.user.name }), this.$toastConfig.info);
      }
    },
    onDataChannelOpened(event) {
      logger$1.log("onDataChannelOpened", event);
      if (this.canvasDesigner && this.canvasDesigner.pointsLength > 0) {
        window.setTimeout(function() {
          RTCAPI.sendMessage({
            type: "whiteboard",
            data: "sync-canvas-points"
          });
        }, 1e3);
      }
    },
    onWhiteboardMessageReceived({ data }) {
      logger$1.log("onWhiteboardMessageReceived", data);
      if (!this.canvasDesigner) {
        return;
      }
      if (data === "sync-canvas-points") {
        this.canvasDesigner.sync();
        return;
      }
      this.canvasDesigner.syncData(data);
    },
    onMeetingUpdated(meeting2) {
      if (meeting2.dateUpdated) {
        const getTimezoneDateTime = (dt) => {
          return momentDateTimeTz(dt, this.vars.serverDateTimeFormat);
        };
        this.updateMeetingBackup(meeting2);
        this.meeting.status = meeting2.status;
        this.meeting.startDateTime = getTimezoneDateTime(meeting2.startDateTime);
        if (meeting2.plannedStartDateTime) {
          this.meeting.plannedStartDateTime = getTimezoneDateTime(meeting2.plannedStartDateTime);
        }
        if (meeting2.startedAt) {
          this.meeting.startedAt = getTimezoneDateTime(meeting2.startedAt);
        }
        if (meeting2.estimatedEndTime) {
          this.meeting.estimatedEndTime = getTimezoneDateTime(meeting2.estimatedEndTime);
        }
        if (meeting2.endedAt) {
          this.meeting.endedAt = getTimezoneDateTime(meeting2.endedAt);
        }
      } else if (meeting2.configUpdated) {
        Object.assign(this.meetingConfigs, meeting2.config);
        this.updatePage();
        return;
      }
      if (meeting2.endTimeSnoozed && this.autoEndingToast && this.autoEndingToast.close && _.isFunction(this.autoEndingToast.close)) {
        this.stopAutoEndMeeting();
        swtToast.close();
        this.autoEndingToast = null;
      }
      if (meeting2.autoEndCancelled && this.autoEndingToast && this.autoEndingToast.close && _.isFunction(this.autoEndingToast.close)) {
        this.stopAutoEndMeeting();
        this.meetingConfigs.autoEndMeeting = false;
        swtToast.close();
        this.autoEndingToast = null;
      }
    },
    onMeetingEnded() {
      this.getOffline();
    },
    onSnapshotTaken(info) {
      logger$1.log("onSnapshotTaken", info);
      if (!(this.meetingConfigs.enableSnapshotAlert && info && info.byUser && info.ofUser)) {
        return;
      }
      if (this.meetingConfigs.snapshotAlertToUserOnly) {
        if (this.meetingConfigs.snapshotAlertToModerators) {
          if (this.meeting.canModerate) {
            this.$toasted.info($t("meeting.snapshot_taken_notification_user", { by_user: info.byUser.name, of_user: info.ofUser.name }), this.$toastConfig.info);
            playScreenshot();
          }
        } else if (this.userUuid === info.ofUser.uuid) {
          this.$toasted.info($t("meeting.snapshot_taken_notification_your", { by_user: info.byUser.name }), this.$toastConfig.info);
          playScreenshot();
        }
      } else {
        if (this.userUuid === info.ofUser.uuid) {
          this.$toasted.info($t("meeting.snapshot_taken_notification_your", { by_user: info.byUser.name }), this.$toastConfig.info);
        } else {
          this.$toasted.info($t("meeting.snapshot_taken_notification_user", { by_user: info.byUser.name, of_user: info.ofUser.name }), this.$toastConfig.info);
        }
        playScreenshot();
      }
    },
    onUserBanned(participant) {
      logger$1.log("on onUserBanned", participant);
      if (!(feedItem && (participant.userId || participant.userUuid))) {
        return;
      }
      if (participant.userUuid === this.userUuid) {
        this.getOffline();
        this.$toasted.info($t("meeting.ban_notification"), this.$toastConfig.info);
        return;
      }
      if (!this.feedsList.length) {
        return;
      }
      const feedsToRemove = this.feedsList.filter((f) => participant.userUuid && f.userUuid === participant.userUuid || participant.userId && f.userId === participant.userId);
      this.removeFeeds(feedsToRemove);
    },
    onUserInfoUpdated(info = {}) {
      logger$1.log("on onUserInfoUpdated", info);
      if (!(this.feedsList.length && info.user && (info.userId || info.userUuid))) {
        return;
      }
      this.feedsList.forEach((feed, index) => {
        if (info.userId && feed.userId === info.userId || info.userUuid && feed.userUuid === info.userUuid) {
          Object.assign(this.feedsList[index].user, info.user);
        }
      });
    },
    onToggleRemoteAV(data) {
      logger$1.log("on onToggleRemoteAV", data);
      if (data.userUuid !== "all" && data.userUuid !== this.userUuid) {
        return;
      }
      this.unblurLocalStream();
      window.setTimeout(() => {
        if (!data.target || data.target === "both" || data.target === "audio") {
          if (this.configs.meeting.canToggleAudio) {
            this.toggleLocalMicrophone(null, !!data.enable);
            this.$toasted.info(
              data.enable ? $t("meeting.audio_unmuted_by_moderator") : $t("meeting.audio_muted_by_moderator"),
              this.$toastConfig.info
            );
          }
        }
        if (!data.target || data.target === "both" || data.target === "video") {
          if (this.configs.meeting.canToggleVideo) {
            this.toggleLocalCamera(null, !!data.enable);
            this.$toasted.info(
              data.enable ? $t("meeting.video_unmuted_by_moderator") : $t("meeting.video_muted_by_moderator"),
              this.$toastConfig.info
            );
          }
        }
        if (!data.type || data.type === "permanent") {
          if (!data.target || data.target === "both" || data.target === "audio") {
            if (this.configs.meeting.canToggleAudio) {
              this.meetingConfigs.canToggleAudio = !!data.enable;
            }
          }
          if (!data.target || data.target === "both" || data.target === "video") {
            if (this.configs.meeting.canToggleAudio) {
              this.meetingConfigs.canToggleVideo = !!data.enable;
            }
          }
        }
      }, 1e3);
    },
    onPollPublished(poll) {
      logger$1.log("on onPollPublished", poll);
      if (!this.isMeetingLive) {
        return;
      }
      this.toggleLivePoll(poll);
    },
    onPollResultPublished(poll) {
      logger$1.log("on onPollResultPublished", poll);
      if (!poll || !this.isMeetingLive) {
        return;
      }
      this.showPollResult(poll);
    },
    updateMeetingRules() {
      let newMeetingRules = {};
      if (this.meeting.type.uuid === "video_conference") {
        newMeetingRules = {
          sendAudio: true,
          sendVideo: true,
          receiveAudio: true,
          receiveVideo: true,
          session: {
            audio: true,
            video: true,
            screen: false,
            data: true,
            oneway: false
          }
        };
        this.hasGreenroom = true;
      } else if (this.meeting.type.uuid === "audio_conference") {
        newMeetingRules = {
          sendAudio: true,
          sendVideo: false,
          receiveAudio: true,
          receiveVideo: false,
          session: {
            audio: true,
            video: false,
            screen: false,
            data: true,
            oneway: false
          }
        };
        this.hasGreenroom = true;
      } else if (this.meeting.type.uuid === "webinar") {
        newMeetingRules = this.meeting.canModerate ? {
          sendAudio: true,
          sendVideo: true,
          receiveAudio: false,
          receiveVideo: false,
          session: {
            audio: true,
            video: true,
            screen: false,
            data: true,
            oneway: true,
            broadcast: false
          }
        } : {
          sendAudio: false,
          sendVideo: false,
          receiveAudio: true,
          receiveVideo: true,
          session: {
            audio: false,
            video: false,
            screen: false,
            data: true,
            oneway: true,
            broadcast: false
          }
        };
        this.hasGreenroom = this.meeting.canModerate;
      } else if (this.meeting.type.uuid === "podcast") {
        newMeetingRules = this.meeting.canModerate ? {
          sendAudio: true,
          sendVideo: false,
          receiveAudio: false,
          receiveVideo: false,
          session: {
            audio: true,
            video: false,
            screen: false,
            data: true,
            oneway: true,
            broadcast: false
          }
        } : {
          sendAudio: false,
          sendVideo: false,
          receiveAudio: true,
          receiveVideo: false,
          session: {
            audio: false,
            video: false,
            screen: false,
            data: true,
            oneway: true,
            broadcast: false
          }
        };
        this.hasGreenroom = this.meeting.canModerate;
      } else if (this.meeting.type.uuid === "live_class") {
        newMeetingRules = {
          sendAudio: true,
          sendVideo: true,
          receiveAudio: true,
          receiveVideo: true,
          session: {
            audio: true,
            video: true,
            screen: false,
            data: true,
            oneway: false,
            broadcast: true
          }
        };
        this.hasGreenroom = true;
      }
      Object.assign(this.meetingRules, newMeetingRules);
    },
    updateMeetingTimezone(meetingEntity) {
      const getTimezoneDateTime = (dt) => {
        return momentDateTimeTz(dt, this.vars.serverDateTimeFormat);
      };
      this.updateMeetingBackup(meetingEntity);
      meetingEntity.startDateTime = getTimezoneDateTime(meetingEntity.startDateTime);
      if (meetingEntity.plannedStartDateTime) {
        meetingEntity.plannedStartDateTime = getTimezoneDateTime(meetingEntity.plannedStartDateTime);
      }
      if (meetingEntity.startedAt) {
        meetingEntity.startedAt = getTimezoneDateTime(meetingEntity.startedAt);
      }
      if (meetingEntity.estimatedEndTime) {
        meetingEntity.estimatedEndTime = getTimezoneDateTime(meetingEntity.estimatedEndTime);
      }
      return meetingEntity;
    },
    updateMeetingBackup(e) {
      const data = _.cloneDeep(e);
      this.meetingBackup.status = data.status;
      this.meetingBackup.startDateTime = data.startDateTime;
      this.meetingBackup.plannedStartDateTime = data.plannedStartDateTime;
      this.meetingBackup.startedAt = data.startedAt;
      this.meetingBackup.estimatedEndTime = data.estimatedEndTime;
      this.meetingBackup.endedAt = data.endedAt;
    },
    updatePage(isInitiator = false) {
      const configAudioRecFormat = this.meetingConfigs.recordingFormatAudio || "audio/webm";
      const configVideoRecFormat = this.meetingConfigs.recordingFormatVideo || "video/webm";
      let recordingType = this.recordingConfigs.type;
      let recordingFormat = this.recordingConfigs.mimeType;
      if (this.meeting.type.uuid === "video_conference") {
        this.meetingConfigs.canToggleAudio = true;
        this.meetingConfigs.canToggleVideo = true;
        this.meetingConfigs.layout = this.pageQueries.iframe ? "fullpage" : "grid";
        recordingType = "video";
        recordingFormat = configVideoRecFormat;
      } else if (this.meeting.type.uuid === "audio_conference") {
        this.meetingConfigs.canToggleAudio = true;
        this.meetingConfigs.canToggleVideo = false;
        this.meetingConfigs.layout = "grid";
        recordingType = "audio";
        recordingFormat = configAudioRecFormat;
      } else if (this.meeting.type.uuid === "webinar") {
        this.meetingConfigs.layout = "fullpage";
        if (isInitiator || this.meeting.canModerate) {
          this.meetingConfigs.canToggleAudio = true;
          this.meetingConfigs.canToggleVideo = true;
        } else {
          this.meetingConfigs.canToggleAudio = false;
          this.meetingConfigs.canToggleVideo = false;
          this.meetingConfigs.canShareFiles = false;
          this.meetingConfigs.canShareScreen = false;
          this.meetingConfigs.canRecord = false;
          this.meetingConfigs.canUseWhiteboard = false;
          this.meetingConfigs.canUseHandGesture = false;
        }
        recordingType = "video";
        recordingFormat = configVideoRecFormat;
      } else if (this.meeting.type.uuid === "live_class") {
        if (isInitiator || this.meeting.canModerate) {
          this.meetingConfigs.canToggleAudio = true;
          this.meetingConfigs.canToggleVideo = true;
          this.meetingConfigs.layout = "grid";
        } else {
          this.meetingConfigs.canToggleAudio = true;
          this.meetingConfigs.canToggleVideo = true;
          this.meetingConfigs.canShareFiles = true;
          this.meetingConfigs.canShareScreen = false;
          this.meetingConfigs.canRecord = false;
          this.meetingConfigs.canUseWhiteboard = false;
          this.meetingConfigs.canUseHandGesture = true;
          this.meetingConfigs.canToggleLayout = false;
          this.meetingConfigs.layout = "fullpage";
        }
        recordingType = "video";
        recordingFormat = configVideoRecFormat;
      } else if (this.meeting.type.uuid === "podcast") {
        this.meetingConfigs.layout = "fullpage";
        if (isInitiator || this.meeting.canModerate) {
          this.meetingConfigs.canToggleAudio = true;
          this.meetingConfigs.canToggleVideo = false;
          this.meetingConfigs.canUseWhiteboard = false;
          this.meetingConfigs.canUseHandGesture = false;
        } else {
          this.meetingConfigs.canToggleAudio = false;
          this.meetingConfigs.canToggleVideo = false;
          this.meetingConfigs.canShareFiles = false;
          this.meetingConfigs.canShareScreen = false;
          this.meetingConfigs.canRecord = false;
          this.meetingConfigs.canUseWhiteboard = false;
          this.meetingConfigs.canUseHandGesture = false;
        }
        recordingType = "audio";
        recordingFormat = configAudioRecFormat;
      }
      this.recordingConfigs.type = recordingType;
      this.recordingConfigs.mimeType = recordingFormat;
      this.recordingConfigs.timeSlice = this.meetingConfigs.recordingTimeSlice || 5e3;
      if (this.meetingConfigs.canUseWhiteboard) {
        loadScript("/js/canvas-designer/webrtc-handler.js");
        loadScript("/js/canvas-designer/canvas-designer-widget.js");
      }
      if (this.meetingConfigs.rtcLibrary === "janus") {
        this.meetingConfigs.canShareFiles = false;
      }
    },
    setupLiveParticipantsFeeds() {
      logger$1.log("On setupLiveParticipantsFeeds", this.liveParticipants);
      if (!this.liveParticipants.length) {
        window.setTimeout(this.setupLiveParticipantsFeeds, 1e3);
        return;
      }
      this.liveParticipants.forEach((p) => {
        this.setupLiveParticipantFeed({ ...p });
      });
    },
    setupLiveParticipantFeed(participant) {
      logger$1.log("On setupLiveParticipantFeed", { ...participant });
      if (!(participant && participant.user && participant.user.uuid)) {
        logger$1.log("On setupLiveParticipantFeed - not enough data");
        return;
      }
      if (this.meeting.type.uuid === "live_class" && !(participant.isInitiator || participant.isHost) && !this.meeting.isHost) {
        logger$1.log("On setupLiveParticipantFeed - participant is not host! Dont show!");
        return;
      }
      const user2 = { ...participant.user };
      const userUuid = user2.uuid;
      if (userUuid && userUuid === this.user.uuid) {
        logger$1.log("On setupLiveParticipantFeed - Participant is current user", { ...participant });
        return;
      }
      const participantFeedExists = this.feedsList.findIndex((f) => f.key === userUuid || f.userUuid === userUuid || f.user && f.user.uuid === userUuid) !== -1;
      if (participantFeedExists) {
        logger$1.log("On setupLiveParticipantFeed - Participant exists", { ...participant });
        return;
      }
      const feedObject = {
        id: null,
        key: userUuid,
        userId: participant.userId,
        userUuid,
        user: user2,
        isFocused: !this.feedsCount,
        canModerate: !!participant.canModerate,
        canToggleAudio: !!participant.canToggleAudio,
        canToggleVideo: !!participant.canToggleVideo,
        canHaveStream: !!participant.canHaveStream,
        isHost: !!participant.isHost,
        isInitiator: !!participant.isInitiator,
        mirroredVideo: false,
        isScreen: false,
        isWhiteboard: false,
        isHandUp: false,
        isTalking: false,
        audioMuted: false,
        videoMuted: false,
        hasAudio: false,
        hasVideo: false,
        audio: null,
        video: null
      };
      if (!feedObject.canHaveStream) {
        logger$1.log("On setupLiveParticipantFeed - Participant can not have stream");
        return;
      }
      this.feedsList.push(feedObject);
      logger$1.log("On setupLiveParticipantFeed - New Feed Added", feedObject);
      this.feedsCount = this.feedsCount + 1;
    },
    removeFeeds(feedsToRemove = []) {
      logger$1.log("removeFeeds", feedsToRemove);
      if (feedsToRemove.length) {
        feedsToRemove.forEach((existingFeed) => {
          const existingFeedIndex = this.feedsList.findIndex((f) => f.key === existingFeed.key);
          this.feedsList.splice(existingFeedIndex, 1);
          this.feedsCount = this.feedsCount - 1;
        });
        this.changeFocus();
      }
      if (!this.feedsList.length && (this.meetingRules.session.oneway && !this.meeting.isHost || this.pageQueries.iframe)) {
        this.getOffline();
      }
    },
    getMeeting() {
      this.isLoading = true;
      if (!window.Echo) {
        this.$toasted.error(this.$t("config.pusher.credential_required"), this.$toastConfig.error);
        this.$router.push({ name: this.fallBackRoute });
        return;
      }
      return this.Get({ uuid: this.uuid }).then((response) => {
        var _a, _b;
        if (response.isMeetingRoom) {
          this.fallBackRoute = "appRoomList";
        }
        if (response.identifier && response.isPam && !(this.$route.query && this.$route.query.identifier && this.$route.query.identifier === response.identifier)) {
          this.$router.replace({
            name: this.$route.name,
            params: this.$route.params,
            query: {
              ...this.$route.query,
              identifier: response.identifier
            }
          });
        }
        if (response.isPaid && !response.hasPaid) {
          this.$toasted.error($t("meeting.could_not_join_paid_meeting_without_payment"), this.$toastConfig.error);
          window.setTimeout(() => {
            this.$router.push({
              name: "appMeetingPayment",
              params: {
                uuid: response.uuid
              },
              query: {
                join: true
              }
            });
          }, 1e3);
          return;
        }
        Object.assign(this.meetingConfigs, response.config);
        const selectedLayout = getFromStorage(`${this.vars.localStorageKey}_selected_layout`, false);
        this.meetingConfigs.lastLayout = selectedLayout ? selectedLayout : this.meetingConfigs.layout;
        this.meetingConfigs.enableChat = this.meetingConfigs.enableChat && ((_a = this.configs.chat) == null ? void 0 : _a.enabled) && ((_b = this.subscriptions) == null ? void 0 : _b.userPrivate) ? true : false;
        this.isSidebarLoading = true;
        response = this.updateMeetingTimezone(response);
        Object.assign(this.meeting, response);
        this.updateMeetingRules();
        this.updatePage();
        if (this.isMobile()) {
          this.selectedDevices.facingMode = "user";
          this.selectedDevices.camDirection = "user";
        }
        if (this.meetingRules.sendAudio || this.meetingRules.sendVideo) {
          this.initMediaDevices();
        } else {
          this.isLoading = false;
        }
        this.joinChannel();
        this.initRTCAPI();
        return response;
      }).catch((error) => {
        logger$1.error(error);
        this.isLoading = false;
        this.isSidebarLoading = false;
        formUtil.handleErrors(error);
        return error;
      });
    },
    getOnline() {
      this.isSidebarLoading = true;
      this.showAgenda = false;
      this.statusMessage = $t("meeting.status_message.connecting");
      this.meeting.status;
      this.$gaEvent("engagement", "meeting_getOnline");
      this.meetingAction({
        action: "join",
        loaderVar: "isSidebarLoading",
        callback: () => {
          if (this.meeting.canModerate) {
            this.startMeeting();
            this.startKeepAlivePolling();
            this.startMeetingTimer();
          } else {
            if (this.meetingConfigs.askHostBeforeJoining && this.requestAccessStatus !== "approved") {
              this.requestAccessToJoin();
            } else {
              this.joinMeeting();
            }
          }
        }
      });
    },
    getOffline() {
      if (this.recorder && window.recordingDurationInterval) {
        this.stopRecording();
      }
      this.isLoading = true;
      this.isMeetingLive = false;
      this.showAgenda = false;
      this.showWhiteboard = false;
      this.meetingConfigs.layout = this.meetingConfigs.lastLayout;
      this.statusMessage = $t("meeting.status_message.disconnecting");
      this.$gaEvent("engagement", "meeting_getOffline");
      this.leaveMeeting();
    },
    endMeeting(alert2 = true) {
      const callbackFn = () => {
        this.isLoading = true;
        this.isMeetingLive = false;
        this.showAgenda = false;
        this.showWhiteboard = false;
        this.statusMessage = $t("meeting.status_message.disconnecting");
        this.$gaEvent("engagement", "meeting_endMeeting");
        this.meetingConfigs.layout = this.meetingConfigs.lastLayout;
        this.leaveMeeting();
      };
      if (this.meeting && this.meeting.status === "live") {
        this.meetingAction({
          action: "end",
          loaderVar: "isSidebarLoading",
          alert: alert2 ? "confirm" : null,
          callback: (e) => {
            callbackFn();
            if (e && e.meeting) {
              RTCAPI.sendMessage({
                event: "meetingEnded",
                data: {
                  status: e.meeting.status
                }
              });
            }
          }
        });
      } else {
        callbackFn();
        RTCAPI.sendMessage({
          event: "meetingEnded",
          data: {
            status: "ended"
          }
        });
      }
    },
    cancelMeeting() {
      this.meetingAction({
        action: "cancel",
        loaderVar: "isSidebarLoading",
        alert: "input",
        title: $t("meeting.reason_for_cancellation"),
        inputPlaceholder: $t("meeting.reason_for_cancellation"),
        fieldName: "cancellationReason"
      });
    },
    snoozeMeeting(period) {
      this.meetingAction({
        action: "snooze",
        loaderVar: "isSidebarLoading",
        data: {
          period
        },
        alert: "confirm"
      });
    },
    meetingAction(opts = {}) {
      const loaderVar = opts.loaderVar || "isLoading";
      if (!opts.action) {
        this[loaderVar] = false;
        return;
      }
      const callApi = (dataToSend) => {
        this[loaderVar] = true;
        const data = dataToSend ? dataToSend : opts.data;
        if (opts.action === "end") {
          if (!(this.meeting && this.meeting.status === "live")) {
            return;
          }
        }
        this.Custom({
          url: `/${this.initUrl}/${this.uuid}/${opts.action}`,
          method: opts.method || "post",
          data,
          silent: !!opts.silent
        }).then((response) => {
          if (response.meeting) {
            this.updateMeetingBackup(response.meeting);
            response.meeting = this.updateMeetingTimezone(response.meeting);
            Object.assign(this.meeting, response.meeting);
            let informObj = {
              ...this.meetingBackup,
              dateUpdated: true
            };
            if (opts.inform) {
              informObj = {
                ...informObj,
                ...opts.inform
              };
            }
            this.informAboutMeetingUpdate(informObj);
          }
          if (opts.callback) {
            opts.callback(response);
          } else {
            this[loaderVar] = false;
          }
        }).catch((error) => {
          logger$1.error(error);
          if (opts.callback && opts.sameCallbackIfError) {
            opts.callback(error);
          } else {
            this[loaderVar] = false;
          }
          formUtil.handleErrors(error);
        });
      };
      if (opts.alert === "confirm" || opts.alert === true) {
        formUtil.confirmAction().then((result) => {
          if (result.value) {
            callApi();
          } else {
            this[loaderVar] = false;
            result.dismiss === Swal.DismissReason.cancel;
          }
        });
      } else if (opts.alert === "input") {
        swtAlert.fire({
          title: opts.title,
          input: "text",
          inputPlaceholder: opts.inputPlaceholder,
          showCancelButton: true,
          allowOutsideClick: false,
          allowEscapeKey: false,
          confirmButtonText: $t("general.proceed"),
          cancelButtonText: $t("general.go_back")
        }).then((result) => {
          if (result.value) {
            let toSend = {};
            toSend[opts.fieldName] = result.value;
            callApi(toSend);
          } else {
            this[loaderVar] = false;
            result.dismiss === Swal.DismissReason.cancel;
          }
        });
      } else {
        callApi();
      }
    },
    deletePoll(poll) {
      if (!poll || !this.meeting.canModerate) {
        return;
      }
      this.isPollsLoading = true;
      this.Custom({
        url: `/${this.initUrl}/${this.uuid}/polls/${poll.uuid}`,
        method: "delete"
      }).then((response) => {
        this.isPollsLoading = false;
        this.togglePollsList();
      }).catch((error) => {
        this.isPollsLoading = false;
        formUtil.handleErrors(error);
      });
    },
    publishPoll(poll) {
      if (!poll || !this.meeting.canModerate) {
        return;
      }
      this.isPollsLoading = true;
      this.Custom({
        url: `/${this.initUrl}/${this.uuid}/polls/${poll.uuid}/publish`,
        method: "post"
      }).then((response) => {
        RTCAPI.sendMessage({
          event: "pollPublished",
          data: response
        });
        this.isPollsLoading = false;
        this.togglePollsList();
      }).catch((error) => {
        this.isPollsLoading = false;
        formUtil.handleErrors(error);
      });
    },
    publishPollResult(poll) {
      if (!poll || !this.meeting.canModerate) {
        return;
      }
      if (this.isPollLive(poll)) {
        this.$toasted.error($t("meeting.poll.could_not_publish_result_live_poll"), this.$toastConfig.error);
        return;
      }
      this.isPollsLoading = true;
      if (poll.isResultPublished) {
        RTCAPI.sendMessage({
          event: "pollResultPublished",
          data: poll
        });
        this.isPollsLoading = false;
        this.togglePollsList();
        return;
      }
      this.Custom({
        url: `/${this.initUrl}/${this.uuid}/polls/${poll.uuid}/publish/result`,
        method: "post"
      }).then((response) => {
        RTCAPI.sendMessage({
          event: "pollResultPublished",
          data: response
        });
        this.isPollsLoading = false;
        this.togglePollsList();
      }).catch((error) => {
        this.isPollsLoading = false;
        formUtil.handleErrors(error);
      });
    },
    getPolls(callback) {
      logger$1.log("getPolls called");
      if (!this.meetingConfigs.enablePoll) {
        return;
      }
      this.isPollsLoading = true;
      this.Custom({
        url: `/${this.initUrl}/${this.uuid}/polls`
      }).then((response) => {
        logger$1.log("getPolls - response", response);
        this.polls.splice(0);
        this.polls.push(...response.data);
        this.isPollsLoading = false;
        if (callback && _.isFunction(callback)) {
          callback(response);
        }
      }).catch((error) => {
        this.isPollsLoading = false;
        formUtil.handleErrors(error);
      });
    },
    requestAccessToJoin() {
      this.requestAccessStatus = "pending";
      this.meetingAction({
        action: "joining-request",
        loaderVar: "isSidebarLoading",
        method: "post",
        data: {
          user: this.user
        },
        callback: (e) => {
        }
      });
    },
    respondToJoiningRequest(data) {
      this.meetingAction({
        action: "joining-request-response",
        loaderVar: "isSilentLoading",
        method: "post",
        data,
        silent: true
      });
    },
    changeMeetingConfigsFormData(configFormData = {}) {
      Object.assign(this.meetingConfigsFormData, configFormData);
    },
    saveMeetingConfig() {
      if (formUtil.isUnchanged(this.meetingConfigs, this.meetingConfigsFormData)) {
        this.$toasted.info(this.$t("general.nothing_changed"), this.$toastConfig.info);
        return false;
      }
      this.isMeetingConfigsLoading = true;
      this.Custom({
        url: `/${this.initUrl}/${this.uuid}/config`,
        method: "post",
        data: this.meetingConfigsFormData
      }).then((response) => {
        if (response.meeting && response.meeting.config) {
          if (this.meetingConfigs.rtcLibrary !== response.meeting.config.rtcLibrary) {
            this.isSidebarLoading = true;
            this.$toasted.info($t("meeting.config.rtc_library_changed") + " " + $t("general.reloading_page"), this.$toastConfig.info);
            window.setTimeout(() => {
              location.reload();
            }, 3e3);
          }
          Object.assign(this.meetingConfigs, response.meeting.config);
          this.updatePage();
        }
        this.toggleMeetingConfig();
        this.isMeetingConfigsLoading = false;
        this.$toasted.success(response.message, this.$toastConfig);
      }).catch((error) => {
        this.isMeetingConfigsLoading = false;
        formUtil.handleErrors(error);
      });
    },
    joinChannel() {
      if (!window.Echo) {
        return;
      }
      if (this.meeting.isPam) {
        window.meetingChannel = window.Echo.channel(`MeetingGuest.${this.uuid}`);
      } else {
        window.meetingChannel = window.Echo.join(`Meeting.${this.uuid}`);
        window.meetingChannel.here(this.afterJoiningChannel).joining(this.newMemberJoining).leaving(this.memberLeaving);
      }
      window.meetingChannel.listen("MeetingStatusChanged", this.meetingStatusChanged).listen("MeetingConfigUpdated", this.meetingConfigUpdated).listen("PublicMeetingConfigUpdated", this.meetingConfigUpdated).listen("MeetingRoomCreated", this.meetingRoomCreated).listen("PublicMeetingRoomCreated", this.meetingRoomCreated).listen("MeetingJoiningRequestResponse", this.meetingJoiningRequestResponse);
      if (window.EchoOpts && window.EchoOpts.subscriptions && window.EchoOpts.subscriptions.userPrivate) {
        window.EchoOpts.subscriptions.userPrivate.listen("MeetingJoiningRequestResponse", this.meetingJoiningRequestResponse).listen("MeetingJoiningRequestReceived", this.meetingJoiningRequestReceived);
      }
    },
    whisperChannel(channel, method, opts = {}) {
      if (!(channel && channel.whisper && method)) {
        return;
      }
      channel.whisper(method, opts);
    },
    afterJoiningChannel(members) {
      this.membersLive = members;
    },
    newMemberJoining(member) {
      this.membersLive.push(member);
    },
    memberLeaving(member) {
      this.membersLive = this.membersLive.filter((u) => u.uuid !== member.uuid);
    },
    meetingStatusChanged(e) {
      const getTimezoneDateTime = (dt) => {
        return momentDateTimeTz(dt, this.vars.serverDateTimeFormat);
      };
      if (e.uuid === this.meeting.uuid) {
        if (this.meeting.status === e.status && !e.delayed && !e.updated) {
          return;
        } else if (e.updated) {
          this.stopAutoEndMeeting();
        }
        this.updateMeetingBackup(e);
        this.meeting.status = e.status;
        this.meeting.startDateTime = getTimezoneDateTime(e.startDateTime);
        if (this.meeting.plannedStartDateTime) {
          this.meeting.plannedStartDateTime = getTimezoneDateTime(e.plannedStartDateTime);
        }
        if (this.meeting.startedAt) {
          this.meeting.startedAt = getTimezoneDateTime(e.startedAt);
        }
        if (this.meeting.estimatedEndTime) {
          this.meeting.estimatedEndTime = getTimezoneDateTime(e.estimatedEndTime);
        }
        if (this.meeting.status === e.status && !e.delayed) {
          return;
        }
        let meetingStatus = e.status;
        if (meetingStatus === "scheduled" && e.delayed) {
          meetingStatus = "delayed";
        }
        const statusUpdateMessages = {
          "live": "meeting.is_live_now",
          "delayed": "meeting.meeting_delayed",
          "cancelled": "meeting.meeting_cancelled",
          "ended": "meeting.meeting_ended"
        };
        this.$toasted.success($t(statusUpdateMessages[meetingStatus]), this.$toastConfig);
      }
    },
    meetingConfigUpdated(e) {
      if (e.uuid === this.meeting.uuid && e.config) {
        const config = formatKeysToCamelCase(e.config);
        if (this.isMeetingLive) {
          const msg = $t("meeting.meeting_updated") + " " + $t("general.reload_page_now");
          swtAlert.fire({
            title: msg,
            showCancelButton: true,
            allowOutsideClick: false,
            allowEscapeKey: false,
            confirmButtonText: $t("general.yes"),
            cancelButtonText: $t("general.no")
          }).then((result) => {
            if (result.value) {
              location.reload();
            } else {
              result.dismiss === Swal.DismissReason.cancel;
            }
          });
        } else if (this.meetingConfigs.rtcLibrary !== config.rtcLibrary) {
          this.$toasted.info($t("meeting.config.rtc_library_changed") + " " + $t("general.reloading_page"), this.$toastConfig.info);
          window.setTimeout(() => {
            location.reload();
          }, 3e3);
        }
        Object.assign(this.meetingConfigs, config);
        Object.assign(this.meeting.config, config);
        this.$nextTick(() => {
          this.updatePage();
        });
      }
    },
    meetingRoomCreated(e) {
      if (!e) {
        return;
      }
      const data = e.data ? e.data : e;
      this.meeting.roomId = data.roomId;
      this.checkRoomStatus();
    },
    meetingJoiningRequestReceived(e) {
      const data = e && e.data ? e.data : e;
      logger$1.log("meetingJoiningRequestReceived data", data);
      if (!(data.user && this.meeting.isHost && this.meeting.canModerate)) {
        logger$1.log("Insufficient data!");
        return;
      }
      if (this.joiningRequestsApproved.find((u) => u.uuid === data.user.uuid)) {
        logger$1.log("Already approved!");
        this.respondToJoiningRequest({
          user: data.user,
          approved: "yes"
        });
        return;
      }
      this.joiningRequests.push(data.user);
      const askHost = () => {
        if (!this.joiningRequests.length) {
          return;
        }
        const userAsking = { ...this.joiningRequests[0] };
        swtAlert.fire({
          title: $t("meeting.user_trying_to_join", {
            attribute: userAsking.name
          }),
          allowOutsideClick: false,
          showCancelButton: true,
          confirmButtonText: $t("general.accept"),
          cancelButtonText: $t("general.reject")
        }).then((result) => {
          this.joiningRequests.splice(0, 1);
          if (result.value) {
            this.joiningRequestsApproved.push(userAsking);
            this.respondToJoiningRequest({
              user: userAsking,
              approved: "yes"
            });
            askHost();
            return;
          } else {
            this.respondToJoiningRequest({
              user: userAsking,
              approved: "no"
            });
            result.dismiss === Swal.DismissReason.cancel;
            askHost();
            return;
          }
        });
      };
      window.setTimeout(askHost, 300);
    },
    meetingJoiningRequestResponse(e) {
      const data = e && e.data ? e.data : e;
      logger$1.log("meetingJoiningRequestResponse data", data);
      if (!data.user) {
        logger$1.log("Insufficient data!");
        return;
      }
      if (data.user.uuid !== this.user.uuid) {
        return;
      }
      if (data.approved === "yes") {
        this.requestAccessStatus = "approved";
        this.joinMeeting();
      } else {
        this.requestAccessStatus = "rejected";
        this.meeting.status = "rejected";
        this.isSidebarLoading = false;
      }
    },
    async initRTCAPI() {
      var _a;
      const rtcLibrary = this.meetingConfigs.rtcLibrary || "rtcmc";
      const sessionOptions = await this.getRTCSessionOptions();
      let iceServers = [
        {
          urls: [
            "stun:stun.l.google.com:19302",
            "stun:stun1.l.google.com:19302",
            "stun:stun2.l.google.com:19302",
            "stun:stun3.l.google.com:19302",
            "stun:stun4.l.google.com:19302"
          ]
        }
      ];
      if (this.configs.iceServers.length) {
        iceServers = [...this.configs.iceServers];
      }
      RTCAPI = await RTC.init({
        library: rtcLibrary,
        config: {
          debug: this.meetingConfigs.debugMode,
          signalServer: (_a = this.configs.signalServers) == null ? void 0 : _a.url,
          iceServers,
          mediaServers: this.configs.mediaServers,
          opaqueId: "KMConnect" + this.user.username
        },
        callbacks: {
          sessionCreated: this.onSessionCreated,
          sessionCreateError: this.onSessionCreateError,
          createRoomError: this.onCreateRoomError,
          roomCreated: this.onRoomCreated,
          roomFullError: this.onRoomFullError,
          joinRoomError: this.onJoinRoomError,
          roomNotFound: this.onRoomNotFound,
          roomJoined: this.onRoomJoined,
          streamAdded: this.onStreamAdded,
          streamUpdated: this.onStreamUpdated,
          streamRemoved: this.onStreamRemoved,
          feedRemoved: this.onFeedRemoved,
          participantLeft: this.onParticipantLeft,
          participantJoined: this.onParticipantJoined,
          participantsCountChecked: this.onParticipantsCountChecked,
          numberOfBroadcastViewersUpdated: this.onNumberOfBroadcastViewersUpdated,
          leftMeeting: this.onLeftMeeting,
          remoteHandToggled: this.onRemoteHandToggled,
          dataChannelOpened: this.onDataChannelOpened,
          whiteboardMessageReceived: this.onWhiteboardMessageReceived,
          meetingUpdated: this.onMeetingUpdated,
          meetingEnded: this.onMeetingEnded,
          snapshotTaken: this.onSnapshotTaken,
          userBanned: this.onUserBanned,
          userInfoUpdated: this.onUserInfoUpdated,
          toggleRemoteAV: this.onToggleRemoteAV,
          pollPublished: this.onPollPublished,
          pollResultPublished: this.onPollResultPublished,
          gotError: this.onGotError
        },
        options: sessionOptions
      });
      this.fileSharingConnection = RTCAPI;
    },
    getFeedsToRemove() {
      let feedsToRemove = [];
      if (this.localStream) {
        feedsToRemove.push({
          stream: this.localStream
        });
        if (this.localBlurredStream) {
          this.localBlurredStream.getVideoTracks().forEach((track) => {
            track.stop();
          });
          this.localBlurredStream = null;
        }
        this.localStream = null;
      }
      if (this.localScreenStream) {
        feedsToRemove.push({
          stream: this.localScreenStream,
          stopFn: (stream) => {
            stream.getTracks().forEach((track) => {
              track.removeEventListener("ended", this.stopSharingScreen);
              track.enabled = false;
              track.stop();
            });
          }
        });
        if (this.$refs.localScreenStreamElement) {
          this.$refs.localScreenStreamElement.srcObject = null;
        }
        this.localScreenStream = null;
      }
      if (this.localWhiteboardStream) {
        feedsToRemove.push({
          stream: this.localWhiteboardStream
        });
        this.localWhiteboardStream = null;
        if (this.$refs.localScreenStreamElement) {
          this.$refs.localScreenStreamElement.srcObject = null;
        }
      }
      return feedsToRemove;
    },
    stopAllFeeds() {
      this.getFeedsToRemove().forEach((feed) => {
        if (typeof feed.stopFn === "function") {
          feed.stopFn(feed.stream);
        } else if (typeof feed.stream.getTracks === "function") {
          feed.stream.getTracks().forEach((track) => track.stop());
        } else if (typeof feed.stream.stop === "function") {
          feed.stream.stop();
        }
      });
    },
    closeRTCAPI(opts = {}) {
      this.stopKeepAlivePolling();
      this.stopAutoEndMeeting();
      if (this.pageConfigs.backgroundBlur) {
        this.unblurLocalStream();
      }
      if (this.autoEndingToast && _.isEmpty(this.autoEndingToast)) {
        swtToast.close();
        this.autoEndingToast = null;
      }
      this.feedsCount = 0;
      this.feedsList.splice(0);
      if (opts.callback && typeof opts.callback === "function") {
        opts.callback();
        return;
      }
      if (RTCAPI) {
        RTCAPI.close({
          feeds: this.getFeedsToRemove()
        });
      }
    },
    initMediaDevices() {
      if (DetectRTC.isWebRTCSupported === false) {
        this.isLoading = false;
        this.$toasted.error(this.$t("meeting.broadcast.webrtc_not_supported"), this.$toastConfig.error);
        return;
      }
      this.statusMessage = this.$t("meeting.status_message.awaiting_permission");
      const loadDevices = (devices = {}, callbackFn) => {
        this.statusMessage = this.$t("meeting.status_message.init_devices");
        DetectRTC.load(() => {
          if (devices.audio) {
            if (DetectRTC.hasMicrophone === true) {
              this.mediaDevices.hasMicrophone = true;
              this.mediaDevices.hasMicrophonePermission = true;
              this.mediaDevices.mics.splice(0);
              let mics = DetectRTC.audioInputDevices;
              mics = mics.filter((v, i, a) => a.findIndex((v2) => v2.id === v.id) === i);
              Object.assign(this.mediaDevices.mics, mics, { length: mics.length });
              this.selectedDevices.mic = this.mediaDevices.mics[0];
            } else {
              this.mediaDevices.hasMicrophone = false;
              this.selectedDevices.mic = null;
            }
          }
          if (devices.video) {
            if (DetectRTC.hasWebcam === true) {
              this.mediaDevices.hasWebcam = true;
              this.mediaDevices.hasWebcamPermission = true;
              this.mediaDevices.cams.splice(0);
              let cams = DetectRTC.videoInputDevices;
              cams = cams.filter((v, i, a) => a.findIndex((v2) => v2.id === v.id) === i);
              Object.assign(this.mediaDevices.cams, cams, { length: cams.length });
              this.selectedDevices.cam = this.mediaDevices.cams[0];
            } else {
              this.mediaDevices.hasWebcam = false;
              this.selectedDevices.cam = null;
            }
          }
          DetectRTC.objForEach((value, key) => {
            if (!_.isFunction(value)) {
              DetectRTCData[key] = value;
            }
          });
          if (callbackFn) {
            callbackFn();
          }
        });
      };
      let requiredPermissionChecks = {
        audio: false,
        video: false
      };
      const markPermissionChecks = (checks = {}) => {
        if (checks.hasOwnProperty("audio")) {
          requiredPermissionChecks.audio = true;
        }
        if (checks.hasOwnProperty("video")) {
          requiredPermissionChecks.video = true;
        }
        if (requiredPermissionChecks.audio && requiredPermissionChecks.video) {
          this.isLoading = false;
          loadDevices(requiredPermissionChecks, this.startGreenroom);
        }
      };
      if (!DetectRTC.MediaDevices.length || DetectRTC.MediaDevices[0] && DetectRTC.MediaDevices[0].isCustomLabel) {
        navigator.mediaDevices.getUserMedia({ audio: true }).then((stream) => {
          stream.getTracks().forEach((track) => {
            track.stop();
          });
          markPermissionChecks({ audio: true });
        }).catch((error) => {
          this.statusMessage = this.$t("meeting.status_message.failed");
          logger$1.log("getUserMedia error: ", error.message, error.name);
          if (error.name === "NotAllowedError" || error.name === "PermissionDeniedError") {
            this.mediaDevices.hasMicrophonePermission = false;
          }
          markPermissionChecks({ audio: true });
        });
        navigator.mediaDevices.getUserMedia({ video: true }).then((stream) => {
          stream.getTracks().forEach((track) => {
            track.stop();
          });
          markPermissionChecks({ video: true });
        }).catch((error) => {
          this.statusMessage = this.$t("meeting.status_message.failed");
          logger$1.log("getUserMedia error: ", error.message, error.name);
          if (error.name === "NotAllowedError" || error.name === "PermissionDeniedError") {
            this.mediaDevices.hasWebcamPermission = false;
          }
          markPermissionChecks({ video: true });
        });
      } else {
        markPermissionChecks({ audio: true, video: true });
      }
    },
    initCanvasDesigner() {
      this.canvasDesigner = new CanvasDesigner();
      this.canvasDesigner.widgetHtmlURL = "/js/canvas-designer/widget.html";
      this.canvasDesigner.widgetJsURL = "/js/canvas-designer/widget.min.js";
    },
    initNetworkListener() {
      const vm = this;
      window.addEventListener("offline", (e) => {
        vm.isOffline = true;
        vm.isMeetingLive = false;
        vm.showAgenda = false;
        vm.showWhiteboard = false;
        vm.meetingConfigs.layout = vm.meetingConfigs.lastLayout;
        vm.closeRTCAPI();
        if (this.meetingRules.sendAudio || this.meetingRules.sendVideo) {
          this.startGreenroom();
        }
      });
      window.addEventListener("online", (e) => {
        vm.isOffline = false;
        location.reload();
      });
    },
    checkLastSelectedDevices() {
      const lastSelectedDevices = getFromStorage(`${this.vars.localStorageKey}_selected_device`, true);
      if (!lastSelectedDevices) {
        return;
      }
      const lastSelectedCam = lastSelectedDevices.cam ? this.mediaDevices.cams.find((cam) => cam.id === lastSelectedDevices.cam.id) : null;
      this.selectedDevices.cam = lastSelectedCam || this.selectedDevices.cam;
      const lastSelectedMic = lastSelectedDevices.mic ? this.mediaDevices.mics.find((mic) => mic.id === lastSelectedDevices.mic.id) : null;
      this.selectedDevices.mic = lastSelectedMic || this.selectedDevices.mic;
      this.selectedDevices.enableCamera = lastSelectedDevices.enableCamera;
      this.selectedDevices.enableMicrophone = lastSelectedDevices.enableMicrophone;
      if (this.pageQueries.callType === "audio" || this.pageQueries.muteCamera) {
        this.selectedDevices.enableCamera = false;
      }
      if (this.meetingConfigs.muteParticipantsOnStart || this.pageQueries.muteMicrophone) {
        this.selectedDevices.enableMicrophone = false;
      }
      this.selectedDevices.resolution = lastSelectedDevices.resolution;
      this.selectedDevices.facingMode = lastSelectedDevices.facingMode;
      this.selectedDevices.camDirection = lastSelectedDevices.facingMode;
    },
    setFeedElementSrc({ feed, audioTrack = null, videoTrack = null }) {
      logger$1.log("setFeedElementSrc", { ...feed }, audioTrack, videoTrack);
      if (!feed) {
        return;
      }
      const feedsElements = this.$refs.feedsElements;
      if (!feedsElements) {
        return;
      }
      const parentElement = feedsElements.find((v) => v.id === feed.key);
      if (!parentElement) {
        return;
      }
      const videoElem = parentElement.getElementsByClassName(`${feed.key}-video`)[0];
      if (videoElem) {
        logger$1.log("setFeedElementSrc - target video element", videoElem);
        videoElem.controls = false;
        if (!audioTrack && !videoTrack) {
          videoElem.srcObject = null;
          return;
        }
        let existingStream = videoElem.srcObject;
        if (!existingStream) {
          existingStream = new MediaStream();
        }
        const existingAudioTrack = existingStream.getAudioTracks[0];
        if (existingAudioTrack && audioTrack) {
          if (existingAudioTrack.id !== audioTrack.id) {
            existingAudioTrack.stop();
            existingStream.addTrack(audioTrack);
          }
        } else if (existingAudioTrack) {
          existingAudioTrack.stop();
        } else if (audioTrack) {
          existingStream.addTrack(audioTrack);
        }
        const existingVideoTrack = existingStream.getVideoTracks[0];
        if (existingVideoTrack && videoTrack) {
          if (existingVideoTrack.id !== videoTrack.id) {
            existingVideoTrack.stop();
            existingStream.addTrack(videoTrack);
          }
        } else if (existingAudioTrack) {
          existingVideoTrack.stop();
        } else if (videoTrack) {
          existingStream.addTrack(videoTrack);
        }
        videoElem.srcObject = existingStream;
      }
    },
    getVideoElement(feedItem2) {
      const feedsElements = this.$refs.feedsElements;
      if (!feedsElements || !feedItem2) {
        return;
      }
      const parentElement = feedsElements.find((v) => v.id === feedItem2.key);
      if (!parentElement) {
        return;
      }
      const videoElem = parentElement.getElementsByClassName(`${feedItem2.key}-video`)[0];
      console.log(videoElem);
      return videoElem;
    },
    beforeUnload(event) {
      if (this.stopNavigation) {
        event.returnValue = this.stopNavigationMessage;
      }
    },
    destroyPage() {
      if (window.countdownInterval) {
        clearInterval(window.countdownInterval);
      }
      if (window.meetingKeepAliveTimer) {
        clearInterval(window.meetingKeepAliveTimer);
      }
      if (window.recordingDurationInterval) {
        clearInterval(window.recordingDurationInterval);
      }
      this.SetUiConfig({ pageHeaderShow: true, pageFooterShow: true });
      this.closeRTCAPI();
      if (window.Echo) {
        if (window.meetingChannel) {
          window.meetingChannel.stopListening("MeetingStatusChanged");
          window.meetingChannel.stopListening("NewMessage");
        }
        window.Echo.leave(`Meeting.${this.uuid}`);
        if (window.EchoOpts && window.EchoOpts.subscriptions && window.EchoOpts.subscriptions.userPrivate) {
          window.EchoOpts.subscriptions.userPrivate.stopListening("MeetingJoiningRequestResponse");
          window.EchoOpts.subscriptions.userPrivate.stopListening("MeetingJoiningRequestReceived");
        }
      }
      if (screenfull.isEnabled) {
        screenfull.off("change");
        screenfull.off("error");
      }
    },
    doInit() {
      this.Init({ url: this.initUrl });
      if (window.isDuplicate()) {
        this.duplicateTab = true;
        return;
      }
      this.getMeeting();
    }
  },
  beforeRouteEnter(to, from, next) {
    if (!to.params.uuid) {
      next({ name: from === "appMeetingView" ? from : "AppMeetingList" });
    } else {
      next((vm) => {
        vm.prevRoute = from;
      });
    }
  },
  created() {
    document.body.classList.add("meeting-page");
    this.uuid = this.$route.params.uuid;
    this.pageQueries.objForEach((value, key) => {
      if (this.$route.query.hasOwnProperty(key)) {
        this.pageQueries[key] = this.$route.query[key] === "true" ? true : this.$route.query[key] === "false" ? false : this.$route.query[key];
      }
    });
    if (this.pageQueries.autoStart) {
      this.afterSessionIsCreated = () => {
        window.setTimeout(this.getOnline, 1e3);
        this.afterSessionIsCreated = null;
      };
    }
    if (this.configs.meeting) {
      Object.assign(this.meetingConfigs, this.configs.meeting);
    }
    logger$1.setDebug(this.meetingConfigs.debugMode);
    this.SetUiConfig({ pageHeaderShow: false, pageFooterShow: false });
    if (navigator.connection && navigator.connection.type === "cellular" && navigator.connection.downlinkMax <= 0.115) {
      alert("2G is not supported. Please use a better internet service.");
    }
  },
  mounted() {
    if (screenfull.isEnabled) {
      screenfull.on("change", () => {
        this.SetUiConfig({ fullScreen: screenfull.isFullscreen });
      });
      screenfull.on("error", (event) => {
        logger$1.error("Failed to enable fullscreen", event);
      });
      this.SetUiConfig({ fullScreen: false });
    }
    this.doInit();
    window.addEventListener("beforeunload", this.beforeUnload);
    this.checkIfOffline();
    this.initNetworkListener();
  },
  beforeRouteLeave(to, from, next) {
    const doBeforeLeaving = (leave = true) => {
      if (!leave) {
        return;
      }
      this.isLoading = true;
      this.destroyPage();
      window.removeEventListener("beforeunload", this.beforeUnload);
      window.isMeetingPageDestroyed = true;
      if (this.meeting && this.meeting.status === "live") {
        this.Custom({
          url: `/${this.initUrl}/${this.uuid}/leave`,
          method: "post"
        }).then((response) => {
          next();
        }).catch((error) => {
          logger$1.error("error: ", error);
          next();
        });
      } else {
        next();
      }
    };
    if (this.stopNavigation) {
      formUtil.unsavedCheckAlert({}, { unsaved: true }, doBeforeLeaving, {
        title: this.stopNavigationMessage
      });
    } else if (this.feedsCount) {
      formUtil.unsavedCheckAlert({}, { unsaved: true }, doBeforeLeaving, {
        title: this.$t("meeting.is_live")
      });
    } else {
      doBeforeLeaving();
    }
  },
  beforeDestroy() {
    if (!window.isMeetingPageDestroyed) {
      this.isLoading = true;
      this.destroyPage();
      if (this.meeting && this.meeting.status === "live") {
        this.Custom({
          url: `/${this.initUrl}/${this.uuid}/leave`,
          method: "post"
        });
      }
      window.isMeetingPageDestroyed = true;
    }
    this.stopAllFeeds();
  },
  destroyed() {
    document.body.classList.remove("meeting-page");
  },
  filters: {
    decimal(value, num = 2) {
      return Number(value).toFixed(num);
    }
  }
};
const logger = new Logger();
const _sfc_main$2 = {
  name: "file-sharer",
  components: {
    BProgress
  },
  props: {
    connection: {
      default: null
    },
    allowSharing: {
      default: true
    },
    actionLabel: {
      type: String,
      default: "global.choose"
    },
    nameLabel: {
      type: String,
      default: "upload.file"
    },
    namesLabel: {
      type: String,
      default: "upload.files"
    },
    closeButtonLabel: {
      type: String,
      default: "upload.close"
    },
    clearButtonLabel: {
      type: String,
      default: "upload.clear"
    },
    buttonWrapperClasses: {
      type: String,
      default: ""
    },
    buttonClasses: {
      type: String,
      default: ""
    },
    closeButtonClasses: {
      type: String,
      default: "btn-light"
    },
    clearButtonClasses: {
      type: String,
      default: "btn-light"
    },
    buttonIcon: {
      type: String,
      default: "fas fa-upload"
    },
    buttonDesign: {
      type: String,
      default: "primary"
    },
    options: {
      type: Object,
      default() {
        return {
          allowedExtensions: ["jpg", "png", "jpeg", "pdf", "doc", "docx", "xls", "xlsx", "txt"],
          maxNoOfFiles: 20,
          allowedMaxFileSize: null
        };
      }
    },
    multiple: {
      type: Boolean,
      default: false
    },
    hideButtonLabel: {
      type: Boolean,
      default: false
    },
    showCloseButton: {
      type: Boolean,
      default: true
    },
    autoSend: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      icons: fileIcons,
      mimeTypes: fileMimeTypes,
      sharingFiles: [],
      fileReceived: {},
      usersList: {},
      lastSelectedFile: null,
      currentUserInfo: {},
      instanceUserId: null,
      incomingRequest: {
        show: false,
        sender: null,
        fileId: null
      }
    };
  },
  computed: {
    ...mapGetters("config", [
      "configs",
      "vars"
    ])
  },
  watch: {
    connection(newVal, oldVal) {
      if (newVal && oldVal === null) {
        this.doInit();
      }
    }
  },
  methods: {
    getFileIcon(type) {
      return this.icons[type] || "fa-file-alt";
    },
    getFileNameIcon(type) {
      return this.icons[type] || "fa-file-alt";
    },
    clearFileSharing() {
      this.sharingFiles.splice(0);
      for (const key in this.filesReceived) {
        delete this.filesReceived[key];
      }
      this.lastSelectedFile = null;
      this.$refs.filesInput.value = "";
    },
    generateFilesList(e) {
      let allowedExtensions = null;
      const selectedFiles = this.$refs.filesInput.files;
      if (this.options.allowedExtensions) {
        if (!_.isArray(this.options.allowedExtensions)) {
          this.options.allowedExtensions = this.options.allowedExtensions.split(",");
        }
        allowedExtensions = new RegExp("(." + this.options.allowedExtensions.join("|.") + ")$");
      }
      if (this.options.maxNoOfFiles && selectedFiles.length > this.options.maxNoOfFiles) {
        this.$toasted.error(this.$t("upload.max_file_limit_crossed", { number: this.options.maxNoOfFiles }), this.$toastConfig.error);
        return;
      }
      for (let i = 0; i < selectedFiles.length; i++) {
        const fileId = `${selectedFiles[i].size}-${selectedFiles[i].name}`;
        const existingFileIndex = this.sharingFiles.findIndex((f) => f.fileId === fileId);
        if (allowedExtensions && !allowedExtensions.test(selectedFiles[i].name)) {
          this.$toasted.error(this.$t("global.file_not_supported", { attribute: selectedFiles[i].name.split(".").pop() }), this.$toastConfig.error);
        } else if (this.options.allowedMaxFileSize && selectedFiles[i].size > this.options.allowedMaxFileSize) {
          this.$toasted.error(this.$t("global.file_too_large", { attribute: selectedFiles[i].name }), this.$toastConfig.error);
        } else if (existingFileIndex === -1) {
          const fileObj = {
            uuid: "",
            name: selectedFiles[i].name,
            size: selectedFiles[i].size,
            type: selectedFiles[i].type,
            humanSize: bytesToSize(selectedFiles[i].size),
            fileId,
            url: "",
            sendingTo: [],
            progress: {
              value: 0,
              max: 0,
              percent: 0,
              status: "starting"
            }
          };
          this.sharingFiles.unshift(fileObj);
          this.lastSelectedFile = selectedFiles[i];
        }
      }
      if (this.autoSend) {
        this.connection.sendMessage({
          type: "file-sharing",
          data: {
            doYouWannaReceiveThisFile: true,
            sender: this.currentUserInfo,
            fileId: `${this.lastSelectedFile.size}-${this.lastSelectedFile.name}`
          }
        });
      }
    },
    rejectIncomingFile() {
      this.incomingRequest.show = false;
      this.connection.sendMessage({
        type: "file-sharing",
        data: {
          noIDoNotWannaReceive: true,
          sender: this.currentUserInfo,
          fileId: this.incomingRequest.fileId
        }
      });
      this.incomingRequest.sender = null;
      this.incomingRequest.fileId = null;
    },
    acceptIncomingFile() {
      this.incomingRequest.show = false;
      this.connection.sendMessage({
        type: "file-sharing",
        data: {
          yesIWannaReceive: true,
          sender: this.currentUserInfo,
          fileId: this.incomingRequest.fileId
        }
      });
      this.incomingRequest.sender = null;
      this.incomingRequest.fileId = null;
    },
    updateProgress(progress, sending = true) {
      if (!progress.value || progress.value === -1) {
        progress.percent = 0;
        return progress;
      }
      const percent = parseInt((progress.value / progress.max * 100).toFixed(0));
      if (sending) {
        progress.status = percent > 100 ? "sent" : "sending - " + percent + "%";
      } else {
        progress.status = percent > 100 ? "received" : "receiving - " + percent + "%";
      }
      progress.percent = percent > 100 ? 100 : percent;
      return progress;
    },
    onFileSharingMessageReceived({ userId, data, user: user2 }) {
      logger.log("onFileSharingMessageReceived", data);
      if (userId && user2) {
        this.usersList[userId] = user2;
      }
      if (data.doYouWannaReceiveThisFile) {
        if (!this.fileReceived[data.fileId]) {
          this.incomingRequest.fileId = data.fileId;
          this.incomingRequest.sender = data.sender;
          this.incomingRequest.show = true;
          this.$emit("show");
        }
      } else if (data.yesIWannaReceive && !!this.lastSelectedFile) {
        this.connection.shareFile({
          file: this.lastSelectedFile,
          sendTo: userId
        });
      } else if (data.noIDoNotWannaReceive && !!this.lastSelectedFile)
        ;
    },
    onFileReceivingStart({ file }) {
      const fileId = `${file.size}-${file.name}`;
      if (this.fileReceived[fileId]) {
        return;
      }
      if (file.userid !== this.instanceUserId) {
        this.sharingFiles.unshift({
          uuid: "",
          name: file.name,
          size: file.size,
          type: file.type,
          humanSize: bytesToSize(file.size),
          fileId,
          url: "",
          receivingFrom: null,
          progress: {
            value: 0,
            max: 0,
            percent: 0,
            status: "starting"
          }
        });
        this.$emit("show");
      }
      const selectedFileIndex = this.sharingFiles.findIndex((f) => f.fileId === fileId);
      if (selectedFileIndex === -1) {
        return;
      }
      let selectedFile = this.sharingFiles[selectedFileIndex];
      selectedFile.uuid = file.uuid;
      selectedFile.userid = file.userid;
      if (file.userid === this.instanceUserId) {
        if (!selectedFile.sendingTo) {
          selectedFile.sendingTo = [];
        }
        if (selectedFile.sendingTo.length > 0) {
          if (selectedFile.sendingTo.findIndex((u) => u.userid === file.remoteUserId) !== -1) {
            return;
          }
        }
        selectedFile.sendingTo.unshift({
          userid: file.remoteUserId,
          user: this.usersList[file.remoteUserId],
          progress: {
            value: 0,
            percent: 0,
            max: file.maxChunks,
            status: "starting"
          }
        });
      } else {
        selectedFile.receiveAgain = true;
        selectedFile.receivingFrom = {
          userid: file.userid,
          user: this.usersList[file.userid]
        };
        selectedFile.progress.max = file.maxChunks;
        selectedFile.progress.status = "starting";
      }
    },
    onFileReceivingProgress({ chunk }) {
      const fileId = `${chunk.size}-${chunk.name}`;
      if (this.fileReceived[fileId]) {
        return;
      }
      const selectedFileIndex = this.sharingFiles.findIndex((f) => f.uuid === chunk.uuid);
      if (selectedFileIndex === -1) {
        return;
      }
      let selectedFile = this.sharingFiles[selectedFileIndex];
      if (chunk.remoteUserId && selectedFile.sendingTo) {
        const remoteUserIndex = selectedFile.sendingTo.findIndex((u) => u.userid === chunk.remoteUserId);
        const helperInnerObj = selectedFile.sendingTo[remoteUserIndex];
        if (!helperInnerObj) {
          return;
        }
        helperInnerObj.progress.value = chunk.currentPosition;
        helperInnerObj.progress = this.updateProgress(helperInnerObj.progress, true);
      } else {
        selectedFile.progress.value = chunk.currentPosition;
        selectedFile.progress = this.updateProgress(selectedFile.progress, false);
      }
    },
    onFileReceivingEnd({ file }) {
      const fileId = `${file.size}-${file.name}`;
      if (this.fileReceived[fileId]) {
        return;
      }
      if (file.remoteUserId === this.instanceUserId) {
        this.fileReceived[fileId] = file;
      }
      const selectedFileIndex = this.sharingFiles.findIndex((f) => f.fileId === fileId);
      if (selectedFileIndex === -1) {
        return;
      }
      let selectedFile = this.sharingFiles[selectedFileIndex];
      selectedFile.url = file.url;
      if (file.remoteUserId && selectedFile.sendingTo) {
        const remoteUserIndex = selectedFile.sendingTo.findIndex((u) => u.userid === file.remoteUserId);
        selectedFile.sendingTo[remoteUserIndex].progress.status = "sent";
      } else {
        selectedFile.progress.status = "received";
      }
    },
    doInit() {
      this.connection.setupFileSharing({
        callbacks: {
          fileSharingMessageReceived: this.onFileSharingMessageReceived,
          fileReceivingStart: this.onFileReceivingStart,
          fileReceivingProgress: this.onFileReceivingProgress,
          fileReceivingEnd: this.onFileReceivingEnd
        }
      });
      this.currentUserInfo = this.connection.getUserInfo();
      this.instanceUserId = this.connection.getInstanceUserId();
    }
  },
  mounted() {
    this.options.allowedMaxFileSize = this.options.allowedMaxFileSize ? this.options.allowedMaxFileSize : this.configs.system && this.configs.system.postMaxSize ? this.configs.system.postMaxSize : null;
    this.options.allowedExtensions = this.options.allowedExtensions ? this.options.allowedExtensions : this.configs.system && this.configs.system.allowedFileExtensions ? this.configs.system.allowedFileExtensions : null;
    if (this.connection) {
      this.doInit();
    }
  }
};
var _sfc_render$2 = function render() {
  var _vm = this, _c = _vm._self._c;
  return _c("div", { staticClass: "sm-uploader file-uploader file-sharer" }, [_c("div", { class: ["files-list-wrapper"] }, [_vm.incomingRequest.show ? _c("div", { staticClass: "file-incoming-request" }, [_c("div", { staticClass: "alert fade show alert-white" }, [_c("div", { staticClass: "alert-content" }, [_c("h6", [_c("strong", [_vm._v(_vm._s(_vm.incomingRequest.sender.name))]), _c("span", { staticClass: "text-muted mx-1" }, [_vm._v(_vm._s(_vm.$t("upload.wants_to_share_file")))]), _c("strong", [_vm._v(_vm._s(_vm.incomingRequest.fileId))])])]), _c("div", { staticClass: "d-flex justify-content-end mt-3" }, [_c("button", { staticClass: "btn btn-danger flex-grow", attrs: { "type": "button" }, on: { "click": _vm.rejectIncomingFile } }, [_vm._v(_vm._s(_vm.$t("upload.reject")))]), _c("button", { staticClass: "btn btn-success flex-grow", attrs: { "type": "button" }, on: { "click": _vm.acceptIncomingFile } }, [_vm._v(_vm._s(_vm.$t("upload.accept")))])])])]) : _vm._e(), _vm.sharingFiles.length ? _c("ul", { staticClass: "files-list" }, _vm._l(_vm.sharingFiles, function(fileObj) {
    return _c("li", { key: fileObj.fileId, staticClass: "file-details-row" }, [_c("div", { staticClass: "file-details-wrapper" }, [_c("div", { staticClass: "file-icon" }, [_c("span", [_c("i", { class: ["far", _vm.getFileIcon(fileObj.type)] })])]), _c("div", { staticClass: "file-details" }, [_c("h6", [_vm._v(_vm._s(fileObj.name))]), _c("p", [_c("span", [_c("span", { staticClass: "font-weight-700" }, [_vm._v(_vm._s(_vm.$t("upload.type")))]), _vm._v(": " + _vm._s(_vm.mimeTypes[fileObj.type] || "Unknown"))]), _c("span", { staticClass: "ml-1" }, [_c("span", { staticClass: "font-weight-700" }, [_vm._v(_vm._s(_vm.$t("upload.size")))]), _vm._v(": " + _vm._s(fileObj.humanSize))])]), fileObj.sendingTo ? _c("div", { staticClass: "sharing-details-wrapper" }, _vm._l(fileObj.sendingTo, function(to) {
      return _c("div", { key: to.userid, staticClass: "sharing-row mt-2" }, [_c("div", { staticClass: "sharing-details small" }, [_c("div", { staticClass: "flex-grow text-muted" }, [_vm._v(" Sending to: " + _vm._s(to.user.name) + " ")]), _c("div", [_c("span", { class: ["badge badge-sm badge-pill", { "badge-success": to.progress.status === "sent" }, { "badge-info": to.progress.status !== "sent" }] }, [_vm._v(_vm._s(to.progress.status))])])]), _c("b-progress", { staticClass: "mt-2 mb-0", attrs: { "value": to.progress.percent, "max": 100 } })], 1);
    }), 0) : fileObj.receivingFrom ? _c("div", { staticClass: "sharing-row mt-2" }, [_c("div", { staticClass: "sharing-details small" }, [_c("div", { staticClass: "flex-grow text-muted" }, [_vm._v(" Receiving From: " + _vm._s(fileObj.receivingFrom.user.name) + " ")]), _c("div", [_c("span", { class: ["badge badge-sm badge-pill", { "badge-success": fileObj.progress.status === "received" }, { "badge-info": fileObj.progress.status !== "received" }] }, [_vm._v(_vm._s(fileObj.progress.status))])])]), _c("b-progress", { staticClass: "mt-2 mb-0", attrs: { "value": fileObj.progress.percent, "max": 100 } })], 1) : _vm._e()]), _c("div", { staticClass: "status-wrapper" }, [!fileObj.receivingFrom || fileObj.progress.status === "received" ? _c("a", { staticClass: "status-action", attrs: { "href": fileObj.url, "target": "_blank", "download": fileObj.name } }, [_vm._m(0, true)]) : _vm._e()])])]);
  }), 0) : _vm._e()]), _c("div", { staticClass: "file-uploader-form p-3" }, [_c("div", { staticClass: "d-flex flex-column" }, [_vm.allowSharing ? [_c("div", { class: ["file-selector d-flex my-2", _vm.buttonWrapperClasses] }, [_c("label", { class: ["btn btn-lg flex-grow", `btn-${_vm.buttonDesign}`, _vm.buttonClasses] }, [_c("input", { ref: "filesInput", staticClass: "selector-input", attrs: { "name": "filesInput", "type": "file", "id": "filesInput", "multiple": _vm.multiple }, on: { "change": _vm.generateFilesList } }), _c("span", { staticClass: "button-icon" }, [_c("i", { class: _vm.buttonIcon })]), _vm._v(" "), !_vm.hideButtonLabel ? _c("span", { staticClass: "button-label" }, [_vm._v(_vm._s(_vm.$t(_vm.actionLabel, { attribute: _vm.$t(_vm.namesLabel) })))]) : _vm._e()])])] : _vm._e(), _c("div", { staticClass: "d-flex justify-content-between" }, [_c("button", { class: ["btn flex-grow", _vm.clearButtonClasses], attrs: { "type": "button" }, on: { "click": _vm.clearFileSharing } }, [_vm._m(1), _vm._v(" "), _c("span", { staticClass: "button-label" }, [_vm._v(_vm._s(_vm.$t(_vm.clearButtonLabel)))])]), _vm.showCloseButton ? _c("button", { class: ["btn flex-grow", _vm.closeButtonClasses], attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.$emit("hide");
  } } }, [_vm._m(2), _vm._v(" "), _c("span", { staticClass: "button-label" }, [_vm._v(_vm._s(_vm.$t(_vm.closeButtonLabel)))])]) : _vm._e()])], 2)])]);
};
var _sfc_staticRenderFns$2 = [function() {
  var _vm = this, _c = _vm._self._c;
  return _c("span", [_c("i", { staticClass: "fas fa-download" })]);
}, function() {
  var _vm = this, _c = _vm._self._c;
  return _c("span", { staticClass: "button-icon" }, [_c("i", { staticClass: "fas fa-clear" })]);
}, function() {
  var _vm = this, _c = _vm._self._c;
  return _c("span", { staticClass: "button-icon" }, [_c("i", { staticClass: "fas fa-times" })]);
}];
var __component__$2 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$2,
  _sfc_render$2,
  _sfc_staticRenderFns$2,
  false,
  null,
  null,
  null,
  null
);
const FileSharer = __component__$2.exports;
const _sfc_main$1 = {
  extends: form,
  props: {
    poll: {
      type: Object
    },
    url: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      formData: {
        uuid: null,
        duration: 60,
        options: [],
        config: {
          position: "bottom-center",
          isClosable: false,
          showResultAfter: false
        }
      },
      correctOption: null,
      newRowObj: {
        uuid: "",
        title: ""
      }
    };
  },
  computed: {
    formUrl() {
      return this.poll ? `${this.url}/${this.poll.uuid}` : this.url;
    }
  },
  watch: {
    correctOption: {
      deep: true,
      handler(newValue, oldValue) {
        this.formData.options.forEach((opt, index) => {
          if (this.formData.options[index].hasOwnProperty("selected")) {
            delete this.formData.options[index].selected;
          }
        });
        if (!newValue) {
          this.formData.config.showResultAfter = false;
          return null;
        }
        const selectedIndex2 = this.formData.options.findIndex((opt) => opt.uuid === newValue.uuid);
        this.formData.options[selectedIndex2].selected = true;
      }
    }
  },
  methods: {
    savePoll() {
      this.isLoading = false;
      this.Custom({
        url: this.formUrl,
        method: this.poll ? "patch" : "post",
        data: this.formData
      }).then((response) => {
        this.close();
        this.isLoading = false;
      }).catch((error) => {
        this.isLoading = false;
        this.formErrors = Object.assign({}, this.formErrors, formUtil.handleErrors(error));
      });
    },
    close() {
      this.formData = Object.assign({}, this.formData, _.cloneDeep(this.initialFormData));
      this.$emit("close");
    },
    addNewRow() {
      const newObj = _.cloneDeep(this.newRowObj);
      newObj.uuid = uuid();
      this.formData.options.push(newObj);
    },
    removeRow(index) {
      formUtil.confirmAction().then((result) => {
        if (result.value) {
          this.formData.options.splice(index, 1);
          this.addNewRowIfNone();
        }
      });
    },
    addNewRowIfNone() {
      this.initianLength = this.formData.options.length;
      if (this.formData.options.length < 1) {
        this.addNewRow();
      }
    }
  },
  mounted() {
    this.isLoading = true;
    if (this.poll) {
      const pollConfig = this.poll.config ? this.poll.config : this.formData.config;
      Object.assign(this.formData, {
        ...this.poll,
        config: pollConfig
      });
      const selectedOption = this.formData.options.find((opt) => opt.selected);
      this.correctOption = selectedOption;
    }
    this.addNewRowIfNone();
    this.isLoading = false;
  }
};
var _sfc_render$1 = function render2() {
  var _vm = this, _c = _vm._self._c;
  return _c("form", { staticClass: "p-3", on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.savePoll.apply(null, arguments);
  } } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isLoading || _vm.isFetching, "loader-color": _vm.vars.loaderColor } }), _c("div", { staticClass: "mb-4" }, [_c("base-textarea", { attrs: { "auto-focus": "", "rows": "4", "label": _vm.$t("meeting.poll.props.question"), "error": _vm.formErrors.question }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "question", $event);
  } }, model: { value: _vm.formData.question, callback: function($$v) {
    _vm.$set(_vm.formData, "question", $$v);
  }, expression: "formData.question" } })], 1), _c("div", { staticClass: "d-flex justify-content-between pb-3 mb-0 border-bottom" }, [_c("h5", { staticClass: "mb-0" }, [_vm._v(_vm._s(_vm.$t("meeting.poll.props.options")))]), _c("base-button", { attrs: { "type": "button", "design": "light", "size": "sm" }, on: { "click": _vm.addNewRow } }, [_vm._v(_vm._s(_vm.$t("general.add_new")))])], 1), _c("ul", { staticClass: "poll-options-list list-unstyled mb-4" }, _vm._l(_vm.formData.options, function(option, index) {
    return _c("li", { key: option.uuid, staticClass: "poll-option" }, [_c("div", { staticClass: "mt-4 d-flex justify-content-between" }, [_c("div", { staticClass: "flex-grow mr-2" }, [_c("base-input", { attrs: { "type": "text", "label": `${_vm.$t("meeting.poll.props.option")} ${index + 1}`, "wrapper-classes": "mb-0" }, model: { value: option.title, callback: function($$v) {
      _vm.$set(option, "title", $$v);
    }, expression: "option.title" } })], 1), _c("base-button", { staticClass: "px-2", attrs: { "type": "button", "design": "light" }, on: { "click": function($event) {
      return _vm.removeRow(index);
    } } }, [_c("i", { staticClass: "fas fa-times" })])], 1)]);
  }), 0), _c("div", { staticClass: "mb-4" }, [_c("base-select", { attrs: { "options": _vm.formData.options, "label": _vm.$t("meeting.poll.props.correct_option"), "showBy": "title" }, model: { value: _vm.correctOption, callback: function($$v) {
    _vm.correctOption = $$v;
  }, expression: "correctOption" } })], 1), _c("div", { staticClass: "mb-4" }, [_c("base-input", { attrs: { "type": "number", "step": 1, "min": 5, "label": _vm.$t("meeting.poll.props.duration"), "error": _vm.formErrors.duration }, on: { "update:error": function($event) {
    return _vm.$set(_vm.formErrors, "duration", $event);
  } }, model: { value: _vm.formData.duration, callback: function($$v) {
    _vm.$set(_vm.formData, "duration", $$v);
  }, expression: "formData.duration" } })], 1), _c("h5", { staticClass: "pb-3 mb-3 border-bottom" }, [_vm._v(_vm._s(_vm.$t("config.configuration")))]), _c("div", { staticClass: "row" }, [_c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-checkbox", { staticClass: "ml-3 mt-2", model: { value: _vm.formData.config.isClosable, callback: function($$v) {
    _vm.$set(_vm.formData.config, "isClosable", $$v);
  }, expression: "formData.config.isClosable" } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.poll.props.is_closable")) + " ")])], 1), _vm.correctOption ? _c("div", { staticClass: "col-12 col-md-6 mb-3" }, [_c("base-checkbox", { staticClass: "ml-3 mt-2", model: { value: _vm.formData.config.showResultAfter, callback: function($$v) {
    _vm.$set(_vm.formData.config, "showResultAfter", $$v);
  }, expression: "formData.config.showResultAfter" } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.poll.props.show_result_after")) + " ")])], 1) : _vm._e()]), _vm.formHasErrors ? _c("div", { staticClass: "alert alert-danger my-3", attrs: { "role": "alert" } }, [_c("h6", { staticClass: "m-0" }, [_vm._v(_vm._s(_vm.$t("general.form_has_errors")))])]) : _vm._e(), _c("div", { staticClass: "form-footer mt-4" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": _vm.close } }, [_c("i", { staticClass: "fas fa-times" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))])], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_c("i", { staticClass: "fas fa-save" }), _vm._v(" " + _vm._s(_vm.$t("global.save", { attribute: _vm.$t("meeting.poll.poll") })))])], 1)])], 1);
};
var _sfc_staticRenderFns$1 = [];
var __component__$1 = /* @__PURE__ */ normalizeComponent(
  _sfc_main$1,
  _sfc_render$1,
  _sfc_staticRenderFns$1,
  false,
  null,
  null,
  null,
  null
);
const PollForm = __component__$1.exports;
const live_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  mixins: [live$1, meeting, user],
  components: {
    AppLogo,
    AnimatedNumber,
    FlipCountdown,
    FileSharer,
    PollForm,
    LivePoll,
    EditConfig
  },
  computed: {
    fileSharerOptions() {
      return {
        allowedExtensions: this.configs.system.allowedFileExtensions,
        maxNoOfFiles: 20,
        allowedMaxFileSize: null
      };
    }
  },
  watch: {
    locked(newVal, oldVal) {
      if (newVal) {
        const toPath = this.$route.fullPath;
        this.$router.push({ name: "authLock", query: { ref: toPath } });
      }
    }
  },
  mounted() {
  }
};
var _sfc_render = function render3() {
  var _vm = this, _c = _vm._self._c;
  return _c("base-container", { class: [
    "meeting-page-container",
    { "is-in-iframe": _vm.pageQueries.iframe },
    { "has-feeds": _vm.feedsCount },
    `${_vm.meetingConfigs.layout}-layout`,
    { "auto-hide-footer": _vm.pageConfigs.autoHideFooter },
    { "show-agenda": _vm.showAgenda },
    { "show-whiteboard": _vm.showWhiteboard },
    { "show-file-sharing": _vm.showFileSharing },
    { "show-meeting-config": _vm.showMeetingConfigs },
    { "show-bulk-actions": _vm.showBulkActions },
    { "show-participants-list": _vm.showParticipantsList },
    { "show-polls-list": _vm.showPollsList },
    { "show-live-poll": _vm.showLivePoll },
    { "pulse": _vm.recordingStatus === "started" }
  ], attrs: { "with-loader": "", "is-loading": _vm.isLoading, "loader-color": _vm.vars.loaderColor, "overlay-color": _vm.uiConfigs.pageColorSchemeType, "loader-size": "screen", "data-page-background-color": _vm.uiConfigs.pageBackgroundColor, "data-card-background-color": _vm.uiConfigs.pageContainerBackgroundColor } }, [_vm.duplicateTab && !_vm.pageQueries.iframe ? _c("card", { staticClass: "duplicate-tab", attrs: { "body-classes": "d-flex justify-content-center align-items-center" } }, [_c("h2", [_vm._v(_vm._s(_vm.$t("meeting.duplicate_tab")))])]) : _vm.meeting && !_vm.meeting.isBlocked ? [_vm.meetingConfigs.canUseWhiteboard && _vm.isMeetingLive ? _c("card", { staticClass: "whiteboard-container", attrs: { "body-classes": "whiteboard-wrapper", "shadow": "" } }, [_c("div", { staticClass: "meeting-whiteboard-container" }, [_c("div", { ref: "whiteboard", staticClass: "whiteboard", attrs: { "id": "whiteboard" } })])]) : _vm._e(), _c("div", { class: [
    "meeting-room",
    { "has-min-2-feed": _vm.allFeedsCount >= 2 },
    { "has-min-3-feed": _vm.allFeedsCount >= 3 },
    { "has-min-4-feed": _vm.allFeedsCount >= 4 },
    { "has-min-5-feed": _vm.allFeedsCount >= 5 },
    { "has-min-7-feed": _vm.allFeedsCount >= 7 },
    { "has-min-10-feed": _vm.allFeedsCount >= 10 },
    { "compact-layout": _vm.isLayoutCompact }
  ] }, [_vm.isMeetingLive && _vm.feedsCount ? [_vm._l(_vm.feedsList, function(feedItem2) {
    return [_c("div", { key: feedItem2.key, ref: "feedsElements", refInFor: true, class: [
      "stream-item",
      { "mirrored-video": feedItem2.mirroredVideo },
      { "is-focused": feedItem2.isFocused },
      { "is-speaking": feedItem2.isSpeaking },
      { "is-screen": feedItem2.isScreen },
      { "is-whiteboard": feedItem2.isWhiteboard },
      { "is-talking": feedItem2.isTalking },
      { "has-no-video": !feedItem2.video || !feedItem2.hasVideo || feedItem2.videoMuted },
      { "has-stream-cover": feedItem2.user.cover }
    ], attrs: { "id": feedItem2.key } }, [_c("div", { staticClass: "stream-video", on: { "dblclick": _vm.toggleFullScreen } }, [_c("video", { class: `${feedItem2.key}-video`, attrs: { "playsinline": "", "autoplay": "", "onplay": _vm.handlePlay(feedItem2) }, domProps: { "muted": !feedItem2.hasAudio || feedItem2.audioMuted } })]), !feedItem2.video || !feedItem2.hasVideo || feedItem2.videoMuted ? _c("div", { staticClass: "stream-no-video", on: { "dblclick": _vm.toggleFullScreen } }, [feedItem2.user.cover ? _c("div", { staticClass: "stream-cover", style: `background-image: url(${feedItem2.user.cover})` }) : _c("div", { staticClass: "user-avatar-box" }, [_c("user-avatar", { attrs: { "user": feedItem2.user } }), feedItem2.audio && feedItem2.hasAudio && !feedItem2.audioMuted ? _c("div", { staticClass: "audio-pusle-wrapper" }, [_c("div", { staticClass: "audio-pusle" }, [_c("i", { staticClass: "far fa-circle-dot fa-beat" })])]) : _vm._e()], 1)]) : _vm._e(), feedItem2.user ? _c("div", { staticClass: "stream-caption" }, [_c("user-avatar", { attrs: { "user": feedItem2.user, "has-shadow": "" } }), feedItem2.isScreen ? _c("h6", [_vm._v(_vm._s(feedItem2.user.name) + "'s " + _vm._s(_vm.$t("meeting.screen")))]) : feedItem2.isWhiteboard ? _c("h6", [_vm._v(_vm._s(feedItem2.user.name) + "'s " + _vm._s(_vm.$t("meeting.whiteboard")))]) : _c("h6", [_vm._v(_vm._s(feedItem2.user.name))])], 1) : _vm._e(), (!feedItem2.isFocused || _vm.meetingConfigs.layout === "grid" || _vm.meetingConfigs.layout === "fullpage" && _vm.allFeedsCount <= 2) && _vm.allFeedsCount > 1 ? _c("div", { staticClass: "stream-controls d-none d-lg-block" }, [_c("div", { staticClass: "stream-controls-buttons" }, [_c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "controls-btn", attrs: { "title": _vm.$t("meeting.maximize") }, on: { "click": function($event) {
      return _vm.changeFocus(feedItem2);
    } } }, [_c("i", { staticClass: "fas fa-expand" })])])]) : _vm._e(), _c("div", { staticClass: "stream-indicators" }, [feedItem2.isHost ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.host") } }, [_c("i", { staticClass: "fas fa-user-tie text-info" })]) : feedItem2.canModerate ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.moderator") } }, [_c("i", { staticClass: "fas fa-user-cog text-info" })]) : _vm._e(), feedItem2.isHandUp ? _c("div", { staticClass: "status-icon" }, [_c("i", { staticClass: "fas fa-hand-paper enabled-text" })]) : _vm._e(), feedItem2.audio && feedItem2.hasAudio ? _c("div", { staticClass: "status-icon" }, [feedItem2.audioMuted ? _c("i", { staticClass: "fas fa-volume-off disabled-text" }) : _c("i", { staticClass: "fas fa-volume-up" })]) : _vm._e()]), _c("div", { staticClass: "stream-actions" }, [_c("base-dropdown", { staticClass: "custom-control-dropdown", attrs: { "tag": "div", "menu-classes": "fullwidth-on-mobile block-content", "position": "right" } }, [_c("button", { staticClass: "btn action custom-control-dropdown-btn btn-sm", attrs: { "slot": "title" }, slot: "title" }, [_c("i", { staticClass: "fas fa-ellipsis-v" })]), !feedItem2.playing ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.playStream(feedItem2);
    } } }, [_c("i", { staticClass: "fas fa-play disabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.start_playing")) + " ")]) : _vm._e(), feedItem2.audio && feedItem2.hasAudio ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.toggleRemoteAudio(feedItem2);
    } } }, [feedItem2.audioMuted ? [_c("i", { staticClass: "fas fa-volume-off disabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.unmute_for_me")) + " ")] : [_c("i", { staticClass: "fas fa-volume-up enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.mute_for_me")) + " ")]], 2) : _vm._e(), !feedItem2.isFocused ? _c("button", { staticClass: "dropdown-item btn-sm d-lg-none", on: { "click": function($event) {
      return _vm.changeFocus(feedItem2);
    } } }, [_c("i", { staticClass: "fas fa-expand enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.maximize")) + " ")]) : _vm._e(), _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.toggleObjectFit(feedItem2);
    } } }, [_c("i", { staticClass: "fas fa-expand-alt enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.change_view")) + " ")]), _vm.meetingConfigs.canTakeSnapshot && (_vm.meetingConfigs.anyoneCanTakeSnapshot || _vm.meeting.canModerate) && (feedItem2.video && feedItem2.hasVideo && !feedItem2.videoMuted) ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.takeSnapshotOfStream(feedItem2);
    } } }, [_c("i", { staticClass: "fas fa-image enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.take_snapshot")) + " ")]) : _vm._e(), _vm.meeting.canModerate ? [_c("div", { staticClass: "dropdown-divider my-1", attrs: { "role": "separator" } }), _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.banRemoteUser(feedItem2);
    } } }, [_c("i", { staticClass: "fas fa-ban enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.kick_ban")) + " ")]), feedItem2.audio && feedItem2.canToggleAudio ? [feedItem2.hasAudio ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.toggleRemoteAVSource(feedItem2, "audio", "temporary", false);
    } } }, [_c("i", { staticClass: "fas fa-microphone enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.mute_audio_for_everyone")) + " ")]) : _vm._e()] : _vm._e(), feedItem2.video && feedItem2.canToggleVideo ? [feedItem2.hasVideo ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.toggleRemoteAVSource(feedItem2, "video", "temporary", false);
    } } }, [_c("i", { staticClass: "fas fa-video enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.mute_video_for_everyone")) + " ")]) : _vm._e()] : _vm._e(), feedItem2.audio ? [feedItem2.canToggleAudio ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.toggleRemoteAVSource(feedItem2, "audio", "permanent", false);
    } } }, [_c("i", { staticClass: "fas fa-microphone enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.dont_allow_audio")) + " ")]) : _vm._e()] : _vm._e(), feedItem2.video ? [feedItem2.canToggleVideo ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
      return _vm.toggleRemoteAVSource(feedItem2, "video", "permanent", false);
    } } }, [_c("i", { staticClass: "fas fa-video enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.dont_allow_video")) + " ")]) : _vm._e()] : _vm._e()] : _vm._e()], 2)], 1)])];
  })] : _vm._e(), _vm.hasGreenroom ? _c("div", { class: [
    "stream-item local-stream-item",
    { "mirrored-video": _vm.pageConfigs.mirroredVideo || _vm.selectedDevices.camDirection !== "environment" },
    { "is-speaking": _vm.isSpeaking },
    { "is-focused": _vm.isFocused === "cam" },
    { "is-blurred": !!_vm.localBlurredStream },
    { "has-no-video": !_vm.selectedDevices.enableCamera || _vm.selectedDevices.videoMuted },
    { "has-stream-cover": _vm.user.profile.cover }
  ] }, [_c("div", { staticClass: "stream-video", on: { "dblclick": _vm.toggleFullScreen } }, [_c("video", { ref: "localStreamElement", attrs: { "playsinline": "", "autoplay": "", "muted": "" }, domProps: { "muted": true } }), _c("canvas", { ref: "localBlurredStreamElement" })]), !_vm.selectedDevices.enableCamera || _vm.selectedDevices.videoMuted ? _c("div", { staticClass: "stream-no-video", on: { "dblclick": _vm.toggleFullScreen } }, [_vm.user.profile.cover ? _c("div", { staticClass: "stream-cover", style: `background-image: url(${_vm.user.profile.cover})` }) : _c("div", { staticClass: "user-avatar-box" }, [_c("user-avatar", { attrs: { "user": _vm.user } }), _vm.selectedDevices.mic && _vm.selectedDevices.enableMicrophone && !_vm.selectedDevices.audioMuted ? _c("div", { staticClass: "audio-pusle-wrapper" }, [_c("div", { staticClass: "audio-pusle" }, [_c("i", { staticClass: "far fa-circle-dot fa-beat" })])]) : _vm._e()], 1)]) : _vm._e(), _vm.isMeetingLive ? [_c("div", { staticClass: "stream-caption" }, [_c("user-avatar", { attrs: { "user": _vm.user, "has-shadow": "" } }), _c("h6", [_vm._v(_vm._s(_vm.$t("meeting.you")))])], 1), (_vm.isFocused !== "cam" || _vm.meetingConfigs.layout === "grid" || _vm.meetingConfigs.layout === "fullpage" && _vm.allFeedsCount <= 2) && _vm.allFeedsCount > 1 ? _c("div", { staticClass: "stream-controls d-none d-lg-block" }, [_c("div", { staticClass: "stream-controls-buttons" }, [_c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "controls-btn", attrs: { "title": _vm.$t("meeting.maximize") }, on: { "click": function($event) {
    return _vm.changeFocus("cam");
  } } }, [_c("i", { staticClass: "fas fa-expand" })])])]) : _vm._e(), _c("div", { staticClass: "stream-indicators" }, [_vm.meeting.isHost ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.host") } }, [_c("i", { staticClass: "fas fa-user-tie text-info" })]) : _vm.meeting.canModerate ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.moderator") } }, [_c("i", { staticClass: "fas fa-user-cog text-info" })]) : _vm._e(), _vm.isHandUp ? _c("div", { staticClass: "status-icon" }, [_c("i", { staticClass: "fas fa-hand-paper enabled-text" })]) : _vm._e(), _vm.selectedDevices.mic && _vm.meetingConfigs.canToggleAudio ? _c("div", { staticClass: "status-icon" }, [_vm.selectedDevices.enableMicrophone ? _c("i", { staticClass: "fas fa-volume-up" }) : _c("i", { staticClass: "fas fa-volume-off disabled-text" })]) : _vm._e()]), _c("div", { staticClass: "stream-actions" }, [_c("base-dropdown", { staticClass: "custom-control-dropdown", attrs: { "tag": "div", "menu-classes": "fullwidth-on-mobile block-content", "position": "right" } }, [_c("button", { staticClass: "btn action custom-control-dropdown-btn btn-sm", attrs: { "slot": "title" }, slot: "title" }, [_c("i", { staticClass: "fas fa-ellipsis-v" })]), _vm.isFocused !== "cam" ? _c("button", { staticClass: "dropdown-item btn-sm d-lg-none", on: { "click": function($event) {
    return _vm.changeFocus("cam");
  } } }, [_c("i", { staticClass: "fas fa-expand enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.maximize")) + " ")]) : _vm._e(), _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
    return _vm.toggleObjectFit("localStreamElement");
  } } }, [_c("i", { staticClass: "fas fa-expand-alt enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.change_view")) + " ")]), _vm.meetingConfigs.canTakeSnapshot && (_vm.selectedDevices.enableCamera && !_vm.selectedDevices.videoMuted) ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
    return _vm.takeSnapshotOfStream("localStreamElement", true);
  } } }, [_c("i", { staticClass: "fas fa-image enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.take_snapshot")) + " ")]) : _vm._e()])], 1)] : _vm._e()], 2) : _vm._e(), _c("div", { class: [
    "stream-item is-screen local-stream-item",
    _vm.localScreenStream ? "" : "d-none",
    { "is-focused": _vm.isFocused === "screen" }
  ] }, [_c("div", { staticClass: "stream-video" }, [_c("video", { ref: "localScreenStreamElement", attrs: { "playsinline": "", "autoplay": "", "muted": "" }, domProps: { "muted": true } })]), _c("div", { staticClass: "stream-caption" }, [_c("user-avatar", { attrs: { "user": _vm.user, "has-shadow": "" } }), _c("h6", [_vm._v(_vm._s(_vm.$t("meeting.your_screen")))])], 1), (_vm.isFocused !== "screen" || _vm.meetingConfigs.layout === "grid" || _vm.meetingConfigs.layout === "fullpage" && _vm.allFeedsCount <= 2) && _vm.allFeedsCount > 1 ? _c("div", { staticClass: "stream-controls d-none d-lg-block" }, [_vm.isFocused !== "screen" ? _c("div", { staticClass: "stream-controls-buttons" }, [_c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "controls-btn", attrs: { "title": _vm.$t("meeting.maximize") }, on: { "click": function($event) {
    return _vm.changeFocus("screen");
  } } }, [_c("i", { staticClass: "fas fa-expand" })])]) : _vm._e()]) : _vm._e(), _c("div", { staticClass: "stream-indicators" }, [_vm.meeting.isHost ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.host") } }, [_c("i", { staticClass: "fas fa-user-tie text-info" })]) : _vm.meeting.canModerate ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.moderator") } }, [_c("i", { staticClass: "fas fa-user-cog text-info" })]) : _vm._e(), _vm.isHandUp ? _c("div", { staticClass: "status-icon" }, [_c("i", { staticClass: "fas fa-hand-paper enabled-text" })]) : _vm._e()]), _c("div", { staticClass: "stream-actions" }, [_c("base-dropdown", { staticClass: "custom-control-dropdown", attrs: { "tag": "div", "menu-classes": "fullwidth-on-mobile block-content", "position": "right" } }, [_c("button", { staticClass: "btn action custom-control-dropdown-btn btn-sm", attrs: { "slot": "title" }, slot: "title" }, [_c("i", { staticClass: "fas fa-ellipsis-v" })]), _vm.isFocused !== "screen" ? _c("button", { staticClass: "dropdown-item btn-sm d-lg-none", on: { "click": function($event) {
    return _vm.changeFocus("screen");
  } } }, [_c("i", { staticClass: "fas fa-expand enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.maximize")) + " ")]) : _vm._e(), _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
    return _vm.toggleObjectFit("localScreenStreamElement");
  } } }, [_c("i", { staticClass: "fas fa-expand-alt enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.change_view")) + " ")]), _vm.meetingConfigs.canTakeSnapshot && (_vm.meetingConfigs.anyoneCanTakeSnapshot || _vm.meeting.canModerate) ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
    return _vm.takeSnapshotOfStream("localScreenStreamElement", true);
  } } }, [_c("i", { staticClass: "fas fa-image enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.take_snapshot")) + " ")]) : _vm._e()])], 1)]), _c("div", { class: [
    "stream-item is-whiteboard local-stream-item",
    _vm.localWhiteboardStream ? "" : "d-none",
    { "is-focused": _vm.isFocused === "whiteboard" }
  ] }, [_c("div", { staticClass: "stream-video" }, [_c("video", { ref: "localWhiteboardStreamElement", attrs: { "playsinline": "", "autoplay": "", "muted": "" }, domProps: { "muted": true } })]), _c("div", { staticClass: "stream-caption" }, [_c("user-avatar", { attrs: { "user": _vm.user, "has-shadow": "" } }), _c("h6", [_vm._v(_vm._s(_vm.$t("meeting.your_whiteboard")))])], 1), (_vm.isFocused !== "whiteboard" || _vm.meetingConfigs.layout === "grid" || _vm.meetingConfigs.layout === "fullpage" && _vm.allFeedsCount <= 2) && _vm.allFeedsCount > 1 ? _c("div", { staticClass: "stream-controls d-none d-lg-block" }, [_c("div", { staticClass: "stream-controls-buttons" }, [_c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "controls-btn", attrs: { "title": _vm.$t("meeting.maximize") }, on: { "click": function($event) {
    return _vm.changeFocus("whiteboard");
  } } }, [_c("i", { staticClass: "fas fa-expand" })])])]) : _vm._e(), _c("div", { staticClass: "stream-indicators" }, [_vm.meeting.isHost ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.host") } }, [_c("i", { staticClass: "fas fa-user-tie text-info" })]) : _vm.meeting.canModerate ? _c("div", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "status-icon", attrs: { "title": _vm.$t("meeting.moderator") } }, [_c("i", { staticClass: "fas fa-user-cog text-info" })]) : _vm._e(), _vm.isHandUp ? _c("div", { staticClass: "status-icon" }, [_c("i", { staticClass: "fas fa-hand-paper enabled-text" })]) : _vm._e()]), _c("div", { staticClass: "stream-actions" }, [_c("base-dropdown", { staticClass: "custom-control-dropdown", attrs: { "tag": "div", "menu-classes": "fullwidth-on-mobile block-content", "position": "right" } }, [_c("button", { staticClass: "btn action custom-control-dropdown-btn btn-sm", attrs: { "slot": "title" }, slot: "title" }, [_c("i", { staticClass: "fas fa-ellipsis-v" })]), _vm.isFocused !== "whiteboard" ? _c("button", { staticClass: "dropdown-item btn-sm d-lg-none", on: { "click": function($event) {
    return _vm.changeFocus("whiteboard");
  } } }, [_c("i", { staticClass: "fas fa-expand enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.maximize")) + " ")]) : _vm._e(), _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
    return _vm.toggleObjectFit("localWhiteboardStreamElement");
  } } }, [_c("i", { staticClass: "fas fa-expand-alt enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.change_view")) + " ")]), _vm.meetingConfigs.canTakeSnapshot && (_vm.selectedDevices.enableCamera && !_vm.selectedDevices.videoMuted) ? _c("button", { staticClass: "dropdown-item btn-sm", on: { "click": function($event) {
    return _vm.takeSnapshotOfStream("localWhiteboardStreamElement", true);
  } } }, [_c("i", { staticClass: "fas fa-image enabled-text" }), _vm._v(" " + _vm._s(_vm.$t("meeting.take_snapshot")) + " ")]) : _vm._e()])], 1)]), !_vm.hasGreenroom && !_vm.isMeetingLive ? [_vm.meeting.cover ? _c("div", { staticClass: "greenroom-cover", style: `background-image: url(${_vm.meeting.cover})`, attrs: { "data-greenroom-background-color": _vm.uiConfigs.leftSidebarColor }, on: { "dblclick": _vm.toggleFullScreen } }) : _c("div", { staticClass: "greenroom-cover", attrs: { "data-greenroom-background-color": _vm.uiConfigs.leftSidebarColor } })] : _vm._e(), _vm.statusMessage ? _c("div", { staticClass: "status-message-wrapper" }, [_c("div", { staticClass: "status-message" }, [_vm._v(" " + _vm._s(_vm.statusMessage) + " ")])]) : _vm._e(), _vm.meetingConfigs.canToggleInfo && _vm.isMeetingLive && _vm.showMeetingInfo ? _c("div", { staticClass: "meeting-info-container" }, [_c("close-button", { staticClass: "info-close-btn", attrs: { "parent-class": "" }, on: { "click": _vm.toggleMeetingInfo } }), _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.props.type")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm.meeting.type.name))])]), _vm.meeting.isPam ? _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.props.is_pam")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm.$t("general.yes")))])]) : _vm._e(), _vm.meeting.isPaid ? _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.props.is_paid")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm.$t("general.yes")))])]) : _vm._e(), !(_vm.meetingRules.session && _vm.meetingRules.session.oneway) ? _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.total_participants")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm.participantsCount))])]) : _vm.meeting.canModerate ? _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.total_participants")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm.numberOfBroadcastViewers))])]) : _vm._e(), _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.started_at")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm._f("moment")(_vm.meeting.startedAt, _vm.vars.defaultDateTimeFormat)))])]), _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.meeting_live_since")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm.meetingDuration))])]), _c("div", { staticClass: "meeting-info" }, [_c("span", { staticClass: "info-label" }, [_vm._v(_vm._s(_vm.$t("meeting.props.estimated_end_time")))]), _vm._v(": "), _c("span", { staticClass: "info-value" }, [_vm._v(_vm._s(_vm._f("moment")(_vm.meeting.estimatedEndTime, _vm.vars.defaultDateTimeFormat)))])])], 1) : _vm._e()], 2), !_vm.isMeetingLive ? _c("card", { staticClass: "waiting-room rounded-0 border-0", attrs: { "body-classes": "d-flex flex-column justify-content-center align-items-center", "shadow": "" } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isSidebarLoading, "loader-color": _vm.vars.loaderColor, "overlay-color": _vm.uiConfigs.pageColorSchemeType } }), _vm.meeting.status === "scheduled" ? [_vm.startDateTimeIsFuture ? _c("flip-countdown", { staticClass: "countdown-container my-3", attrs: { "deadline": _vm.meeting.startDateTime } }) : _vm.meeting.canModerate ? [_c("h5", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.waiting_for_you_to_start")) + " ")]), _c("div", { staticClass: "d-flex justify-content-center flex-wrap my-3" }, [_c("base-button", { attrs: { "type": "button", "design": "primary", "size": "lg" }, on: { "click": _vm.getOnline } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("meeting.get_live") })))]), !_vm.isLoading ? _c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))]) : _vm._e()], 1)] : [_c("h5", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.starting_any_time_now")) + " ")]), !_vm.isLoading ? _c("div", { staticClass: "d-flex justify-content-center" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1) : _vm._e()], _c("div", { staticClass: "text-center my-3" }, [_c("span", { staticClass: "text-muted" }, [_vm._v(_vm._s(_vm.$t("meeting.scheduled_for")))]), _c("span", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "text-muted-lg m-l-5", attrs: { "title": _vm._f("momentDateTime")(_vm.meeting.startDateTime) } }, [_vm._v(_vm._s(_vm._f("momentCalendar")(_vm.meeting.startDateTime, { sameElse: _vm.vars.defaultDateTimeFormat })))])]), _vm.liveMembersCount > 0 ? _c("div", { staticClass: "text-muted text-center my-3" }, [_c("span", { staticClass: "text-xs text-success mr-1" }, [_c("i", { staticClass: "fas fa-circle" })]), _c("animated-number", { attrs: { "number": _vm.liveMembersCount, "delay": 100 } }), _vm.liveMembersCount > 1 ? _c("span", [_vm._v(_vm._s(_vm.$t("meeting.members_online")))]) : _c("span", [_vm._v(_vm._s(_vm.$t("meeting.member_online")))])], 1) : _vm._e(), _vm.meeting.canModerate ? [_c("div", { staticClass: "d-flex justify-content-center my-3" }, [_c("base-button", { attrs: { "type": "button", "design": "gray-darker", "size": "sm" }, on: { "click": _vm.cancelMeeting } }, [_c("i", { staticClass: "fas fa-times m-r-5" }), _vm._v(" " + _vm._s(_vm.$t("meeting.cancel")))]), _c("base-dropdown", { attrs: { "tag": "div", "size": "sm", "direction": "up" } }, [_c("base-button", { attrs: { "slot": "title", "type": "button", "design": "gray-darker", "size": "sm", "data-toggle": "dropdown", "role": "button" }, slot: "title" }, [_c("i", { staticClass: "far fa-clock m-r-5" }), _c("span", { staticClass: "nav-link-inner--text" }, [_vm._v(_vm._s(_vm.$t("meeting.snooze")))]), _c("i", { staticClass: "fas fa-chevron-up m-l-5" })]), _vm._l(_vm.snoozeOpts, function(opt) {
    return _c("button", { key: opt.uuid, staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": function($event) {
      return _vm.snoozeMeeting(opt.uuid);
    } } }, [_vm._v(_vm._s(opt.name) + " " + _vm._s(_vm.$t(`list.general.durations.${opt.type}`)))]);
  })], 2)], 1), _c("div", { staticClass: "d-flex justify-content-center" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1)] : _vm._e()] : _vm.meeting.status === "live" ? [_vm.isRoomOnline ? [_c("h5", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.is_live_now")) + " ")]), _c("div", { staticClass: "d-flex justify-content-center flex-wrap my-3" }, [_c("base-button", { attrs: { "type": "button", "design": "primary", "size": "lg" }, on: { "click": _vm.getOnline } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("meeting.get_live") })))]), _c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1)] : [_vm.meeting.canModerate ? [_c("h5", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.waiting_for_you_to_start")) + " ")]), _c("div", { staticClass: "d-flex justify-content-center flex-wrap my-3" }, [_c("base-button", { attrs: { "type": "button", "design": "primary", "size": "lg" }, on: { "click": _vm.getOnline } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("meeting.get_live") })))]), _c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1)] : [_c("h5", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.starting_any_time_now")) + " ")]), _c("div", { staticClass: "d-flex justify-content-center flex-wrap my-3" }, [_c("base-button", { attrs: { "type": "button", "design": "dark", "size": "lg" }, on: { "click": _vm.checkRoomStatus } }, [_c("i", { staticClass: "fas fa-rotate mr-1" }), _vm._v(" " + _vm._s(_vm.$t("general.refresh")) + " ")]), _c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1)]], _vm.liveMembersCount > 0 ? _c("div", { staticClass: "text-muted text-center my-3" }, [_c("span", { staticClass: "text-xs text-success mr-1" }, [_c("i", { staticClass: "fas fa-circle" })]), _c("animated-number", { attrs: { "number": _vm.liveMembersCount, "delay": 100 } }), _vm.liveMembersCount > 1 ? _c("span", [_vm._v(_vm._s(_vm.$t("meeting.members_online")))]) : _c("span", [_vm._v(_vm._s(_vm.$t("meeting.member_online")))])], 1) : _vm._e()] : _vm.meeting.status === "cancelled" ? [_c("h4", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.meeting_cancelled")) + " ")]), !_vm.isLoading ? _c("div", { staticClass: "d-flex justify-content-center" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1) : _vm._e()] : _vm.meeting.status === "ended" ? [_c("h4", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.meeting_ended")) + " ")]), !_vm.isLoading ? _c("div", { staticClass: "d-flex justify-content-center" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1) : _vm._e()] : _vm.meeting.status === "rejected" ? [_c("h4", { staticClass: "text-muted text-center my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.joining_request_rejected")) + " ")]), !_vm.isLoading ? _c("div", { staticClass: "d-flex justify-content-center" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1) : _vm._e()] : _vm._e(), _vm.isOffline ? _c("div", { staticClass: "offline-mask" }, [_c("h1", [_vm._v(_vm._s(_vm.$t("general.offline_message")))])]) : _vm._e()], 2) : _vm._e(), !_vm.meeting.isInstantMeeting ? _c("card", { staticClass: "agenda-container rounded-0", attrs: { "body-classes": "p-0", "shadow": "" } }, [_c("close-button", { attrs: { "parent-class": "" }, on: { "click": _vm.toggleAgenda } }), _c("h4", { staticClass: "meeting-title p-3 mb-3 pr-5 border-bottom" }, [_vm._v(_vm._s(_vm.meeting.title))]), _c("vue-scroll", { ref: "vue-scroll-agenda", attrs: { "id": "vue-scroll-agenda" } }, [_c("div", { staticClass: "agenda-wrapper px-3 mb-150" }, [_c("div", { staticClass: "d-flex justify-content-between" }, [_c("span", { staticClass: "badge badge-info" }, [_vm._v(_vm._s(_vm.meeting.type.name))]), _c("span", { staticClass: "badge badge-light" }, [_vm._v(_vm._s(_vm.meeting.category.name))])]), _c("view-paragraph", { staticClass: "mt-4", attrs: { "label": _vm.$t("meeting.props.agenda"), "value": _vm.meeting.agenda, "label-classes": "text font-weight-600" } }), _vm.meeting.description ? _c("view-paragraph", { staticClass: "mt-4", attrs: { "label": _vm.$t("meeting.props.description"), "value": _vm.meeting.description, "html": "", "label-classes": "text font-weight-600" } }) : _vm._e(), _vm.meeting.attachments ? _c("view-uploads", { class: ["mt-4", _vm.uiConfigs.colorSchemeType], attrs: { "label": _vm.$t("upload.attachments"), "name-label": _vm.$t("upload.attachment"), "value": _vm.meeting.attachments, "download-button-classes": "text-gray", "url-prefix": `/meetings/${_vm.uuid}/downloads` } }) : _vm._e()], 1)])], 1) : _vm._e(), _vm.meetingConfigs.canShareFiles && _vm.allFeedsCount && !_vm.pageQueries.iframe ? _c("card", { staticClass: "files-container rounded-0", attrs: { "body-classes": "p-0 d-flex flex-column justify-content-between h-100", "shadow": "" } }, [_c("close-button", { attrs: { "parent-class": "" }, on: { "click": _vm.toggleFileSharing } }), _c("h4", { staticClass: "p-3 mb-3 pr-5 border-bottom" }, [_vm._v(_vm._s(_vm.$t("upload.share_files")))]), _c("file-sharer", { attrs: { "connection": _vm.fileSharingConnection, "allow-sharing": _vm.meetingConfigs.canShareFiles, "options": _vm.fileSharerOptions }, on: { "hide": function($event) {
    _vm.showFileSharing = false;
  }, "show": function($event) {
    _vm.showFileSharing = true;
  } } })], 1) : _vm._e(), _vm.meeting.canModerate ? _c("card", { staticClass: "meeting-config-container rounded-0", attrs: { "body-classes": "p-0", "shadow": "" } }, [_c("close-button", { attrs: { "parent-class": "" }, on: { "click": _vm.toggleMeetingConfig } }), _c("animated-loader", { attrs: { "is-loading": _vm.isMeetingConfigsLoading, "loader-color": _vm.vars.loaderColor } }), _c("h4", { staticClass: "p-3 mb-0 pr-5 border-bottom" }, [_vm._v(_vm._s(_vm.$t("global.config", { attribute: _vm.$t("meeting.meeting") })))]), _c("vue-scroll", { ref: "vue-scroll-meeting-config", attrs: { "id": "vue-scroll-meeting-config" } }, [_c("div", { staticClass: "meeting-config-wrapper px-3 pt-3 mb-4" }, [_vm.showMeetingConfigs ? _c("form", { on: { "submit": function($event) {
    $event.preventDefault();
    return _vm.saveMeetingConfig.apply(null, arguments);
  } } }, [_c("edit-config", { attrs: { "configs": _vm.configs, "meeting": _vm.meeting, "meeting-config": _vm.meetingConfigsFormData, "preRequisite": _vm.meetingConfigsPreRequisite }, on: { "changed": _vm.changeMeetingConfigsFormData } }), _c("div", { staticClass: "form-footer mt-5" }, [_c("div", { staticClass: "left-side" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "tabindex": "-1" }, on: { "click": _vm.toggleMeetingConfig } }, [_c("i", { staticClass: "fas fa-times" }), _vm._v(" " + _vm._s(_vm.$t("general.cancel")))])], 1), _c("div", { staticClass: "right-side" }, [_c("base-button", { attrs: { "type": "submit", "design": "primary" } }, [_vm._v(_vm._s(_vm.$t("global.save", { attribute: _vm.$t("config.config") })))])], 1)])], 1) : _vm._e()])])], 1) : _vm._e(), _vm.isMeetingLive && (!(_vm.meetingRules.session && _vm.meetingRules.session.oneway) || _vm.meeting.canModerate) ? _c("card", { staticClass: "live-participants-container rounded-0", attrs: { "body-classes": "p-0", "shadow": "" } }, [_c("close-button", { attrs: { "parent-class": "" }, on: { "click": _vm.toggleParticipantsList } }), _c("h4", { staticClass: "p-3 mb-0 pr-5 border-bottom" }, [_vm._v(_vm._s(_vm.$t("meeting.participants_list")) + " (" + _vm._s(_vm.liveParticipants.length) + ")")]), _c("div", { staticClass: "live-participants-wrapper" }, [_c("ul", { staticClass: "live-participants" }, _vm._l(_vm.liveParticipants, function(participant) {
    return _c("li", { key: participant.uuid }, [participant.user ? _c("div", { staticClass: "d-flex align-items-center" }, [_c("user-avatar", { attrs: { "user": participant.user } }), _c("div", { staticClass: "d-flex flex-column flex-grow ml-2" }, [_c("h6", { staticClass: "font-weight-600 mb-0" }, [_vm._v(_vm._s(participant.user.name))]), _c("div", { staticClass: "description" }, [_vm._v(_vm._s(participant.user.username))])])], 1) : _vm._e()]);
  }), 0)])], 1) : _vm._e(), _vm.meeting.canModerate ? _c("card", { staticClass: "bulk-actions-container rounded-0", attrs: { "body-classes": "p-0", "shadow": "" } }, [_c("close-button", { attrs: { "parent-class": "" }, on: { "click": _vm.toggleBulkActions } }), _c("h4", { staticClass: "p-3 mb-0 pr-5 border-bottom" }, [_vm._v(_vm._s(_vm.$t("meeting.bulk_actions")))]), _c("div", { staticClass: "bulk-actions-wrapper" }, [_c("ul", { staticClass: "bulk-actions" }, [_c("li", { on: { "click": function($event) {
    return _vm.toggleRemoteAVSource(null, "audio", "temporary", false);
  } } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.mute_all_audio_for_everyone")) + " "), _c("div", { staticClass: "description" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.mute_all_audio_for_everyone_helper")) + " ")])]), _c("li", { on: { "click": function($event) {
    return _vm.toggleRemoteAVSource(null, "video", "temporary", false);
  } } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.mute_all_video_for_everyone")) + " "), _c("div", { staticClass: "description" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.mute_all_video_for_everyone_helper")) + " ")])]), _c("li", { on: { "click": function($event) {
    return _vm.toggleRemoteAVSource(null, "audio", "permanent", false);
  } } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.dont_allow_audio_anyone")) + " "), _c("div", { staticClass: "description" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.dont_allow_audio_anyone_helper")) + " ")])]), _c("li", { on: { "click": function($event) {
    return _vm.toggleRemoteAVSource(null, "audio", "permanent", true);
  } } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.allow_audio_everyone")) + " "), _c("div", { staticClass: "description" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.allow_audio_everyone_helper")) + " ")])]), _c("li", { on: { "click": function($event) {
    return _vm.toggleRemoteAVSource(null, "video", "permanent", false);
  } } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.dont_allow_video_anyone")) + " "), _c("div", { staticClass: "description" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.dont_allow_video_anyone_helper")) + " ")])]), _c("li", { on: { "click": function($event) {
    return _vm.toggleRemoteAVSource(null, "video", "permanent", true);
  } } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.allow_video_everyone")) + " "), _c("div", { staticClass: "description" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.allow_video_everyone_helper")) + " ")])])])])], 1) : _vm._e(), _vm.meeting.canModerate && _vm.meetingConfigs.enablePoll ? _c("card", { staticClass: "polls-list-container rounded-0", attrs: { "body-classes": "p-0", "shadow": "" } }, [_c("animated-loader", { attrs: { "is-loading": _vm.isPollsLoading, "loader-color": _vm.vars.loaderColor } }), _vm.showPollForm ? _c("h4", { staticClass: "p-3 mb-0 pr-5 border-bottom" }, [_vm._v(_vm._s(_vm.$t("global.add_new", { attribute: _vm.$t("meeting.poll.poll") })))]) : [_c("close-button", { attrs: { "parent-class": "" }, on: { "click": _vm.togglePollsList } }), _c("div", { staticClass: "p-3 mb-0 pr-5 border-bottom d-flex justify-content-start" }, [_c("h4", { staticClass: "mb-0 mr-2" }, [_vm._v(_vm._s(_vm.$t("meeting.polls_list")))]), _c("base-button", { attrs: { "type": "button", "design": "primary", "size": "sm" }, on: { "click": function($event) {
    _vm.showPollForm = true;
  } } }, [_vm._v(_vm._s(_vm.$t("general.add_new")))])], 1)], _vm.showPollForm ? _c("div", { staticClass: "polls-form-wrapper" }, [_c("poll-form", { attrs: { "poll": _vm.selectedPoll, "url": `/${this.initUrl}/${this.uuid}/polls` }, on: { "close": _vm.closePollForm } })], 1) : _c("div", { staticClass: "polls-list-wrapper" }, [_c("ul", { staticClass: "polls-list" }, _vm._l(_vm.polls, function(poll) {
    return _c("li", { key: poll.uuid }, [_c("div", { staticClass: "d-flex flex-column" }, [_c("h6", { staticClass: "font-weight-600 mb-2" }, [_vm._v(_vm._s(poll.question))]), _c("div", { staticClass: "d-flex flex-wrap text-muted text-sm ml-2" }, _vm._l(poll.options, function(option) {
      return _c("div", { key: option.uuid, staticClass: "d-flex align-items-center mt-1 flex-basis-50" }, [_c("div", { staticClass: "mr-2" }, [option.selected ? _c("i", { staticClass: "fas fa-check-circle text-success" }) : _c("i", { staticClass: "far fa-circle" })]), _c("div", { staticClass: "flex-grow" }, [_vm._v(_vm._s(option.title))])]);
    }), 0), _c("footer", { staticClass: "d-flex align-items-center justify-content-between mt-3" }, [_c("div", { staticClass: "meta text-muted text-sm flex-grow" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.poll.props.duration")) + ": " + _vm._s(poll.duration) + " " + _vm._s(_vm.$t("list.general.durations.seconds")) + " ")]), !poll.isPublished ? _c("div", { staticClass: "d-flex justify-content-end ml-1" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "sm" }, on: { "click": function($event) {
      return _vm.deletePoll(poll);
    } } }, [_vm._v(_vm._s(_vm.$t("general.delete")))]), _c("base-button", { attrs: { "type": "button", "design": "light", "size": "sm" }, on: { "click": function($event) {
      return _vm.editPoll(poll);
    } } }, [_vm._v(_vm._s(_vm.$t("general.edit")))]), _vm.isMeetingLive ? _c("base-button", { attrs: { "type": "button", "design": "primary", "size": "sm" }, on: { "click": function($event) {
      return _vm.publishPoll(poll);
    } } }, [_vm._v(_vm._s(_vm.$t("meeting.poll.publish")))]) : _vm._e()], 1) : _c("div", { staticClass: "d-flex justify-content-end ml-1" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "sm" }, on: { "click": function($event) {
      return _vm.showPollResult(poll);
    } } }, [_vm._v(_vm._s(_vm.$t("meeting.poll.view_result")))]), _vm.isMeetingLive ? _c("base-button", { attrs: { "type": "button", "design": "primary", "size": "sm" }, on: { "click": function($event) {
      return _vm.publishPollResult(poll);
    } } }, [_vm._v(_vm._s(_vm.$t("meeting.poll.publish_result")))]) : _vm._e()], 1)])])]);
  }), 0)])], 2) : _vm._e(), _vm.livePoll ? _c("card", { staticClass: "live-poll-container", attrs: { "body-classes": "p-0", "shadow": "" } }, [_c("div", { staticClass: "live-poll-wrapper" }, [_c("live-poll", { attrs: { "poll": _vm.livePoll, "url": `/${this.initUrl}/${this.uuid}/polls/${this.livePoll.uuid}/vote`, "user": _vm.user }, on: { "update:poll": function($event) {
    _vm.livePoll = $event;
  }, "close": _vm.toggleLivePoll } })], 1)]) : _vm._e(), _c("footer", { staticClass: "meeting-footer", attrs: { "data-footer-background-color": _vm.uiConfigs.leftSidebarColor } }, [_c("div", { staticClass: "logo-wrapper" }, [_c("app-logo", { attrs: { "place": "sidebar", "size": "sm", "tag": "span" } })], 1), _c("div", { staticClass: "meeting-actions meeting-actions-center" }, [_vm.meetingConfigs.canToggleAudio ? [_vm.pageQueries.iframe ? [_vm.selectedDevices.enableMicrophone ? _c("button", { staticClass: "btn action flex-grow", attrs: { "type": "button" }, on: { "click": _vm.toggleLocalMicrophone } }, [_c("i", { staticClass: "fas fa-microphone" })]) : _c("button", { staticClass: "btn action flex-grow disabled-text", attrs: { "type": "button" }, on: { "click": _vm.toggleLocalMicrophone } }, [_c("i", { staticClass: "fas fa-microphone-slash" })])] : _c("base-dropdown", { staticClass: "more-actions", attrs: { "tag": "div", "direction": "up", "menu-classes": "show-dropdown-up fullwidth-on-mobile", "position": "left" }, scopedSlots: _vm._u([{ key: "title", fn: function() {
    return [_vm.selectedDevices.enableMicrophone ? _c("button", { staticClass: "btn action", attrs: { "type": "button" } }, [_c("i", { staticClass: "fas fa-microphone" })]) : _c("button", { staticClass: "btn action disabled-text", attrs: { "type": "button" } }, [_c("i", { staticClass: "fas fa-microphone-slash" })])];
  }, proxy: true }], null, false, 1263712370) }, [_c("div", { staticClass: "mb-2 px-3 text-sm text-muted" }, [_vm._v(_vm._s(_vm.$t("meeting.media_devices.audio_input")))]), _vm._l(_vm.mediaDevices.mics, function(device2) {
    return _c("button", { key: device2.id, staticClass: "dropdown-item d-flex justify-content-between align-items-center", attrs: { "type": "button" }, on: { "click": function($event) {
      return _vm.changeLocalAudioDevice(device2);
    } } }, [_vm._v(" " + _vm._s(device2.label) + " "), _vm.selectedDevices.mic && device2.id === _vm.selectedDevices.mic.id ? _c("i", { staticClass: "fas fa-check min-width-auto text-dark ml-3" }) : _vm._e()]);
  }), _c("button", { staticClass: "dropdown-item d-flex justify-content-between align-items-center border-top", attrs: { "type": "button" }, on: { "click": _vm.toggleLocalMicrophone } }, [_vm.selectedDevices.enableMicrophone ? [_vm._v(_vm._s(_vm.$t("meeting.mute_audio")) + " "), _c("i", { staticClass: "fas fa-microphone-slash min-width-auto text-dark ml-3" })] : [_vm._v(_vm._s(_vm.$t("meeting.unmute_audio")) + " "), _c("i", { staticClass: "fas fa-microphone min-width-auto text-dark ml-3" })]], 2)], 2)] : _vm._e(), _vm.meetingConfigs.canToggleVideo ? [_vm.pageQueries.iframe ? [_vm.selectedDevices.enableCamera ? _c("button", { staticClass: "btn action flex-grow", attrs: { "type": "button" }, on: { "click": _vm.toggleLocalCamera } }, [_c("i", { staticClass: "fas fa-video" })]) : _c("button", { staticClass: "btn action flex-grow disabled-text", attrs: { "type": "button" }, on: { "click": _vm.toggleLocalCamera } }, [_c("i", { staticClass: "fas fa-video-slash" })])] : _c("base-dropdown", { staticClass: "more-actions", attrs: { "tag": "div", "direction": "up", "menu-classes": "show-dropdown-up fullwidth-on-mobile video-dropdown", "position": "left" }, scopedSlots: _vm._u([{ key: "title", fn: function() {
    return [_vm.selectedDevices.enableCamera ? _c("button", { staticClass: "btn action grid-toggle-btn", attrs: { "type": "button" } }, [_c("i", { staticClass: "fas fa-video" })]) : _c("button", { staticClass: "btn action grid-toggle-btn disabled-text", attrs: { "type": "button" } }, [_c("i", { staticClass: "fas fa-video-slash" })])];
  }, proxy: true }], null, false, 1861019309) }, [_c("div", { staticClass: "mb-2 px-3 text-sm text-muted" }, [_vm._v(_vm._s(_vm.$t("meeting.media_devices.video_input")))]), _vm._l(_vm.mediaDevices.cams, function(device2) {
    return _c("button", { key: device2.id, staticClass: "dropdown-item d-flex justify-content-between align-items-center", attrs: { "type": "button" }, on: { "click": function($event) {
      return _vm.changeLocalVideoDevice(device2);
    } } }, [_vm._v(" " + _vm._s(device2.label) + " "), _vm.selectedDevices.cam && device2.id === _vm.selectedDevices.cam.id ? _c("i", { staticClass: "fas fa-check min-width-auto text-dark ml-3" }) : _vm._e()]);
  }), _c("div", { staticClass: "border-top p-3 d-none d-md-block" }, [_c("div", { staticClass: "mb-2 text-sm text-muted" }, [_vm._v(_vm._s(_vm.$t("meeting.media_devices.video_resolution")))]), _c("div", { staticClass: "d-flex justify-content-stretch" }, [_vm._l(_vm.mediaDevices.resolutions, function(res) {
    return [_vm.selectedDevices.resolution === res.uuid ? _c("button", { key: res.uuid, staticClass: "btn btn-sm btn-light", attrs: { "type": "button" }, on: { "click": function($event) {
      return _vm.changeLocalVideoResolution(res);
    } } }, [_vm._v(_vm._s(res.label))]) : _c("button", { key: res.uuid, staticClass: "btn btn-sm", attrs: { "type": "button" }, on: { "click": function($event) {
      return _vm.changeLocalVideoResolution(res);
    } } }, [_vm._v(_vm._s(res.label))])];
  })], 2)]), !_vm.pageQueries.iframe ? _c("button", { staticClass: "dropdown-item d-flex d-md-none justify-content-between align-items-center border-top", attrs: { "type": "button" }, on: { "click": _vm.switchFacingMode } }, [_vm._v(" " + _vm._s(_vm.$t("meeting.switch_to")) + " "), _vm.selectedDevices.facingMode === "user" ? [_vm._v(_vm._s(_vm.$t("meeting.facing_mode_environment")))] : _vm.selectedDevices.facingMode === "environment" ? [_vm._v(_vm._s(_vm.$t("meeting.facing_mode_user")))] : [_vm._v(_vm._s(_vm.$t("meeting.facing_mode_auto")))], _c("i", { staticClass: "fas fa-camera-rotate min-width-auto text-dark ml-3" })], 2) : _vm._e(), _c("button", { staticClass: "dropdown-item d-flex justify-content-between align-items-center border-top", attrs: { "type": "button" }, on: { "click": _vm.toggleLocalCamera } }, [_vm.selectedDevices.enableCamera ? [_vm._v(_vm._s(_vm.$t("meeting.mute_video")) + " "), _c("i", { staticClass: "fas fa-video-slash min-width-auto text-dark ml-3" })] : [_vm._v(_vm._s(_vm.$t("meeting.unmute_video")) + " "), _c("i", { staticClass: "fas fa-video min-width-auto text-dark ml-3" })]], 2)], 2)] : _vm._e(), _vm.isMeetingLive ? [_vm.meetingConfigs.canShareFiles && _vm.allFeedsCount && !_vm.pageQueries.iframe ? _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], class: [
    "btn action d-none d-lg-inline-block",
    { "disabled-text": _vm.showFileSharing }
  ], attrs: { "type": "button", "title": _vm.$t("upload.share_files") }, on: { "click": _vm.toggleFileSharing } }, [_c("i", { staticClass: "fas fa-upload" })]) : _vm._e(), _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], class: ["btn action danger-text", { " flex-grow": _vm.pageQueries.iframe }], attrs: { "type": "button", "title": _vm.$t("meeting.leave_meeting") }, on: { "click": _vm.getOffline } }, [_c("i", { staticClass: "fas fa-phone-slash" })]), _vm.meetingConfigs.canShareScreen ? [_vm.localScreenStream ? _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action disabled-text d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.stop_sharing_screen") }, on: { "click": _vm.stopSharingScreen } }, [_c("i", { staticClass: "fas fa-minus-square" })]) : _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.share_screen") }, on: { "click": _vm.shareScreen } }, [_c("i", { staticClass: "fas fa-desktop" })])] : _vm._e(), _vm.meetingConfigs.canRecord && _vm.meeting.canModerate && !_vm.pageQueries.iframe ? [_vm.recordingStatus === "started" || _vm.recordingStatus === "paused" ? [_vm.meetingConfigs.enableAutoRecording && !_vm.meetingConfigs.canStopAutoRecording ? [_c("button", { staticClass: "btn action danger-text d-none d-md-inline-block", attrs: { "type": "button" } }, [_c("i", { staticClass: "fas fa-circle" }), _vm._v(" "), _c("span", { staticClass: "recording_time" }, [_vm._v(_vm._s(_vm.recordingDuration))])])] : [_vm.recordingStatus === "paused" ? _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action success-text d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.resume_recording") }, on: { "click": _vm.resumeRecording } }, [_c("i", { staticClass: "fas fa-circle" })]) : _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action danger-text d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.pause_recording") }, on: { "click": _vm.pauseRecording } }, [_c("i", { staticClass: "fas fa-pause" })]), _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action danger-text d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.stop_recording") }, on: { "click": _vm.stopRecording } }, [_c("i", { staticClass: "fas fa-stop" }), _vm._v(" "), _c("span", { staticClass: "recording_time" }, [_vm._v(_vm._s(_vm.recordingDuration))])])]] : _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.start_recording") }, on: { "click": _vm.startRecording } }, [_c("i", { staticClass: "fas fa-circle" })])] : _vm._e(), _vm.meetingConfigs.canUseWhiteboard && !_vm.pageQueries.iframe ? [_vm.showWhiteboard ? _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action danger-text d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.hide_whiteboard") }, on: { "click": _vm.toggleWhiteboard } }, [_c("i", { staticClass: "fas fa-chalkboard-teacher" })]) : _vm._e(), _vm.showWhiteboard ? _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action danger-text d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.clear_hide_whiteboard") }, on: { "click": _vm.stopWhiteboard } }, [_c("i", { staticClass: "fas fa-chalkboard-teacher mr-0" }), _c("i", { staticClass: "fas fa-times font-size-xs ml-1 font-size-xs text-danger" })]) : _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action d-none d-md-inline-block", attrs: { "type": "button", "title": _vm.$t("meeting.show_whiteboard") }, on: { "click": _vm.toggleWhiteboard } }, [_c("i", { staticClass: "fas fa-chalkboard-teacher" })])] : _vm._e(), _vm.meetingConfigs.canUseHandGesture && !_vm.pageQueries.iframe ? [_vm.isHandUp ? _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action success-text", attrs: { "type": "button", "title": _vm.$t("meeting.lower_hand") }, on: { "click": _vm.toggleHandUp } }, [_c("i", { staticClass: "far fa-hand-paper" })]) : _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], staticClass: "btn action", attrs: { "type": "button", "title": _vm.$t("meeting.raise_hand") }, on: { "click": _vm.toggleHandUp } }, [_c("i", { staticClass: "fas fa-hand-paper" })])] : _vm._e()] : _vm._e()], 2), _c("div", { staticClass: "meeting-actions meeting-actions-right" }, [_vm.recordedFilesToUpload && _vm.recordedFilesToUpload.length ? _c("base-dropdown", { staticClass: "more-actions d-none d-md-inline-block", attrs: { "tag": "div", "direction": "up", "size": "md", "menu-classes": "show-dropdown-up p-0 max-height-500px", "position": "right", "has-scroll": "" } }, [_c("button", { staticClass: "btn action grid-toggle-btn d-none d-md-inline-block", attrs: { "slot": "title", "type": "button" }, slot: "title" }, [_c("i", { staticClass: "fas fa-cloud-upload-alt" })]), _c("card", { staticClass: "upload-widget", attrs: { "shadow": "", "body-classes": "p-0", "header-classes": "p-2" }, scopedSlots: _vm._u([{ key: "header", fn: function() {
    return [_c("h5", { staticClass: "m-0 p-1" }, [_vm._v(_vm._s(_vm.$t("meeting.meeting_recordings")))])];
  }, proxy: true }], null, false, 2909934337) }, [_c("div", { staticClass: "widget-wrapper" }, [_c("div", { staticClass: "widget-body file-uploader" }, [_c("div", { staticClass: "files-list-wrapper" }, [_c("ul", { staticClass: "files-list" }, _vm._l(_vm.recordedFilesToUpload, function(fileObj) {
    return _c("li", { key: fileObj.uuid, staticClass: "file-details-row" }, [_c("div", { staticClass: "file-details" }, [!fileObj.chunk ? _c("h6", { staticClass: "pointer", on: { "click": function($event) {
      return fileObj.download(fileObj.blob);
    } } }, [_vm._v(_vm._s(fileObj.file.name))]) : _c("h6", { staticClass: "pointer" }, [_vm._v(_vm._s(fileObj.name))]), fileObj.error ? _c("p", { staticClass: "text-danger" }, [_vm._v(" " + _vm._s(fileObj.error) + " ")]) : [_c("p", { staticClass: "text-muted" }, [_vm._v(" " + _vm._s(fileObj.status) + " ")]), _c("p", [!fileObj.chunk ? _c("span", [_c("span", { staticClass: "font-weight-700" }, [_vm._v(_vm._s(_vm.$t("upload.size")))]), _vm._v(": " + _vm._s(_vm._f("decimal")(fileObj.file.size / 1024, 0)) + " KB")]) : _vm._e()])]], 2), _c("div", { class: ["status-wrapper", { "actions-wrapper": fileObj.status === "uploaded" }] }, [_c("transition", { staticClass: "transition-wrapper", attrs: { "appear": "", "tag": "div", "name": "actions", "mode": "out-in" } }, [fileObj.status === "uploading" ? _c("div", { staticClass: "status-uploading-wrapper" }, [!fileObj.chunk ? _c("label", { staticClass: "status-action", on: { "click": fileObj.cancel } }, [_vm._v(_vm._s(_vm.$t("upload.cancel")))]) : _vm._e(), _c("progress-ring", { attrs: { "value": fileObj.progress, "stroke-color": _vm.vars.loaderColor, "radius": 18, "stroke-width": 2, "percent-size": "sm" } })], 1) : fileObj.status === "cancelled" ? _c("div", { staticClass: "status-cancelled-wrapper" }, [_c("label", { staticClass: "status-text text-danger" }, [_vm._v(_vm._s(_vm.$t("upload.cancelled")))]), _c("span", { staticClass: "status-icon text-danger" }, [_c("i", { staticClass: "fas fa-times" })])]) : fileObj.status === "error" ? _c("div", { staticClass: "status-error-wrapper" }, [_c("label", { staticClass: "status-text text-danger" }, [_vm._v(_vm._s(_vm.$t("upload.error")))]), _c("span", { staticClass: "status-icon text-danger" }, [_c("i", { staticClass: "fas fa-exclamation-triangle" })])]) : _vm._e()])], 1)]);
  }), 0)])])])])], 1) : _vm._e(), _vm.meetingConfigs.enableChat ? _c("button", { directives: [{ name: "b-tooltip", rawName: "v-b-tooltip.hover.d500", modifiers: { "hover": true, "d500": true } }], class: ["btn action chats-toggle-btn", { "pulse": _vm.totalUnreadMessages && _vm.totalUnreadMessages > 0 && !_vm.isChatBoxShown }], attrs: { "type": "button", "title": _vm.$t(_vm.isChatBoxShown ? "global.hide" : "global.show", { attribute: _vm.$t("chat.chats") }) }, on: { "click": _vm.toggleChatBox } }, [_c("i", { class: [_vm.isChatBoxShown ? "fas fa-comment-slash" : "far fa-comment"] }), _vm.totalUnreadMessages && _vm.totalUnreadMessages > 0 ? _c("span", { staticClass: "text-success unread-count" }, [_vm._v(_vm._s(_vm.totalUnreadMessages))]) : _vm._e()]) : _vm._e(), _c("base-dropdown", { staticClass: "more-actions", attrs: { "tag": "div", "direction": "up", "menu-classes": "show-dropdown-up fullwidth-on-mobile", "position": "right", "has-scroll": _vm.meeting.canModerate } }, [_c("button", { staticClass: "btn action more-actions-btn", attrs: { "slot": "title", "type": "button" }, slot: "title" }, [_c("i", { staticClass: "fas fa-ellipsis-v" })]), _vm.isMeetingLive ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.getOffline } }, [_c("i", { staticClass: "fas fa-phone-slash" }), _vm._v(" " + _vm._s(_vm.$t("meeting.leave_meeting")))]) : _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_c("i", { staticClass: "fas fa-chevron-left" }), _vm._v(" " + _vm._s(_vm.$t("general.back")))]), _vm.meeting.canModerate && _vm.meeting.status === "live" ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.endMeeting } }, [_c("i", { staticClass: "fas fa-calendar-times" }), _vm._v(" " + _vm._s(_vm.$t("meeting.end_meeting")))]) : _vm._e(), _c("div", { staticClass: "dropdown-divider my-1", attrs: { "role": "separator" } }), !_vm.meeting.isInstantMeeting ? _c("button", { staticClass: "dropdown-item agenda-toggle-btn", attrs: { "type": "button" }, on: { "click": _vm.toggleAgenda } }, [_c("i", { staticClass: "fas fa-quote-left" }), _vm._v(" " + _vm._s(_vm.$t(_vm.showAgenda ? "global.hide" : "global.show", { attribute: _vm.$t("general.agenda") })))]) : _vm._e(), _c("button", { staticClass: "dropdown-item d-none d-md-block", attrs: { "type": "button" }, on: { "click": _vm.toggleFooterAutoHide } }, [_c("i", { staticClass: "fas fa-hourglass-start" }), _vm._v(" " + _vm._s(_vm.$t("meeting.toggle_autohide")))]), _vm.meetingConfigs.layout === "grid" ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.toggleCompactLayout } }, [_c("i", { staticClass: "fas fa-th-large" }), _vm._v(" " + _vm._s(_vm.$t("meeting.toggle_compact_layout")))]) : _vm._e(), _vm.meetingRules.sendVideo && _vm.selectedDevices.enableCamera ? _c("button", { staticClass: "dropdown-item d-none d-md-block", attrs: { "type": "button" }, on: { "click": _vm.toggleBackgroundBlur } }, [_c("i", { staticClass: "fas fa-crosshairs" }), _vm._v(" " + _vm._s(_vm.$t(_vm.pageConfigs.backgroundBlur ? "meeting.toggle_blur_off" : "meeting.toggle_blur_on")))]) : _vm._e(), _vm.uiConfigs.fullScreen ? _c("button", { staticClass: "dropdown-item d-none d-md-block", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.toggleFullScreen(false);
  } } }, [_c("i", { staticClass: "fas fa-compress" }), _vm._v(" " + _vm._s(_vm.$t("config.ui.toggle_fullscreen")))]) : _c("button", { staticClass: "dropdown-item d-none d-md-block", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.toggleFullScreen(true);
  } } }, [_c("i", { staticClass: "fas fa-expand" }), _vm._v(" " + _vm._s(_vm.$t("config.ui.toggle_fullscreen")))]), _vm.meetingConfigs.canToggleInfo && _vm.isMeetingLive ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.toggleMeetingInfo } }, [_c("i", { staticClass: "fas fa-info" }), _vm._v(" " + _vm._s(_vm.$t("meeting.toggle_meeting_info")))]) : _vm._e(), _vm.isMeetingLive && (!(_vm.meetingRules.session && _vm.meetingRules.session.oneway) || _vm.meeting.canModerate) ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.toggleParticipantsList } }, [_c("i", { staticClass: "fas fa-list" }), _vm._v(" " + _vm._s(_vm.$t("meeting.toggle_participants_list")))]) : _vm._e(), _vm.meeting.canModerate && _vm.isMeetingLive ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.toggleBulkActions } }, [_c("i", { staticClass: "fas fa-check-double" }), _vm._v(" " + _vm._s(_vm.$t("meeting.toggle_bulk_actions")))]) : _vm._e(), _vm.meeting.canModerate && _vm.meetingConfigs.enablePoll ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.togglePollsList } }, [_c("i", { staticClass: "fas fa-square-poll-vertical" }), _vm._v(" " + _vm._s(_vm.$t("meeting.toggle_polls_list")))]) : _vm._e(), _vm.meetingConfigs.canToggleLayout && _vm.feedsCount ? [_c("div", { staticClass: "dropdown-divider my-1", attrs: { "role": "separator" } }), _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.toggleLayout("grid");
  } } }, [_c("i", { staticClass: "fas fa-check text-light", class: { "text-dark": _vm.meetingConfigs.layout === "grid" } }), _vm._v(" " + _vm._s(_vm.$t("global.enable", { attribute: _vm.$t("meeting.grid_layout") })))]), _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.toggleLayout("gallery");
  } } }, [_c("i", { staticClass: "fas fa-check text-light", class: { "text-dark": _vm.meetingConfigs.layout === "gallery" } }), _vm._v(" " + _vm._s(_vm.$t("global.enable", { attribute: _vm.$t("meeting.gallery_layout") })))]), _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": function($event) {
    return _vm.toggleLayout("fullpage");
  } } }, [_c("i", { staticClass: "fas fa-check text-light", class: { "text-dark": _vm.meetingConfigs.layout === "fullpage" } }), _vm._v(" " + _vm._s(_vm.$t("global.enable", { attribute: _vm.$t("meeting.fullpage_layout") })))])] : _vm._e(), _c("div", { staticClass: "dropdown-divider my-1", attrs: { "role": "separator" } }), _vm.meeting.canModerate && !_vm.isMeetingLive ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.toggleMeetingConfig } }, [_c("i", { staticClass: "fas fa-cog" }), _vm._v(" " + _vm._s(_vm.$t("global.config", { attribute: _vm.$t("meeting.meeting") })))]) : _vm._e(), _vm.meetingConfigs.canTakeSnapshot && _vm.meeting.hasSnapshots ? _c("a", { staticClass: "dropdown-item", attrs: { "target": "_blank", "href": _vm.snapshotsPageUrl() } }, [_c("i", { staticClass: "fas fa-image" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.snapshots") })))]) : _vm._e(), _vm.meetingConfigs.canRecord && (_vm.meeting.hasChunkRecordings || _vm.meeting.hasRecordings) ? _c("a", { staticClass: "dropdown-item", attrs: { "target": "_blank", "href": _vm.recordingsPageUrl() } }, [_c("i", { staticClass: "fas fa-photo-video" }), _vm._v(" " + _vm._s(_vm.$t("global.view", { attribute: _vm.$t("meeting.recordings") })))]) : _vm._e(), _vm.meetingConfigs.canShareFiles && _vm.allFeedsCount && !_vm.pageQueries.iframe ? _c("button", { staticClass: "dropdown-item file-sharing-btn d-md-none", attrs: { "type": "button" }, on: { "click": _vm.toggleFileSharing } }, [_c("i", { staticClass: "fas fa-upload" }), _vm._v(" " + _vm._s(_vm.$t("upload.share_files")))]) : _vm._e(), _vm.meetingConfigs.canShareLink ? [_c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.shareURL } }, [_c("i", { staticClass: "fas fa-share-alt" }), _vm._v(" " + _vm._s(_vm.$t("general.share_url")))]), _vm.hasNativeShare ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.share } }, [_c("i", { staticClass: "fas fa-share-alt" }), _vm._v(" " + _vm._s(_vm.$t("general.share")))]) : _vm._e()] : _vm._e(), _vm.isMeetingLive && _vm.feedsCount ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.refreshStreams } }, [_c("i", { staticClass: "fas fa-refresh" }), _vm._v(" " + _vm._s(_vm.$t("meeting.refresh_streams")))]) : _vm._e(), _vm.meetingConfigs.debugMode ? _c("button", { staticClass: "dropdown-item", attrs: { "type": "button" }, on: { "click": _vm.reportAnIssue } }, [_c("i", { staticClass: "fas fa-bug" }), _vm._v(" " + _vm._s(_vm.$t("general.report_an_issue")))]) : _vm._e()], 2), _c("base-dropdown", { staticClass: "more-actions", attrs: { "tag": "div", "direction": "up", "menu-classes": "show-dropdown-up", "position": "right" } }, [_c("button", { staticClass: "btn action grid-toggle-btn d-none d-md-inline-block px-1", attrs: { "slot": "title", "type": "button" }, slot: "title" }, [_vm.loggedInUser ? _c("user-avatar", { attrs: { "user": _vm.loggedInUser, "size": 40, "color": _vm.vars.colors[_vm.uiConfigs.topNavbarColor] } }) : _vm._e()], 1), _c("h6", { staticClass: "dropdown-header" }, [_vm._v(_vm._s(_vm.$t("general.greeting") + ", " + _vm.loggedInUser.name))]), _vm.loggedInUser ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appProfileView" } } }, [_c("i", { staticClass: "fas fa-user" }), _vm._v(" " + _vm._s(_vm.$t("user.your_profile")) + " ")]) : _vm._e(), !_vm.hasPermission("access-config") ? _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appUserPreference" } } }, [_c("i", { staticClass: "fas fa-user-cog" }), _vm._v(" " + _vm._s(_vm.$t("user.user_preference")) + " ")]) : _vm._e(), _c("router-link", { staticClass: "dropdown-item", attrs: { "to": { name: "appUserChangePassword" } } }, [_c("i", { staticClass: "fas fa-key" }), _vm._v(" " + _vm._s(_vm.$t("auth.password.change_password")) + " ")])], 1)], 1)]), _vm.meetingConfigs.enableChat && _vm.configs.chat && _vm.configs.chat.enabled ? _c("div", { staticClass: "chat-box-container" }, [_c("chat-box", { attrs: { "box-visibility": _vm.isChatBoxShown, "meeting": _vm.meeting, "channel": _vm.subscriptions.userPrivate }, on: { "boxHidden": function($event) {
    _vm.isChatBoxShown = false;
  }, "boxShown": function($event) {
    _vm.isChatBoxShown = true;
  } } })], 1) : _vm._e()] : _c("card", { staticClass: "d-flex justify-content-center align-items-center min-height-90vh", attrs: { "shadow": "" } }, [_c("h2", { staticClass: "text-center text-danger my-3" }, [_vm._v(" " + _vm._s(_vm.$t("meeting.not_allowed")) + " ")]), !_vm.isLoading ? _c("div", { staticClass: "d-flex justify-content-center" }, [_c("base-button", { attrs: { "type": "button", "design": "light", "size": "lg" }, on: { "click": function($event) {
    return _vm.$router.push({ name: _vm.fallBackRoute });
  } } }, [_vm._v(_vm._s(_vm.$t("global.click_to", { attribute: _vm.$t("general.go_back") })))])], 1) : _vm._e()])], 2);
};
var _sfc_staticRenderFns = [];
var __component__ = /* @__PURE__ */ normalizeComponent(
  _sfc_main,
  _sfc_render,
  _sfc_staticRenderFns,
  false,
  null,
  null,
  null,
  null
);
const live = __component__.exports;
export {
  live as default
};
//# sourceMappingURL=live.f92df70f.js.map
